<?php
/**
 * stanislav.elbl, 27.10.2015
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_obecne',
    'name'  => 'obecne',
    'index' => 100,
    'storage' => 'nastaveniSpolecne',

    'items' =>
        [
            // povolene preklady
            [
                'name'  => 'preklady',  'type'  => Preference::TEXT,    'title' => 'povolene_preklady',
                'defaultValue' => 'cz;sk;eng',
                'infoText' => 'povolene_preklady_info'
            ],
            // zobrazovat vyber aplikace v hornim menu
            [
                'name'  => 'zobrazitvyberaplikace', 'type'  => Preference::COMBOBOX,    'title' => 'vyber_aplikace',
                'options' => [
                    0 => 'vyber_aplikace_nezobrazovat', 1 => 'vyber_aplikace_zapinat',  2 => 'vyber_aplikace_prepinat'
                ],
                'defaultValue' => '1'
            ],
            // vychozi obrazovka po prihlaseni
            [
                'name'  => 'vychoziobrazovka',      'type'  => Preference::TEXT,        'title' => 'vychozi_obrazovka',
                'defaultValue' => '',
                'infoText' => 'vychozi_obrazovka_info'
            ],
            // ikona v prohlizeci
            [
                'name'  => 'shortcut_icon',         'type'  => Preference::TEXT,            'title' => 'shortcut_icon',
                'defaultValue' => '',
                'infoText' => 'shortcut_icon_info'
            ],
            // vychozi velikost panelu v dashboardu
            [
                'name'  => 'default_dashboard_width',   'type'  => Preference::TEXT,        'title' => 'vychozi_sirka_dashboardu',
                'defaultValue' => '6'
            ],

            // jake jmeno se ma logovat
            [
                'name'  => 'logovane_jmeno',        'type'  => Preference::COMBOBOX,        'title' => 'logovane_jmeno',
                'options' => [
                    0 => 'logovane_jmeno_automaticky', 1 => 'logovane_jmeno_prihlasovaci',  2 => 'logovane_jmeno_prijmeni'
                ],
                'defaultValue' => '0'
            ],

            // podle ceho se maji radit pracovni pomery osoby (tam, kde se zobrazuje vyber PP)
            [
                'name'  => 'razeni_pp',   'type'  => Preference::TEXT,        'title' => 'razeni_pp_uzivatele',
                'defaultValue' => '%TABLENAME%.OsobniCislo',
                'infoText' => 'razeni_pp_uzivatele_info'
            ],

            // nastaveni, jestli se maji nacitat do menu xml formulare
            [
                'name'  => 'nacistxmldomenu',      'type'  => Preference::CHECKBOX,     'title' => 'nacist_xml_do_menu',
                'defaultValue' => '0',
            ],

            // zobrazit dokumenty
            [
                'name'  => 'zobrazitvzkazy',        'type'  => Preference::CHECKBOX,        'title' => 'zobrazit_vzkazy',
                'defaultValue' => '0'
            ],
            // zobrazit dokumenty
            [
                'name'  => 'zobrazitdokumenty',     'type'  => Preference::CHECKBOX,        'title' => 'zobrazit_dokumenty',
                'defaultValue' => '0'
            ],
            [
                'name'  => 'povolituploaddokumentu',    'type'  => Preference::CHECKBOX,    'title' => 'povolit_upload_obecnych_dokumentu',
                'defaultValue' => '1'
            ],


            // typ rozdeleni pro vyber
            [
                'type'  => Preference::CATEGORY,    'title' => 'typ_rozdeleni_pro_vyber'
            ],
            [
                'type'  => Preference::INFO_TEXT,   'infoText' => 'typ_rozdeleni_info'
            ],
            [
                'name'  => 'typrozdeleni',          'type'  => Preference::SQL_COMBOBOX,    'title' => 'typ_rozdeleni',
                'defaultValue' => '',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni ORDER BY Kod'
            ],

            [
                'name'  => 'nadpisrozdeleni',       'type'  => Preference::TEXT,        'title' => 'nadpis_rozdeleni',
                'defaultValue' => '',
            ],
            [
                'name'  => 'jenvlastnirozdeleni',   'type'  => Preference::COMBOBOX,
                'options' => [
                    0 => 'vychozi_nastaveni',   1 => 'jen_vlastni_rozdeleni',   2 => 'podle_prav', 3 => 'podle_prav_nezobrazovat_nadrazene'
                ],
                'defaultValue' => '0',
            ],
            // typ rozdeleni pro vyber 2
            [
                'type'  => Preference::CATEGORY,    'title' => 'typ_rozdeleni_pro_vyber2'

            ],
            [
                'name'  => 'typrozdeleni2',         'type'  => Preference::SQL_COMBOBOX,    'title' => 'typ_rozdeleni',
                'defaultValue' => '',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni ORDER BY Kod'
            ],
            [
                'name'  => 'nadpisrozdeleni2',      'type'  => Preference::TEXT,        'title' => 'nadpis_rozdeleni',
                'defaultValue' => '',
            ],
            [
                'name'  => 'jenvlastnirozdeleni2',  'type'  => Preference::COMBOBOX,
                'options' => [
                    0 => 'vychozi_nastaveni',   1 => 'jen_vlastni_rozdeleni',   2 => 'podle_prav', 3 => 'podle_prav_nezobrazovat_nadrazene'
                ],
                'defaultValue' => '0',
            ]
        ]
];
