<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron;

class Message
{
    const INFO = 1;
    const ERROR = 2;
    const DEBUG = 3;
    const LOG = 4;  // vypisuje se do logu
    const WARNING = 5;
    const SUCCESS = 6;

    /** @var int  INFO/ERROR/DEBUG/LOG/WARNING */
    public $type;

    public $text;
    public $fieldName;
    public $id;

    /** @var bool       Priznak, ze text obsahuje HTML a nema se konvertovat */
    public $isHtml;

    /** @var string     Dodatecny popis chyby */
    public $description;

    /** @var bool       "Odlozena" zprava */
    public $deferred = false;


    function __construct($text, $type = Message::INFO, $fieldName = null, $id = null, $description = null, $deferred = false)
    {
        $this ->text = $text;
        $this ->type = $type;
        $this ->fieldName = $fieldName;
        $this ->id = $id;
        $this ->description = $description;
        $this ->deferred = false;
    }


    function false()
    {
        return false;
    }


    function storeToArray()
    {
        return [
            'type' => $this ->type,
            'text' => $this ->text,
            'fieldName' => $this ->fieldName,
            'id' => $this ->id,
            'description' => $this ->description,
            'deferred' => $this ->deferred
        ];
    }


    function loadFromArray($array)
    {
        $this ->type = (int)$array['type'];
        $this ->text = $array['text'];
        $this ->fieldName = $array['fieldName'];
        $this ->id = $array['id'];
        $this ->description = $array['description'];
        $this ->deferred = $array['deferred'];
    }
}
