<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

/**
 * Zobrazi zadane view (php soubor) pomoci PHP funkce require()
 */
class BaseViewObject implements ViewObject
{

    /** @var string     Soubor s HTML obsahem, ktery obsahuje HTML nebo PHP kod, ktery se vyrenderuje na vystup  */
    protected $view;


    /**
     * @param string $view
     */
    public function __construct($view)
    {
        $this ->view = $view;
    }

    /**
     * Vraci nazev souboru $view
     * @return string
     */
    public function getView()
    {
        return $this->view;
    }

    /**
     * Nastavi nazev souboru $view
     * @param string $view
     */
    public function setView($view)
    {
        $this->view = $view;
    }


    /**
     * Renderuje obsah souboru $view.
     * @return void
     */
    public function render()
    {
        if ($this ->view) {
            /** @noinspection PhpIncludeInspection */
            require($this ->view);
        }
    }
}
