<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

/**
 * Controller zajistuje zpracovani HTTP pozadavku.
 */
interface Controller
{
    /**
     * Metoda handleAction musi zajistit zpracovani HTTP pozadavku.
     * Muze vracet:
     *      string - jmeno PHP souboru (view), ktery se ma provest zobrazit (require).
     *      Redirect - object zajistujici HTTP presmerovani
     *      InternalRedirect
     *      ViewObject
     *      OutputObject
     * @param string $action
     * @return string|Redirect|InternalRedirect|ViewObject|OutputObject
     */
    public function handleAction($action);
}
