<?php

namespace Ron\MVC;


use Ron\StringUtils;
use Tracy\Debugger;

class Forward implements ViewObject
{
    public $url;

    public $forwardCookies = ['MojeAjsovaAuthKuki', '.AspNetCore.Session'];

    protected $resultData = '';


    public function __construct($url)
    {
        $this ->url = $url;

        $this ->load();
    }


    /**
     * Vytvori seznam hlavicek, ktere se maji poslat na server.
     * @return string[]
     */
    public function getHeaders()
    {

        $headers = [
            'X-Username: stanislav.elbl',
            'X-Token: ValidToken123'
        ];

        $cookieStr = "";

//        //Debugger::dump($_COOKIE);
//        foreach ($this ->forwardCookies as $cookieName) {
//            $value = $_COOKIE[str_replace('.', '_', $cookieName)] ?? null;
//            if (isset($value)) {
//                $cookieStr .= ($cookieStr ? '; ' : '') . $cookieName . '=' . urlencode($value);
//            }
//        }

        foreach ($_COOKIE as $name => $value) {
            $cookieStr .= ($cookieStr ? '; ' : '') . $name . '=' . urlencode($value);
        }

        if ($cookieStr) {
            $headers[] = "Cookie: $cookieStr";
        }

        return $headers;
    }


    public function processResponseHeaders($headers)
    {
        if (!$headers) {
            return;
        }

        foreach (explode("\n", $headers) as  $headerStr) {
            if (str_starts_with(strtolower($headerStr), 'set-cookie:')) {
                $pos = strpos($headerStr, '=');
                if ($pos !== false) {
                    $cookieName = trim(substr($headerStr, 11, $pos - 11));
                    header($headerStr);
//                    echo $cookieName;
//                    echo ' = ' . substr($headerStr, $pos + 1);
                }
            }
        }
    }



    public function load()
    {
        $ch = curl_init($this ->url);

        // Set cURL options
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // Return response as string
        curl_setopt($ch, CURLOPT_HEADER, true);         // Include headers in the output

        $sendHeaders = $this ->getHeaders();
        curl_setopt($ch, CURLOPT_HTTPHEADER, $sendHeaders);

        // Execute the request
        $response = curl_exec($ch);

        // Separate headers and body
        $headerSize = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
        $headers = substr($response, 0, $headerSize);
        $body = substr($response, $headerSize);

        // Close cURL session
        curl_close($ch);

        $this ->processResponseHeaders($headers);

        $this ->resultData =
            "<pre>Sent headers:\n" . implode("\n", $sendHeaders) . "\n</pre>" .
            "<pre>Headers:\n" . $headers . "</pre>" .
            $body;
    }



    public function render()
    {
        echo $this ->resultData;
    }
}