<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;


use Ron\Http\HtmlHeaders;
use Ron\TextManager;

abstract class HttpController implements Controller
{
    /** @var bool   V samotnem MVC se nepouziva, protoze autentizace je resena az v samotne aplikaci! Slouzi pro pouziti v aplikaci. */
    var $enableAccessWithoutLogin;

    /** @var bool   Umoznuje vypnout prodlouzeni platnosti session - napr. pro nejake javascriptove requesty. */
    var $enlargeSessionValidity = true;


    function translations()
    {
        return new TranslationsOutputObject();
    }


    public function addTranslationsScript($menuId)
    {
        $lang = TextManager::getInstance() ->translationLang;
        HtmlHeaders::getInstance()->addScript('','translations',
            "?menuid=$menuId&action=translations&lang=$lang&ver=" . HtmlHeaders::getInstance() ->versionId);
    }
}
