<?php
/**
 * pavel.rudol, 6.5.2022 11:13
 */

namespace RonPortal\Benefity;

use Ron\MessageManager;

class BenefityOsoby
{
    public $rc;
    public $vznikBoduCelkem = 0;
    public $cerpanoBodu = 0;
    public $rezervovanoBodu = 0;
    public $zanikRezervaceBodu = 0;
    public $zanikBodu = 0;
    public $zustatekBodu = 0;

    public static function nactiStavBoduOsoby($database, $rc)
    {
        $benefityOsoby = new static();
        
        $benefityOsoby->rc = $rc;

        $params = $database->createParameters();
        $sql =
            "SELECT PocetBodu, DatumOmezeniPlatnosti, DatumSchvaleni, PohybBenefitu.DruhPohybu, PohybBenefitu.ID
                FROM PohybBenefitu
                WHERE (RC = " . $params->addParameter($benefityOsoby->rc) . ") 
                  AND (   ((DruhPohybu IN (41, 21, 51)) AND (DatumSchvaleni IS NOT NULL) ) OR ((DruhPohybu IN (41)) AND (DatumSchvaleni IS NULL)) " . //schvalene rezervace, cerpani, zanik nebo neschvalene rezervace
            "            OR (DruhPohybu IN (31)) " . //zanik bodu
            "            OR ((DruhPohybu IN (11)) AND (DatumSchvaleni IS NOT NULL) " . //schvaleny vznik bodu
            "      AND (DatumVlozeni <= " .  $params->addParameter($database->dateToParam(time())) . ")))
                ORDER BY DatumVlozeni";

        MessageManager::addDebugLog($sql);

        $cursor = $database->getSqlResult($sql, $params);

        while ($row = $cursor->fetch()) {
            switch ($row[3]) {
                case '11': //vznik bodu
                    $benefityOsoby->vznikBoduCelkem += $row[0];
                    break;

                case '21': //cerpani bodu
                    $benefityOsoby->cerpanoBodu += $row[0];
                    break;

                case '31': //zanik bodu
                    $benefityOsoby->zanikBodu += $row[0];
                    break;

                case '41': //rezervace bodu
                    //05/2022 do rezervaci se zapocitaji schvalene, nebo pokud je v nastaveni aplikace povoleno, pak i neschvalene rezervace
                    if (!is_null($row[2]) || BenefityController::zapocitatNeschvaleneRezervace($database)) {
                        $benefityOsoby->rezervovanoBodu += $row[0];
                    }
                    break;
                
                case '51': //zanik rezervace
                    //Body které byly vázány se vracejí/resp.uvolní
                    $benefityOsoby->zanikRezervaceBodu += $row[0];
            }
        }

        $benefityOsoby->zustatekBodu = $benefityOsoby->vznikBoduCelkem - $benefityOsoby->cerpanoBodu - $benefityOsoby->zanikBodu - $benefityOsoby->rezervovanoBodu;
        $cursor->close();

        return $benefityOsoby;
    }
}