<?php
/**
 * stanislav.elbl, 21.02.2021
 */

namespace RonPortal\Controls;

use Ron\Controls\BrowserField;


class PriznakSchvaleniBrowserField extends BrowserField
{
    public $urovenSchvaleni; // 1..3


    /**
     * PriznakSchvaleniBrowserField constructor.
     * @param int $urovenSchvaleni
     */
    public function __construct($urovenSchvaleni)
    {
        parent::__construct();

        $this->urovenSchvaleni = $urovenSchvaleni;

        $this ->type = 'priznakschvaleni';

        if (!$this ->className) {
            $this ->className = 'schvaleni';
        }
    }




    function loadConfigurationArray($confArray)
    {
        parent::loadConfigurationArray($confArray);
        if (isset($confArray['urovenSchvaleni'])) {
            $this ->urovenSchvaleni = (int)$confArray['urovenSchvaleni'];
        }
    }


    function getDataCellClass($value, $rowNumber, $recordId, $rowData)
    {
        return
            'schvaleni ' .
            ($value ? 'schvaleni' . $this ->urovenSchvaleni . ' ' : '') .
            parent::getDataCellClass($value, $rowNumber, $recordId, $rowData);
    }


    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        return ''; // zadny text, je to jen barevny priznak
    }
}
