<?php
/**
 * stanislav.elbl, 01.03.2021
 */

namespace RonPortal\Dochazka;

use Ron\DB\Database;

class PrirazeniKarty
{
    var $kod;

    var $rc;
    var $osobniCislo;
    var $datumNastupu;


    /**
     * Vrati cislo karty pro aktualni osobu
     * @param Database $database
     * @param int    $datum
     * @param string $rc
     * @param string $osobniCislo
     * @param int    $datumNastupu
     * @return PrirazeniKarty
     */
    public static function vratCisloKarty($database, $datum, $rc, $osobniCislo = null, $datumNastupu = null)
    {
        $params = $database ->createParameters();

        $sql =
            'SELECT PrirazeniKarty.KodKarty, PracovniPomer.OsobniCislo, PracovniPomer.DatumNastupu ' .
            ' FROM PrirazeniKarty, PracovniPomer ' .
            ' WHERE PracovniPomer.RC = PrirazeniKarty.RC ' .
            ' AND PrirazeniKarty.OsobniCislo = PracovniPomer.OsobniCislo ' .
            ' AND PrirazeniKarty.DatumNastupu = PracovniPomer.DatumNastupu ' .
            ' AND PrirazeniKarty.RC = ' . $params ->addParameter($rc);

        if ($osobniCislo != '') {
            $sql .=
                ' AND PrirazeniKarty.OsobniCislo = ' . $params ->addParameter($osobniCislo) .
                ' AND PrirazeniKarty.DatumNastupu = ' . $params ->addParameter($database ->timestampToParam($datumNastupu));
        }

        $sql .=
            ' AND PracovniPomer.datumNastupu <= ' . $params ->addParameter($database ->timestampToParam($datum)) .
            ' AND (PracovniPomer.datumUkonceni IS NULL OR PracovniPomer.datumUkonceni >= ' . $params ->addParameter($database ->timestampToParam($datum)) . ')' .

            ' AND PrirazeniKarty.datumPrideleni <= ' . $params ->addParameter($database ->timestampToParam($datum)) .
            ' AND (PrirazeniKarty.datumVraceni >= ' . $params ->addParameter($database ->timestampToParam($datum)) . ' OR PrirazeniKarty.datumVraceni IS NULL)' .
            ' ORDER BY PrirazeniKarty.primarni DESC';

        $cursor = $database ->getSqlResult($sql, $params);
        $row = $cursor ->fetch();
        $cursor ->close();

        if (!$row) return null;

        $result = new PrirazeniKarty();
        $result ->kod = $row[0];
        $result ->rc = $rc;
        $result ->osobniCislo = $row[1];
        $result ->datumNastupu = $database ->stringToTimestamp($row[2]);

        return $result;
    }

}
