<?php
/**
 * stanislav.elbl, 04.09.2018
 */

namespace RonPortal\Editace;

/** @var $this RozdeleniVysledkuFormular */

use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Dochazka\DenniVysledek;
use RonPortal\RonPortalSettings;

// nacte celkovy soucet (denni vysledek, napr. odpracovana doba)
$celkem = RonPortalSettings::getValue(RonPortalSettings::DV_CASOVA_SLOZKA_SOUCET)
    ? DenniVysledek::nactiHodnotu($this ->database,
        $this->pp, $this->den, RonPortalSettings::getValue(RonPortalSettings::DV_CASOVA_SLOZKA_SOUCET))
    : null;

$soucet = 0;

$index = 0;
$novyradekzobrazen = false;

?>

<div class="form-gap"></div>

<!-- hlavicka -->
<div class="row form-section">
    <div class="col col-6">
        <?= $this ->typRozdeleni->popis ?>
    </div>
    <div class="col col-6 align-right">
        <?php if (RonPortalSettings::getIntValue(RonPortalSettings::DV_POVOLIT_PRIRAZENI_ROZDELENI)) { ?>
            <span class="js" id="rozdeleniDV_vyberRozdeleni" data-ron-idpp="<?= $this->pp->idPP ?>"><?= TextManager::_('Vybrat_rozdeleni') ?></span>
        <?php } ?>
    </div>
</div>

<!-- zaznamy -->
<div id="rozdeleniDVOsoby" class="editacedne rozdeleniDVOsoby">

    <?php

    foreach ($this->dataList as $item) {
        $soucet += $item->hodiny;
        $this->zobrazRadekRozdeleniVysledku($index, $item);

        if ($item->novy_radek) $novyradekzobrazen = true;

        $index++;
    }

    if (isset($celkem)) {
        $celkemstr = StringUtils::format('minuty', round($celkem * 60));
        $zbyvastr = StringUtils::format('minuty', round(($celkem - $soucet) * 60));
        $soucetstr = '';
    } else {
        $celkemstr = '';
        $soucetstr = StringUtils::format('minuty', round($soucet * 60));
        $zbyvastr = '';
    }

    $zobrazitnovyradek =
        (isset($_POST['rozdeleniosobypost']) && $_POST['selectedvalue'])
        || isset($_POST['novyradekrozdeleni'])
        || (isset($celkem) && round($celkem - $soucet, 5) > 0);

    // zobrazi novy radek
    if (!$this->readOnly && !$novyradekzobrazen) {
        if ($zobrazitnovyradek) {
            // jeste neni vykazano vse, nebo uzivatel stisknul "novy radek", nebo dvojklik ve "vyhledavaci"
            $this->zobrazRadekRozdeleniVysledku($index, null, $zbyvastr);
            $index++;
        }
    }
    ?>

    <?php
    // zobrazi soucet/kolik zbyva
    if (isset($celkem)) { ?>
        <div class="row">
            <div class="col col-6"><?= TextManager::_('Celkem_rozdelit') ?>: <strong><?= $celkemstr ?></strong></div>
            <div class="col col-5 align-right">
                <?= TextManager::_('Zbyva_rozdelit') ?>:
                <strong><span class="input_margins" data-ron-sum="<?= $celkemstr?>" id="DenniVysledekR_Zbyva"><?= $zbyvastr ?></span></strong>
            </div>
            <div class="col col-1">h</div>
        </div>
    <?php } else { ?>
        <div class="row">
            <div class="col col-11 align-right"><?= TextManager::_('Soucet') ?>: <strong><span id='DenniVysledekR_Soucet'><?= $soucetstr ?></span></strong></div>
            <div class="col col-1">h</div>
        </div>
    <?php } ?>
</div>

<?php if (!$this->readOnly) { // umozni pridat novy radek pomoci tlacitka ?>
    <div>
        <input class="button" type="submit" name="novyradekrozdeleni" value="<?= TextManager::_('Novy_radek') ?>" />
    </div>
<?php } ?>

<input type='hidden' id='DenniVysledekR_COUNT' name='DenniVysledekR_COUNT' value='<?= $index ?>' />
