<?php
/**
 * stanislav.elbl, 08.07.2015
 */

namespace RonPortal\ELearning;


use Ron\DB\Database;


class Kurz
{
    /** @var int */
    private $id;

    /** @var int */
    private $stav;

    /* @var string */
    private $nazev;
    /* @var string */
    private $popis;
    /* @var string */
    private $poznamka;

    /* @var int */
    private $platnostOd;
    /* @var int */
    private $platnostDo;

    /** @var RevizeEKurzu[] */
    private $revize;

    function __construct()
    {

    }


    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getStav()
    {
        return $this->stav;
    }

    /**
     * @return string
     */
    public function getNazev()
    {
        return $this->nazev;
    }

    /**
     * @return string
     */
    public function getPopis()
    {
        return $this->popis;
    }

    /**
     * @return string
     */
    public function getPoznamka()
    {
        return $this->poznamka;
    }

    /**
     * @return int
     */
    public function getPlatnostOd()
    {
        return $this->platnostOd;
    }

    /**
     * @return int
     */
    public function getPlatnostDo()
    {
        return $this->platnostDo;
    }

    /**
     * @return RevizeEKurzu[]
     */
    public function getRevize()
    {
        return $this->revize;
    }

    /**
     * @param Database $database
     * @param int $id
     * @return bool
     * @throws \Exception
     */
    function load($database, $id)
    {
        $params = $database ->createParameters();
        $sql =
            'SELECT Id, Nazev, Stav, PlatnostOd, PlatnostDo, ' . // 0..4
            $database->castWideMemo('Popis') . ', ' . $database->castWideMemo('Poznamka') .
            ' FROM EKurz WHERE Id = ' . $params ->addParameter((int)$id) .
            ' ORDER BY PlatnostOd DESC';

        $cursor = $database->getSqlResult($sql, $params, 'Chyba pri nacitani kurzu!');
        $rowData = $cursor->fetch();
        $cursor ->close();

        if (!$rowData) {
            throw new \Exception('Zadany kurz nebyl nalezen!');
        }

        $this->id = (int)$rowData[0];
        $this->nazev = $rowData[1];
        $this->stav = (int)$rowData[2];
        $this->platnostOd = $database->stringToTimestamp($rowData[3]);
        $this->platnostDo = $database->stringToTimestamp($rowData[4]);

        $this->popis = $rowData[5];
        $this->poznamka = $rowData[6];

        return true;
    }


    /**
     * @param Database $database
     * @param int $idRevize Pokud je null, nacte vsechny revize, pokud je 0, nacte posledni aktivni, jinak zadanou
     */
    function loadRevize($database, $idRevize = null)
    {
        $this->revize = RevizeEKurzu::loadRevize($database, $this->id, $idRevize);
    }


    function loadContent($database)
    {
        if (sizeof($this->revize)) {
            $this->revize[0] ->loadContent($database);
        }
    }


    // Export revize do ZIPu
    function export()
    {
        // vlastnosti kurzu
        // vlastnosti revize
        // prilohy (filename z databaze) ID, Nazev, Obsah
        // seznam priloh (ID, Nazev)
    }
}
