<?php
/**
 * stanislav.elbl, 06.08.2015
 */

namespace RonPortal\ELearning;

use Ron\DB\Database;
use Ron\DB\DBException;
use Ron\FileUtils;
use Ron\StringUtils;


class PrilohaKurzu
{
    private $idPrilohy;
    private $idRevize;
    private $id; // id v ramci kurzu
    private $nazev;

    // ?menuid=kurzy&%DOWNLOAD%&priloha=<id>
    // ?menuid=kurzy&action=download&kurzosoby=<id_kurzu_osoby>&priloha=<id>

    /**
     * @return int
     */
    public function getIdPrilohy()
    {
        return $this->idPrilohy;
    }

    /**
     * @return int
     */
    public function getIdRevize()
    {
        return $this->idRevize;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return mixed
     */
    public function getNazev()
    {
        return $this->nazev;
    }


    /**
     * @param Database $database
     * @param int  $idRevize
     * @return PrilohaKurzu[]|bool
     * @throws DBException
     */
    public static function loadPrilohy($database, $idRevize) {
        $params = $database ->createParameters();

        $sql =
            'SELECT PrilohaRevizeEKurzu.IdRevizeKurzu, PrilohaRevizeEKurzu.IdPrilohy, PrilohaRevizeEKurzu.Id, Priloha.Nazev' . // 0..3
            ' FROM PrilohaRevizeEKurzu, Priloha ' .
            ' WHERE PrilohaRevizeEKurzu.IdPrilohy = Priloha.Id '.
            '   AND PrilohaRevizeEKurzu.IdRevizeKurzu = ' . $params ->addParameter((int)$idRevize) .
            ' ORDER BY Priloha.Nazev';

        $cursor = $database ->getSqlResult($sql, $params, 'Chyba pri nacitani priloh!');

        $result = [];
        while ($rowData = $cursor ->fetch()) {
            $priloha = new PrilohaKurzu();

            $priloha ->idRevize = (int)$rowData[0];
            $priloha ->idPrilohy = (int)$rowData[1];
            $priloha ->id = (int)$rowData[2];
            $priloha ->nazev = $rowData[3];

            $result[] = $priloha;
        }

        $cursor ->close();

        return $result;
    }


    /**
     * @return array
     */
    public function getJson()
    {
        return [
            'id' => $this->id,
            'idPrilohy' => $this->idPrilohy,
            'nazev' => StringUtils::jsonText($this->nazev),
            'type' => FileUtils::getFileType($this->nazev)
        ];
    }


    /**
     * @param PrilohaKurzu[] $prilohy
     * @return array|null
     */
    public static function getJsonPrilohy($prilohy)
    {
        if (!isset($prilohy)) {
            return null;
        }

        $result = [];

        foreach ($prilohy as $priloha) {
            $result[] = $priloha ->getJson();
        }

        return $result;
    }
}
