<?php
/**
 * stanislav.elbl, 16.11.2015
 * Hlavicka hodnoceni (hodnotitele, obdobi, ...)
 */

namespace RonPortal\Hodnoceni;

use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\RonPortalSettings;
use function Ron\ronText;

/** @var $this Hodnoceni */

if (isset($_POST['backaction'])  &&  $_POST['backaction']) $back = StringUtils::secureString($_POST['backaction']);
else if (isset($_GET['backaction'])  &&  $_GET['backaction']) $back = StringUtils::secureString($_GET['backaction']);
else $back = 'hodnoceni';

?>
<h1><?= ronText('Hodnoceni_osoby') ?></h1>

<?php MessageManager::getInstance() ->showMessages() ?>

<div class="form form-30-70 middle-form hlavickahodnoceni">
    <div class="form-content">
        <?php if ($this->fHodnocenyPrijmeni || $this->fHodnocenyJmeno) { ?>
            <div class="row">
                <div class="form-col form-col1"><?= ronText('Hodnoceny') ?></div>
                <div class="form-col form-col2 required"><?= StringUtils::htmlTextConvert($this->fHodnocenyJmeno .' ' . $this->fHodnocenyPrijmeni) ?></div>
            </div>
        <?php } ?>
        <?php if ($this->fPocatekObdobi || $this->fKonecObdobi) { ?>
            <div class="row">
                <div class="form-col form-col1"><?= ronText('Hodnocene_obdobi') ?></div>
                <div class="form-col form-col2"><?= StringUtils::format('date', $this->fPocatekObdobi) ?> - <?= StringUtils::format('date', $this->fKonecObdobi) ?></div>
            </div>
        <?php } ?>

        <div class="row">
            <div class="form-col form-col1"><?= ronText('Stav_hodnoceni') ?></div>
            <div class="form-col form-col2" data-stav="<?= $this->fStav ?>">
                <?= ronText("Stav_hodnoceni_{$this->fStav}") ?>
            </div>
        </div>

        <?php if ($this->hodnotici || $this->hodnoticiPrijmeni || $this->hodnoticiJmeno) { ?>
            <div class="row">
                <div class="form-col form-col1"><?= ronText('Hodnotil') ?></div>
                <div class="form-col form-col2">
                    <?= StringUtils::htmlTextConvert($this->hodnoticiJmeno . ' ' . $this->hodnoticiPrijmeni) ?>
                    <?php if ($this->hodnotici) echo ' ('. StringUtils::htmlTextConvert($this->hodnotici) . ')'; ?>
                </div>
            </div>
        <?php } ?>

        <?php if ($this->fDatumHodnoceni) { ?>
            <div class="row">
                <div class="form-col form-col1"><?= ronText('Datum_hodnoceni') ?></div>
                <div class="form-col form-col2"><?= StringUtils::format('datetime', $this->fDatumHodnoceni) ?></div>
            </div>
        <?php } ?>

        <!-- seznam hodnotitelu -->
        <div class="row">
            <div class="form-col">
                <?= ronText('Hodnotili') ?>:
                <?php $prvni = true; foreach ($this ->hodnotitele as $hodnotitel) { ?>
                    <?= $prvni ? '' : ', ' ?>

                    <?php if ($hodnotitel ->id == $this ->fId) { ?>
                        <strong class="aktualnihodnoceni">
                    <?php } else { ?>
                        <a href="?menuid=hodnoceni&record=<?= $hodnotitel ->id ?>">
                    <?php } ?>

                    <?php if ($hodnotitel ->hodnotici) { ?>
                        <?= StringUtils::htmlTextConvert($hodnotitel ->hodnotici) ?>
                    <?php } else { ?>
                        <?= ronText('Ceka_na_hodnoceni') ?> (<?= $hodnotitel ->urovenPredavani ?>)
                    <?php } ?>

                    <?php if ($hodnotitel ->id != $this ->fId) { ?>
                        </a>
                    <?php } else { ?>
                        </strong>
                    <?php } ?>

                    <?php if ($hodnotitel ->hodnotici  &&  RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_VYSLEDKY_HODNOCENI)) { ?>
                        <span class="hodnocenivysledek poznamka padding-left-2">

                        <?php if (RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_VYSLEDKY_HODNOCENI) & 1) { // znamka nebo oboji ?>
                            <?= StringUtils::format('number_2', $hodnotitel ->znamka) ?>
                        <?php } ?>
                        <?= ( RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_VYSLEDKY_HODNOCENI) == 3) ? '/' : '' ?>
                        <?php if ( RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_VYSLEDKY_HODNOCENI) & 2 ) { // koeficient nebo oboji ?>
                            <?= StringUtils::format('number_2', $hodnotitel ->koeficient) ?>
                        <?php } ?>

                        </span>
                    <?php } ?>

                <?php
                    $prvni = false;
                }
                ?>

            </div>
        </div>

        <div class="row">
            <div class="form-col form-col1"><?= ronText('Detail_vysledku') ?></div>
            <div class="form-col form-col2"><?= StringUtils::htmlTextConvert($this->detailVysledku) ?></div>
        </div>

    </div>
    <div class="buttons">
        <a href="?menuid=<?= $back ?>"><?= ronText('Zpet_na_seznam') ?></a>
    </div>
</div>

<h2 class="nadpishodnoceni"><?= StringUtils::htmlTextConvert($this ->popisTematu) ?></h2>
<?php if ($this ->poznamkaHodnoceni) { ?>
    <div class="poznamka popishodnoceni margin-botom-3"><?= $this ->poznamkaTematu ?></div>
<?php } ?>
