<?php
/**
 * stanislav.elbl, 12.03.2019
 */

namespace RonPortal\Kapacity;

use Ron\DateUtils;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Prava;
use RonPortal\TypRozdeleni;

/** @var PodminkyPlanovaniForm $this */

/** @var TypRozdeleni $typRozdeleni */
$typRozdeleni = Model::getInstance() ->getData('typRozdeleni');

$pocetRadkuPoznamek = PlanovaniKapacit_Den::pocetRadkuPoznamek($this ->dny);

$pravoSchvaleni1 = Prava::vratPrava('kapac_schval_poc1');
$pravoSchvaleni2 = Prava::vratPrava('kapac_schval_poc2');
$pravoSchvaleni3 = Prava::vratPrava('kapac_schval_poc3');

?>
<?php if ($this ->editace) { ?>
    <h2><?= TextManager::_('Minimalni_pocty_osob') ?></h2>

    <div class="form middle-form">
        <div class="form-content">
            <div class="row">
                <div class="col col-4 caption"><?= TextManager::_('Obdobi') ?></div>
                <div class="col col-8"><strong><?= StringUtils::htmlTextConvert($this ->obdobi ->popis) ?></strong></div>
            </div>
            <div class="row">
                <div class="col col-4 caption"><?= $typRozdeleni ? StringUtils::htmlTextConvert($typRozdeleni ->popis) : '' ?></div>
                <div class="col col-8"><strong><?= StringUtils::htmlTextConvert($this ->rozdeleni ->popis) ?></strong></div>
            </div>
        </div>
    </div>
<?php } ?>

<?php MessageManager::getInstance() ->showMessages();  // bylo zapoznamkovano, ale musi tu byt - jinak se nezobrazuji napriklad chyby zapisu do databaze ?>

<form method="post">
    <?php if ($this ->editace) { ?>
        <input type="hidden" name="editacepodminek" value="1" />
        <input type="hidden" name="obdobi" value="<?= DateUtils::dateToUrlString($this ->obdobi ->zacatek) ?>" />
        <input type="hidden" name="rozdeleni" value="<?= StringUtils::htmlTextConvert($this ->rozdeleni ->kod) ?>" />
    <?php } ?>
    <table class="podminkyPlanovaniForm browser vertical-grid align-center oddEvenRows keyInputMove input-grid-form">
        <thead>
            <tr>
                <th class="last-section-col"></th>
                <?php foreach ($this ->dny as $den) { ?>
                    <th class="<?= $den ->getHtmlClass() ?>"><?= $den ->getHeaderHtml() ?></th>
                <?php } ?>
            </tr>
        </thead>
        <?php if ($pocetRadkuPoznamek) { ?>
        <tbody class="planovani_poznamky">
            <?php for($radek = 0;  $radek < $pocetRadkuPoznamek;  $radek++) { ?>
                <tr class="poznamky-ke-dni<?= $radek === $pocetRadkuPoznamek - 1 ? ' last-section-row' : '' ?>">
                    <td class="last-section-col"></td>
                    <?= PlanovaniKapacit_Den::getPoznamkyHtml($this ->dny, $radek) ?>
                </tr>
            <?php } ?>
        </tbody>
        <?php } ?>

        <?php if ($this ->schvaleni ->jeSchvaleni()) { ?>
        <tbody id="schvaleniPodminekPlanovani">
            <tr class="schvaleni">
                <td class="last-section-col"></td>
                <?php foreach ($this ->dny as $den) { ?>
                    <td class="schvaleni_podminek <?= $this ->schvaleni ->getHtmlClass($den ->datum) ?>"></td>
                <?php } ?>
            </tr>
        </tbody>
        <?php } ?>

        <tbody>
            <?php foreach($this ->radky as $radek) { ?>
                <tr>
                    <td class="last-section-col"><?= $radek ->getHtmlPopis() ?></td>

                    <?php foreach ($this ->dny as $index => $den) { ?>
                        <td class="<?= $den ->getHtmlClass() ?> <?= $radek ->data[$index] ->getHtmlClass() ?>" title="<?= StringUtils::htmlTextConvert($radek ->data[$index] ->getHtmlTitle()) ?>">
                            <?php if ($this ->editace  &&  $den ->lzeEditovat  &&  $radek ->data[$index] ->lzeEditovat == 1) { ?>
                                <input name="<?= $radek ->data[$index] ->inputName ?>"
                                    value="<?= StringUtils::htmlTextConvert($radek ->data[$index] ->hodnotaStr) ?>" size="3" <?=
                                    MessageManager::getInstance() ->getClassHtml($radek ->data[$index] ->inputName) ?> <?=
                                    MessageManager::getInstance() ->getTitleHtml($radek ->data[$index] ->inputName) ?> />
                            <?php } else { ?>
                                <?= StringUtils::htmlTextConvert($radek ->data[$index] ->hodnotaStr) ?>
                            <?php } ?>
                        </td>
                    <?php } ?>
                </tr>
            <?php } ?>
        </tbody>
    </table>

    <?php if ($this ->editace) { ?>
    <div class="buttons">
        <input type="submit" class="submitbutton" value="<?= TextManager::_('Zapsat') ?>" />
        <input type="submit" name="cancel" class="button" value="<?= TextManager::_('Cancel') ?>" data-ron-confirm-text="<?= TextManager::_('Opravdu_zavrit_editaci_podminek') ?>"/>
    </div>
    <?php } ?>
</form>


<?php if (!$this ->editace) { ?>
<div class="buttons">
    <form method="get">
        <input type="hidden" name="menuid" value="podminkyplanovani" />
        <input type="hidden" name="obdobi" value="<?= DateUtils::dateToUrlString($this ->obdobi ->zacatek) ?>" />
        <input type="hidden" name="rozdeleni" value="<?= StringUtils::htmlTextConvert($this ->rozdeleni ->kod) ?>" />
        <input type="hidden" name="action" id="podminky-action-input" value="editace" />

        <?php if ($this ->pravoEditovat  &&  $this ->dny[count($this ->dny) - 1] ->lzeEditovat) { ?>
            <input type="submit" class="button" value="<?= TextManager::_('Editovat') ?>"/>
        <?php } ?>

        <?php if ($pravoSchvaleni1 ->jePravoNaRozdeleni($this ->rozdeleni ->typ, $this ->rozdeleni ->kod, $this ->obdobi ->konec, $this ->obdobi ->konec)) { ?>
            <?php if ($this ->schvaleni ->schvaleni1 < $this ->obdobi ->konec) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Schvalit_podminky_1') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_schvalit_podminky_1') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="schvalit1"/>
            <?php } ?>
            <?php if (!$pravoSchvaleni1 ->priznak && $this ->schvaleni ->schvaleni1) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Odschvalit_podminky_1') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_odschvalit_podminky_1') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="zrusitschvaleni1"/>
            <?php } ?>
        <?php } ?>

        <?php if ($pravoSchvaleni2 ->jePravoNaRozdeleni($this ->rozdeleni ->typ, $this ->rozdeleni ->kod, $this ->obdobi ->konec, $this ->obdobi ->konec)) { ?>
            <?php if ($this ->schvaleni ->schvaleni2 < $this ->obdobi ->konec) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Schvalit_podminky_2') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_schvalit_podminky_2') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="schvalit2"/>
            <?php } ?>
            <?php if (!$pravoSchvaleni2 ->priznak && $this ->schvaleni ->schvaleni2) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Odschvalit_podminky_2') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_odschvalit_podminky_2') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="zrusitschvaleni2"/>
            <?php } ?>
        <?php } ?>

        <?php if ($pravoSchvaleni3 ->jePravoNaRozdeleni($this ->rozdeleni ->typ, $this ->rozdeleni ->kod, $this ->obdobi ->konec, $this ->obdobi ->konec)) { ?>
            <?php if ($this ->schvaleni ->schvaleni3 < $this ->obdobi ->konec) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Schvalit_podminky_3') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_schvalit_podminky_3') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="schvalit3"/>
            <?php } ?>
            <?php if (!$pravoSchvaleni3 ->priznak && $this ->schvaleni ->schvaleni3) { ?>
                <input type="button" class="button actionButton" value="<?= TextManager::_('Odschvalit_podminky_3') ?>"
                        data-ron-confirm-text="<?= TextManager::_('Opravdu_odschvalit_podminky_3') ?>"
                        data-input-selector="#podminky-action-input" data-new-value="zrusitschvaleni3"/>
            <?php } ?>
        <?php } ?>
    </form>
</div>
<?php } ?>
