<?php

namespace RonPortal\Mzdy;

use Ron\DB\Database;
use Ron\DB\SqlStatement;
use Ron\Http\Csrf;
use RonPortal\Dokumenty\DokumentyBrowser;
use RonPortal\PracovniPomer;
use function Ron\ronText;

class DokumentyVyuctovaniBrowser extends DokumentyBrowser
{
    public $povinnyDokument;
    public $formular;

    private $existujeDokument;

    /**
     * DokumentyProhlaseniBrowser constructor.
     * @param Database $database
     * @param int $rok
     * @param PracovniPomer $pp
     * @param int $typDokumentu
     * @param bool $editovat
     * @param bool $povinny
     */
    function __construct($database, $rok, $pp, $typDokumentu, $editovat, $povinny, $formular)
    {
        parent::__construct($database,
            "?menuid=dane&action=dokumentdownload&osoba=$pp->idPP&rok=$rok",
            $editovat ? 1 : 0, "?menuid=dane&action=dokumentdelete&backurl=$formular&osoba=$pp->idPP&rok=$rok" . Csrf::csrfUrlParameter('dokumentdane_' . $pp->idPP));

        $this->sqlFromPart = 'Dokument, TypDokumentu, DokumentyOsoby';

        $this->povinnyDokument = $povinny;
        $this->formular = $formular;

        $this->showMessages = false;

        $this->loadDataToArray = true;

        $params = $database ->createParameters();
        $this->sqlWherePart = new SqlStatement(
            'Dokument.Id = DokumentyOsoby.Id ' .
            ' AND TypDokumentu.Kod = Dokument.Typ ' .
            " AND {fn_YEAR(DokumentyOsoby.VyuctovaniDane_Rok)} = " . $params->addParameter($rok) .
            " AND DokumentyOsoby.VyuctovaniDane_RC = " . $params->addParameter($pp->rc) .
            " AND Dokument.Typ = " . $params->addParameter($typDokumentu),
            $params);
    }

    public function load($sqlFilter = '')
    {
        parent::load($sqlFilter);

        $this->existujeDokument = $this->cursor->numRows() > 0;
    }


    function renderData()
    {
        if (!$this->existujeDokument) {
            if ($this->povinnyDokument) {
                if ($this->formular == 'formularprohlaseni') {
                    $text = ronText('Prohlaseni_povinny_dokument_sekce');
                } else {
                    $text = ronText('zadost_povinny_dokument_sekce');
                }
                echo "<tr><td class='align-center warning font-weight-bold' colspan='" . count($this->fields) . "'>$text</td></tr>";
            }
        } else {
            parent::renderData();
        }
    }

}
