<?php

namespace RonPortal\Mzdy;

use Ron\DB\Database;

class NastaveniOdpoctu
{
    public $maxSkolkovne;
    public $maxDary;
    public $maxUvery;
    public $maxPenzijniSporeni;
    public $maxZivotniPojisteni;
    public $maxOdboryPrispevky;
    public $maxZkouskyVzdelavani;

    /**
     * @param Database $database
     * @param int $rok
     * @throws \Ron\DB\DBException
     */
    public static function nactiNastaveni($database, $rok)
    {
        $params = $database->createParameters();
        $sql =
            "SELECT Skolkovne, MaxVyseDaruProcenta, MaxVyseUrokuZUveru, MaxOdpocetZaPenzijniPrip, MaxVyseZivotnohoPojisteni, MaxPrispevkyOdborumCastka, UhradaZaZkousky " . // 0 - 6
            "FROM Nast_Odpocty " .
            "WHERE PlatnostOd <= " . $params->addDateParameter($rok) .
            "  AND (PlatnostDo >= " . $params->addDateParameter($rok) . " OR PlatnostDo IS NULL)";

        $cursor = $database->getSqlResult($sql, $params);

        $row = $cursor->fetch();

        $nastaveni = null;
        if ($row) {
            $nastaveni = new static();
            $nastaveni->maxSkolkovne = $row[0];
            $nastaveni->maxDary = $row[1];
            $nastaveni->maxUvery = $row[2];
            $nastaveni->maxPenzijniSporeni = $row[3];
            $nastaveni->maxZivotniPojisteni = $row[4];
            $nastaveni->maxOdboryPrispevky = $row[5];
            $nastaveni->maxZkouskyVzdelavani = $row[6];
        }

        return $nastaveni;
    }
}