<?php
/**
 * pavel.rudol, 21.08.2023 13:17
 */

use Ron\Http\Csrf;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Mzdy\VyuctovaniDaneForm;

$model = Model::getInstance();

/** @var VyuctovaniDaneForm $rocniVyuctovaniForm */
$rocniVyuctovaniForm = $model->getData('rocnivyuctovaniform');

$rok = date('Y', $rocniVyuctovaniForm->rok->value);
$textProhlaseniNerezidenta = $model->getData('prohlaseni_nerezident');

MessageManager::getInstance()->showMessages();
?>

<form method="post" id="formularProhlaseni" enctype="multipart/form-data" name="formularProhlaseni" action="?menuid=dane&action=prohlaseninerezidenta">
    <input type="hidden" name="obdobi" value="<?= $rok ?>">
    <input type="hidden" name="osoba" value="<?= $rocniVyuctovaniForm->pracovniPomer->idPP ?>">
    <?= Csrf::csrfHiddenInput('prohlaseni_' . $rocniVyuctovaniForm->pracovniPomer->idPP)?>

    <div class='form large-form'>
        <div class="form-content">

            <div class="row">
                <h3><?= TextManager::_('Prohlaseni_nerezident_cestne_prohlaseni'); ?></h3>
            </div>
            <div class="row">
                <?= StringUtils::htmlTextConvert($textProhlaseniNerezidenta) ?>
            </div>
        </div>
        <div class="buttons">
            <input type="button" class="button clickHref" data-ron-href="?menuid=dane&osoba=<?= $rocniVyuctovaniForm->pracovniPomer->idPP ?>" value="<?= TextManager::_('zpet')?>">
            <button type="submit" class="button" name="souhlas" value="1"><?= TextManager::_('potvrzuji_podpis')?></button>
            <button type="submit" class="button" name="jineprijmy" value="1"><?= TextManager::_('mam_jine_prijmy')?></button>
        </div>
    </div>
</form>