<?php


namespace RonPortal\Sklad;

use Exception;
use Ron\DB\Database;
use Ron\DB\DBException;
use RonPortal\Dokumenty\DokumentOutputObject;
use RonPortal\Dokumenty\DokumentyBrowser;
use RonPortal\RonPortalUtils;

class DokumentyFirmyBrowser extends DokumentyBrowser
{
    public $kodFirmy;

    function __construct($database, $kodFirmy) {
        parent::__construct($database, "?menuid=firma&action=download&firma=$kodFirmy");

        $this ->kodFirmy = $kodFirmy;

        $this->sqlFromPart = 'Dokument JOIN TypDokumentu ON (TypDokumentu.Kod = Dokument.Typ) JOIN DokumentFirmy ON (Dokument.Id = DokumentFirmy.Id)';
        $this->sqlWherePart =
            " DokumentFirmy.kodFirmy = '" . $this->database->addSlashes($kodFirmy) . "'";

        $this->showMessages = false;
        $this->title = null;
        $this->tableId = "DokumentyFirmy";
    }


    /**
     * @param Database $database
     * @param int $kodFirmy
     * @throws Exception
     */
    static function zobrazDokumenty($database, $kodFirmy)
    {
        echo '<div class="row" id="DokumentyFirmyView">';
        echo    "<div class='col-12'>";
        echo    "<A id='dokumenty'></A>\n";

        // Seznam dokumentu
        $b = new DokumentyFirmyBrowser($database, $kodFirmy);
        $b ->load();
        $b ->render();

        echo    "</div>";
        echo "</div>";
    }

    /**
     * @param Database $database
     * @param int $kodFirmy
     * @param int $idDokumentu
     * @return DokumentOutputObject
     * @throws Exception
     */
    static function downloadDokument($database, $kodFirmy, $idDokumentu)
    {
        $params = $database->createParameters();
        $sql =
            'SELECT TypDokumentu.Verejny ' .
            '  FROM Dokument JOIN DokumentFirmy ON (Dokument.Id = DokumentFirmy.Id) JOIN Firma ON (Firma.kodFirmy = DokumentFirmy.kodFirmy)' .
            '   JOIN TypDokumentu ON (TypDokumentu.Kod = Dokument.Typ) '.
            ' WHERE DokumentFirmy.kodFirmy = ' . $params->addParameter($kodFirmy) .
            '   AND DokumentFirmy.Id = ' . $params->addParameter($idDokumentu);

        if (!$cursor = $database ->select($sql, $params)) {
            throw new DBException($database, $sql);
        }

        if (!$row = $cursor ->fetch()) {
            throw new Exception('Pozadovany dokument firmy nebyl nalezen!');
        }

        // typ dokumentu musi byt verejny
        if (!$row[0])
            RonPortalUtils::neniPravoException();

        return new DokumentOutputObject($database, $idDokumentu);
    }
}
