<?php
/**
 * stanislav.elbl, 06.07.2022 9:47
 */

namespace RonPortal\Skoleni;

use Ron\Controls\ComboBox;
use Ron\DB\Database;
use Ron\DB\DBException;
use Ron\TextManager;
use RonPortal\Controls\FilterFormFilter;
use RonPortal\Controls\RonPortalFilterForm;


class CisloSkoleniFilter extends FilterFormFilter
{
    /** @var FilterFormFilter */
    public $typSkoleniFilter;

    public function __construct($sql, $emptyRowStr, $optionsFilter)
    {
        parent::__construct('cisloskoleni', FilterFormFilter::TYPE_COMBOBOXES);

        $this
            ->setCaption(TextManager::_('pouze_kod_kurzu'))
            ->setRowId('filterrow_cislo_skoleni')
            ->setAddClass('ronselect')
            ->setHtmlAttributes(
                [
                    'id' => 'cisloSkoleni',
                    'data-ron-select2' => '#cisloSkoleni_kod',
                    'data-ron-autosubmit' => '1'
                ])
            ->setHtmlAttributes2(
                [
                    'id' => 'cisloSkoleni_kod',
                    'data-ron-select2' => '#cisloSkoleni',
                    'data-ron-autosubmit' => '1'
                ]
            )
            ->setOptionsSql($sql, $optionsFilter, 'Popis')
            ->setOptionsSqlOrder2('CisloSkoleni')
        ;

        if ($emptyRowStr) {
            $this
                ->addItem('', $emptyRowStr)
                ->addItem2('', $emptyRowStr);
        }
    }
}


class SkoleniFilterForm extends RonPortalFilterForm
{
//    /** @var string */
//    public $druhSkoleni;

//    /** @var string */
//    public $kategorieSkoleni;

    /** @var string */
    public $cisloSkoleni;

//    /** @var string */
//    public $specifikaceKurzu;


//    function loadDruhSkoleni()
//    {
//        if (isset($_GET['druhskoleni'])) {
//            $this->druhSkoleni = $_GET['druhskoleni'];
//            if (trim($this->druhSkoleni) === '') {
//                $this->druhSkoleni = null;
//            }
//
//            $_SESSION['druhSkoleniAKurzu'] = $this->druhSkoleni;
//        } else {
//            $this->druhSkoleni = $_SESSION['druhSkoleniAKurzu'] ?? null;
//        }
//    }


//    function loadKategorieSkoleni()
//    {
//        if (isset($_GET['kategorie'])) {
//            $this ->kategorieSkoleni = $_GET['kategorie'];
//            if (trim($this ->kategorieSkoleni === '')) {
//                $this ->kategorieSkoleni = null;
//            }
//            $_SESSION['kategorieSkoleni'] = $this ->kategorieSkoleni;
//        } else {
//            $this ->kategorieSkoleni = $_SESSION['kategorieSkoleni'] ?? null;
//        }
//    }


//    function loadCisloSkoleni($sessionVarName = 'filtrCisloSkoleni')
//    {
//        if (isset($_GET['cisloskoleni'])) {    // puvodne kodKurzu
//            $this->cisloSkoleni = $_GET['cisloskoleni'];
//            if (trim($this->cisloSkoleni === '')) {
//                $this->cisloSkoleni = null;
//            }
//            $_SESSION[$sessionVarName] = $this->cisloSkoleni;
//        } else {
//            $this->cisloSkoleni = $_SESSION[$sessionVarName] ?? null;
//        }
//    }


//    function loadSpecifikaceKurzu($sessionVarName = 'filtrSpecifikaceKurzu')
//    {
//        if (isset( $_GET['specifikace'])) {
//            $this->specifikaceKurzu = $_GET['specifikace'];
//            if (trim($this->specifikaceKurzu === '')) {
//                $this->specifikaceKurzu = null;
//            }
//            $_SESSION[$sessionVarName] = $this->specifikaceKurzu;
//        } else {
//            $this ->specifikaceKurzu = $_SESSION[$sessionVarName] ?? null;
//        }
//    }


//    /**
//     * @throws DBException
//     */
//    function renderDruhSkoleni()
//    {
//        echo '<div class="filterrow" id="filterrow_druh_skoleni">';
//
//        echo
//            '<span class="filtercaption">' .
//            TextManager::_('typ_skoleni') .
//            '</span>';
//
//        $sql =
//            'SELECT Kod, Popis FROM DruhSkoleni' .
//            ' WHERE Aktivni = 1';
//
//        $combo = new ComboBox('druhskoleni');
//        $combo->className = 'ronselect';
//        $combo->htmlParams = [
//            'id' => 'druhSkoleni',
//            'data-ron-select2' => '#druhskoleni_kod',
//            'data-ronselect-class' => 'ronselect adsfilterforminput_popis',
//            'data-columns' => 'text;value',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo->emptyRow = TextManager::_('_vse_');
//        $combo->showCode = true;
//        $combo->loadData($this->database,
//            $sql . ' ORDER BY Popis',
//            $this->druhSkoleni);
//        $combo->render();
//
//        $combo2 = new ComboBox('');
//        $combo2->className = 'ronselect';
//        $combo2->htmlParams = [
//            'id' => 'druhSkoleni_kod',
//            'data-ron-select2' => '#druhSkoleni',
//            'data-ronselect-class' => 'ronselect adsfilterforminput_kod',
//            'data-columns' => 'value;popis',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo2->captionIndex = 0;
//        $combo2->keyIndex = 0;
//        $combo2->emptyRow = TextManager::_('_vse_');
//        $combo2->setAttrIndexes(['data-popis' => 1]);
//        $combo2->loadData($this->database,
//            $sql . ' ORDER BY Kod',
//            $this->druhSkoleni);
//        $combo2->render();
//
//        echo '</div>';
//    }


//    /**
//     * @throws DBException
//     */
//    public function renderKategorieSkoleni()
//    {
//        echo '<div class="filterrow" id="filterrow_kategorie_skoleni">';
//
//        echo
//            '<span class="filtercaption">' .
//            TextManager::_('Skoleni_kategorie_filtr') .
//            '</span>';
//
//        $params = $this->database->createParameters();
//        $sql =
//            'SELECT Kod, Popis FROM KategorieSkoleni ORDER BY Popis';
//
//        $combo = new ComboBox('kategorie');
//        $combo->emptyRow = TextManager::_('_vse_');
//
//        $combo->className = 'form-input adsfilterforminput_full ronselect';
//        $combo->htmlParams = [
//            'data-ronselect-class' => 'ronselect adsfilterforminput_full',
//            'data-ron-autosubmit' => '1',
//            'data-columns' => 'text'
//        ];
//        $combo->loadData($this ->database, $sql, $this ->kategorieSkoleni, $params);
//        $combo->render();
//
//        echo "</div>";
//    }


//    protected function renderFilterCisloSkoleni($sql, $params, $emptyRow)
//    {
//        echo '<div class="filterrow" id="filterrow_cislo_skoleni">';
//        echo
//            '<span class="filtercaption">' .
//            \Ron\ronText('pouze_kod_kurzu') .
//            '</span>';
//
//        $combo = new ComboBox('cisloskoleni');
//        $combo->className = 'adsfilterforminput_popis';
//        $combo->showCode = true;
//        $combo->emptyRow = $emptyRow; // TextManager::_('_vse_');
//        $combo->htmlParams = [
//            'id' => 'cisloSkoleni',
//            'data-ron-select2' => '#cisloSkoleni_kod',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo->loadData($this->database,
//            $sql . ' ORDER BY Popis',
//            $this->cisloSkoleni,
//            $params);
//        $combo->render();
//
//        $combo = new ComboBox('');
//        $combo->className = 'adsfilterforminput_kod';
//        $combo->emptyRow = $emptyRow; // TextManager::_('_vse_');
//        $combo->htmlParams = [
//            'id' => 'cisloSkoleni_kod',
//            'data-ron-select2' => '#cisloSkoleni',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo->keyIndex = 0;
//        $combo->captionIndex = 0;
//        $combo->loadData($this->database,
//            $sql . ' ORDER BY CisloSkoleni',
//            $this->cisloSkoleni,
//            $params);
//        $combo->render();
//
//        echo '</div>';
//    }



//    /**
//     * @throws DBException
//     * @deprecated
//     */
//    public function renderSpecifikaceKurzu()
//    {
//        echo '<div class="filterrow" id="filterrow_specifikace_kurzu">';
//
//        echo
//            '<span class="filtercaption">' .
//            TextManager::_('Skoleni_specifikace_filtr') .
//            '</span>';
//
//        $params = $this->database->createParameters();
//        $sql =
//            "SELECT Kod, Popis FROM SpecifikaceKurzu ORDER BY Popis";
//
//        $combo = new ComboBox('specifikace');
//        $combo->emptyRow = TextManager::_('_vse_');
//
//        $combo->className = 'form-input adsfilterforminput_full ronselect';
//        $combo->htmlParams = [
//            'data-ronselect-class' => 'adsfilterforminput_full',
//            'data-ron-autosubmit' => '1',
//            'data-columns' => 'text'
//        ];
//        $combo->loadData($this ->database, $sql, $this ->specifikaceKurzu, $params);
//        $combo->render();
//
//        echo "</div>";
//    }


    function addSpecifikaceFilter()
    {
        $filtrSpecifikace = new FilterFormFilter('specifikace', FilterFormFilter::TYPE_OPTIONS);
        $filtrSpecifikace
            ->setSessionName('filtrSpecifikaceKurzu')
            ->setRowId('filterrow_specifikace_kurzu')
            ->setCaption(TextManager::_('Skoleni_specifikace_filtr'))
            ->setAddClass('ronselect')
            ->addItem('', TextManager::_('_vse_'))
            ->setOptionsSql(
                'SELECT Kod, Popis FROM SpecifikaceKurzu WHERE %FILTER% ORDER BY %ORDER%',
                '1 = 1',
                'Popis');

        $this->addFilter($filtrSpecifikace);
    }


    function addKategorieFilter()
    {
        $filtrKategorie = new FilterFormFilter('kategorie', FilterFormFilter::TYPE_OPTIONS);
        $filtrKategorie
            ->setSessionName('filtrKategorieSkoleni')
            ->setRowId('filterrow_kategorie_skoleni')
            ->setCaption(TextManager::_('Skoleni_kategorie_filtr'))
            ->setAddClass('ronselect')
            ->addItem('', TextManager::_('_vse_'))
            ->setOptionsSql(
                'SELECT Kod, Popis FROM KategorieSkoleni WHERE %FILTER% ORDER BY %ORDER%',
                '1 = 1',
                'Popis');

        $this->addFilter($filtrKategorie);
    }

    function addDruhSkoleniFilter()
    {
        $filtrDruh = new FilterFormFilter('druhskoleni', FilterFormFilter::TYPE_COMBOBOXES);
        $filtrDruh
            ->setSessionName('filtrDruhSkoleniAKurzu')
            ->setRowId('filterrow_druh_skoleni')
            ->setCaption(TextManager::_('typ_skoleni'))
            ->setAddClass('ronselect')
            ->addItem('', TextManager::_('_vse_'))
            ->addItem2('', TextManager::_('_vse_'))
            ->setOptionsSql(
                'SELECT Kod, Popis FROM DruhSkoleni WHERE Aktivni = 1 AND (%FILTER%) ORDER BY %ORDER%',
                '1 = 1',
                'Popis')
            ->setOptionsSqlOrder2('Kod')
            ->setHtmlAttributes(
                [
                    'id' => 'druhSkoleni',
                    'data-ron-select2' => '#druhSkoleni_kod',
                    'data-ronselect-class' => 'ronselect adsfilterforminput_popis',
                    'data-columns' => 'text;value',
                    'data-ron-autosubmit' => '1'
                ])
            ->setAttrIndexes2(['data-popis' => 1])
            ->setHtmlAttributes2(
                [
                    'id' => 'druhSkoleni_kod',
                    'data-ron-select2' => '#druhSkoleni',
                    'data-ronselect-class' => 'ronselect adsfilterforminput_kod',
                    'data-columns' => 'value;popis',
                    'data-ron-autosubmit' => '1',
                    'data-drop-down-align' => 'right'
                ])
            ;

        $this ->addFilter($filtrDruh);
    }


    public function addCisloSkoleniFilter($sql, $emptyRowStr, $optionsFilter = '1 = 1')
    {
        $filtrCisloSkoleni = new CisloSkoleniFilter($sql, $emptyRowStr, $optionsFilter);
        $this ->addFilter($filtrCisloSkoleni);

        return $filtrCisloSkoleni;
    }


//    /**
//     * @throws DBException
//     */
//    public function renderPouzeCisloSkoleni($tableName, $filter, $params)
//    {
//        echo '<div class="filterrow" id="filterrow_cislo_skoleni">';
//        echo
//            '<span class="filtercaption">' .
//            \Ron\ronText('pouze_kod_kurzu') .
//            '</span>';
//
//        $params = $this->database->createParameters();
//        $sql =
//            'SELECT DISTINCT CisloSkoleni, Popis' .
//            ' FROM PlanovaneSkoleni' .
//            ' WHERE Stav <> 2' .
//            ($this ->druhSkoleni
//                ? ' AND DruhSkoleni = ' . $params ->addParameter($this ->druhSkoleni)
//                : ''
//            );
//
//        $combo = new ComboBox('cisloskoleni');
//        $combo->className = 'adsfilterforminput_popis';
//        $combo->showCode = true;
//        $combo->emptyRow = TextManager::_('_vse_');
//        $combo->htmlParams = [
//            'id' => 'cisloSkoleni',
//            'data-ron-select2' => '#cisloSkoleni_kod',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo->loadData($this->database,
//            $sql . ' ORDER BY Popis',
//            $this ->cisloSkoleni,
//            $params);
//        $combo->render();
//
//        $combo = new ComboBox('');
//        $combo->className = 'adsfilterforminput_kod';
//        $combo->emptyRow = TextManager::_('_vse_');
//        $combo->htmlParams = [
//            'id' => 'cisloSkoleni_kod',
//            'data-ron-select2' => '#cisloSkoleni',
//            'data-ron-autosubmit' => '1'
//        ];
//        $combo->keyIndex = 0;
//        $combo->captionIndex = 0;
//        $combo->loadData($this->database,
//            $sql . ' ORDER BY CisloSkoleni',
//            $this->druhSkoleni,
//            $params);
//        $combo->render();
//
//        echo '</div>';
//    }

}
