<?php
/**
 * stanislav.elbl, 4.10.2014
 */

namespace RonPortal\SluzebniCesty;

use Ron\Http\Csrf;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;

/** @var $this SluzebniCestaView */

/** @var $sluzebniCesta SluzebniCesta */
$sluzebniCesta = $this ->sluzebniCesta;

/** @var $vraceni bool */
$vraceni = Model::getInstance() ->getData('vraceni');

$zacatekStr = RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_ZACATEK_NEMENIT) ? '' : StringUtils::htmlTextConvert($sluzebniCesta ->mistoZacatkuPopis);
if ($zacatekStr && $sluzebniCesta ->popisZacatku) {
    $zacatekStr = '<span class="kod-mista-sc">' . $zacatekStr . ' - ' . '</span>';
}
$zacatekStr .= StringUtils::htmlTextConvert($sluzebniCesta ->popisZacatku);

$cilStr = StringUtils::htmlTextConvert($sluzebniCesta ->cilPopis);
if ($cilStr && $sluzebniCesta ->popisCile) {
    $cilStr = '<span class="kod-mista-sc">' . $cilStr . ' - ' . '</span>';
}
$cilStr .= StringUtils::htmlTextConvert($sluzebniCesta ->popisCile);

// zauctovani
$lzeZauctovat = $sluzebniCesta ->jePravoNaSluzebniCestu('slcesty_zauct');
// moznost editovat hlavicku
$lzeEditovatHlavicku = $sluzebniCesta ->lzeEditovatHlavicku();

// schvaleno nadrizenym
//$pravaNadrizeny = Prava::vratPrava('slcesty_nadriz');
//$jeNadrizeny = $sluzebniCesta ->f_PP ->lzeZobrazitPP($pravaNadrizeny, $sluzebniCesta ->datumCasOd, $sluzebniCesta ->datumCasDo);

//$pravaNadrizeny2 = Prava::vratPrava('slcesty_nadriz2');
//$jeNadrizeny2 = $sluzebniCesta ->f_PP ->lzeZobrazitPP($pravaNadrizeny2, $sluzebniCesta ->datumCasOd, $sluzebniCesta ->datumCasDo);

$pravaSpolucestujici = Prava::vratPrava('slcesty_spolu', $this ->sluzebniCesta ->zahranicni ? 'slcesty_spolu_Z' : null);

$muzeSchvalovatZamestnancem = SluzebniCestyUtils::lzeSchvalitZamestnancem($sluzebniCesta ->f_PP ->rc,
    $sluzebniCesta ->f_PP ->idPP, $sluzebniCesta ->zahranicni, $sluzebniCesta ->datumCasOd, $sluzebniCesta ->datumCasDo);

?>
<h1><?= TextManager::_('Sluzebni_cesta') ?> <span id='cisloSC'><?= $sluzebniCesta ->id ?></span></h1>
<?= TextManager::_('SC_View_info') ?>

<?php MessageManager::getInstance() ->showMessages(); ?>

<div class="form middle-form<?= $sluzebniCesta ->zahranicni ? ' zahranicniSC' : '' ?>" id="hlavickasluzebnicesty">
    <div class="form-content sluzebnicestaformular<?= $sluzebniCesta ->zahranicni ? ' zahranicniSC' : '' ?><?= $sluzebniCesta ->pozadovanaZaloha ? ' pozadovanazalohaSC' : '' ?>" id="sluzebnicestatable">
        <!-- zahranicni -->
        <?php if ($sluzebniCesta ->zahranicni) {?>
        <div class="row" id="hlavickasc_zahranicni">
            <div class="col col-12 align-right"><?= TextManager::_('Zahranicni') ?></div>
        </div>
        <?php } ?>

        <div class="row" id="hlavickasc_osoba">
            <div class="col col-3 d-xs-none"></div>
            <div class="col col-12 col-sm-9">
                <strong><?= $sluzebniCesta ->f_PP ->jmenoPrijmeni ?></strong><span id="hlavickasc_osobni_cislo">, <?= TextManager::_('Osobni_cislo') . ' ' . StringUtils::htmlTextConvert($sluzebniCesta ->f_PP ->osobniCislo) ?></span>
            </div>
        </div>

        <?php if (!$this ->vychoziStatOsoby ||  ($sluzebniCesta ->f_stat != $this ->vychoziStatOsoby) ) { ?>
            <div class="row" id="hlavickasc_stat">
                <div class="col col-3 d-xs-none"></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert(TextManager::_('db_stat_popis_' . $sluzebniCesta ->f_stat, $this ->nazevStatu)) ?></div>
            </div>
        <?php } ?>

        <div class="row" id="hlavickasc_datum">
            <div class="col col-3 d-xs-none caption"><?= TextManager::_('Date') ?></div>
            <div class="col col-12 col-sm-9"><?= date('j.n.Y G:i', $sluzebniCesta ->datumCasOd) . ' - ' . date('j.n.Y G:i', $sluzebniCesta ->datumCasDo) ?></div>
        </div>

        <?php if ($zacatekStr) { ?>
            <div class="row" id="hlavickasc_zacatek">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Misto_zacatku') ?></div>
                <div class="col col-12 col-sm-9"><?= $zacatekStr ?></div>
            </div>
        <?php } ?>


        <?php if ($cilStr) { ?>
            <div class="row"  id="hlavickasc_cil">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Cil_sc') ?></div>
                <div class="col col-12 col-sm-9"><?= $cilStr ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->pres) { ?>
            <div class="row" id="hlavickasc_pres">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Pres') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->pres) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->cilovyStat) { ?>
            <div class="row" id="hlavickasc_cilovystat">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Cilovy_stat') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->cilovyStatPopis) ?></div>
            </div>

        <?php } ?>

        <?php if ( RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_TYP_ROZDELENI)  &&  $sluzebniCesta ->rozdeleni) {
            $rozdeleni_text = TextManager::_('Rozdeleni_sc');
            if (!$rozdeleni_text  &&  $this ->typRozdeleni) {
                $rozdeleni_text = $this ->typRozdeleni ->popis;
            }
            ?>
            <div class="row" id="hlavickasc_rozdeleni">
                <div class="col col-12 col-sm-3 caption"><?= StringUtils::htmlTextConvert($rozdeleni_text) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($this ->rozdeleni ->kod . ' - ' . $this ->rozdeleni ->popis) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->ucelPopis) { ?>
            <div class="row" id="hlavickasc_ucel">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Ucel_sc') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert(TextManager::_('db_ucelsluzebnicesty_popis_' . $sluzebniCesta ->ucel, $sluzebniCesta ->ucelPopis)) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->dopravniProstredek) { ?>
            <div class="row" id="hlavickasc_dopravniprostredek">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Dopravni_prostredek') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert(TextManager::_('db_dopravniprostredek_popis_' . $sluzebniCesta ->dopravniProstredek, $sluzebniCesta ->popisDopravnihoProstredku ?: $sluzebniCesta ->dopravniProstredek)) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->registracniZnacka) { ?>
            <div class="row" id="hlavickasc_vozidlo">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Vozidlo') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->registracniZnacka) ?> - <?= StringUtils::htmlTextConvert($sluzebniCesta ->popisVozidla) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->popis) { ?>
            <div class="row" id="hlavickasc_popis">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Popis_sc') ?></div>
                <div class="col col-12 col-sm-9"><strong><?= StringUtils::htmlTextConvert($sluzebniCesta ->popis) ?></strong></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA1)  &&  $sluzebniCesta ->uzivatelska1) { ?>
            <div class="row" id="hlavickasc_uzivatelska1">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_(RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA1)) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->uzivatelska1) ?></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA2)  &&  $sluzebniCesta ->uzivatelska2) { ?>
            <div class="row" id="hlavickasc_uzivatelska2">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_(RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA2)) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->uzivatelska2) ?></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA3)  &&  $sluzebniCesta ->uzivatelska3) { ?>
            <div class="row" id="hlavickasc_uzivatelska3">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_(RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA3)) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->uzivatelska3) ?></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA4)  &&  $sluzebniCesta ->uzivatelska4) { ?>
            <div class="row" id="hlavickasc_uzivatelska4">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_(RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA4)) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->uzivatelska4) ?></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA5)  &&  $sluzebniCesta ->uzivatelska5) { ?>
            <div class="row" id="hlavickasc_uzivatelska5">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_(RonPortalSettings::getValue(SluzebniCesta::SETTINGS_UZIVATELSKA5)) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($sluzebniCesta ->uzivatelska5) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->poznamka) { ?>
            <div class="row" id="hlavickasc_poznamka">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Poznamka_sc') ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::longTextToHtml($sluzebniCesta ->poznamka, true) ?></div>
            </div>
        <?php } ?>

        <div class="row form-gap"></div>

        <div class="row" id="hlavickasc_zpusobvyuctovani">
            <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Zpusob_vyuctovani_sc') ?></div>
            <div class="col col-12 col-sm-9">
                <?= StringUtils::htmlTextConvert($sluzebniCesta ->vyplatitHotoveStr . ($sluzebniCesta ->menaProVyplaceni ? ', ' . $sluzebniCesta ->menaProVyplaceni : '')) ?>
            </div>
        </div>

        <?php if ($sluzebniCesta ->urceneDenniStravne) { ?>
            <div class="row" id="hlavickasc_dennistravne">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Maximalni_denni_stravne') ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::format('number2', $sluzebniCesta ->urceneDenniStravne) . ' ' . $sluzebniCesta ->urceneDenniStravneMena ?>
                </div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->urceneKapesne) { ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Urcene_kapesne') ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::format('number2', $sluzebniCesta ->urceneKapesne) . ' ' . $sluzebniCesta ->urceneKapesneMena ?>
                </div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->pozadovanaZaloha) { ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Pozadovana_zaloha') ?></div>
                <div class="col col-12 col-sm-9">
                    <?php
                    if ($sluzebniCesta ->pozadovanaZalohaHotovost) {
                        echo TextManager::_('hotove') . ' ' . StringUtils::format('number2', $sluzebniCesta ->pozadovanaZalohaHotovost) . ' ' . $sluzebniCesta ->pozadovanaZalohaHotovostMena;
                    }
                    if ($sluzebniCesta ->pozadovanaZalohaHotovost  &&  $sluzebniCesta ->pozadovanaZalohaUcet) {
                        echo ', ';
                    }
                    if ($sluzebniCesta ->pozadovanaZalohaUcet) {
                        $ucetStr = $sluzebniCesta->cisloUctuProZalohu ?: '';
                        if ($sluzebniCesta->pozadovanaZalohaIBAN) {
                            $ucetStr .= ($ucetStr ? ', ' : '') . TextManager::_('IBAN_pozadovane_zalohy') . ' ' . $sluzebniCesta->pozadovanaZalohaIBAN;
                        }
                        if ($sluzebniCesta->pozadovanaZalohaSWIFT) {
                            $ucetStr .= ($ucetStr ? ', ' : '') . TextManager::_('SWIFT_pozadovane_zalohy') . ' ' . $sluzebniCesta->pozadovanaZalohaSWIFT;
                        }
                        $ucetStr = $ucetStr ? ' (' . $ucetStr . ') ' : '';
                        echo TextManager::_('na_ucet') . ' ' . StringUtils::format('number2', $sluzebniCesta->pozadovanaZalohaUcet) . ' ' . $sluzebniCesta->pozadovanaZalohaUcetMena . $ucetStr;
                    }
                    if (!$sluzebniCesta ->pozadovanaZalohaHotovost  &&  !$sluzebniCesta ->pozadovanaZalohaUcet) {
                        echo TextManager::_('Str_Yes');
                    }
                    ?>
                </div>
            </div>
        <?php } ?>

        <div class="row" id="hlavickasc_vyuctovani">
            <div class="col col-8 col-sm-3 caption"><?= TextManager::_('Sluzebni_cesta_celkem') ?></div>
            <div class="col col-4 col-sm-9 align-xs-right"><strong><?=
                    isset($sluzebniCesta ->vyuctovani)
                        ? StringUtils::format('number2', $sluzebniCesta ->vyuctovani) . ' ' . StringUtils::htmlTextConvert($sluzebniCesta ->menaVyuctovani)
                        : '<span class="errorcolor">' . TextManager::_('Neni_vyuctovano') . '</span>'
                    ?></strong></div>
        </div>

        <?php if ($sluzebniCesta ->datumKurzu) { ?>
            <div class="row" id="hlavickasc_datumkurzu">
                <div class="col col-8 col-sm-3 caption"><?= TextManager::_('Datum_kurzu') ?></div>
                <div class="col col-4 col-sm-9 align-xs-right"><?= date('j.n.Y', $sluzebniCesta ->datumKurzu) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->sazbaKapesneho) { ?>
            <div class="row" id="hlavickasc_sazbakapesneho">
                <div class="col col-9 col-sm-3 caption"><?= TextManager::_('Sazba_kapesneho') ?></div>
                <div class="col col-3 col-sm-9 align-xs-right"><?= StringUtils::htmlTextConvert($sluzebniCesta ->sazbaKapesneho) ?> %</div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_PRENASET_DO_DOCHAZKY, 1) == 1) /*podle volby uzivatele*/ { ?>
            <div class="row" id="hlavickasc_prenosdodochazky">
                <div class="col col-12 col-sm-3 caption"><?= TextManager::_('Prenos_do_dochazky') ?></div>
                <div class="col col-12 col-sm-9"><?php
                    if ($sluzebniCesta ->prenasetDoDochazky) {
                        switch ($sluzebniCesta ->typPrenosuDoDochazky) {
                            case 0 :
                                echo TextManager::_('Prenaset_po_smenach');
                                break;
                            case 1 :
                                echo TextManager::_('Prenaset_podle_rozpisu');
                                break;
                        }
                    } else {
                        echo TextManager::_('Neprenaset_do_dochazky');
                    }
                    ?></div>
            </div>
        <?php } ?>

        <?php if (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_CASY_PODLE_RADKU) == -1  ||  (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_CASY_PODLE_RADKU) != $sluzebniCesta ->pocatekKonecPodleRadku)) { ?>
            <div class="row" id="hlavickasc_casypodleradku">
                <div class="col col-9 col-sm-3 caption"><?= TextManager::_('Casy_podle_radku') ?></div>
                <div class="col col-3 col-sm-9 align-xs-right"><?= TextManager::_($sluzebniCesta ->pocatekKonecPodleRadku ? 'Str_Yes' : 'Str_No') ?></div>
            </div>
        <?php } ?>

        <?php if ( $this ->rozdeleni2 ) {
            // rozdeleni 2 pro tuzemske SC
            $rozdeleni_text = TextManager::_('Rozdeleni_sc_2');
            if (!$rozdeleni_text  &&  $this ->typRozdeleni) {
                $rozdeleni_text = $this ->typRozdeleni2 ->popis;
            }
            ?>
            <div class="row" id="hlavickasc_rozdeleni2">
                <div class="col col-12 col-sm-3 caption"><?= StringUtils::htmlTextConvert($rozdeleni_text) ?></div>
                <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($this ->rozdeleni2 ->kod . ' - ' . $this ->rozdeleni2 ->popis) ?></div>
            </div>
        <?php } ?>

        <?php if ($sluzebniCesta ->lzeEditovat  &&  $lzeEditovatHlavicku) { /* jeste neni nastaveno schvaleni, prava OK, obdobi OK - lze upravit */ ?>
            <div class="row form-gap"></div>
            <!-- link upravit -->
            <div class="row">
                <div class="col col-3"></div>
                <div class="col col-9 align-xs-right"><a href='?menuid=sluzebnicesty&formaction=edit&record=<?= $sluzebniCesta ->id ?>'><?= TextManager::_('Upravit') ?></a></div>
            </div>
        <?php } ?>

        <div class="row form-gap"></div>

        <?php if ( $this->spolucestujici  ||  $pravaSpolucestujici ->jsouNejakePrava() ) { ?>
            <div id="hlavickasc_spolucestujici">

                <div class="row" id="hlavickasc_spolucestujicicaption">
                    <div class="col col-12 form-section">
                        <?= TextManager::_('Spolucestujici') ?>
                    </div>
                </div>

                <?php if ($this->spolucestujici) { ?>
                    <div id="hlavickasc_seznamspolucestujicich">
                        <?php foreach ($this->spolucestujici as $spolucestujici) { ?>
                            <div class="row">
                                <div class="col col-3 d-xs-none"></div>
                                <div class="col col-12 col-sm-3">
                                    <?= $spolucestujici ->jmenoPrijmeni ?>
                                </div>
                                    <?php if ($pravaSpolucestujici ->lzeZobrazitPP($spolucestujici ->idPP)) { ?>
                                        <div class="col col-3 col-sm-2">
                                        <a href="?menuid=sluzebnicesty&action=odstranspolucestujiciho&record=<?= $sluzebniCesta ->id ?>&idpp=<?= $spolucestujici ->idPP ?><?= Csrf::csrfUrlParameter("odstranspolucestujiciho-{$sluzebniCesta ->id}") ?>"
                                           class="confirmQuestion odstranitSpolucestujiciho"
                                           data-ron-confirm-id="Opravdu_odstranit_spolucestujiciho"><?= TextManager::_('Odstranit_spolucestujiciho') ?></a>
                                        </div>

                                        <div class="col col-9 col-sm-4 align-right">
                                        <?php if ($pravaSpolucestujici ->priznak) { // muze vytvorit kopii ?>
                                            <a href="?menuid=sluzebnicesty&action=kopieprospolucestujiciho&record=<?= $sluzebniCesta ->id ?>&idpp=<?= $spolucestujici ->idPP ?>"
                                               class="kopieProSpolucestujiciho"
                                               title="<?= StringUtils::htmlTextConvert(TextManager::_('Vytvorit_kopii_pro_spolucestujiciho_info')) ?>"
                                               data-ron-idpp="<?= $spolucestujici ->idPP ?>"
                                               data-ron-idsc="<?= $sluzebniCesta ->id ?>"
                                               data-ron-confirm-id="Opravdu_vytvorit_kopii_pro_spolucestujiciho"
                                               data-ron-working-info="<?= StringUtils::htmlTextConvert(TextManager::_('Probiha_zpracovani_dat')) ?>" ><?= TextManager::_('Vytvorit_kopii_pro_spolucestujiciho') ?>
                                            </a>
                                        <?php } ?>
                                        </div>
                                    <?php } ?>
                            </div>
                        <?php } ?>
                    </div>
                <?php } ?>

                <?php if ($pravaSpolucestujici ->jsouNejakePrava()) { ?>
                    <div class="row" id="hlavickasc_pridanispolucestujicich">
                        <div class="col col-3 d-xs-none"></div>
                        <div class="col col-12 col-sm-9">
                            <div><a href="#" id="hlavickasc_pridatspolucestujiciho"><?= TextManager::_('Pridat_spolucestujiciho') ?></a></div>
                            <div id="vyber_spolucestujiciho" class="d-none position-relative">
                                <input id="jmenoSpolucestujiho" size="40"/>
                                <input id="osobniCisloSpolucestujiciho" size="10" maxlength="10"/>
                                <input type="hidden" id="idScSpolucestujiciho" value="<?= $sluzebniCesta ->id ?>"/>
                                <?= Csrf::csrfHiddenInput("sc_spolucestujici-{$sluzebniCesta ->id}", ['id' => 'spolucestujiciCsrfKey']) ?>

                                <div>
                                    <input id="spolucestujiciOK" class="submitbutton" type="button" value="<?= TextManager::_('OK') ?>">
                                    <input id="spolucestujiciCancel" class="button" type="button" value="<?= TextManager::_("Cancel") ?>">
                                </div>

                                <div class="waitmessage" id="nacitani_spolucestujicich"><?= TextManager::_("Probiha_nacitani") ?></div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>

        <?php if ($this ->predpokladaneNaklady  &&  sizeof($this ->predpokladaneNaklady) > 0) { ?>
            <div id="hlavickasc_predpokladanenaklady">
                <div class="row" id="hlavickasc_predpokladanenakladycaption">
                    <div class="col col-12 form-section">
                        <?= TextManager::_('Predpokladane_naklady') ?>
                    </div>
                </div>

                <?php foreach($this ->predpokladaneNaklady as $predpokladanyVydaj) { ?>
                    <div class="row">
                        <div class="col col-6 col-sm-3 caption"><?= StringUtils::htmlTextConvert(TextManager::_('db_typructovanislcesty_popis_' . $predpokladanyVydaj ->typ, $predpokladanyVydaj ->popisTypu)) ?></div>
                        <div class="col col-6 col-sm-9">
                            <?php
                            if ($predpokladanyVydaj ->pocetDnu) {
                                echo $predpokladanyVydaj ->pocetDnu . ' ' . TextManager::_('NSC_dnu');
                            }
                            if ($predpokladanyVydaj ->pocetDnu  &&  $predpokladanyVydaj ->castkaStr) {
                                echo ', ';
                            }
                            if ($predpokladanyVydaj ->castkaStr) {
                                echo $predpokladanyVydaj ->castkaStr . ' ' . $predpokladanyVydaj ->kodMeny;
                            }
                            ?>
                        </div>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>

        <div class="row" id="hlavickasc_schvaleni">
            <div class="col col-12 form-section">
                <?= TextManager::_('Schvaleni_sc') ?>
            </div>
        </div>

        <?php if ( !RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_NESCHVALOVAT_ZAMESTNANCEM) && ($muzeSchvalovatZamestnancem || $sluzebniCesta ->schvalenoZamestnancem)) { ?>
            <div class='row schvaleni_sc_zam' id="hlavickasc_schvalenizam">
                <div class='col-4 col-sm-3 caption'><?= TextManager::_('Zamestnanec') ?></div>
                <?php if ($sluzebniCesta ->schvalenoZamestnancem) { ?>
                    <div class="col-4">
                        <?php
                            // je schvaleno zamestnancem
                            echo date('j.n.Y', $sluzebniCesta ->sz_datumcas) . ' ' . StringUtils::htmlTextConvert($sluzebniCesta ->sz_uzivatel);
                        ?>
                    </div>
                    <div class="col-4 col-sm-5">
                        <?php
                            if ($muzeSchvalovatZamestnancem) {
                                $zrusitText = TextManager::_('Zrusit_schvaleni_sc_zam');
                                $keyParam = Csrf::csrfUrlParameter("schvalslcestuzam-{$sluzebniCesta ->id}");
                                echo "<A href='?menuid=sluzebnicesty&action=zrusschvalenizam&record={$sluzebniCesta ->id}$keyParam'>$zrusitText</A>";
                            }
                        ?>
                    </div>
                <?php } else { ?>
                    <div class="col col-6 col-sm-9">
                        <?php
                            // neni schvaleno zamestnancem
                            $schvalitText = TextManager::_('Schvalit_sc_zam');
                            $keyParam = Csrf::csrfUrlParameter("schvalslcestuzam-{$sluzebniCesta ->id}");
                            echo "<A href='?menuid=sluzebnicesty&action=schvalslcestuzam&record={$sluzebniCesta ->id}$keyParam'>$schvalitText</A>";
                        ?>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>

        <?php  // povoleni nadrizeneho
        $this ->zobrazPovoleniNadrizeneho(1, $sluzebniCesta ->schvalenoNadrizenym, $sluzebniCesta ->sn_uzivatel, $sluzebniCesta ->sn_datumcas);
        $this ->zobrazPovoleniNadrizeneho(2, $sluzebniCesta ->schvalenoNadrizenym2, $sluzebniCesta ->sn2_uzivatel, $sluzebniCesta ->sn2_datumcas);
        $this ->zobrazPovoleniNadrizeneho(3, $sluzebniCesta ->schvalenoNadrizenym3, $sluzebniCesta ->sn3_uzivatel, $sluzebniCesta ->sn3_datumcas);
        $this ->zobrazPovoleniNadrizeneho(4, $sluzebniCesta ->schvalenoNadrizenym4, $sluzebniCesta ->sn4_uzivatel, $sluzebniCesta ->sn4_datumcas);
        ?>

        <div class="row" id="hlavickasc_schvaleni_vyuctovani">
            <div class="col col-12 form-section">
                <?= TextManager::_('Schvaleni_vyuctovani_sc') ?>
            </div>
        </div>

        <?php  // schvaleni
        if (!$sluzebniCesta ->jeSchvalena(2) && $sluzebniCesta ->schvaleni1) {
            $urovenVraceni = 1; // 1. je schvalena, dalsi ne => uzivatel na urovni 2 muze vratit
        } else if (!$sluzebniCesta ->jeSchvalena(3) && $sluzebniCesta ->schvaleni2) {
            $urovenVraceni = 2; // 2. je schvalena, dalsi ne => uzivatel na urovni 3 muze vratit
        } else if (!$sluzebniCesta ->jeSchvalena(4) && $sluzebniCesta ->schvaleni3) {
            $urovenVraceni = 3; // 3. je schvalena, dalsi ne => uzivatel na urovni 4 muze vratit
        } else {
            $urovenVraceni = 0;
        }

        $this ->zobrazSchvaleni($sluzebniCesta ->schvaleni1, $sluzebniCesta ->schvalil1, 1, false, $sluzebniCesta ->datumVraceni1); // datum, schvalil, uroven, lzeVratit, datumVraceni
        $this ->zobrazSchvaleni($sluzebniCesta ->schvaleni2, $sluzebniCesta ->schvalil2, 2, $urovenVraceni == 1, $sluzebniCesta ->datumVraceni2);
        $this ->zobrazSchvaleni($sluzebniCesta ->schvaleni3, $sluzebniCesta ->schvalil3, 3, $urovenVraceni == 2, $sluzebniCesta ->datumVraceni3);

        if (RonPortalSettings::getIntValue('slcesty_filtr_uroven4')
            ||  $sluzebniCesta ->jeSchvalena(4)
            ||  Prava::vratPrava('slcesty_schval4', $this ->sluzebniCesta ->zahranicni ? 'slcesty_schval4_Z' : null) ->lzeZobrazitPP($sluzebniCesta ->f_PP ->idPP)) {
            // uroven 4 jen kdyz je zapnut filtr v nastaveni portalu nebo ma prava nebo je schvalena
            $this->zobrazSchvaleni($sluzebniCesta->schvaleni4, $sluzebniCesta->schvalil4, 4, $urovenVraceni == 3, null);
        }
        ?>

        <?php if (RonPortalSettings::getIntValue(SluzebniCestyController::SETTINGS_POUZIVAT_VRACENI) && $urovenVraceni) { // pouziva se vraceni absence - div pro zapsani poznamky k vraceni
            $value = '';
            if (isset($_POST['poznamkakvraceni'])) $value = $_POST['poznamkakvraceni'];
            ?>
            <div class="row">
                <div class="col col-12">
                    <div id="vracenisluzebnicesty" <?php if (!$vraceni) echo 'class="d-none"'; /* zobrazi se az po kliknuti na "vratit" */ ?> >
                        <form method="post" name="vracenisluzebnicestyform" action="?menuid=sluzebnicesty&action=vratslcestu&record=<?= $sluzebniCesta ->id ?>">
                            <input type="hidden" name="urovenvraceni" value="<?= $urovenVraceni ?>" />
                            <?= Csrf::csrfHiddenInput("vratitschvalenisc-{$sluzebniCesta ->id}") ?>
                            <label>
                                <strong><?= TextManager::_('Poznamka_k_vraceni') ?></strong><br/>
                                <textarea name="poznamkakvraceni" rows="8" class="form-control <?= MessageManager::getClass('poznamkakvraceni') ?>"><?= StringUtils::htmlTextConvert($value) ?></textarea><br/>
                            </label>
                            <div>
                                <input type="submit" class="submitbutton" value="OK">
                                <button class="button clickHref" data-ron-href="?menuid=sluzebnicesty&record=<?= $sluzebniCesta ->id ?>"><?= TextManager::_('Cancel') ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- zauctovani -->
        <?php if ($sluzebniCesta ->zauctovanoStr || $lzeZauctovat) { ?>
            <div class="row" id="hlavickasc_zauctovani">
                <div class="col col-sm-3 dis-xs d-xs-none"></div>
                <div class="col col-12 col-sm-9"><?php

                    if ($sluzebniCesta ->zauctovanoStr) {
                        echo StringUtils::htmlTextConvert($sluzebniCesta ->zauctovanoStr);
                    }

                    // zrusit zauctovani // zauctovat
                    if ($lzeZauctovat) {
                        $csrfParam = Csrf::csrfUrlParameter("zauctovanisc_{$sluzebniCesta ->id}");
                        echo $sluzebniCesta ->zauctovano
                            ? " - <a href='?menuid=sluzebnicesty&action=zrusitzauctovani&record={$sluzebniCesta ->id}$csrfParam'>" . TextManager::_('Zruzit_zauctovani_sc') . '</a>'
                            : "<a href='?menuid=sluzebnicesty&action=zauctovat&record={$sluzebniCesta ->id}$csrfParam'>". TextManager::_('Zauctovat_sc') .'</a>';
                    }
                    ?>

                </div>
            </div>
        <?php } ?>

        <div class="row" id="hlavickasc_historie">
            <div class="col col-3 d-xs-none"></div>
            <div class="col col-12 col-sm-9">
                <div id="historie_sc" class="autoExpand poznamka font-normal">
                    <?= StringUtils::longTextToHtml(trim($sluzebniCesta ->historieSchvalovani ?? '')) ?>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col col-12 align-right">
                <a target="_blank" href="?menuid=sluzebnicesty&action=ical&timestamp=<?= time() ?>&idslcesty=<?= $sluzebniCesta ->id; ?>"><?= TextManager::_('Stahnout_do_kalendare') ?></a>
            </div>
        </div>
    </div>
</div>
