<?php
/**
 * stanislav.elbl, 17.10.2014
 */

namespace RonPortal\SluzebniCesty;

use Ron\Controls\ComboBox;
use Ron\DB\DBUtils;
use Ron\Http\Csrf;
use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;

/** @var RadekUctovaniSluzebniCestyFormular $this */

?>

<?php MessageManager::getInstance() ->showMessages(); ?>

<?php if (!$this -> readOnly) { ?>
    <form method="POST" name="radky_uctovanisc_form" id="radky_uctovanisc_form" action="?menuid=sluzebnicesty&action=editovatradkyuctovani&record=<?= $this ->sluzebniCesta ->id ?>">
        <?= Csrf::csrfHiddenInput('radekuctovanisluzebnicestyform_' . $this ->sluzebniCesta ->id) ?>
<?php } ?>

    <table id="radky_uctovanisc_editace" class="browser radkyUctovaniSC keyInputMove">
        <thead>
            <tr>
                <th><?= \Ron\ronText('Datum') ?></th>
                <th><?= \Ron\ronText('Typ') ?></th>
                <th class="align-right"><?= \Ron\ronText('Castka') ?></th>
                <th><?= \Ron\ronText('Mena') ?></th>
                <?php if (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_ZADAVAT_DPH)) { ?>
                    <th class="align-right"><?= \Ron\ronText('SC_DPH') ?></th>
                <?php } ?>
                <th><?= \Ron\ronText('SC_Zpusob_platby') ?></th>
                <th><?= \Ron\ronText('Popis_radku_uctovani_sc') ?></th>

                <?php if (!$this ->readOnly) { ?>
                    <th></th>
                <?php } ?>

            </tr>
        </thead>
        <tbody>
            <?php
                $indexhtml = 0;
                foreach($this ->radky as $radek) {
                    $classname = $radek ->error
                        ? 'error-back'
                        : ($indexhtml % 2 ? 'browsercolor1' : 'browsercolor2');

                    if (!$this ->readOnly) {
                        $pravo = Prava::vratPrava('slcesty_ucet', 'slcesty_ucet_' . $radek ->typ);
                        $lzeEditovatRadek = $pravo ->lzeZobrazitPP($this ->sluzebniCesta ->f_PP ->idPP, $this ->sluzebniCesta ->datumCasOd, $this ->sluzebniCesta ->datumCasDo);
                    } else {
                        $lzeEditovatRadek = false;
                    }

                    if ($lzeEditovatRadek) {
                        $indexhtml ++;
                    }

                    ?>
                <tr class='<?= $classname ?>'>
                    <td><?= date('d.m.Y', $radek -> den) ?></td>
                    <?php if (!$lzeEditovatRadek) { ?>
                        <td><?= $radek -> popisTypu ?></td>
                        <td class="align-right"><?= $radek -> castkaStr ?></td>
                        <td><?= $radek -> kodMeny ?></td>
                        <?php if (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_ZADAVAT_DPH)) { ?>
                            <td class="align-right"><?= $radek -> castkaDPH ?></td>
                        <?php } ?>
                        <td><?= DBUtils::getSqlValue($this ->database, "SELECT Popis FROM ZpusobPlatbySC WHERE Kod = '" . (int)$radek -> zpusobPlatby . "'") ?></td>
                        <td><?= $radek -> popis ?></td>
                        <?php if (!$this ->readOnly) { ?>
                            <td></td>
                        <?php } ?>
                    <?php } else { ?>
                        <td>
                            <input type='hidden' name='cisloradku_<?= $indexhtml ?>' value='<?= $radek -> cisloRadku ?>' />
                            <input type='hidden' name='datum_<?= $indexhtml ?>' value='<?= date('d.m.Y', $radek -> den) ?>' />
                            <?php if ( !$radek ->novyRadek ) { ?>
                                <input type='hidden' name='typ_<?= $indexhtml ?>' value='<?= $radek ->typ ?>' />
                                <?= $radek ->popisTypu ?>
                            <?php } else { ?>
                                <input type='hidden' name='novyradek_<?= $indexhtml; ?>' value='1' />
                                <?php
                                    // novy radek, u ktereho jeste neni zadan typ
                                    $options = TypRadkuUctovaniSluzebniCesty::loadOptions($this ->database,  $this ->sluzebniCesta ->f_PP ->idPP);
                                    $combo = new ComboBox('typ_'.$indexhtml, $options);
                                    $combo
                                        ->setDataTypeComparison(false)
                                        ->setSelectedOption($radek ->typ);
                                    $combo ->render();
                                ?>
                            <?php } ?>
                        </td>

                        <td class="align-right">
                            <?php if ($radek ->nahrada) { ?>
                                <?= $radek ->castkaStr ?>
                            <?php } else { ?>
                                <input type='text' class='inputFloat align-right' name='castka_<?= $indexhtml ?>' value='<?= $radek ->castkaStr ?>' size='8' maxlength='8' />
                            <?php } ?>
                        </td>

                        <td>
                            <?php
                                $combo = new ComboBox('kodMeny_'.$indexhtml);
                                $combo ->emptyRow = $radek -> kodMeny ? null : ' ';
                                $combo ->captionIndex = 0;
                                $combo ->alwaysShowSelected = 1;
                                $combo ->loadData($this ->database,
                                    'SELECT KodMeny_ISO FROM Mena WHERE Aktivni = 1 ORDER BY KodMeny_ISO',
                                    $radek -> kodMeny);
                                $combo ->render();
                            ?>
                        </td>

                        <?php if (RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_ZADAVAT_DPH)) { ?>
                            <td>
                                <?php if (!$radek ->nahrada) { ?>
                                <input type='text' class='inputFloat align-right' name='castkaDPH_<?= $indexhtml ?>' value='<?= $radek ->castkaDPHStr ?>' size='8' maxlength='8' />
                                <?php } ?>
                            </td>
                        <?php } ?>

                        <td>
                            <?php
                                $combo = new ComboBox('zpusobPlatby_'.$indexhtml);
                                $combo ->emptyRow = isset($radek -> zpusobPlatby) ? null : ' ';
                                $combo ->dataTypeComparison = false;
                                $combo ->translationPrefix = 'db_zpusobplatbysc_popis_';
                                $combo ->translationValueIndex = 0;
                                $combo ->loadData($this ->database,
                                    'SELECT Kod, Popis FROM ZpusobPlatbySC ORDER BY Popis',
                                    $radek -> zpusobPlatby);
                                $combo ->render();
                            ?>
                        </td>

                        <td><input name='popis_<?= $indexhtml ?>' size='40' value='<?= StringUtils::htmlTextConvert($radek -> popis) ?>' /></td>

                        <td class="align-center">
                            <?php
                                if ( isset($radek ->cisloRadku) ) {
                            ?>
                                <i class='inline-glyph glyph-button fa glyph-delete' title='<?= \Ron\ronText('Smazat_radek') ?>'
                                   data-ron-confirm-text="<?= \Ron\ronText('SC_Opravdu_zrusit_radek') ?>" data-cislo-radku="<?= $radek ->cisloRadku ?>"></i>
                            <?php } ?>
                        </td>
                    <?php } ?>
                </tr>

                <?php if ($radek ->nahrada) { ?>
                <tr class='<?= $classname ?>'>
                    <td></td>
                    <td></td>
                    <td colspan='<?= RonPortalSettings::getIntValue(SluzebniCesta::SETTINGS_ZADAVAT_DPH) ? 5 : 4 ?>' class='sluzebnicesta_NVV'>
                        <?php
                            $this->zobrazRadekNVV($radek, $indexhtml);
                        ?>
                    </td>
                    <?php if (!$this -> readOnly) { ?>
                        <td></td>
                    <?php } ?>
                </tr>
                <?php } ?>
            <?php } ?>

        </tbody>
    </table>

    <?php if ($this -> readOnly) { ?>
        <div class='buttons'>
            <input type="button" class="button clickHref" name="OK" value="<?= \Ron\ronText('OK') ?>" data-ron-href="?menuid=sluzebnicesty&action=editovatradkysluzebky&record=<?= $this ->sluzebniCesta ->id ?>" />
        </div>
    <?php } else { ?>
        <input type='hidden' name='pocetradku' value='<?= $indexhtml ?>' />
        <input type='hidden' name='editace_radku_uctovani_sluzebky' value='1' />
        <input type='hidden' name='datum_uctovani_sluzebky' value='<?= $this ->datum ?>' />
        <input type='hidden' name='smazat_radek_uctovani_sluzebky' value='' />

        <div class='buttons'>
            <input type='submit' style='width:0; height:0; margin:0; padding:0; border:0' name='OK2' value='' />
            <input type='submit' class='button' name='novyRadekUctovani' value='<?= \Ron\ronText('Novy_radek') ?>' />
            <input type='submit' class='submitbutton' name='OK' value='<?= \Ron\ronText('OK') ?>' />
            <input type='submit' class='button' name='storno' value='<?= \Ron\ronText('Cancel') ?>' data-ron-confirm-text="<?= \Ron\ronText('SC_Opravdu_storno') ?>" />
        </div>
    <?php } ?>




<?php if (!$this -> readOnly) { ?>
    </form>
<?php } ?>
