<?php

namespace RonPortal\Testy;

use Ron\GuiUtils;
use Ron\MVC\ViewObject;


abstract class DotaznikViewObject implements ViewObject
{
    /** @var Dotaznik */
    var $dotaznik;

    var $editace;
    var $postValues;

    /** @var string */
    protected $formAction;

    /** @var int    Urcuje, jestli se maji nacist a oznacit spravne odpovedi (ma smysl jen pro ukonceny test) */
    protected $oznacitSpravneOdpovedi = 0;

    protected $povolitHtmlVTextech = 1;

    /**
     * DotaznikViewObject constructor.
     * @param Dotaznik $dotaznik
     * @param bool $editace
     * @param bool $postValues
     */
    public function __construct(Dotaznik $dotaznik, $editace, $postValues)
    {
        $this ->dotaznik = $dotaznik;
        $this ->editace = $editace;
        $this ->postValues = $postValues;
    }

    /**
     * @param string $formAction
     * @return DotaznikViewObject
     */
    public function setFormAction(string $formAction)
    {
        $this->formAction = $formAction;
        return $this;
    }


    abstract function renderHiddenFields();


    abstract protected function zobrazTlacitka();


    protected function zobrazObsah()
    {
        $stylestr = $this->dotaznik ->barvaPozadi
            ? "style='background-color:" . GuiUtils::getHtmlColor($this->dotaznik ->barvaPozadi) . "'"
            : '';

        echo "<div class='form large-form dotaznik hodnocenitable' $stylestr>\n";

        echo "<div class='form-content'>";

        $this->dotaznik ->zobrazObsahDotazniku($this ->editace, $this ->oznacitSpravneOdpovedi, $this ->povolitHtmlVTextech);

        echo "</div>";

        $this ->zobrazTlacitka();

        echo "</div>\n";
    }


    public function render()
    {
        echo "<FORM name='dotaznik' class='inputform' method='post' action='{$this ->formAction}'>\n";

        $this ->renderHiddenFields();

        if ($this->dotaznik ->fXMLSablona) {
            $this->dotaznik ->zobrazDotaznikXML($this ->editace, $this ->postValues);
        } else {
            if ($this ->oznacitSpravneOdpovedi) {
                $this ->dotaznik ->nactiSpravneOdpovedi();
            }

            $this->dotaznik ->zobrazHlavicku();

            $this ->zobrazObsah();
        }

        echo "</FORM>\n";
    }

}
