<?php
/**
 * stanislav.elbl, 07.12.2015
 */

namespace RonPortal\Testy;

use Ron\DB\SQLUtils;
use RonPortal\RonPortalDBRecord;


class TestDBRecord extends RonPortalDBRecord
{
    const DRUH_HODNOCENI_TEST = 6;

    public $fDruhHodnoceni;
    public $fTemaCislo;

    public $fKod;
    public $fPopisTematu;
    public $fPoznamka;
    public $fMinPocetBodu;
    public $fMaxPocetBodu;
    public $fSirkaSloupce;
    public $fEditovatPoznamku;
    public $fZobrazitOdpovediUspesne;
    public $fZobrazitOdpovediNeuspesne;


    public function __construct($database, $druhHodnoceni, $temaCislo, $logDescription)
    {
        parent::__construct($database, 'TemaHodnoceni', $logDescription);

        $this ->fDruhHodnoceni = $this ->addField('DruhHodnoceni', 'int', true, 0, $druhHodnoceni);
        $this ->fTemaCislo = $this ->addField('TemaCislo', 'int', true, $temaCislo);

        $this ->fKod = $this ->addField('Kod', 'string', true, 20);
        $this ->fPopisTematu = $this ->addField('PopisTematu', 'string', true, 120);
        $this ->fPoznamka = $this ->addField('Poznamka', 'memo', true);
        $this ->fMinPocetBodu = $this ->addField('MinPocetBodu', 'int', true);
        $this ->fMaxPocetBodu = $this ->addField('MaxPocetBodu', 'int', true);
        $this ->fSirkaSloupce = $this ->addField('SirkaSloupce', 'int', true);
        $this ->fEditovatPoznamku = $this ->addField('EditovatPoznamku', 'int', true, 0, 0);
        $this ->fZobrazitOdpovediUspesne = $this ->addField('ZobrazitOdpovediUspesne', 'int', true, 0, 0);
        $this ->fZobrazitOdpovediNeuspesne = $this ->addField('ZobrazitOdpovediNeuspesne', 'int', true, 0, 0);
    }


    function insertRecord()
    {
        // vygeneruje nove temaCislo
        $params = $this ->database ->createParameters();
        $temaCislo = SQLUtils::newSerialNumber($this ->database,
            'TemaHodnoceni', 'TemaCislo',
            'DruhHodnoceni = ' . $params ->addParameter((int)$this ->fDruhHodnoceni ->value),
            $params);

        $this ->fTemaCislo ->value = $temaCislo;

        parent::insertRecord();
    }
}
