<?php
/**
 * stanislav.elbl, 06.09.2018
 */

namespace RonPortal\Vyroba;

use Ron\Controls\ComboBox;
use Ron\DateUtils;
use Ron\MessageManager;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\RonPortalSettings;
use RonPortal\RonPortalXMLEvents;

/** @var DenniVyrobaOsobyForm $this */

$odpracovanoStr = StringUtils::format('minuty', round($this ->odpracovano * 60));
$soucetStr = StringUtils::format('minuty', round($this ->soucet * 60));
$zbyva = round(($this ->odpracovano - $this ->soucet) * 60);
$zbyvaStr = StringUtils::format('minuty', $zbyva);

$colZakazka = 6 - ($this ->editovatHodiny ? 1 : 0) - ($this ->editovatCasy ? 1 : 0);
$colCinnost = 5 - ($this ->editovatCasy ? 1 : 0);

?>

<div class="rozdeleniVyrobyOsoby" data-idpp="<?= $this ->pp ->idPP ?>" data-den="<?= DateUtils::dateToUrlString($this ->den) ?>"
     data-xml-beforepost="<?= RonPortalXMLEvents::VYROBA_BEFORE_POST ?> data-xml-afterpost="<?= RonPortalXMLEvents::VYROBA_AFTER_POST ?>">
    <input type="hidden" name="ulozrozdelenivyroby" value="1"/>

    <div class="row form-section">
        <div class="col col-<?= $colZakazka ?>"><?= TextManager::_('Vyroba_zakazka') ?></div>
        <div class="col col-<?= $colCinnost ?>"><?= TextManager::_('Vyroba_cinnost') ?></div>

        <?php if ($this ->editovatCasy) { ?>
            <div class="col col-1"><?= TextManager::_('Vyroba_casod') ?></div>
            <div class="col col-1"><?= TextManager::_('Vyroba_casdo') ?></div>
        <?php } ?>

        <?php if ($this ->editovatHodiny) { ?>
        <div class="col col-1"><?= TextManager::_('Vyroba_hodiny') ?></div>
        <?php } ?>
    </div>

    <?php
    foreach ($this ->zaznamy as $index => $zaznam) { ?>
        <div id="vyroba_row<?= $index ?>" class="radekDenniVyrobyOsoby" data-rowindex="<?= $index ?>">
            <input type="hidden" name="vyroba<?= $index ?>_serial" value="<?= $zaznam ->serialVyroba ?>" />
            <div class="row">
                <div class="col col-<?= $colZakazka ?>"><?php $this ->renderComboZakazka("vyroba{$index}_vyrobniZakazka", $zaznam ->zakazka); ?></div>
                <div class="col col-<?= $colCinnost ?>"><?php $this ->renderComboCinnost("vyroba{$index}_cinnost", $this ->jenPrirazeneCinnosti ? $zaznam ->cinnostVyrobniZakazky : $zaznam ->cinnost, $zaznam ->zakazka) ?></div>

                <?php if ($this ->editovatCasy) { ?>
                    <div class="col col-1">
                        <input name="vyroba<?= $index ?>_casOd" <?= $this ->readOnly ? 'readonly="readonly"' : '' ?>
                               class="form-input align-right inputTime vyroba_casOd <?= MessageManager::getClass("vyroba{$index}_casOd")?>"
                               value="<?= StringUtils::htmlTextConvert($zaznam ->casOdStr) ?>"/>
                    </div>
                    <div class="col col-1">
                        <input name="vyroba<?= $index ?>_casDo" <?= $this ->readOnly ? 'readonly="readonly"' : '' ?>
                               class="form-input align-right inputTime vyroba_casDo <?= MessageManager::getClass("vyroba{$index}_casDo")?>"
                               value="<?= StringUtils::htmlTextConvert($zaznam ->casDoStr) ?>"/>
                    </div>
                <?php } ?>

                <?php if ($this ->editovatHodiny) { ?>
                <div class="col col-1">
                    <input name="vyroba<?= $index ?>_hodiny" <?= $this ->readOnly ? 'readonly="readonly"' : '' ?>
                           class="form-input align-right inputTime vyroba_hodiny <?= MessageManager::getClass("vyroba{$index}_hodiny")?>"
                           value="<?= StringUtils::htmlTextConvert($zaznam ->hodinyStr) ?>"/>
                </div>
                <?php } ?>

                <div class="col col-1">
                    h
                    <?php if (!$this ->readOnly) { ?>
                    <i class="inline-glyph glyph-button far fa-comment-alt toggleClass " data-selector="#vyroba_row<?= $index ?>" data-add-class="zobrazitPoznamky" title="<?= TextManager::_('Zobrazit_poznamky') ?>">
                    </i>

                        <?php if ($zaznam ->serialVyroba) { ?>
                        <i class="inline-glyph glyph-button fa glyph-delete vyroba_delete" title="<?= TextManager::_('Smazat_cely_radek') ?>" data-ron-confirm-text="<?= TextManager::_('Opravdu_smazat_cely_radek') ?>" data-serial="<?= $zaznam ->serialVyroba ?>"></i>
                        <?php } ?>
                    <?php } ?>
                </div>
            </div>

            <?php if ($this ->editovatVyrobek) { ?>
                <!-- vyrobek -->
                <div class="row vyrobek">
                    <div class="col col-<?= $colZakazka ?> align-right padding-right-2"><?= TextManager::_('Vyrobek') ?></div>
                    <div class="col col-<?= 11 - $colZakazka ?>">
                        <?php ComboBox::renderComboBox("vyroba{$index}_vyrobek", $this ->vyrobky, $zaznam ->vyrobek,
                            [
                                'htmlParams' => ['class' => 'form-control ronselect', 'data-max-visible-rows' => '150'],
                                'showCode' => true
                            ]
                        ); ?>
                    </div>
                </div>
            <?php } ?>


            <?php if ($this ->editovatRozdeleni) { ?>
                <!-- rozdeleni -->
                <div class="row rozdeleni">
                    <div class="col col-<?= $colZakazka ?> align-right padding-right-2"><?= TextManager::_('Popis_typu_rozdeleni_vyroby', $this ->typRozdeleni ->popis) ?></div>
                    <div class="col col-<?= 11 - $colZakazka ?>">
                        <?php ComboBox::renderComboBox("vyroba{$index}_rozdeleni", $this ->seznamRozdeleni, $zaznam ->rozdeleni,
                            [
                                'htmlParams' => [
                                        'class' => 'form-control ronselect',
                                        'data-max-visible-rows' => '250'
                                ],
                                'showCode' => true
                            ]
                        ); ?>
                    </div>
                </div>
            <?php } ?>

            <!-- poznamky -->
            <div class="row popis <?= $zaznam ->popis ? '' : 'prazdnyPopis' ?>">
                <div class="col col-11">
                    <?php if ($this ->readOnly) { ?>
                        <div class="poznamka"><?= StringUtils::htmlTextConvert($zaznam ->popis) ?></div>
                    <?php } else { ?>
                        <input maxlength="80" name="vyroba<?= $index ?>_popis" class="form-input" value="<?= StringUtils::htmlTextConvert($zaznam ->popis) ?>"/>
                    <?php } ?>
                </div>
                <div class="col col-1 overflow-hidden"><?= TextManager::_('Vyroba_popis') ?></div>
            </div>
            <div class="row rozsirujiciPopis <?= $zaznam ->rozsirujiciPopis ? '' : 'prazdnyPopis' ?>">
                <div class="col col-11">
                    <?php if ($this ->readOnly) { ?>
                        <div class="poznamka"><?= StringUtils::htmlTextConvert($zaznam ->rozsirujiciPopis) ?></div>
                    <?php } else { ?>
                        <textarea name="vyroba<?= $index ?>_rozsirujiciPopis" class="form-input"><?= StringUtils::htmlTextConvert($zaznam ->rozsirujiciPopis) ?></textarea>
                    <?php } ?>
                </div>
                <div class="col col-1 overflow-hidden"><?= TextManager::_('Vyroba_rozsirujici_popis') ?></div>
            </div>
            <div class="form-gap popis <?= $zaznam ->popis || $zaznam ->rozsirujiciPopis ? '' : 'prazdnyPopis' ?>"></div>
        </div>
    <?php } ?>

    <!-- soucet -->
    <?php if (isset($this ->odpracovano)) { // zobrazi soucet/kolik zbyva ?>
        <div class="row">
            <div class="col col-6"><?= TextManager::_('Celkem_rozdelit') ?>: <strong><?= $odpracovanoStr ?></strong></div>
            <div class="col col-5 align-right">
                <?= TextManager::_('Zbyva_rozdelit') ?>:
                <strong><span class="input_margins<?= $zbyva < 0 ? ' minus' : '' ?>" data-ron-sum="<?= $odpracovanoStr ?>" id="Vyroba_Zbyva"><?= $zbyvaStr ?></span></strong>
            </div>
            <div class="col col-1">h</div>
        </div>
    <?php } else { ?>
        <div class="row">
            <div class="col col-11 align-right"><?= TextManager::_('Soucet') ?>: <strong><span id='Vyroba_Soucet'><?= $soucetStr ?></span></strong></div>
            <div class="col col-1">h</div>
        </div>
    <?php } ?>

    <input type="hidden" name="vyroba_COUNT" id="vyroba_COUNT" value="<?= count($this ->zaznamy) ?>" />
    <input type="hidden" name="vyroba_delete_row" id="vyroba_delete_row" value="" />

    <?php if (!$this->readOnly) { // umozni pridat novy radek pomoci tlacitka ?>
        <div class="row">
            <div class="col col-3">
                <input class="button" type="submit" name="novyradekvyroby" value="<?= TextManager::_('Novy_radek') ?>" />
            </div>

            <div class="col col-9 align-right">
                <input class="button" type="submit" id="vyroba_doplnitpodlepredchozi" name="doplnitpodlepredchoziho"
                       value="<?= TextManager::_('Doplnit_vyrobu_podle_predchoziho') ?>"
                       title="<?= TextManager::_('Doplnit_vyrobu_podle_predchoziho_dne_info') ?>" />
                <?php if (RonPortalSettings::getValue('vyroba_agenthost')) { ?>
                <input class="button confirmQuestion" type="button" id="vyroba_podlepuvodni" name="podlepuvodnivyroby"
                       value="<?= TextManager::_('Vyroba_podle_puvodni') ?>"
                       title="<?= TextManager::_('Vyroba_podle_puvodni_info') ?>"
                       data-ron-href="?menuid=editacedne&action=podlepuvodnivyroby&idpp=<?= $this ->pp ->idPP ?>&datum=<?= $this ->den ?>"
                       data-ron-confirm-text="<?= TextManager::_('Opravdu_podle_puvodni_vyroby') ?>"
                       data-ron-working-info="<?= TextManager::_('Probiha_zpracovani_dat') ?>"
                    />
                <?php } ?>
            </div>
        </div>
    <?php } ?>

    <!-- POZNAMKA ! -->
</div>
