<?php
/**
 * stanislav.elbl, 21.09.2018
 * Zobrazeni formulare vyrobaosobyform.php - editace vyroby osoby pro obdobi
 */

namespace RonPortal\Vyroba;

use Ron\DateUtils;
use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\RonPortalXMLEvents;

/** @var VyrobaOsobyForm $this */

$pocetDnu = DateUtils::daysBetween($this ->datumOd, $this ->datumDo) + 1;
$pocetSloupcu = 0; // pocet sloupcu hlavicky (zakazka, cinnost, ...) - spocita se pri vykreslovani hlavicky
$pocetRadku = count($this ->radky);
$default = 'defaultfocus';

?>

<?php if ($this ->renderHtmlForm) { ?><form method="post" class="submitWorkingInfo"><?php } ?>
<div class="vyrobaOsoby" data-idpp="<?= $this ->pp ->idPP ?>" data-datum-od="<?= DateUtils::dateToUrlString($this ->datumOd) ?>" data-datum-do="<?= DateUtils::dateToUrlString($this ->datumDo) ?>" data-count="<?= $pocetRadku ?>"
    data-xml-beforepost="<?= RonPortalXMLEvents::VYROBA_BEFORE_POST ?>" data-xml-afterpost="<?= RonPortalXMLEvents::VYROBA_AFTER_POST ?>">
    <?php if (!$this ->readOnly) { ?>
    <input type="hidden" name="osoba" value="<?= $this ->pp ->idPP ?>" />
    <input type="hidden" name="obdobi" value="<?= DateUtils::dateToUrlString($this ->datumOd) ?>" />
    <input type="hidden" name="vyroba_rows_count" value="<?= $pocetRadku ?>" />
    <input type="hidden" name="deleteRowIndex" id="deleteRowIndex" value="" />
    <?php } ?>

    <table class="browser keyInputMove oddEvenRows grid input-grid-form">
        <thead>
            <tr>
                <!-- hlavicka -->
                <?php foreach ($this ->udajeNaRadku as $cisloRadku => $coZobrazit) {
                    $pocetSloupcu++;
                    echo '<th' . (($cisloRadku == count($this ->udajeNaRadku) - 1) ? ' class="border-right"' : '') . '>';
                    switch ($coZobrazit) {
                        case 'zakazka' :
                            echo \Ron\ronText('Vyroba_zakazka');
                            break;

                        case 'cinnost' :
                        case 'cinnostVyrobniZakazky' :
                            echo \Ron\ronText('Vyroba_cinnost');
                            break;

                    }
                    echo "</th>\n";
                } ?>
                <!-- dny -->
                <?php for ($datum = $this ->datumOd;  $datum <= $this ->datumDo;  $datum = DateUtils::incDayStart($datum)) { ?>
                    <th class="align-center<?= ($datum == $this ->datumDo) ? ' border-right' : '' ?>"><?= date('j.n.', $datum) ?></th>
                <?php } ?>

                <th class="align-right soucet"><?= \Ron\ronText('Celkem') ?></th>
                <?php if (!$this ->readOnly) { ?>
                <th class="tlacitka"></th>
                <?php } ?>
            </tr>
        </thead>

        <?php if ($this ->schvaleni ->jeSchvaleno($this ->datumOd)) { ?>
            <tbody id="schvaleni_dochazky">
                <tr>
                    <td colspan="<?= count($this ->udajeNaRadku) ?>" class="border-right"></td>
                    <?php for ($datum = $this ->datumOd;  $datum <= $this ->datumDo;  $datum = DateUtils::incDayStart($datum)) { ?>
                        <td class="schvaleni <?= $this ->schvaleni ->classNejvyssiUroven($datum) ?><?= ($datum == $this ->datumDo) ? ' border-right' : '' ?>"></td>
                    <?php } ?>
                    <td></td>
                    <?php if (!$this ->readOnly) { ?><td class="tlacitka"></td><?php } ?>
                </tr>
            </tbody>
        <?php } ?>

        <!-- data -->
        <tbody class="border-bottom">
            <?php
                foreach ($this ->radky as $cisloRadku => $radek) { ?>
                <tr data-rowindex="<?= $cisloRadku ?>">
                    <?php foreach ($this ->udajeNaRadku as $index => $coZobrazit) {
                        $class = (($index == count($this->udajeNaRadku) - 1) ? ' border-right' : '');
                        switch ($coZobrazit) {
                            case 'zakazka' :
                                echo '<td class="zakazka' . $class . '" title="' . $radek ->zakazka . '">';
                                $this ->renderInputZakazka($radek, $cisloRadku);
                                echo '</td>';
                                break;

                            case 'cinnost' :
                                echo '<td class="cinnost' . $class . '">';
                                $this ->renderInputCinnost($radek, "cinnost_$cisloRadku" , $cisloRadku, $radek ->cinnost);
                                echo '</td>';
                                break;

                            case 'cinnostVyrobniZakazky' :
                                echo '<td class="cinnost' . $class . '">';
                                $this ->renderInputCinnost($radek, "cinnostVyrobniZakazky_$cisloRadku" , $cisloRadku, $radek ->cinnostVyrobniZakazky);
                                echo '</td>';
                        }
                    } ?>

                    <?php
                    $soucet = 0;
                    for ($datum = $this ->datumOd, $i = 0;  $datum <= $this ->datumDo;  $datum = DateUtils::incDayStart($datum), $i++)
                    {
                        $zaznam = $radek ->zaznamy[$i] ?? null;
                        $class = ((isset($this ->chybySloupcu[$i]) && $this ->chybySloupcu[$i]) ? 'error-back' : '') . (($datum == $this ->datumDo) ? ' border-right' : '');
                        $soucet += isset($zaznam) ? $zaznam ->hodiny : 0;
                        ?>
                        <td class="position-relative <?= $class ?>">
                            <?php if ($zaznam  &&  ($zaznam->popis  ||  $zaznam ->rozsirujiciPopis)) { ?>
                                <i class="poznamka_vyroby"></i>
                            <?php } ?>
                            <input name="hodnota_<?= $cisloRadku ?>_<?= $i ?>" id="hodnota_<?= $cisloRadku ?>_<?= $i ?>"
                                   class="vyroba_hodiny form-input align-right position-relative inputTime <?= $default ?> <?= MessageManager::getInstance()->getClass("hodnota_{$cisloRadku}_{$i}") ?>"
                                   maxlength="5" value="<?= isset($zaznam) ? StringUtils::htmlTextConvert($zaznam ->hodinyStr) : '' ?>"
                                   title="<?= $zaznam ? StringUtils::htmlTextConvert($zaznam ->popis . "\n" . $zaznam ->rozsirujiciPopis) : ''?>"
                                   data-datum="<?= StringUtils::format('date', $datum) ?>"
                                   <?php if ($this ->readOnly || !$this ->lzeEditovatZaznam($radek, $i)) { ?>readonly="readonly"<?php } ?>
                                   data-index="<?= $i ?>" data-serial="<?= $zaznam ? $zaznam ->serialVyroba : '' ?>"
                                />
                            <input type="hidden" name="popis_<?= $cisloRadku ?>_<?= $i ?>" id="popis_<?= $cisloRadku ?>_<?= $i ?>" value="<?= $zaznam ? StringUtils::htmlTextConvert($zaznam ->popis) : '' ?>" />
                            <input type="hidden" name="rozsirujiciPopis_<?= $cisloRadku ?>_<?= $i ?>" id="rozsirujiciPopis_<?= $cisloRadku ?>_<?= $i ?>" value="<?= $zaznam ? StringUtils::htmlTextConvert($zaznam ->rozsirujiciPopis) : '' ?>" />
                        </td>
                    <?php
                        $default = '';
                    }
                    ?>
                    <td id="celkem_<?= $cisloRadku ?>" class="align-right">
                        <?= StringUtils::format('minuty', round($soucet * 60)) ?>
                        <?php if ($radek ->novyRadek) { ?><input type="hidden" name="novyRadek_<?= $cisloRadku ?>" value="1" /><?php } ?>
                    </td>
                    <?php if (!$this ->readOnly) { ?>
                    <td class="tlacitka">
                        <i class="inline-glyph glyph-button fa glyph-delete vyroba_delete_row" title="<?= \Ron\ronText('Smazat_cely_radek') ?>" data-ron-confirm-text="<?= \Ron\ronText('Opravdu_smazat_cely_radek') ?>" data-row-index="<?= $cisloRadku ?>"></i>
                    </td>
                    <?php } ?>
                </tr>
            <?php } ?>
        </tbody>

        <!-- paticka -->
        <tbody>
            <tr data-index="SUM" class="browserfooter">
                <td colspan="<?= $pocetSloupcu ?>" class="border-right"><?= \Ron\ronText('Celkem') ?></td>
                <?php for ($i = 0;  $i < $pocetDnu;  $i++) { ?>
                    <td class="align-right<?= ($i == $pocetDnu - 1) ? ' border-right' : '' ?><?= ($this ->chybySloupcu[$i] ?? null) ? ' error-back' : '' ?>"
                        id="rozdeleniVyrobyOsoby_sum_<?= $i ?>"><?= StringUtils::format('minuty', round($this->soucty[$i] * 60)) ?>
                    </td>
                <?php } ?>
                <td></td>
                <?php if (!$this ->readOnly) { ?>
                <td class="tlacitka"></td>
                <?php } ?>
            </tr>

            <?php if ($this ->kontrolovatSoucet) { ?>
            <tr data-index="DV" class="browserfooter font-weight-normal border-bottom">
                <td colspan="<?= $pocetSloupcu ?>" class="border-right"><?= \Ron\ronText('Celkem_rozdelit') ?></td>
                <?php for ($i = 0;  $i < $pocetDnu;  $i++) { ?>
                    <td class="align-right<?= ($i == $pocetDnu - 1) ? ' border-right' : '' ?><?= ($this ->chybySloupcu[$i] ?? null) ? ' error-back' : '' ?>"
                        id="rozdeleniVyrobyOsoby_rozdelit_<?= $i ?>"><?= StringUtils::format('minuty', round($this->odpracovano[$i] * 60)) ?>
                    </td>
                <?php } ?>
                <td></td>
                <?php if (!$this ->readOnly) { ?>
                <td class="tlacitka"></td>
                <?php } ?>
            </tr>
            <tr data-index="ZBYVA" class="browserfooter font-weight-normal">
                <td colspan="<?= $pocetSloupcu ?>" class="border-right"><?= \Ron\ronText('Zbyva_rozdelit') ?></td>
                <?php for ($i = 0;  $i < $pocetDnu;  $i++) { ?>
                    <td class="align-right<?= ($i == $pocetDnu - 1) ? ' border-right' : '' ?><?= round(($this->odpracovano[$i] - $this->soucty[$i]) * 60) < 0 ? ' minus' : '' ?><?= ($this ->chybySloupcu[$i] ?? null) ? ' error-back' : '' ?>"
                        id="rozdeleniVyrobyOsoby_zbyva_<?= $i ?>">
                        <?= round(($this->odpracovano[$i] - $this->soucty[$i]) * 60) ? StringUtils::format('minuty', round(($this->odpracovano[$i] - $this->soucty[$i]) * 60)) : '' ?>
                    </td>
                <?php } ?>
                <td></td>
                <?php if (!$this ->readOnly) { ?>
                <td class="tlacitka"></td>
                <?php } ?>
            </tr>
            <?php } ?>
        </tbody>
    </table>

    <?php if ($this ->editovaneUdaje) { ?>
        <div class="form large-form vyroba_podrobnosti margin-top-2" id="vyroba_podrobnosti_form">
            <div class="form-content">
                <div class="row">
                    <div class="col col-1"><span id="vyroba_datum"></span></div>
                    <div class="col col-2 caption"><?= \Ron\ronText('Vyroba_popis') ?></div>
                    <div class="col col-9">
                        <input class="form-input ronform-field" id="vyroba_popis"
                               <?php if ($this ->readOnly) { ?>readonly="readonly"<?php } ?>
                               data-ronform-field-name="popis" data-ronform-default-value=""/>
                    </div>
                </div>

                <div class="row">
                    <div class="col col-1"><span id="vyroba_podrobnosti"></span></div>
                    <div class="col col-2 caption"><?= \Ron\ronText('Vyroba_rozsirujici_popis') ?></div>
                    <div class="col col-9">
                        <textarea class="form-input ronform-field" id="vyroba_rozsirujici_popis"
                                  <?php if ($this ->readOnly) { ?>readonly="readonly"<?php } ?>
                                  data-ronform-field-name="rozsirujiciPopis" data-ronform-default-value=""></textarea>
                    </div>
                </div>

            </div>
        </div>
    <?php } ?>

    <?php if (!$this ->readOnly) { ?>
    <div class="buttons">
        <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
        <input type="submit" class="submitbutton" name="novyRadek" value="<?= \Ron\ronText('Novy_radek') ?>" />
        <input type="submit" class="button" name="doplnitRadky" value="<?= \Ron\ronText('Doplnit_radky_vyroby') ?>" title="<?= \Ron\ronText('Doplnit_radky_vyroby_info') ?>"/>
    </div>
    <?php } ?>
</div>
<?php if ($this ->renderHtmlForm) { ?></form><?php } ?>
