<?php
/**
 * stanislav.elbl, 18.09.2018
 */

namespace RonPortal\XML\Classes;

use Exception;
use Ron\StringUtils;
use RonPortal\Log;
use RonPortal\System\AgentManager;
use RonPortal\System\TaskManager;
use RonPortal\XML\XMLFormElementCommand;


/**
 * Implementace tagu <agent>
 * Class XMLElementAgent
 * @package RonPortal\XML\Classes
 */
class XMLElementAgent extends XMLFormElementCommand
{
    /**
     * @throws Exception
     */
    public function doCommand()
    {
        $app = $this ->getAttributeValue('app', 'ads'); // person/jidelna/cokoliv jineho=ads
        $name = $this ->getAttributeValue('name');
        $background = $this ->getBoolAttribute('background');

        $params = StringUtils::fromUTF8($this ->getAttributeValue('params'));
        $params = $this ->nahradPromenne($params, 'cmd'); // formatovani pro command line (datum ve formatu yyyy-mm-dd

        $defaultParams = $this ->getBoolAttribute('defaultparams', true);

        $result = null;
        switch (strtolower($app)) {
            case 'jidelna' :
                AgentManager::executeJidelna($name, $params, $defaultParams);
                break;

            case 'person' :
                $result = AgentManager::executePersonAgent($params, $defaultParams); // , $background);
                break;

            case 'ads' :
            default :
                $result = AgentManager::executeADS($name, $params, $defaultParams, $background);
                break;
        }

        if ($result) {
            $variablename = $this ->nahradPromenne($this ->getAttributeValue('variablename'));
            if ($variablename) {
                $this ->setVariableValue($variablename, $result ->resultCode, 'resultCode');
                $this ->setVariableValue($variablename, $result ->finalMessage, 'finalMessage');
                $this ->setVariableValue($variablename, $result ->errorMessage, 'errorMessage');
                $this ->setVariableValue($variablename, $result ->logText, 'logText');
                $this ->setVariableValue($variablename, $result ->progressMessage, 'progressMessage');
                $this ->setVariableValue($variablename, $result ->isRunning ? '1' : '0', 'isRunning');
                $this ->setVariableValue($variablename, $result ->taskId, 'taskId');
            }

            Log::addRecordToLog($this ->xmlForm ->database, 'Start agent task', 'XML', 'ProgressMessage: ' . $result ->progressMessage);
        }
    }
}


/*
//DOC
PAGE agent
<pre>
PRE
  <agent name="jmeno_agenta" app="ads" params="parametry_agenta" defaultparams="1" variablename="AgentResult" background="0"/>
PREEND
</pre>

//END
*/
