<?php
/**
 * stanislav.elbl, 21.06.2017
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\Dokumenty\DokumentyUtils;



class XMLElementDokument extends XMLElementPripojenyDokument
{
    var $name;
    /** @var string Jestli se muze pridavat vice dokumentu no (default) /yes/append/update (prepise se existujici) */
    var $editing;
    /** @var bool   Jestli se maji zobrazit */
    var $showFiles;

    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this->name = $this->getAttributeValue('name');
        $this->editing = $this ->getAttributeValue('editing'); // no (default) /yes/append
    }


    function getHTMLOutput()
    {
        $result = '';

        if ($this ->xmlForm ->dataMode()) {
            $result = $this ->getFilesHtml($this ->variableValue($this ->name . '_dokumenty'), $this ->name);

            if ($this ->variableValue($this ->name)  &&  $this ->editing != 'yes'  &&  $this ->editing != '1'  &&  $this ->editing != 'append'  &&  $this ->editing != 'update') {
                // uz bylo odeslano a pripojeni dalsiho neni povoleno
                return $result;
            }
        }

        $attrs = [
            'type' => 'file',
            'name' => $this ->name,
            'class' => ($this ->xmlForm ->isError($this ->name)) ? 'fileinput dotaznik_errinput' : 'fileinput'
        ];

        if ($this ->getAttributeValue('style')) {
            $attrs['style'] = $this ->getAttributeValue('style');
        }

        $attrs = $this->setHTMLAttributes($attrs);
        $attrs_str = $this->getHTMLAttributes($attrs);

        return $result . "<input $attrs_str/>";
    }


    function writeXMLOutput($xmlWriter)
    {
        throw new \Exception('XMLFormElementDokument::writeXMLOutput neni implementovano!');
    }


    function process()
    {
        $popis = StringUtils::fromUTF8($this ->getAttributeValue('popis'));

        if (is_uploaded_file($_FILES[$this ->name]['tmp_name'])) {
            // uzivatel pripojil soubor
            $popisSouboru = $this->nahradPromenne($popis);
            $typ = (int)$this ->nahradPromenne($this ->getAttributeValue('typ'));

            try {
                // TODO: implementovat "update"
                $id = DokumentyUtils::vlozDokument($this ->xmlForm ->database, $this ->name, $typ, $popisSouboru, 'XML formular');

                $this ->xmlForm->variables[$this ->name] = $id;
                $this ->xmlForm->noveDokumenty[] = $id;

                $pripojeneDokumenty = $this ->variableValue($this ->name . '_dokumenty') ?: '';
                $pripojeneDokumenty .= ($pripojeneDokumenty ? ';' : '') . $id;
                $this ->xmlForm->variables[$this ->name . '_dokumenty'] = $pripojeneDokumenty;

                $this ->xmlForm ->addDataVariable($this ->name);
                $this ->xmlForm ->addDataVariable($this ->name . '_dokumenty');

                $this ->xmlForm ->addLogData($this ->name, 'Nahran soubor ' . $_FILES[$this ->name]['name'] . ', id dokumentu ' . $id . ', ' . $popisSouboru);
            } catch (\Exception $e) {
                $this ->xmlForm->addErrorMsg('Pri vkladani souboru doslo k chybe!', $this ->name);
            }
        }

        parent::process();
    }
}

