<?php
/**
 * stanislav.elbl, 23.12.2021 18:28
 */

namespace RonPortal\XML\Classes;

use Ron\MVC\DataOutputObject;
use Ron\MVC\DownloadFileOutputObject;
use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;

class XmlElementDownload extends XMLFormElement
{
    var $textContent;

    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this ->textContent = StringUtils::fromUTF8($this ->loadXMLValue($xmlReader) );
    }


    function getHTMLOutput()
    {
        $outputFileName = $this ->nahradPromenne($this ->getAttributeValue('outputfilename'));
        $charset = $this ->nahradPromenne($this ->getAttributeValue('charset'));

        $fileName = $this ->nahradPromenne($this ->getAttributeValue('filename'));

        if ($fileName) {
            // stahnuti souboru
            $deleteFile = $this ->getBoolValue($this ->nahradPromenne($this ->getAttributeValue('deletefile')));
            $path = $this ->nahradPromenne($this ->getAttributeValue('path'));

            if ($deleteFile) {
                // soubor se ma smazat => musi ho nejdrive nacist ...
                $lastChar = $path ? substr($path, -1) : '';

                $fullFileName =
                    $path .
                    (($path && $lastChar !== '\\' && $lastChar !== '/') ? '/' : '') .
                    $fileName;

                $content = file_get_contents($fullFileName);

                // ... smazat ...
                unlink($fullFileName);

                $outputFileName = $outputFileName ?: $fileName;

                // ... a dale pak vraci nacteny obsah
            } else {
                $this->xmlForm->outputObject = new DownloadFileOutputObject($path, $fileName, $outputFileName ?: null, $charset ?: null);
                return;
            }
        } else {
            // stahnuti libovolnych dat zadanych atributem content nebo v obsahu tagu
            $content = $this->getAttributeValue('content');
            if ($content) {
                $content = $this->nahradPromenne($content);
            } else {
                $content = $this->nahradPromenne($this->textContent);
            }
        }

        $this ->xmlForm ->outputObject = new DataOutputObject($content, $outputFileName ?: 'output.txt', $charset ?: null);
    }
}


/*
//DOC
PAGE download
<pre>
PRE
  <download path="cesta_k_souboru" filename="jmeno_souboru_ke_stazeni" deletefile="0"
    charset="znakova_sada"
    outputfilename="jmeno_vystupniho_souboru"
    content="obsah_v_atributu">obsah_v_tele_tagu</json>
PREEND
</pre>

//END
*/
