<?php
/**
 * stanislav.elbl, 09.06.2021 21:27
 */

namespace RonPortal\XML\Classes;

use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;

class XMLElementOtazkyHodnoceni extends XMLFormElement
{
    private function getCursor()
    {
        $id = (int)$this->nahradPromenne($this ->getAttributeValue('id'));
        $druhHodnoceni = (int)$this->nahradPromenne($this ->getAttributeValue('druhhodnoceni'));
        $temaCislo = (int)$this->nahradPromenne($this ->getAttributeValue('temacislo'));

        $params = $this ->xmlForm ->database ->createParameters();

        if ($id) {
            $sql =
                'SELECT HodnoticiKriterium.KodKriteria ' .
                '  FROM PripraveneTemaHodnoceni, HodnoticiKriterium ' .
                ' WHERE PripraveneTemaHodnoceni.Id = ' . $params ->addParameter($id) .
                '   AND HodnoticiKriterium.DruhHodnoceni = PripraveneTemaHodnoceni.DruhHodnoceni ' .
                '   AND HodnoticiKriterium.TemaCislo = PripraveneTemaHodnoceni.TemaCislo ' .
                '   AND HodnoticiKriterium.KodKriteriaHlavni IS NULL' . // 15.4.2015 RON-PR nacitaji se jen otazky, ktere nejsou dalsim typem odpovedi
                ' ORDER BY HodnoticiKriterium.Poradi ';
        } else {
            $sql =
                'SELECT HodnoticiKriterium.KodKriteria ' .
                '  FROM HodnoticiKriterium ' .
                ' WHERE HodnoticiKriterium.DruhHodnoceni = ' . $params ->addParameter($druhHodnoceni) .
                '   AND HodnoticiKriterium.TemaCislo = ' . $params ->addParameter($temaCislo) .
                '   AND HodnoticiKriterium.KodKriteriaHlavni IS NULL' . // 15.4.2015 RON-PR nacitaji se jen otazky, ktere nejsou dalsim typem odpovedi
                ' ORDER BY HodnoticiKriterium.Poradi ';
        }

        MessageManager::addDebugLog('XMLDebug> otazkyhodnoceni: ' . $sql);

        return $this ->xmlForm ->database ->getSqlResult($sql, $params);
    }


    function getHTMLOutput()
    {
        $result = '';

        $cursor = $this ->getCursor();
        while ($row = $cursor ->fetch()) {
            $this ->setVariableValue('HODNOCENI_KodKriteria', StringUtils::xmlTextConvert($row[0]));
            $result .= $this->getElementsHTMLOutput();
        }

        $cursor ->close();

        return $result;
    }


    function process()
    {
        $cursor = $this ->getCursor();

        while ($row = $cursor ->fetch()) {
            $this ->setVariableValue('HODNOCENI_KodKriteria', StringUtils::xmlTextConvert($row[0]));
            $this->processElements();
        }

        $cursor ->close();
    }
}

/*
//DOC
PAGE otazkyhodnoceni
<pre>
PRE
  <otazkyhodnoceni id="id_hodnoceni" druhhodnoceni="druh_hodnoceni" temacislo="tema_cislo">
PREEND
</pre>

//END
*/
