<?php
/**
 * stanislav.elbl, 14.06.2021 15:30
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\Kapacity\PodminkyPlanovaniForm;
use RonPortal\Obdobi;
use RonPortal\Rozdeleni;
use RonPortal\XML\XMLFormElementCommand;

class XMLElementPodminkyPlanovani extends XMLFormElementCommand
{
    function doCommand()
    {
        $variableName = $this->getAttributeValue('variablename');

        $pocatekObdobi = $this ->nahradPromenne($this->getAttributeValue('obdobi'));

        $obdobi = Obdobi::vratObdobi($this ->xmlForm ->database, 'ADS', $pocatekObdobi);

        $typRozdeleni = (int)$this ->nahradPromenne($this->getAttributeValue('typrozdeleni'));
        $kodRozdeleni = $this ->nahradPromenne(StringUtils::fromUTF8($this->getAttributeValue('rozdeleni')));

        $rozdeleni = Rozdeleni::loadRozdeleni($this ->xmlForm ->database, $typRozdeleni, $kodRozdeleni);

        $form = new PodminkyPlanovaniForm($this ->xmlForm ->database);
        $form ->load($obdobi, $rozdeleni, false);

        $html = $this ->getBoolAttribute('html');
        $format = StringUtils::fromUTF8($this ->getAttributeValue('format', '%DAYOFWEEK% %DATE% %PODMINKA%: %PUVODNI_HODNOTA% => %NOVA_HODNOTA% (%USER%)'));

        $resultStr = '';

        foreach ($form ->radky as $radek) {
            //var_dump($radek);
            foreach ($form ->dny as $index => $den) {
                if ($radek ->data[$index] ->hodnota !== $radek ->data[$index] ->vychoziHodnota) {
                    // doslo ke zmene hodnoty
                    // sestavi text radku podle zadaneho formatu
                    $text = str_replace(
                        ['%DAYOFWEEK%', '%DATE%', '%PODMINKA%', '%PUVODNI_HODNOTA%', '%NOVA_HODNOTA%', '%USER%', '%UPDATE_TIME%', '%CSS_CLASS%', '%CSS_STYLE%'],
                        [
                            \Ron\ronText('Day_short_' . date('w', $den->datum)),
                            date('j.n.Y', $den->datum),
                            $radek ->getHtmlPopis(),
                            $radek ->data[$index] ->vychoziHodnota,
                            $radek ->data[$index] ->hodnota,
                            $radek ->data[$index] ->updateUserName,
                            StringUtils::format('datetime', $radek ->data[$index] ->updateTimestamp),
                            ($radek ->data[$index] ->hodnota > $radek ->data[$index] ->vychoziHodnota) ? 'raising' : 'missing',
                            ($radek ->data[$index] ->hodnota > $radek ->data[$index] ->vychoziHodnota) ? 'background-color: #fcd0c0' : 'background-color: deepskyblue'
                        ],
                        $format);

                    $resultStr .=
                        ($html ? '<div>' : '') .
                        $text .
                        ($html ? '</div>' : '') .
                        "\n";
                }
            }
        }

        $this ->setVariableValue($variableName, $resultStr);
    }
}
