<?php
/**
 * stanislav.elbl, 22.06.2021 22:35
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElementCommand;

class XMLElementPostVariable extends XMLFormElementCommand
{
    private $name;
    private $htmlName;
    private $format;
    private $charset;

    /** @var bool   Priznak, ze ma byt nactena hodnota v UTF8 kodovani */
    private $utf8;


    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this->name = $this->getAttributeValue('name');
        $this->htmlName = $this->getAttributeValue('htmlname');
        $this->format = $this->getAttributeValue('format');
        $this->charset = $this->getAttributeValue('charset');
        
        $this->utf8 = $this ->getBoolAttribute('utf8');
    }


    function doCommand()
    {
        $name = $this->nahradPromenne($this->name);

        $htmlName = $this->htmlName
            ? $this->nahradPromenne($this->htmlName)
            : $name;

        $value = isset($_POST[$htmlName])
            ? $_POST[$htmlName]
            : '';

        if ( $this->format === 'datetime'  &&  $_POST[$htmlName . '_time'] !== '') {
            $value .= ' ' . $_POST[$htmlName . '_time'];
        }

        if ($this ->utf8) {
            $value = StringUtils::fromUTF8($value);
        } else if ($this->charset && $this->charset != 'windows-1250') {
            // TODO: v pripade potreby opravit!
            $value = iconv('utf-8', 'windows-1250', $value);
        }

        $this->setVariableValueWithFormat($name, $this->format, $value);
    }
}

/*
//DOC
PAGE postvariable
<pre>
PRE
  <postvariable name="promenna1" htmlname="jmeno_v_html" format="..." utf8="0" />
PREEND
</pre>
//END
*/
