<?php
/**
 * pavel.rudol
 * 23.02.2024
 */

namespace ronportal\xml\classes;

use Ron\DateUtils;
use Ron\StringUtils;
use RonPortal\XML\XMLFormElementCommand;

/**
 * Implementace tagu, ktery nastavi predavaci proces, vstupni kategorii a poradi predavani
 * Class XMLElementPredavaciProces
 * @package RonPortal\XML\Classes
 */
class XMLElementPredavaciProces extends XMLFormElementCommand
{
    function doCommand()
    {
        if (!is_null($this->getAttributeValue('kodprocesu'))) {
            $proces = $this->nahradPromenne(StringUtils::fromUTF8($this->getAttributeValue('kodprocesu')));
        }
        if (!is_null($this->getAttributeValue('pocatecniuroven'))) {
            $pocatecniUroven = $this->nahradPromenne(StringUtils::fromUTF8($this->getAttributeValue('pocatecniuroven')));
        }
        if (!is_null($this->getAttributeValue('poradi'))) {
            $poradi = $this->nahradPromenne($this->getAttributeValue('poradi'));
        } else {
            $poradi = 1;
        }

        if (isset($proces)) {
            $this->xmlForm->predavaciProces = $proces;
        }

        if (isset($pocatecniUroven) && isset($poradi)) {
            $this->xmlForm->pocatecniUroven = $pocatecniUroven;
            $this->xmlForm->poradiPredavani = $poradi;
        }
    }
}


/*
//DOC
PAGE nastavpredavaciproces
<pre>
PRE
  <nastavpredavaciproces kodprocesu="kod_procesu" pocatecniuroven="pocatecni_uroven" poradi="1" />
PREEND
</pre>

//END
*/
