<?php
/**
 * stanislav.elbl, 04.10.2018
 * Implementace tagu <vyrobaosoby>
 */

namespace RonPortal\XML\Classes;

use Ron\Http\HtmlHeaders;
use Ron\MessageManager;
use Ron\TextManager;
use RonPortal\PracovniPomer;
use RonPortal\Vyroba\VyrobaOsobyForm;
use RonPortal\XML\XMLFormElement;

class XMLElementVyrobaOsoby extends XMLFormElement
{
    /** @var VyrobaOsobyForm */
    private $form = null;

    function createForm()
    {
        TextManager::getInstance()
            ->loadStrings('vyroba.ini')
            ->loadStrings('dochazka.ini');


        $idPP = (int)$this ->nahradPromenne($this ->getAttributeValue('idpp'));
        $pp = PracovniPomer::nactiPP($this ->xmlForm ->database, $idPP);

        $datumOd = (int)$this ->nahradPromenne($this ->getAttributeValue('datumod'));
        $datumDo = (int)$this ->nahradPromenne($this ->getAttributeValue('datumdo'));

        return new VyrobaOsobyForm($this ->xmlForm ->database, $pp, $datumOd, $datumDo, $this ->getBoolAttribute('kontrolovatprava', true));
    }


    function getHTMLOutput()
    {
        HtmlHeaders::getInstance()
            ->addScript('script/vyroba.js')
            ->addCss('css/dochazka.css');

        if (!$this ->form) {
            $this ->form = $this->createForm();
            $this ->form ->load();
        }

        $this ->form ->renderHtmlForm = false;

        $this ->xmlForm ->viewObjects[] = $this ->form;
        return $this ->xmlForm ->viewObjectPlaceholder;
    }


    function process()
    {
        $this ->form = $this ->createForm();
        $this ->form ->load();
        $this ->form ->process();

        if (MessageManager::getInstance() ->isError()) {
            $this->xmlForm ->addErrorMsg(true);
        }
    }
}
