<?php

namespace RonPortal\XML;

use Ron\DB\Database;
use Ron\DB\DBException;
use RonPortal\Prava;

class SablonaXmlFormulare
{
    /** @var int */
    public $id;

    /** @var string */
    public $popis;

    /** @var string */
    public $typPrava;

    /** @var string */
    public $menuText;


    /**
     * Nacte seznam XML sablon, ktere zacinaji zadanym prefixem. Pokud maji zadany kod prava, tak kontroluje, jestli ma na ne uzivatel pravo.
     * @param Database $database
     * @param string $prefix
     * @return SablonaXmlFormulare[]
     * @throws DBException
     */
    public static function nactiSablony(Database $database, string $prefix)
    {
        $result = [];

        $sql =
            'SELECT Id, Popis, TypPrava FROM SablonaXMLFormulare ' .
            " WHERE Popis LIKE 'DASHBOARD%'" .
            ' ORDER BY Popis';

        $params = $database ->createParameters();
        $cursor = $database->getSqlResult(
            'SELECT Id, Popis, TypPrava, MenuText FROM SablonaXMLFormulare ' .
            ' WHERE Popis LIKE ' . $params ->addParameter($prefix . '%') .
            ' ORDER BY Popis',
            $params);

        while ($row = $cursor->fetch()) {
            if (!$row[2]  ||  Prava::jsouNejakePrava($row[2])) {
                $sablona = new static();
                $sablona->id = $row[0];
                $sablona->popis = $row[1];
                $sablona->typPrava = $row[2];
                $sablona->menuText = $row[3] ?: substr($sablona->popis, strlen($prefix));

                $result[] = $sablona;
            }
        }

        $cursor ->close();
        return $result;
    }

}
