<?php

namespace RonPortal\XML;


/**
 * Obecny predek pro prikazy (obvykle elementy, ktere negeneruji zadny obsah, ale provadi nejakou cinnost)
 * Class XMLFormElementCommand
 * @package Ron\RonPortal\XML
 */
abstract class XMLFormElementCommand extends XMLFormElement
{
    protected $processNestedElements = false;

    abstract public function doCommand();


    public function getHTMLOutput() {
        $this->doCommand();
        if ($this ->processNestedElements) {
            $this->getElementsHTMLOutput(); // provede i vnorene tagy (dulezite napr. pro dbrecord)
        }
        return '';
    }


    public function writeXMLOutput($xmlWriter) {
        $this ->doCommand();
        parent::writeXMLOutput($xmlWriter);
    }


    public function event()
    {
        $this ->doCommand();
        parent::event();
    }


    public function process()
    {
        $this ->doCommand();
        parent::process();
    }
}
