<?php

namespace RonPortal\Zamestnanci;

use Ron\DB\Database;
use Ron\DB\DBException;


/**
 * Class PenzijniPripojisteniOsoby
 * @package RonPortal\Zamestnanci
 */
class PenzijniPripojisteniOsoby
{
    public $rc;

    public $penzijniFond;
    public $cisloSmlouvy;
    public $platnostOd;
    public $platnostDo;
    public $serioveCisloUctu1;
    public $prispevekZamestnav8atele;
    public $serioveCisloUctu2;
    public $prispevekZamestnance;
    public $popisPenzijnihoFondu;


    /**
     * @param Database $database
     * @param $rc
     * @return array
     * @throws DBException
     */
    public static function nactiPenzijniPripojisteniOsoby($database, $rc){
        $params = $database->createParameters();
        $sql =
            'SELECT PenzijniFond, CisloSmlouvy, SmlouvaPenzijnihoPrip.PrispevekZamestnance, SmlouvaPenzijnihoPrip.PlatnostOd, SmlouvaPenzijnihoPrip.SerioveCisloUctu1,' .    //0..4
            ' SmlouvaPenzijnihoPrip.PrispevekZamestnavatele, SmlouvaPenzijnihoPrip.SerioveCisloUctu2, PenzijniFond.Popis, SmlouvaPenzijnihoPrip.PlatnostDo' .       //5..8
            "\nFROM SmlouvaPenzijnihoPrip LEFT JOIN PenzijniFond ON (SmlouvaPenzijnihoPrip.PenzijniFond = PenzijniFond.Kod)" .
            "\nWHERE (RC = " . $params->addParameter($rc) . ") ".
            "\nORDER BY PlatnostOd";

        $cursor = $database->getSqlResult($sql,$params);

        $seznamPenzijnihoPripojisteni = [];

        while ($row = $cursor->fetch()) {
            $penzijniPripojisteni = new PenzijniPripojisteniOsoby();
            $penzijniPripojisteni->rc = $rc;
            $penzijniPripojisteni->nactiDataZRadku($database, $row);
            $seznamPenzijnihoPripojisteni[] = $penzijniPripojisteni;
        }

        $cursor ->close();

        return $seznamPenzijnihoPripojisteni;
    }

    /**
     * @param Database $database
     * @param $row
     */
    public function nactiDataZRadku($database, $row){
        $this->penzijniFond = $row[0];
        $this->cisloSmlouvy = $row[1];
        $this->prispevekZamestnance = $row[2];
        $this->platnostOd = $database->stringToTimestamp($row[3]);
        $this->platnostDo = $database->stringToTimestamp($row[8]);
        $this->serioveCisloUctu1 = $row[4];
        $this->prispevekZamestnavatele = $row[5];
        $this->serioveCisloUctu2 = $row[6];
        $this->popisPenzijnihoFondu = $row[7];
    }
}
