<?php
/**
 * stanislav.elbl, 09.08.2021 17:53
 */

namespace RonPortal\Zamestnanci;

use Ron\DB\Database;
use Ron\DB\DBRecordField;
use RonPortal\RonPortalDBRecord;

class PrukazRecord extends RonPortalDBRecord
{
    /** @var DBRecordField */
    var $fRC;

    /** @var DBRecordField */
    var $fTypPrukazu;

    /** @var DBRecordField */
    var $fCisloPrukazu;

    /** @var DBRecordField */
    var $fVydalStat;

    /** @var DBRecordField */
    var $fPlatnostOd;

    /** @var DBRecordField */
    var $fPlatnostDo;

    /** @var DBRecordField */
    var $fPoznamka;

    /**
     * @param Database $database
     * @param object|string $logDescription
     * @param string $RC
     * @param int $typPrukazu
     */
    public function __construct($database, $logDescription, $RC, $typPrukazu, $cisloPrukazu = null, $platnostKDatu = null)
    {
        parent::__construct($database, 'Prukaz', $logDescription);

        $this ->fRC = $this ->addStringField('RC', true, 15, $RC);
        $this ->fTypPrukazu = $this ->addIntField('TypPrukazu', true, $typPrukazu);
        $this ->fCisloPrukazu = $this ->addStringField('CisloPrukazu', isset($cisloPrukazu), 20, $cisloPrukazu);

        $this ->fVydalStat = $this ->addStringField('VydalStat', false, 10);
        $this ->fPlatnostOd = $this ->addDateField('PlatnostOd', false);
        $this ->fPlatnostDo = $this ->addDateField('PlatnostDo', false);

        $this ->fPoznamka = $this ->addMemoField('Poznamka', false);

        $params = $database ->createParameters();
        $this ->setWhere(
            'RC = ' . $params ->addParameter($RC) .
            ' AND TypPrukazu = ' . $params ->addParameter($typPrukazu) .
            (isset($cisloPrukazu)
                ? ' AND CisloPrukazu = ' . $params ->addParameter($cisloPrukazu)
                : ''
            ) .
            (isset($platnostKDatu)
                ? ' AND (PlatnostOd <= ' . $params ->addDateParameter($platnostKDatu) . ' OR PlatnostOd IS NULL)' .
                  ' AND (PlatnostDo >= ' . $params ->addDateParameter($platnostKDatu) . ' OR PlatnostDo IS NULL)'
                : ''
            ),
            $params);
    }
}
