<?php

namespace RonPortal\Zamestnanci;

use Ron\DB\Database;


class RodinnyStav
{
    public $rc;
    public $platnostOd;
    public $platnostDo;

    public $rodinnyStav;
    public $rodinnyStavStr;


    /**
     * Vraci vsechny rodinne stavy osoby, pokud je zadana i platnost od, pak zvoleny rodinny stav
     * a pokud je $aktualni = true, tak jen aktualni.
     * @param Database $database
     * @param string $rc
     * @param int $platnostOd
     * @param bool $aktualni
     * @return RodinnyStav[]|RodinnyStav
     * @throws \Exception
     */
    public static function nactiStav($database, $rc, $platnostOd = 0, $aktualni = false)
    {
        $params = $database->createParameters();

        $sql =  'SELECT PlatnostOd, PlatnostDo, KodRodinnehoStavu, S_RodinnyStav.Popis ' .
            ' FROM RodinnyStav JOIN S_RodinnyStav ON (S_RodinnyStav.Kod = RodinnyStav.KodRodinnehoStavu) ' .
            ' WHERE RodinnyStav.RC = ' . $params->addParameter($rc);
        if ($aktualni) {
            $sql .=
                ' AND RodinnyStav.PlatnostOd <= ' . $params->addParameter($database->dateToParam(time())) .
                ' AND (RodinnyStav.PlatnostDo >= ' . $params->addParameter($database->dateToParam(time())) . ' OR RodinnyStav.PlatnostDo IS NULL)';
        }

        $sql .= ' ORDER BY PlatnostOd';

        $cursor = $database->getSqlResult($sql,$params);

        $seznamStavu = [];

        while ($row = $cursor->fetch()) {
            $rodinnyStav = new RodinnyStav();
            $rodinnyStav->nactiStavZRadku($database, $row);

            if ($aktualni || $database->stringToTimestamp($row[0]) == $platnostOd) {
                return $rodinnyStav;
            }

            $seznamStavu[] = $rodinnyStav;
        }

        $cursor ->close();

        if ($aktualni) {
            return null;
        }

        return $seznamStavu;
    }


    /**
     * @param Database $database
     * @param array $row
     */
    private function nactiStavZRadku($database, $row)
    {
        $this->platnostOd = $database->stringToTimestamp($row[0]);
        $this->platnostDo = $database->stringToTimestamp($row[1]);

        $this->rodinnyStav = $row[2];
        $this->rodinnyStavStr = $row[3];
    }
}
