<?php
/**
 * stanislav.elbl, 20.05.2022 16:11
 */

namespace RonPortal\Zamestnanci;

use Ron\Controls\ComboBox;
use Ron\TextManager;
use RonPortal\Controls\FilterFormFilter;
use RonPortal\Controls\RonPortalFilterForm;
use RonPortal\NastaveniUzivatele;
use RonPortal\Prava;

/**
 * Filtr pro browsery PP, osob
 * Filtruje rozdeleni, platnost PP, typ Zamestnance, aktivni/neaktivni/vsechny osoby/PP
 */
class SeznamZamestnancuFilterForm extends RonPortalFilterForm
{
//    /** @var string aktivni/neaktivni/vsichni */
//    public $stavZamestnance = 'vsichni';

    public $actionZamestnanci;


    public function __construct($database, $action)
    {
        parent::__construct($database, 'zamestnanec', true);

        $this ->actionZamestnanci = $action;

        TextManager::getInstance()->loadStrings('zamestnanci.ini');

//        $this->nastavRozdeleni(true);
//        $this->nastavRozdeleni2(true);
        $prava = Prava::vratPrava('zamest_prohl');
        $this ->addFilterRozdeleni1(null, $prava);
        $this ->addFilterRozdeleni2(null, $prava);

//        $this->f_pravarozdeleni = Prava::vratPrava('zamest_prohl');

        $this ->addFilter(
            (new FilterFormFilter('action', FilterFormFilter::TYPE_HIDDEN))
                ->setDefaultValue($this ->actionZamestnanci)
        );


        // vsichni/aktivni/neaktivni
        $this ->addFilter(
            (new FilterFormFilter('stavpp'))
                ->addItem('vsichni', TextManager::_('Vsichni'))
                ->addItem('aktivni', TextManager::_('Aktivni'))
                ->addItem('neaktivni', TextManager::_('Neaktivni'))
                ->setSessionName('zamestnanci_stav_pp')
                ->setUserSettingsName('zamestnanci_stav_pp')
                ->setDefaultValue('aktivni'),
            true
        );

        // typ osoby (zamestnanec/externi/...)
        $this ->addFilter(
            (new FilterFormFilter('typzamestnance', FilterFormFilter::TYPE_OPTIONS))
                ->addItem('', TextManager::_('_vse_'))
                ->setOptionsSql('SELECT Kod, Popis FROM S_TypOsoby WHERE %FILTER% ORDER BY %ORDER%', '1 = 1', 'Popis')
                ->setCaption(TextManager::_('Jen_typ_zamestnance'))
                ->setSessionName('zamestnanci_typ_zamestnance')
        );
    }

//    /**
//     * @throws \Exception
//     */
//    private function renderTypZamestnance()
//    {
//        echo '<div class="filterrow">';
//
//        // checkbox "Jen typ osoby"
//        echo
//            '<span class="filtercaption">' .
//            TextManager::_('Jen_typ_zamestnance') .
//            '</span>';
//
//        // combobox pro vyber
//        $sql =
//            'SELECT Kod, Popis FROM S_TypOsoby ORDER BY Popis';
//
//        // vyber typu osoby/zamestnance podle popisu
//        $combo = new ComboBox('typzamestnance');
//        $combo
//            ->setClassName('adsfilterforminput_full')
//            ->setDataTypeComparison(false)
//            ->addHtmlParam('data-ron-autosubmit', '1')
//            //$combo->htmlParams = 'onChange="if (jenTypZamestnance.checked) submit();"';
//            ->setEmptyRow(TextManager::_('_vse_'));
//
//        $combo->loadData($this->database, $sql, $this ->typZamestnance);
//
//        $combo->render();
//
//        echo "</div>\n";
//    }


//    /**
//     *
//     */
//    private function renderFiltrStav()
//    {
//        echo
//            '<div class="filterrow">' .
//            // nadpis
//            '<span class="filtercaption">' .
//            '</span>' .
//            // radiobuttonky
//            '<div class="margin-bottom-2">' .
//            // ... vsichni
//            "<label class='margin-right-2'><input type='radio' name='stavpp' value='vsichni' class='clickAutoSubmit' " .
//                ($this ->stavZamestnance === 'vsichni' ? 'checked' : '') .
//                '>' . TextManager::_('Vsichni') . '</label>' .
//            // ... aktivni
//            "<label class='margin-right-2'><input type='radio' name='stavpp' value='aktivni' class='clickAutoSubmit' " .
//                ($this ->stavZamestnance === 'aktivni' ? 'checked' : '') .
//                '>' . TextManager::_('Aktivni') . '</label>' .
//            // ... neaktivni
//            "<label class='margin-right-2'><input type='radio' name='stavpp' value='neaktivni' class='clickAutoSubmit' " .
//                ($this ->stavZamestnance === 'neaktivni' ? 'checked' : '') .
//                '>' . TextManager::_('Neaktivni') . '</label>' .
//            '</div>' .
//
//            "</div>\n";
//
//    }


//    private function renderNew()
//    {
//        echo "<BR />";
//        echo "<A href='?menuid=zamestnanec&action=insert'>" . TextManager::_('novy_zamestnanec') . "</A>";
//    }


//    private function loadTypZamestnance()
//    {
//        if (isset($_GET['typzamestnance'])) {
//            $this ->typZamestnance = $_GET['typzamestnance'] != ''
//                ? (int)$_GET['typzamestnance']
//                : null;
//
//            $_SESSION['zamestnanci_typ_zamestnance'] = isset($this ->typZamestnance) ? $this ->typZamestnance : 'all';
//            NastaveniUzivatele::setUserSettingsItem($this->database, 'zamestnanci_typ_zamestnance', isset($this ->typZamestnance) ? $this ->typZamestnance : '', '');
//        } else if (isset($_SESSION['zamestnanci_typ_zamestnance'])) {
//            $this->typZamestnance = $_SESSION['zamestnanci_typ_zamestnance'] === 'all'
//                ? null
//                : (int)$_SESSION['zamestnanci_typ_zamestnance'];
//        } else {
//            $this->typZamestnance = NastaveniUzivatele::getUserSettingsItem($this->database, 'zamestnanci_typ_zamestnance', null);
//            $_SESSION['zamestnanci_typ_zamestnance'] = isset($this ->typZamestnance)
//                ? $this ->typZamestnance
//                : 'all';
//        }
//    }

//    private function loadFiltrStav()
//    {
//        if (isset($_GET['stavpp'])) {
//            switch ($_GET['stavpp']) {
//                case 'aktivni' :
//                case 'neaktivni' :
//                    $this ->stavZamestnance = $_GET['stavpp'];
//                    break;
//
//                default :
//                    $this ->stavZamestnance = 'vsichni';
//            }
//
//            $_SESSION['zamestnanci_stav_pp'] = $this ->stavZamestnance;
//            NastaveniUzivatele::setUserSettingsItem($this->database, 'zamestnanci_stav_pp', $this ->stavZamestnance, 'vsichni');
//        } else {
//            if (isset($_SESSION['zamestnanci_stav_pp'])) {
//                $this ->stavZamestnance = $_SESSION['zamestnanci_stav_pp'];
//            } else {
//                $this ->stavZamestnance = NastaveniUzivatele::getUserSettingsItem($this->database, 'zamestnanci_stav_pp', 'vsichni');
//            }
//        }
//
//        $this->showDatumOdDo = $this ->stavZamestnance != 'vsichni';
//    }


    protected function loadTopFilters()
    {
        parent::loadTopFilters();
        $this->nastavDatumOdDo($this ->getFilterValue('stavpp') !== 'vsichni', true); // jen pro aktivni/neaktivni, povinne=true
    }


//    function loadData()
//    {
//        $this->loadFiltrStav();
//        $this->loadTypZamestnance();
//
//        parent::loadData();
//    }

//    /**
//     * @throws \Exception
//     */
//    function renderFilters()
//    {
//        echo "<input type='hidden' name='action' value='{$this ->actionZamestnanci}' />";
//
//        parent::renderFilters(); // rozdeleni
//
//        //TODO: odstranit po dokonceni formulare
//        global $enable_seznamPP;
//        if ($enable_seznamPP)
//            $this->renderNew();
//    }
}
