<?php
/**
 * stanislav.elbl, 27.02.2016
 * roman.szablatura, 10.10.2017
 */

namespace RonPortal\Zamestnanci;

use Ron\MVC\Model;
use Ron\StringUtils;
use RonPortal\User;
use function Ron\ronText;
use Ron\TextManager;
use RonPortal\Controls\RonPortalFilterForm;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;

/** @var RonPortalFilterForm $filterForm */
$filterForm = Model::getInstance() ->getData('filterForm');
/** @var OsobniUdaje $osoba */
$osoba = Model::getInstance() ->getData('osoba');
$zobrazitOsobni = Model::getInstance() ->getData('zobrazitOsobni');

$nahlasitZmenu = Model::getInstance() ->getData('nahlasitZmenu');

$nahlasitZmenuVelikosti = Prava::existujePravo('ou_zmeny_nahlaseni_velikosti')
    ? Prava::vratPrava('ou_zmeny_nahlaseni_velikosti') ->lzeZobrazitRC($osoba ->rc)
    : $nahlasitZmenu;

$nadpisy = [];
$zobrazenaPole = [];
StringUtils::parseStringToArrays(RonPortalSettings::getValue('radkyosobni'), $nadpisy, $zobrazenaPole, true);

$existujeTrvale = false;
$existujePrechodne = false;
if(count($osoba ->adresy)) {
    foreach ($osoba->adresy as $adresa) {
        if ($adresa ->trvaleBydliste == 1){
            $existujeTrvale = true;
        }
        if ($adresa ->trvaleBydliste == 0){
            $existujePrechodne = true;
        }
    }
}

$nahlaseneZmeny = Model::getInstance() ->getData('nahlaseneZmeny');

/**
 * @param NahlasenaZmena[] $nahlaseneZmeny
 * @param string $typZmeny
 */
function zobrazNahlaseneZmeny($nahlaseneZmeny, $typZmeny)
{
    if (!$nahlaseneZmeny) {
        return;
    }

    foreach ($nahlaseneZmeny as $nahlasenaZmena) {
        if ($nahlasenaZmena ->typZmeny === $typZmeny) {
            echo
                "<div class='nahlasena-zmena-info'>" .
                "<a href='?menuid=nahlasenezmeny&record={$nahlasenaZmena ->id}&back=osobniudaje'>" .
                TextManager::_('nahlasena_zmena') .
                '</a> ' .
                "<i class='fa inline-glyph glyph-warning'></i> " .
                ' ' . StringUtils::format('finedatetime', $nahlasenaZmena ->datumCas) .
                "</div>";
        }
    }
}

$zobrazNahlaseniZmeny = function ($typZmeny, $zobrazitDriveNahlasene = true, $urlParams = '', $text = null) use ($nahlaseneZmeny, $osoba, $nahlasitZmenu)
{
    $lzeNahlasit = NahlasenaZmena::jePravoNaTypZmeny($typZmeny, 'ou_zmeny_nahlaseni', $osoba ->rc);
    $lzeSchvalit = NahlasenaZmena::jePravoNaTypZmeny($typZmeny, 'ou_zmeny_schval', $osoba ->rc);

    if (!$lzeNahlasit  &&  !$lzeSchvalit) {
        return;
    }

    echo
        '<div class="row">' .
        '<div class="col col-12 col-md-3 caption"></div>' .
        '<div class="col col-12 col-md-9">';

    if ($lzeNahlasit) {
        // odkaz na nahlaseni nove zmeny
        echo
            "<div><a href='?menuid=zmena&typzmeny=$typZmeny&osoba={$osoba ->idPP}{$urlParams}&back=osobniudaje'>" . ronText($text ?? 'Nahlasit_zmenu') . '</a></div>';
    }

    if ($zobrazitDriveNahlasene) {
        if (is_array($zobrazitDriveNahlasene)) {
            foreach ($zobrazitDriveNahlasene as $typ) {
                zobrazNahlaseneZmeny($nahlaseneZmeny, $typ);
            }
        } else {
            zobrazNahlaseneZmeny($nahlaseneZmeny, $typZmeny);
        }
    }

    echo
        '</div>' .
        '</div>';
}


?>
<h1><?= ronText('Osobni_udaje') ?></h1>

<?php $filterForm ->render(); ?>

<div class="form large-form" id="osobni_udaje_zamestnance">
    <div class="form-content">

        <div id="osobni_hlavicka">
            <div class="row">
                <div class="col col-12 col-md-3 caption"></div>
                <div class="col col-12 col-md-9">
                    <?php if ($osoba ->idFotografie) { ?>
                        <div class="fotoDochazka desktop-only">
                            <img alt="foto" src="?menuid=osobniudaje&foto=<?= $osoba ->idPP ?>">
                        </div>
                    <?php } ?>
                    <?= StringUtils::htmlTextConvert($osoba ->titul) ?> <strong><?= StringUtils::htmlTextConvert($osoba ->jmeno) ?> <?= StringUtils::htmlTextConvert($osoba -> prijmeni) ?></strong> <?= StringUtils::htmlTextConvert($osoba ->titulZa) ?>
                </div>
            </div>
        </div>

        <div id="osobni_vybraneudaje" class="osobni-udaje-section" data-code="osobni">
            <?php foreach($zobrazenaPole as $i => $pole) { ?>
                <div class="row">
                    <div class="col col-12 col-md-3 caption"><?= $nadpisy[$i] ?></div>
                    <div class="col col-12 col-md-9">
                        <?= $osoba ->vratTextPole($pole) ?>
                    </div>
                </div>
            <?php } ?>

            <?php if ($zobrazitOsobni) { ?>
                <?php $zobrazNahlaseniZmeny('osobni'); ?>
            <?php }?>
        </div>


        <?php if (!User::isLoggedAs()  &&   Prava::vratPrava('osobni_heslo') ->lzeZobrazitRC($osoba ->rc)) { ?>
            <div id="osobni_email_pro_vyplatni_listky" class="osobni-udaje-section margin-top-3">
                <div class="row">
                    <div class="col col-12 col-md-3 caption"><?= TextManager::_('E_mail_pro_vyplatni_listek') ?></div>
                    <div class="col col-12 col-md-9">
                        <?= $osoba ->emailProVyplatniListek ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col col-12 col-md-3 caption"></div>
                    <div class="col col-12 col-md-9">
                        <a href='?menuid=personalpassword&backaction=osobniudaje<?= User::hasRC($osoba ->rc) ? '' : '&jinaosoba=1&osoba=' . $osoba ->idPP ?>'><?= TextManager::_('Nastaveni_osobniho_hesla') ?></a>
                    </div>
                </div>
            </div>

        <?php } ?>


        <?php if ($zobrazitOsobni) { ?>
            <?php if ($osoba ->pravoZobrazitTrvale && !$existujeTrvale  &&  $nahlasitZmenu) { ?>
                <div id="trvale_bydliste" class="osobni-udaje-section">
                    <div class="row form-section">
                        <?= ronText('Trvale_bydliste') ?>
                    </div>

                    <?php $zobrazNahlaseniZmeny('trvale') ?>
                </div>
            <?php }?>

            <?php if ($osoba ->pravoZobrazitTrvale  ||  $osoba ->pravoZobrazitPrechodne) { ?>
            <div id="osobni_adresy">
                <?php if(count($osoba ->adresy)) { ?>
                    <?php foreach($osoba ->adresy as $adresa) {
                        if (($adresa->trvaleBydliste && $osoba->pravoZobrazitTrvale) || (!$adresa->trvaleBydliste && $osoba->pravoZobrazitPrechodne)) {
                        ?>
                    <div data-code="<?= $adresa->trvaleBydliste ? 'trvale' : 'prechodne' ?>" class="osobni-udaje-section">
                        <div class="row form-section">
                            <?= ronText($adresa ->trvaleBydliste ? 'Trvale_bydliste' : 'Prechodne_bydliste') ?>
                        </div>
                        <div class="row">
                            <div class="col col-0 col-md-3 caption"></div>
                            <div class="col col-12 col-md-9">
                                <?php $mesto = $adresa ->mesto != "" ? (', ' . $adresa ->mesto) : "" ?>
                                <?php $obecPopis = $adresa->obecPopis != "" ? (', ' . $adresa->obecPopis) : "" ?>
                                <?php $psc = $adresa ->psc != "" ? (', ' . $adresa ->psc) : "" ?>

                                <div><?= StringUtils::htmlTextConvert($adresa ->ulice . $mesto . $obecPopis . $psc) ?></div>
                                <div><?= StringUtils::htmlTextConvert($adresa ->nazevStatu) ?></div>
                            </div>
                        </div>
                        <?php if ($adresa ->telefon1  ||  $adresa ->telefon2  ||  $adresa ->mobil) { ?>
                            <div class="row">
                                <div class="col col-5 col-md-3 caption"><?= ronText('Telefon') ?></div>
                                <div class="col col-7 col-md-9">
                                    <?= $adresa ->telefon1 ? StringUtils::htmlTextConvert($adresa ->telefon1) : '' ?><?= ($adresa ->telefon1  &&  $adresa ->telefon2) ? ', ' : '' ?>
                                    <?= $adresa ->telefon2 ? StringUtils::htmlTextConvert($adresa ->telefon2): '' ?><?= (($adresa ->telefon1  ||  $adresa ->telefon2)  &&  $adresa ->mobil) ? ', ' : '' ?>
                                    <?= $adresa ->mobil ? StringUtils::htmlTextConvert($adresa ->mobil) : '' ?>
                                </div>
                            </div>
                        <?php } ?>

                        <?php if ($adresa ->email) { ?>
                            <div class="row">
                                <div class="col col-5 col-md-3 caption"><?= ronText('Email') ?></div>
                                <div class="col col-7 col-md-9">
                                    <?= StringUtils::htmlTextConvert($adresa ->email) ?>
                                </div>
                            </div>
                        <?php } ?>

                        <?php $zobrazNahlaseniZmeny($adresa ->trvaleBydliste ? 'trvale' : 'prechodne') ?>
                    </div>
                        <?php } ?>
                    <?php } ?>
                <?php } ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->pravoZobrazitPrechodne && !$existujePrechodne  && ($nahlasitZmenu || NahlasenaZmena::jePravoNaTypZmeny('prechodne', 'ou_zmeny_nahlaseni', $osoba ->rc))) { ?>
                <div id="prechodne_bydliste" class="osobni-udaje-section">
                    <div class="row form-section">
                        <div class="">
                            <?= ronText('Prechodne_bydliste') ?>
                        </div>
                    </div>

                    <?php $zobrazNahlaseniZmeny('prechodne') ?>
                </div>
            <?php }?>

            <?php if ($osoba ->prukazyOsoby !== false) { ?>
            <div id="prukazy_osoby" data-code="prukaz" class="osobni-udaje-section">
                <div class="form-section">
                    <?= ronText('prukazy_osoby') ?>
                    <span class="float-right font-weight-normal js toggleClass" data-toggle-class="d-none" data-selector=".prosly-prukaz"><?= ronText('Zobrazit_i_prosle_prukazy') ?></span>
                </div>

                <?php
                $first = true;
                foreach ($osoba->prukazyOsoby as $prukazyOsoby) {
                    /** @var Prukaz[] $prukazyOsoby */
                    if ($prukazyOsoby){
                    ?>
                    <div class="prukaz-osoby <?= $first ? '' : 'border-top padding-top' ?>">
                        <div class="row">
                            <div class="col col-0 col-md-3 caption">
                            </div>

                            <div class="col col-12 col-md-9">
                                <strong><?= StringUtils::htmlTextConvert($prukazyOsoby[0]->typPrukazuPopis) ?></strong>
                            </div>
                        </div>

                        <?php foreach ($prukazyOsoby as $prukaz) { ?>
                        <div class="prukaz margin-bottom-2 <?= ($prukaz ->platnostDo  &&  $prukaz ->platnostDo < time()) ? 'prosly-prukaz poznamka d-none' : ''?>">
                            <div class="row">
                                <div class="col col-5 col-md-3 caption">
                                    <?= ronText('Cislo_prukazu') ?>
                                </div>
                                <div class="col col-7 col-md-9">
                                    <?= StringUtils::htmlTextConvert($prukaz->cisloPrukazu) ?>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col col-5 col-md-3 caption">
                                    <?= ronText('Platnost_od')?>
                                </div>
                                <div class="col col-7 col-md-2">
                                    <?= StringUtils::format('date', $prukaz->platnostOd)?>
                                </div>

                                <?php if ($prukaz->platnostDo) { ?>
                                <div class="col col-5 col-md-1 caption" >
                                    <?= ronText('Platnost_do') ?>
                                </div>

                                <div class="col col-7 col-md-6" >
                                    <?= StringUtils::format('date', $prukaz->platnostDo)?>
                                </div>
                                <?php } ?>
                            </div>
                            <?php $zobrazNahlaseniZmeny('prukaz', false,
                                '&cisloprukazu=' . StringUtils::htmlTextConvert($prukaz ->cisloPrukazu) .
                                '&typprukazu=' . StringUtils::htmlTextConvert($prukaz ->typPrukazu),
                                'upravit_prukaz'
                                );
                            ?>
                        </div>
                        <?php }?>
                    </div>
                    <?php }?>


                <?php $first = false; } ?>

                <?php $zobrazNahlaseniZmeny('prukaz'); ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->rodinnyStav !== false) { ?>
            <div id="rodinnyStav" data-code="rodinnystav" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('Rodinny_stav') ?>
                </div>
                <div class="row">
                    <?php if ($osoba ->rodinnyStav) { ?>
                        <div class="col col-0 col-md-3 caption"></div>
                        <div class="col col-12 col-md-9">
                            <?= $osoba ->rodinnyStav ->rodinnyStavStr ?>
                        </div>
                    <?php } ?>
                </div>

                <?php $zobrazNahlaseniZmeny('rodinnystav'); ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->rodinniPrislusnici !== false) { ?>
            <div id="rodinni_prislusnici" data-code="prislusnik" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('rodinni_prislusnici') ?>
                </div>
                <?php if ($osoba ->rodinniPrislusnici) { ?>

                    <?php
                    $first = true;
                    /** @var RodinnyPrislusnik $rodinnyPrislusnik */
                    foreach ($osoba->rodinniPrislusnici as $rodinnyPrislusnik) {?>
                    <div class="rodinny-prislusnik margin-bottom-2 <?= $first ? '' : 'border-top padding-top' ?>">
                        <div class="row">
                            <div class="col col-0 col-md-3 caption">
                            </div>
                            <div class="col col-12 col-md-9">
                                <strong><?= StringUtils::htmlTextConvert($rodinnyPrislusnik->jmeno) ?> <?= StringUtils::htmlTextConvert($rodinnyPrislusnik->prijmeni) ?></strong>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('rodinny_vztah') ?>
                            </div>
                            <div class="col col-7 col-md-9 bold">
                                    <?= StringUtils::htmlTextConvert($rodinnyPrislusnik->rodinnyVztahStr) ?>
                            </div>
                        </div>

                        <?php if ($rodinnyPrislusnik->telefon) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Telefon') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($rodinnyPrislusnik->telefon) ?>
                            </div>
                        </div>
                        <?php } ?>

                        <?php if ($rodinnyPrislusnik->email) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('E_mail') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($rodinnyPrislusnik->email) ?>
                            </div>
                        </div>
                        <?php } ?>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('vyzivovana_osoba') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= TextManager::_($rodinnyPrislusnik->vyzivovanaOsoba ? 'Str_Yes' : 'Str_No') ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('kontaktni_osoba') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= TextManager::_($rodinnyPrislusnik->kontaktniOsoba ? 'Str_Yes' : 'Str_No') ?>
                            </div>
                        </div>

                        <?php $zobrazNahlaseniZmeny('rodinnyprislusnik', false, '&idrodinnehoprislusnika=' . StringUtils::htmlTextConvert($rodinnyPrislusnik ->rc)) ?>
                    </div>
                    <?php $first = false; } ?>
                <?php } ?>

                <?php $zobrazNahlaseniZmeny('novyclenrodiny', ['rodinnyprislusnik', 'novyclenrodiny'], '', 'New_record'); ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->uctyOsoby !== false) { ?>
            <div id="osobni_ucet" data-code="ucetosoby" class="osobni-udaje-section">
                <div class="form-section">
                    <?= count($osoba->uctyOsoby) > 1 ? ronText('ucty_osoby') : ronText('ucet_osoby') ?>
                    <span class="float-right font-weight-normal js toggleClass" data-toggle-class="d-none" data-selector=".neplatny-ucet"><?= ronText('Zobrazit_i_stare_ucty') ?></span>
                </div>
                <?php if ($osoba->uctyOsoby) {
                    $first = true;
                    foreach ($osoba->uctyOsoby as $ucet ) { ?>
                    <div class="padding-top <?= $first ? '' : 'border-top' ?> ucet-osoby <?= ($ucet ->vyplaceniMzdyPlatnostDo && $ucet ->vyplaceniMzdyPlatnostDo < time()) ? ' neplatny-ucet poznamka d-none' : '' ?>">
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <strong>
                                    <?= ronText('Cislo_uctu')?>
                                </strong>
                            </div>

                            <div class="col col-7 col-md-9">
                                <strong>
                                    <?= $ucet->cisloUctu?>
                                </strong>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Kod_banky')?>
                            </div>

                            <div class="col col-7 col-md-9">
                                <?= $ucet->kodBanky ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('konstantni_symbol')?>
                            </div>

                            <div class="col col-7 col-md-9">
                                <?= $ucet->konstantniSymbol ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('specificky_symbol')?>
                            </div>

                            <div class="col col-7 col-md-9">
                                <?= $ucet->specifickySymbol ?>
                            </div>
                        </div>

                        <?php if ($ucet->insert_Timestamp  ||  $ucet->insert_UserName) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('vlozeno')?>
                            </div>

                            <div class="col col-7 col-md-9">
                                <?= StringUtils::format('date', $ucet->insert_Timestamp)?>
                                <?= "(" . StringUtils::htmlTextConvert( $ucet->insert_UserName) . ")"?>
                            </div>
                        </div>
                        <?php } ?>

                        <?php if ($ucet->update_Timestamp  ||  $ucet->update_UserName) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('Posledni_aktualizace')?></div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::format('date', $ucet->update_Timestamp)?>
                                <?= "(" . StringUtils::htmlTextConvert( $ucet->update_UserName) . ")" ?>
                            </div>
                        </div>
                        <?php } ?>

                        <div class="row margin-bottom-2">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Platnost_od')?>
                            </div>
                            <div class="col col-7 col-md-2">
                                <?= StringUtils::format('date', $ucet->vyplaceniMzdyPlatnostOd)?>
                            </div>

                            <?php if ($ucet->vyplaceniMzdyPlatnostDo) { ?>
                            <div class="col col-5 col-md-1 caption" >
                                <?= ronText('Platnost_do') ?>
                            </div>
                            <div class="col col-7 col-md-6" >
                                <?= StringUtils::format('date', $ucet->vyplaceniMzdyPlatnostDo)?>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                <?php $first = false; } } ?>

                <?php $zobrazNahlaseniZmeny('ucetosoby'); ?>
            </div>
            <?php } ?>


            <?php if ($osoba ->zdravotniPojistovna !== false  ||  $osoba ->zdravotniStav !== false) { ?>
            <div id="osobni_zdravotni" data-code="pojistovna" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('Zdravotni_udaje') ?>
                </div>
                <?php if ($osoba ->zdravotniStav  ||  $osoba ->zdravotniPojistovna) { ?>
                    <?php if ($osoba ->zdravotniStav) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption bold"><?= ronText('Zdravotni_stav') ?></div>
                            <div class="col col-7 col-md-9"><?= StringUtils::htmlTextConvert($osoba ->zdravotniStav ->stavPopis) ?></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"></div>
                            <div class="col col-7 col-md-9">
                                <?= $osoba ->zdravotniStav ->drzitelPrukazuZTTP ? 'ZTP-P' : '' ?><?= ($osoba ->zdravotniStav ->drzitelPrukazuZTTP  &&  $osoba ->zdravotniStav ->zps) ? ', ' : '' ?>
                                <?= $osoba ->zdravotniStav ->zps ? 'ZPS' : '' ?><?= (($osoba ->zdravotniStav ->drzitelPrukazuZTTP  ||  $osoba ->zdravotniStav ->zps)  &&  $osoba ->zdravotniStav ->zps_tzp) ? ', ' : '' ?>
                                <?= $osoba ->zdravotniStav ->zps_tzp ? ronText('ZPS_TZP') : '' ?>
                            </div>
                        </div>
                    <?php } ?>

                    <?php if ($osoba ->zdravotniPojistovna) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Zdravotni_pojistovna') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($osoba ->zdravotniPojistovna ->nazevZP) ?> (<?= $osoba ->zdravotniPojistovna ->kodZP ?>)
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('Cislo_pojistence') ?></div>
                            <div class="col col-7 col-md-9"><?= StringUtils::htmlTextConvert($osoba ->zdravotniPojistovna ->cisloPojistence) ?></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('Platnost_od')?></div>
                            <div class="col col-7 col-md-2">
                                <?= StringUtils::format('date', $osoba->zdravotniPojistovna->platnostOd)?>
                            </div>
                            <?php if ($osoba->zdravotniPojistovna->platnostDo) { ?>
                            <div class="col col-5 col-md-1 caption">
                                <?= ronText('Platnost_do') ?>
                            </div>
                            <div class="col col-7 col-md-6">
                                <?= StringUtils::format('date', $osoba->zdravotniPojistovna->platnostDo)?>
                            </div>
                            <?php } ?>
                        </div>
                    <?php } ?>
                <?php } ?>

                <?php $zobrazNahlaseniZmeny('pojistovna'); ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->evidencniStavy !== false) { ?>
                <div id="evidencni_stavy_osoby" data-code="evidencni_stav" class="osobni-udaje-section">
                    <div class="form-section">
                        <?= ronText('Evidencni_stavy') ?>
                        <span class="float-right font-weight-normal js toggleClass" data-toggle-class="d-none" data-selector=".neplatny-stav"><?= ronText('Zobrazit_i_neplatne_stavy') ?></span>
                    </div>

                    <?php
                    $idPP = 0;
                    foreach ($osoba->evidencniStavy as $evidencniStav) { ?>
                        <?php if ($idPP !== $evidencniStav->idPP) { ?>
                            <div class="row font-weight-bold">
                                <div class="col col-5 col-md-3 caption">
                                    <?= ronText('Osobni_cislo'); ?>
                                </div>
                                <div class="col col-7 col-md-1">
                                    <?= StringUtils::htmlTextConvert($evidencniStav->osobniCislo) ?>
                                </div>
                                <div class="col col-5 col-md-2 caption">
                                    <?= ronText('Datum_nastupu'); ?>
                                </div>
                                <div class="col col-7 col-md-2">
                                    <?= StringUtils::format('date', $evidencniStav->datumNastupu) ?>
                                </div>
                                <div class="col col-5 col-md-2 caption">
                                    <?= ronText('Typ_PP'); ?>
                                </div>
                                <div class="col col-7 col-md-1">
                                    <?= StringUtils::htmlTextConvert($evidencniStav->typPP) ?>
                                </div>
                            </div>
                        <?php } ?>
                        <div class="evidencni_stav <?= (($evidencniStav ->platnostDo  &&  $evidencniStav ->platnostDo < time()) || ($evidencniStav->platnostOd > time())) ? 'neplatny-stav poznamka d-none' : ''?>">
                            <div class="row">
                                <div class="col col-5 col-md-3 caption"></div>
                                <div class="col col-7 col-md-9">
                                    <?= StringUtils::htmlTextConvert($evidencniStav->popisStavu) ?>
                                </div>
                            </div>

                            <div class="row margin-bottom-2">
                                <div class="col col-5 col-md-3 caption">
                                    <?= ronText('Platnost_od')?>
                                </div>
                                <div class="col col-7 col-md-2">
                                    <?= StringUtils::format('date', $evidencniStav->platnostOd)?>
                                </div>

                                <?php if ($evidencniStav->platnostDo) { ?>
                                    <div class="col col-5 col-md-1 caption" >
                                        <?= ronText('Platnost_do') ?>
                                    </div>

                                    <div class="col col-7 col-md-6" >
                                        <?= StringUtils::format('date', $evidencniStav->platnostDo)?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>

                    <?php
                        $idPP = $evidencniStav->idPP;
                        }?>
                </div>
            <?php } ?>


            <?php if ($osoba ->zivotniPojisteniOsoby !== false) { ?>
            <div id="osobni_zivotnipojisteni" data-code="zivotni" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('zivotni_pojisteni') ?>
                </div>
                <?php if ($osoba->zivotniPojisteniOsoby) { ?>
                    <?php
                        foreach ($osoba->zivotniPojisteniOsoby as $zivotniPojisteni ) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <strong><?= ronText('Cislo_smlouvy')?></strong>
                            </div>
                            <div class="col col-7 col-md-9">
                                <strong><?= StringUtils::htmlTextConvert($zivotniPojisteni->cisloSmlouvy) ?></strong>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('pojistovna') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($zivotniPojisteni->popis) ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('prispevek_zamestnance') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= isset($zivotniPojisteni->prispevekZamestnance) ? StringUtils::format('number0', $zivotniPojisteni->prispevekZamestnance) : '' ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('prispevek_zamestnavatele') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= isset($zivotniPojisteni->prispevekZamestnavatele) ? StringUtils::format('number0', $zivotniPojisteni->prispevekZamestnavatele) : '' ?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Platnost_od')?>
                            </div>
                            <div class="col col-7 col-md-2">
                                <?= StringUtils::format('date', $zivotniPojisteni->platnostOd) ?>
                            </div>

                            <?php if ($zivotniPojisteni->platnostDo) { ?>
                            <div class="col col-5 col-md-1 caption" >
                                <?= ronText('Platnost_do')  ?>
                            </div>
                            <div class="col col-7 col-md-6" >
                                <?= StringUtils::format('date', $zivotniPojisteni->platnostDo) ?>
                            </div>
                            <?php } ?>
                        </div>

                    <?php } ?>

                <?php } ?>

                <?php $zobrazNahlaseniZmeny('zivotnipojisteni') ?>
            </div>
            <?php }?>

            <?php if ($osoba ->penzijniPripojisteniOsoby !== false) { ?>
            <div id="osobni_penzijnipripojisteni" data-code="penzijni" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('penzijni_pripojisteni') ?>
                </div>
                <?php if ($osoba->penzijniPripojisteniOsoby) { ?>

                    <?php foreach ($osoba->penzijniPripojisteniOsoby as $pripojisteni ) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><strong><?= ronText('Cislo_smlouvy')?></strong></div>
                            <div class="col col-7 col-md-9"><strong><?= $pripojisteni->cisloSmlouvy?></strong></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('penzijni_pojistovna') ?></div>
                            <div class="col col-7 col-md-9"><?= StringUtils::htmlTextConvert($pripojisteni->popisPenzijnihoFondu) ?></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('prispevek_zamestnance') ?></div>
                            <div class="col col-7 col-md-9"><?= isset($pripojisteni->prispevekZamestnance) ? StringUtils::format('number0',$pripojisteni->prispevekZamestnance) : '' ?></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('prispevek_zamestnavatele') ?></div>
                            <div class="col col-7 col-md-9"><?= isset($pripojisteni->prispevekZamestnavatele) ? StringUtils::format('number0',$pripojisteni->prispevekZamestnavatele) : '' ?></div>
                        </div>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Platnost_od')?>
                            </div>
                            <div class="col col-7 col-md-2">
                                <?= StringUtils::format('date', $pripojisteni->platnostOd) ?>
                            </div>

                            <?php if ($pripojisteni->platnostDo) { ?>
                            <div class="col col-5 col-md-1 caption" >
                                <?= ronText('Platnost_do') ?>
                            </div>
                            <div class="col col-7 col-md-6" >
                                <?= StringUtils::format('date', $pripojisteni->platnostDo) ?>
                            </div>
                            <?php } ?>
                        </div>
                    <?php } ?>
                <?php } ?>

                <?php $zobrazNahlaseniZmeny('penzijnipripojisteni'); ?>
            </div>
            <?php }?>


            <?php if ($osoba ->vzdelani !== false) { ?>
            <div id="osobni_vzdelani" data-code="vzdelani" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('vzdelani') ?>
                </div>
                <?php $first = true; foreach ($osoba->vzdelani as $vzdelani) { ?>
                <div class="<?= $first ? '' : 'border-top padding-top' ?> vzdelani-osoby" >
                    <div class="row">
                        <div class="col col-5 col-md-3 caption"><strong><?= $vzdelani->datumUkonceni == ""
                                    ? (StringUtils::format('year', $vzdelani ->skolaOd) ."-" . StringUtils::format('year', $vzdelani ->skolaDo))
                                    : StringUtils::format('year', $vzdelani->datumUkonceni) ?></strong></div>
                        <div class="col col-7 col-md-9">
                            <strong><?= StringUtils::htmlTextConvert($vzdelani ->popisTypuVzdelani) ?></strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col col-5 col-md-3 caption">
                            <?= ronText('misto_studia') ?>
                        </div>
                        <div class="col col-7 col-md-9">
                            <?= $vzdelani ->mistoStudia == 0 ? ronText('cr') : ronText('zahranici') ?>
                        </div>
                    </div>

                    <?php if ($vzdelani ->oborVzdelani) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('obor') ?></div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($vzdelani ->oborVzdelani) ?>
                            </div>
                        </div>
                    <?php } ?>
                    <?php if ($vzdelani ->nazevSkoly) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption"><?= ronText('nazev_skoly') ?></div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($vzdelani ->nazevSkoly) ?>
                            </div>
                        </div>
                    <?php } ?>

                    <?php if ($vzdelani ->ukonceniVzdelani) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('ukonceni_vzdelani') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($vzdelani ->ukonceniVzdelani) ?>
                            </div>
                        </div>
                    <?php } ?>

                    <?php if ($vzdelani ->zamereni) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('Zamereni_vzdelani') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($vzdelani ->zamereni)  ?>
                            </div>
                        </div>
                    <?php } ?>

                    <?php if ($vzdelani ->oborVzdelaniISPV) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('zmena_obor_vzdelani_dle_ispv') ?>
                            </div>
                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($vzdelani ->oborVzdelaniISPV)  ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <?php $first = false; } ?>

                <?php $zobrazNahlaseniZmeny('vzdelani'); ?>
            </div>
            <?php } ?>

            <?php if ($osoba ->dovednosti) { ?>
                <div id="osobni_dovednosti" data-code="vzdelani" class="osobni-udaje-section">
                    <div class="row form-section">
                        <?= ronText('Dovednosti') ?>
                    </div>

                    <?php foreach ($osoba ->dovednosti as $dovednost) { ?>
                        <div class="row">
                            <div class="col col-0 col-md-3 caption"></div>
                            <div class="col col-12 col-md-9">
                                <?= StringUtils::htmlTextConvert($dovednost ->popis) ?> - <?= StringUtils::htmlTextConvert($dovednost ->popisUrovne) ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>

            <?php if ($osoba ->pracovniMista) { ?>
                <div id="osobni_pracovnimista" data-code="pracmista" class="osobni-udaje-section">
                    <div class="row form-section">
                        <?= ronText('Pracovni_mista') ?>
                    </div>
                    <?php foreach ($osoba ->pracovniMista as $pracovniMisto) { ?>
                        <div class="row">
                            <div class="col col-0 col-md-3 caption"></div>
                            <div class="col col-12 col-md-9">
                                <?= StringUtils::htmlTextConvert($pracovniMisto ->popis) ?>
                                <span class="poznamka platnost-pracovniho-mista margin-left-2">(<?= ronText('od') ?> <?= StringUtils::format('date', $pracovniMisto ->platnostOd) ?>)</span>
                            </div>
                        </div>
                    <?php } ?>

                </div>
            <?php } ?>


            <?php if ($osoba ->velikostPomucekOsoby !== false) { ?>
            <div id="osobni_velikost_pomucky" data-code="velikosti" class="osobni-udaje-section">
                <div class="row form-section">
                    <?= ronText('pracovni_pomucky_osobni_velikost') ?>
                </div>

                <?php
                    $dalsiTyp = "";
                    foreach($osoba->velikostPomucekOsoby as $pomucky => $pomucka){ ?>
                        <?php if ($dalsiTyp == "" || $dalsiTyp != $pomucka[0]) { ?>
                            <div class="row">
                                <div class="col col-5 col-md-3 caption">
                                    <?= StringUtils::htmlTextConvert($pomucka[0]) ?>
                                </div>

                                <div class="col col-7 col-md-9">
                                    <?= StringUtils::htmlTextConvert($pomucka[1]) ?>
                                </div>
                            </div>
                        <?php  } else { ?>
                            <div class="row">
                                <div class="col col-5 col-md-3 caption"></div>
                                <div class="col col-7 col-md-9">
                                    <?= StringUtils::htmlTextConvert($pomucka[1]) ?>
                                </div>
                            </div>
                        <?php } ?>

                    <?php $dalsiTyp = $pomucka[0]; } ?>

                <?php if ($nahlasitZmenuVelikosti) { ?>
                    <div class="row">
                        <div class="col col-12 col-md-3 caption"></div>
                        <div class="col col-12 col-md-9">
                            <a href="?menuid=osobniudaje&action=detailvelikostpomucek&osoba=<?= $osoba ->idPP ?>"><?= ronText('priradit_upravit_me_velikosti')?></a>
                        </div>
                    </div>
                <?php }?>
            </div>
            <?php } ?>

            <?php if ($osoba->seznamVydanychPomucekOsoby !== false && count($osoba->seznamVydanychPomucekOsoby) != 0) { ?>
                <div id="seznam_vydanych_pomucek" data-code="pomucky" class="osobni-udaje-section">
                    <div class="row form-section">
                        <?= ronText('seznam_vydanych_pomucek') ?>
                    </div>

                    <?php
                    $typPomucky = '';
                    $first = true;
                    foreach($osoba->seznamVydanychPomucekOsoby as $pomucky => $pomucka){ ?>

                        <?php if ($typPomucky !== $pomucka[4]) { ?>
                            </div>
                            <div class="typ-pracovni-pomucky margin-bottom-2 <?= $first ? '' : 'border-top padding-top' ?>">
                                <div class="row">
                                    <div class="col col-5 col-md-3 caption">
                                        <strong><?= ronText('typ_pomucky') ?></strong>
                                    </div>

                                    <div class="col col-7 col-md-9 ">
                                        <strong><?= StringUtils::htmlTextConvert($pomucka[4]) ?></strong>
                                    </div>
                                </div>
                        <?php } ?>

                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= ronText('pomucka') ?>
                            </div>

                            <div class="col col-7 col-md-2 ">
                                <strong><?= StringUtils::htmlTextConvert($pomucka[0]) ?></strong>
                            </div>

                            <div class="col col-5 col-md-2 caption">
                                <?= ronText('datum_vydani')?>
                            </div>

                            <div class="col col-5 col-md-1">
                                <?= StringUtils::format('date', $pomucka[1])?>
                            </div>

                            <div class="col col-5 col-md-2 caption">
                                <?= ronText('datum_expirace') ?>
                            </div>

                            <div class="col col-7 col-md-2 <?= $pomucka[3]?>" >
                                <?= StringUtils::format('date', $pomucka[2])?><?= $pomucka[3] != "" ? " (" . ronText('expirovano') . ")":"" ?>
                            </div>
                        </div>

                    <?php
                        $typPomucky = $pomucka[4];
                        $first = false;
                    } ?>
                </div>
            <?php } ?>

            <?php if ($osoba->seznamVydanychPomucekOsoby !== false && count($osoba->seznamNesplnenychNarokuPomucek) != 0) { ?>
                <div id="seznam_nevydanych_pomucek" data-code="pomucky" class="osobni-udaje-section">
                    <div class="row form-section">
                        <?= ronText('seznam_nevydanych_pomucek') ?>
                    </div>

                    <div class="row">
                        <div class="col col-5 col-md-3 caption" >
                            <?= ronText('datum_naroku')?>
                        </div>

                        <div class="col col-7 col-md-9">
                            <?= ronText('pomucka') ?>
                        </div>
                    </div>

                    <?php foreach($osoba->seznamNesplnenychNarokuPomucek as $nevydanePomucky => $nevydanaPomucka) { ?>
                        <div class="row">
                            <div class="col col-5 col-md-3 caption">
                                <?= StringUtils::format('date', $nevydanaPomucka[1])?>
                            </div>

                            <div class="col col-7 col-md-9">
                                <?= StringUtils::htmlTextConvert($nevydanaPomucka[0]) ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>
        <?php } ?>
    </div>


    <?php if ($zobrazitOsobni) { ?>
        <?php if ($nahlasitZmenu) { ?>
            <div class="buttons">
                <a href="?menuid=nahlasenezmeny"><?= ronText('prehled_nahlasenych_zmen') ?></a>
            </div>
        <?php }?>
    <?php }?>

</div>
