<?php

namespace RonPortal\Zamestnanci;

use Ron\DB\Database;
use Ron\DB\DBException;


class ZivotniPojisteniOsoby
{
    public $rc;

    /** @var string */
    public $pojistovna;
    /** @var string     Nazev pojistovny */
    public $popis;
    /** @var string */
    public $cisloSmlouvy;

    /** @var int */
    public $platnostOd;
    /** @var int */
    public $platnostDo;
    /** @var int */
    public $serioveCisloUctu1;
    /** @var float */
    public $prispevekZamestnavatele;
    /** @var int */
    public $serioveCisloUctu2;
    /** @var float */
    public $prispevekZamestnance;


    /**
     * @param Database $database
     * @param $rc
     * @return array
     * @throws DBException
     */
    public static function nactiZivotniPojisteniOsoby($database, $rc)
    {
        $params = $database->createParameters();
        $sql =
            'SELECT Pojistovna, CisloSmlouvy, SmlouvaZivotniPojisteni.PrispevekZamestnance, SmlouvaZivotniPojisteni.PlatnostOd, SmlouvaZivotniPojisteni.SerioveCisloUctu1,' .    //0..4
            ' SmlouvaZivotniPojisteni.PrispevekZamestnavatele, SmlouvaZivotniPojisteni.SerioveCisloUctu2, Pojistovna.Popis, SmlouvaZivotniPojisteni.PlatnostDo' .       //5..8
            "\nFROM SmlouvaZivotniPojisteni LEFT JOIN Pojistovna ON (SmlouvaZivotniPojisteni.Pojistovna = Pojistovna.Kod)" .
            "\nWHERE (RC = " . $params->addParameter($rc) . ")".
            "\nORDER BY PlatnostOd";

        $cursor = $database->getSqlResult($sql,$params);

        $seznamZivotnichPojisteni = [];

        while ($row = $cursor->fetch()) {
            $zivotniPojisteni = new ZivotniPojisteniOsoby();
            $zivotniPojisteni->rc = $rc;
            $zivotniPojisteni->nactiDataZRadku($database, $row);
            $seznamZivotnichPojisteni[] = $zivotniPojisteni;
        }

        $cursor ->close();

        return $seznamZivotnichPojisteni;
    }

    /**
     * @param Database $database
     * @param $row
     */
    public function nactiDataZRadku($database, $row)
    {
        $this->pojistovna = $row[0];
        $this->cisloSmlouvy = $row[1];
        $this->prispevekZamestnance = $row[2];
        $this->platnostOd = $database->stringToTimestamp($row[3]);
        $this->platnostDo = $database->stringToTimestamp($row[8]);
        $this->serioveCisloUctu1 = $row[4];
        $this->prispevekZamestnavatele = $row[5];
        $this->serioveCisloUctu2 = $row[6];
        $this->popis = $row[7];
    }
}
