<?php
/**
 * stanislav.elbl, 08.01.2021
 */

namespace RonPortal;

use Ron\DB\Database;

class ZastupyUtils
{
    /**
     * Vrati email uzivatele (nebo vice uzivatelu), ktery zastupuje zadaneho uzivatele pro zadane pravo
     * @param Database $database
     * @param string $rcUzivatele
     * @param string $kodPrava
     * @return string
     */
    public static function vratEmaiZastupu($database, $rcUzivatele, $kodPrava)
    {
        $result = '';

        $params = $database->createParameters();
        $sql =
            'SELECT DISTINCT Osoba.eMail' .
            ' FROM Osoba, ZastupUzivatele, VybraneRoleProZastup, PravaProZastupUzivatele ' .
            ' WHERE PravaProZastupUzivatele.TypPrava = ' . $params ->addParameter($kodPrava) .
            ' AND VybraneRoleProZastup.KodRole = PravaProZastupUzivatele.KodRole' .
            ' AND ZastupUzivatele.Id = VybraneRoleProZastup.IdZastupu' .
            ' AND Osoba.RC = ZastupUzivatele.Zastupujici' .
            ' AND ZastupUzivatele.PlatnostOd <= ' . $params ->addParameter($database ->dateToParam(time())) .
            ' AND (ZastupUzivatele.PlatnostDo >= ' . $params ->addParameter($database ->dateToParam(time())) .
            '   OR ZastupUzivatele.PlatnostDo IS NULL)' .
            ' AND ZastupUzivatele.Potvrzeni <= 1' . // nepotvrzeno, nebo potrvrzeno. Zamitnute a zrusene vynecha
            ' AND ZastupUzivatele.Zastupovany = ' . $params ->addParameter($rcUzivatele);

        $cursor = $database ->getSqlResult($sql, $params);
        while ($row = $cursor ->fetch()) {
            if ($row[0]) {
                $result .= ($result ? ';' : '') . $row[0];
            }
        }

        return $result;
    }


    /**
     * Zjisti, jestli ma zastupujici uzivatel povolen zadany predavaci proces
     * @param Database $database
     * @param string $kodProcesu
     * @return bool
     */
    public static function predavaciProcesPovolen($database, $kodProcesu) {
        $params = $database ->createParameters();

        $cursor = $database ->getSqlResult(
            'SELECT ZastupProPredavaciProces.KodProcesu' .
            ' FROM ZastupProPredavaciProces, VybraneRoleProZastup' .
            ' WHERE VybraneRoleProZastup.KodRole = ZastupProPredavaciProces.KodRole' .
            ' AND VybraneRoleProZastup.IdZastupu = ' . $params ->addParameter((int)User::idZastupu()) .
            ' AND ZastupProPredavaciProces.KodProcesu  = ' . $params ->addParameter($kodProcesu),
            $params
        );

        $row = $cursor ->fetch();
        $cursor ->close();

        return (bool)$row;
    }
}
