

$(function() {

    let
        $planovaniPodminek = $("#planovaniPodminek"),
        datumStr = $planovaniPodminek.data("datum"),
        idCounter = 0,
        lastDragTarget = null;

    let
        onDragStart = function($e) {
            $e.originalEvent.dataTransfer.setData("text", $(this).attr("id"));
        },

        onDragOver = function() {
            if (this === lastDragTarget) {
                return false;
            }

            if (lastDragTarget) {
                $(lastDragTarget).removeClass("drag-over")
            }

            let $this = $(this);
            if (!$this.is(".drag-target")) {
                return;
            }

            $(this).addClass("drag-over");

            lastDragTarget = this;

            return false;
        },

        nastavElementOsoby = function($element, idPP, jmenoPrijmeni, absence) {
            $element
                .text(jmenoPrijmeni)
                .addClass("pill element-osoby drag-object")
                .attr("data-id-osoby", idPP)
                .attr("id", "element_osoby_" + (++idCounter))
                .attr("draggable", "true")
            ;

            if (absence && absence.length) {
                $("<div/>")
                    .addClass("planovani_absence")
                    .css("background-color", absence[0].barva)
                    .attr("title", absence[0].popis)
                    .appendTo($element);
            }
        },

        doplnKontroly = function(data) {
            let $elementy = $(".element-osoby");

            if (data && data.kontroly && Array.isArray(data.kontroly)) {
                for (let i = 0; i < data.kontroly.length; i++) {
                    if (data.kontroly[i].idPP) {
                        let $element = $elementy.filter("[data-id-osoby='" + data.kontroly[i].idPP + "']");

                        if ($element.length) {
                            let $kontrola = $("<span/>")
                                .addClass("cursor-default inline-glyph fa planovani_kontrola_priznak kontrola_" + data.kontroly[i].kategorie);

                            if (data.kontroly[i].cssClass) {
                                $kontrola.addClass(data.kontroly[i].cssClass);
                            }

                            $kontrola.attr("title",
                                data.kontroly[i].popis +
                                (data.kontroly[i].poznamka ? "\n" + data.kontroly[i].poznamka : "")
                            );

                            $element.append($kontrola);
                        }
                    } else {
                        let
                            $element = $("#pp_kontroly_" + data.kontroly[i].rozdeleni);

                        $("<div/>")
                            .append($("<span/>")
                                .addClass("cursor-default inline-glyph fa planovani_kontrola_priznak kontrola_" + data.kontroly[i].kategorie)
                            )
                            .append($("<span/>")
                                .text(data.kontroly[i].popis + ' ' + (data.kontroly[i].poznamka ? data.kontroly[i].poznamka : ''))
                            )
                            .addClass("errortext")
                            .attr("title", (data.kontroly[i].poznamka ? data.kontroly[i].poznamka : data.kontroly[i].popis))
                            .appendTo($element);
                    }
                }
            }
        },
        nactiKontroly = function(kodRozdeleni, ids) {
            let idsStr = ids;

            if (Array.isArray(ids)) {
                idsStr = '';
                for (let i = 0; i < ids.length; i++) {
                    idsStr += ids[i] + ';';
                }
            }

            $.ajax({
                url: "?menuid=kapacityjs&action=kontroly",
                type: "POST",
                data: {
                    idpp: idsStr,
                    datum: datumStr,
                    rozdeleni: kodRozdeleni
                }
            }).done(function (data) {
                if (data.result === "error") {
                    ron.showError(data);
                } else {
                    doplnKontroly(data);
                }
            }).fail(ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!"));

        },
        nactiDataProRozdeleni = function($table) {
            let
                kodRozdeleni = $table.data("rozdeleni"),
                $radky = [],
                $radekSmeny = null,
                $radekRozdeleni = null;
            $table.children("tbody").children("tr").each(function () {
                let
                    $this = $(this),
                    kodRozdeleni2 = $this.data("rozdeleni2");

                if (kodRozdeleni2) {
                    $radky[kodRozdeleni2.toLowerCase()] = $this;
                } else if ($this.data("smeny") == "1") {
                    $radekSmeny = $this
                } else {
                    $radekRozdeleni = $this;
                }
            });
            let processData = function (resultData) {
                ron.showError(resultData);
                let ids = [];

                for (let indexOsoby = 0; indexOsoby < resultData.osoby.length; indexOsoby++) {
                    let $radek = null;
                    ids[ids.length] = resultData.osoby[indexOsoby].id;

                    if (resultData.osoby[indexOsoby].rozdeleni2 && resultData.osoby[indexOsoby].smena) {
                        $radek = $radky[resultData.osoby[indexOsoby].rozdeleni2.toLowerCase()];
                    } else if (resultData.osoby[indexOsoby].smena) {
                        $radek = $radekSmeny;
                    }

                    let $td = null;

                    if ($radek) {
                        let $bunky = $radek.children();
                        for (let i = 1; !$td && i < $bunky.length; i++) {
                            let $bunka = $($bunky.get(i));
                            if ($bunka.data("smena") === resultData.osoby[indexOsoby].smena) {
                                $td = $bunka;
                            }
                        }
                    }

                    if (!$td) {
                        $radek = $radekRozdeleni;
                        $td = $radek.children()[1]; // prvni bunka je hlavicka
                    }

                    console.log(indexOsoby, resultData.osoby[indexOsoby].absence);
                    nastavElementOsoby($("<span/>").appendTo($td), resultData.osoby[indexOsoby].id, resultData.osoby[indexOsoby].jmenoPrijmeni, resultData.osoby[indexOsoby].absence);
                }

                nactiKontroly(kodRozdeleni, ids);
            };

            $.ajax("?menuid=planovanipodminek&action=datarozdeleni&rozdeleni=" + encodeURIComponent(kodRozdeleni) + "&datum=" + datumStr)
                .done(processData)
                .fail(ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!"))
        };
    $(".planovaniPodminekRozdeleni").each( function() {
        nactiDataProRozdeleni($(this));
    });


    let
        zapisSmenu = function(idPP, smena, rozdeleni, rozdeleni2, onProcessData, onFail) {
            let data = {
                id: idPP,
                datum: datumStr,
                rozdeleni: rozdeleni,
                rozdeleni2: rozdeleni2,
                smena: smena
            };

            $.ajax("?menuid=planovanipodminek&action=zapisosobu", {
                method: "POST",
                data: data
            })
                .done(onProcessData)
                .fail( function (jqXHR) {
                    ron.showAjaxError(jqXHR,"Pri zapisu dat doslo k chybe!")
                    if (onFail) {
                        onFail();
                    }
                });
        },


        onDrop = function($e) {
            let
                $cell = $(this),
                draggedObjectId = $e.originalEvent.dataTransfer.getData("text");

            $cell.removeClass("drag-over");

            if (!draggedObjectId) {
                return;
            }

            let
                $item = $("#" + draggedObjectId), // element osoby
                $row = $cell.parent(),
                $table = $row.closest("table"),
                rozdeleni = $table.data("rozdeleni"),
                rozdeleni2 = $row.data("rozdeleni2"),
                smena = $cell.data("smena"),
                $indicator = $("<i/>")
                    .addClass("inline-glyph fa fa-spin glyph-spinner")
                    .appendTo($cell);

            let
                processData = function (resultData) {
                    $indicator.remove();

                    ron.showError(resultData);

                    if (resultData.result === "OK") {
                        $item
                            .detach()
                            .appendTo($cell);

                        if ($item.is(".selected-item")) {
                            showDeleteButton($item);
                        }
                    }
                },

                onFail = function() {
                    $indicator.remove();
                };

            zapisSmenu($item.data("id-osoby"), smena, rozdeleni, rozdeleni2, processData, onFail);

            return true;
        };
    let najdiAbsenciProDen = function(data, datum) {
        for (let i = 0;  i < data.absence.length; i++) {
            if (data.absence[i].datumOd <= datum  &&  data.absence[i].datumDo >= datum) {
                return data.absence[i];
            }
        }

        return null;
    };


    let zobrazSmenyOsoby = function(data) {
        let
            $row = $("#pp_osoba_plan"),
            datumOd = ron.utils.stringToDate(data.datumOd),
            datumDo = ron.utils.stringToDate(data.datumDo);

        $row.empty();

        for (let i = 0;  i < data.smeny.length;  i++) {
            data.smeny[i].datum = ron.utils.stringToDate(data.smeny[i].datum);
        }

        for (let i = 0;  i < data.absence.length; i++) {
            data.absence[i].datumOd = ron.utils.stringToDate(data.absence[i].datumOdStr);
            data.absence[i].datumDo = ron.utils.stringToDate(data.absence[i].datumDoStr);
        }

        let
            indexSmeny = 0,
            datum = datumOd;

        while (datum <= datumDo) {
            while (indexSmeny < data.smeny.length && data.smeny[indexSmeny].datum < datum) {
                indexSmeny++;
            }

            let $td = $("<td/>")
                .addClass("plan-osoby-bunka")
                .appendTo($row);

            if (indexSmeny < data.smeny.length && data.smeny[indexSmeny].datum.getTime() === datum.getTime()) {
                if (data.smeny[indexSmeny].kod) {
                    $td
                        .css("background-color", data.smeny[indexSmeny].barva)
                        .text(data.smeny[indexSmeny].zkratka);
                }

                if (data.smeny[indexSmeny].rozdeleni) {
                    $("<div/>")
                        .addClass("planovani_cizirozdeleni")
                        .css("background-color", data.smeny[indexSmeny].barvaRozdeleni)
                        .attr("title", data.smeny[indexSmeny].popisRozdeleni + ' (' + data.smeny[indexSmeny].rozdeleni + ')')
                        .appendTo($td)
                        .append($("<div/>").addClass("planovani_textrozdeleni").text(data.smeny[indexSmeny].rozdeleni));
                }

                if (data.smeny[indexSmeny].rozdeleni2) {
                    $("<div/>")
                        .addClass("planovani_rozdeleni2")
                        .css("background-color", data.smeny[indexSmeny].barvaRozdeleni2)
                        .attr("title", data.smeny[indexSmeny].popisRozdeleni2 + ' (' + data.smeny[indexSmeny].rozdeleni2 + ')')
                        .appendTo($td)
                        .append($("<div/>").addClass("planovani_textrozdeleni").text(data.smeny[indexSmeny].rozdeleni2));
                }
            }

            let absence = najdiAbsenciProDen(data, datum);
            if (absence) {
                let absenceClass = 'planovani_absence';
                switch (absence.delka) {
                    case 1 : absenceClass += ' planovani_absence1'; break;
                    case 2 : absenceClass += ' planovani_absence2'; break;
                    case 3 : absenceClass += ' planovani_absence3'; break;
                }
                $("<div/>")
                    .addClass(absenceClass)
                    .css("background-color", absence.barva)
                    .attr("title", absence.podrobnosti)
                    .appendTo($td);
            }

            datum = ron.utils.incDay(datum, 1);
        }

    };


    let zobrazDetailOsoby = function(data) {
        ron.showError(data);

        $("#pp_osoba_jmeno").text(data.jmeno);

        let
            $div = $("#seznam_pozic_osoby"),
            $row1 = null;

        $div.empty();

        if (data.rozdeleni2) {
            for (let i = 0; i < data.rozdeleni2.length;  i++) {

                let $row = $("<div/>")
                    .addClass("row no-flex-wrap padding-bottom padding-top no-margin-bottom pp-seznam-pozic-row")
                    .appendTo($div);

                if (!$row1) {
                    $row1 = $row;
                }

                $("<div/>")
                    .addClass("col col-1 no-wrap")
                    .text(data.rozdeleni2[i].kod)
                    .appendTo($row);

                $("<div/>")
                    .addClass("col col-3")
                    .text(data.rozdeleni2[i].popis)
                    .appendTo($row);

                $("<div/>")
                    .addClass("col col-2")
                    .text(data.rozdeleni2[i].platnostOd)
                    .appendTo($row);

                $("<div/>")
                    .addClass("col col-2")
                    .text(data.rozdeleni2[i].platnostDo)
                    .appendTo($row);

                $("<div/>")
                    .addClass("col col-4")
                    .text(data.rozdeleni2[i].poznamka)
                    .appendTo($row);
            }
        }

        zobrazSmenyOsoby(data);
    };

    let
        $selectedItem = null;
    let showDeleteButton = function($element) {
        let $button = $("#pp_delete_button");

        if ($element === true) {
            $element = $selectedItem;
        }

        if ($element) {
            let
                $parent = $element.closest(".planovaniPodminekRozdeleni"),
                position = ron.utils.getPositionInParent($element, $parent);

            $button
                .css("left", (position.left + $element.outerWidth()) + "px")
                .css("top", (position.top - 5) + "px")
                .data("idpp", $element.data("id-osoby"))
                .appendTo($parent)
                .show();

            $selectedItem = $element;
        } else {
            $button
                .hide()
                .data("idpp", null);

            $selectedItem = null;
        }
    };

    let onOsobaClick = function() {
        let
            $this = $(this),
            idPP = $this.data("id-osoby"),
            $table = $this.closest("table"),
            kodRozdeleni = $table.data("rozdeleni");

        $(".selected-item").removeClass("selected-item");
        $this.addClass("selected-item");

        if (idPP) {
            $.ajax("?menuid=planovanipodminek&action=nactiosobu&id=" + idPP + "&datum=" + datumStr + "&rozdeleni=" + (kodRozdeleni ? encodeURIComponent(kodRozdeleni) : ''))
                .done(zobrazDetailOsoby)
                .fail(ron.ajaxErrorFunction("Pri nacitani detailu osoby doslo k chybe!"));

            if ($this.closest(".planovaniPodminekRozdeleni").length) {
                showDeleteButton($this);
            } else {
                showDeleteButton(false);
            }
        }
    };
    let zobrazDetailPodminky = function(data) {
        $("#pp_pozice_popis").text(data.popis + " (" + data.kod + ")");
        let
            $div = $("#seznam_osob"),
            $row1 = null;

        $div.empty();
        for (let i = 0;  i < data.osoby.length;  i++) {
            let $row = $("<div/>")
                .addClass("row no-flex-wrap pp-seznam-osob-row border-bottom")
                .attr("id", "pp-seznam-osob-row-" + data.osoby[i].idPP)
                .appendTo($div);

            if (!$row1) {
                $row1 = $row;
            }

            let $drag = $("<span/>");

            nastavElementOsoby($drag, data.osoby[i].idPP, data.osoby[i].jmeno);

            $("<div/>")
                .addClass("col col-3 no-wrap")
                .append($drag)
                .appendTo($row);

            $("<div/>")
                .addClass("col col-2")
                .text(data.osoby[i].platnostDo)
                .appendTo($row);

            $("<div/>")
                .addClass("col col-4")
                .text(data.osoby[i].poznamka)
                .appendTo($row);

            if (data.osoby[i].smena) {
                if (data.osoby[i].smena.barva) {
                    $row
                        .css("background-color", data.osoby[i].smena.barva);
                }

                $("<div/>")
                    .addClass("col col-3")
                    .text(
                        data.osoby[i].smena.kod +
                        (data.osoby[i].smena.rozdeleni ? ', ' + data.osoby[i].smena.rozdeleni : '') +
                        (data.osoby[i].smena.rozdeleni2 ? ' (' + data.osoby[i].smena.rozdeleni2 + ')' : '')
                    )
                    .appendTo($row);
            }

            if (data.osoby[i].absence) {
                let absenceClass = 'planovani_absence';
                switch (data.osoby[i].absence.delka) {
                    case 1 : absenceClass += ' planovani_absence1'; break;
                    case 2 : absenceClass += ' planovani_absence2'; break;
                    case 3 : absenceClass += ' planovani_absence3'; break;
                }
                $("<div/>")
                    .addClass(absenceClass)
                    .css("background-color", data.osoby[i].absence.barva)
                    .attr("title", data.osoby[i].absence.podrobnosti)
                    .appendTo($drag);
            }
        }

        if ($row1) {
            $("#seznam_osob_caption").width($row1.width());
        }

    };
    let onPodminkaClick = function() {
        let
            $this = $(this),
            kodRozdeleni2 = $this.data("kod-rozdeleni"),
            $table = $this.closest("table"),
            kodRozdeleni = $table.data("rozdeleni");

        if (kodRozdeleni2) {
            $.ajax("?menuid=planovanipodminek&action=nactipodminku&rozdeleni2=" + encodeURIComponent(kodRozdeleni2) + "&datum=" + datumStr + "&rozdeleni=" + encodeURIComponent(kodRozdeleni))
                .done(zobrazDetailPodminky)
                .fail(ron.ajaxErrorFunction("Pri nacitani detailu podminky doslo k chybe!"));
        }
    };


    let onProvestKontroly = function() {
        let
            $this = $(this),
            rozdeleni = $this.data("rozdeleni");

        $.ajax( {
            url: "?menuid=kapacityjs&action=kontrola&rozdeleni=" + rozdeleni + '&datum=' + datumStr
        })
            .done( function(data) {
                if (data.result !== "OK") {
                    ron.showError(data);
                } else {
                    ron.showMessage( ron._("Prepocet_kontrol_probehl") );
                }

                let
                    $table = $(".planovaniPodminekRozdeleni[data-rozdeleni='" + rozdeleni + "'"),
                    ids = "",
                    $elements = $table.find(".element-osoby");

                $elements.each(function() {
                    let $element = $(this);
                    ids += $element.data("id-osoby") + ";";

                    $element.find(".planovani_kontrola_priznak").remove();
                });

                $("#pp_kontroly_" + rozdeleni).empty();
                nactiKontroly(rozdeleni, ids);
            } )
            .fail( ron.ajaxErrorFunction("Pri kontrole doslo k chybe!") );
    };
    let onDeleteClick = function() {
        let $this = $(this);
        console.log("DELETE", $this.data("idpp"));

        let processData = function(resultData) {
            ron.showError(resultData);

            if (resultData.result === "OK") {
                if ($selectedItem) {
                    $selectedItem.remove();
                    $selectedItem = null;
                }
                showDeleteButton(false);
            }
        };

        zapisSmenu($this.data("idpp"), null, null, null, processData, null);
    };
    (function() {
        let nactiDataProKopii = function (rozdeleni, jenSmeny1) {
            console.log("nactiDataProKopii", rozdeleni);

            $.ajax({
                url: "?menuid=planovanipodminek&action=nactidataprokopii&rozdeleni=" + encodeURIComponent(rozdeleni) + '&datum1=' + $("#pp_copy_datum1").val() + '&datum2=' + datumStr
            })
                .done(function (data) {
                    console.log("nactiDataProKopii", data);
                    if (data.result !== "OK") {
                        ron.showError(data);
                    } else {
                        let
                            $smeny1 = $("#pp_copy_smena1"),
                            originalVal = $smeny1.val(),
                            existujeOriginal = false;

                        $smeny1.empty();

                        if (data.smeny1) {
                            for (let i = 0; i < data.smeny1.length; i++) {
                                $("<option/>")
                                    .attr("value", data.smeny1[i].kod)
                                    .text(data.smeny1[i].popis)
                                    .appendTo($smeny1);

                                if (data.smeny1[i].kod === originalVal) {
                                    existujeOriginal = true;
                                }
                            }
                        }

                        if (jenSmeny1) {
                            $smeny1.val(existujeOriginal ? originalVal : "");
                        } else {
                            $smeny1.val("");

                            let $smeny2 = $("#pp_copy_smena2");
                            $smeny2.empty();
                            if (data.smeny2) {
                                for (let i = 0; i < data.smeny2.length; i++) {
                                    $("<option/>")
                                        .attr("value", data.smeny2[i].kod)
                                        .text(data.smeny2[i].popis)
                                        .appendTo($smeny2);
                                }
                            }

                            $smeny2.prop('disabled', 'disabled');
                        }
                    }

                })
                .fail(ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!"));
        };


        let rozdeleniProKopii = null;

        let onKopieDialog = function () {
            let $that = $(this);
            rozdeleniProKopii = $that.data("rozdeleni");

            $("#pp_copy_linka").text($that.data("popis-rozdeleni"));

            $("#pp_copy_dialog").dialog({
                modal: true,
                width: "auto",
                height: "auto",
                open: function () {
                    nactiDataProKopii(rozdeleniProKopii);
                }
            });
        };


        let onKopie = function () {
            let
                $this = $(this), // tlacitko OK
                kodRozdeleni = rozdeleniProKopii,
                smena1 = $("#pp_copy_smena1").val(),
                smena2 = $("#pp_copy_smena2").val(),
                smenaUrl = smena1
                    ? ( '&smena1=' + encodeURIComponent(smena1) + (smena2 ? '&smena2=' + encodeURIComponent(smena2) : '') )
                    : '';

            $this.prop("disabled", "disabled");

            $.ajax({
                url: "?menuid=planovanipodminek&action=kopie&rozdeleni=" + encodeURIComponent(kodRozdeleni) + '&datum1=' + $("#pp_copy_datum1").val() + '&datum2=' + datumStr + smenaUrl
            })
                .done(function (data) {
                    $this.prop("disabled", false);

                    console.log("Kopie", data);
                    if (data.result !== "OK") {
                        ron.showError(data);
                    } else {
                        $("#pp_copy_dialog").dialog("close");

                        let $table = $(".planovaniPodminekRozdeleni").filter("[data-rozdeleni='" + kodRozdeleni + "']");
                        if ($table.length) {
                            $table.find(".element-osoby").remove();
                            nactiDataProRozdeleni($table);
                        }
                    }
                })
                .fail(ron.ajaxErrorFunction("Pri kopirovani dat doslo k chybe!"));
        };


        let onCopySmenaChange = function () {
            let val = $(this).val();
            if (!val) {
                $("#pp_copy_smena2").prop("disabled", "disabled");
            } else {
                $("#pp_copy_smena2")
                    .prop("disabled", false)
                    .val(val);
            }
        };

        let onCopyDatum1Change = function() {
            nactiDataProKopii(rozdeleniProKopii, true);
        };

        $planovaniPodminek
            .on("click", ".kopie-button", onKopieDialog);

        $("#pp_copy_ok")
            .on("click", onKopie);

        $("#pp_copy_smena1")
            .on("change", onCopySmenaChange);

        $("#pp_copy_datum1")
            .on("change", onCopyDatum1Change);
    })();


    $planovaniPodminek
        .on("click", ".element-osoby", onOsobaClick)
        .on("click", ".planovana-podminka", onPodminkaClick)
        .on("click", ".kontroly-button", onProvestKontroly)
        .on("dragstart", ".element-osoby", onDragStart)
        .on("dragover", "*", onDragOver)
        .on("drop", ".drag-target", onDrop);

    $("#pp_delete_button")
        .on("click", onDeleteClick);
    let $podrobnostiContainer = $("#podrobnosti-container");
    $podrobnostiContainer.css("min-width", $podrobnostiContainer.width());

});
