
ronPortal.zboziCombo = {
    onComboChange : function(index, options) {
        var $this = $(this);

        var keyField = 'kod';
        var fieldsData = $this.data('ron-combo-fields');

        if (fieldsData !== undefined) {
            keyField = fieldsData.split(';')[0];
        }

        var hiddenInputName = $this.data('ron-combo-code');
        var rowSuffix = $this.data('ron-combo-row-suffix');

        var newValue = null;
        var popis = null;
        var cena = null;
        if (index !== null) {
            newValue = options.items[index][keyField];
            popis = options.items[index]['popis'];
            cena = options.items[index]['cenabezdane'];
        }

        $('[name="' + hiddenInputName + '"]').val(newValue);
        $('[name="popis_' + rowSuffix + '"]').val(popis);
        $('[name="cena_' + rowSuffix + '"]').val(cena);
    },
    nastavCombo : function () {
        var $selectCombo = $(".ron_zbozi_combo");

        var comboGroup = '';
        var groups = [];

        if ($selectCombo.length > 0) {
            $selectCombo.each(function () {
                comboGroup = $(this).data('ron-combo-group');

                if ($.inArray(comboGroup, groups) === -1) {
                    groups.push(comboGroup);
                }
            });
            $(groups).each(function () {
                ronPortal.ronCombo.nactiData($selectCombo.filter("input[data-ron-combo-group='" + this + "']"), null, ronPortal.zboziCombo.onComboChange);
            });
        }
    }
}
$( function() {
    var dodavatelChange = function(index, options) {
        var
            $this = $(this),
            hiddenInputName = $this.data('ron-combo-code'),
            newValue = null,
            $elems = $('.objednavka_zbozi'),
            url = null;

        if (index !== null) {
            newValue = options.items[index]['kod'];
            url = $this.data("url-zbozi") + newValue;
        }

        $('[name="' + hiddenInputName + '"]').val(newValue);

        if (url) {
            $elems.each(function () {
                var $this = $(this);

                $this.prop('readonly', 'readonly');
                $this.toggleClass('loading', true);
            });

            $.ajax(url)
                .done(function (data) {

                    $elems.each(function () {
                        var $this = $(this);
                        $this.toggleClass('loading', false);
                        $this.prop('readonly', '');

                        if (data.result === "OK") {
                            $this.ronselect("instance").setItems(data.items);
                        } else {
                            ron.showError(data);
                        }
                    });
                })
                .fail(function () {

                });

        }
    };

    var deleteRowClick = function() {
        var
            $that = $(this);

        var deleteRow = function() {
            if ($that.data("cislo-radku") !== '') {
                var $input = $("#objednavka_delete_row");
                $input.val($that.data("cislo-radku"));

                $input.closest("form").submit();
            } else {
                $that.parents('div.radekVydaneObjednavky').remove();
            }
        };

        ron.confirmQuestion($that, deleteRow);
    };

    function showDokumentSCDialog () {
        var cisloObjednavky = $(this).data("cisloobjednavky");

        var dokumentVydaneObjednavkyResult = function(result) {
            processDokumentResult(result, '?menuid=objednavky&action=detail&record=' + cisloObjednavky);
        };

        ronPortal.showDokumentDialog(dokumentVydaneObjednavkyResult);
        return false;
    }

    var novyRadek = function () {

        var
            $row = $('.radekVydaneObjednavky:last'),
            $pocetRadku = $('#objednavka_pocet_novych_radku'),
            pocetRadku = ron.utils.stringToFloat($pocetRadku.val()),
            newIndex = pocetRadku + 1,
            $rowClone = $row.clone(),
            $ronComboZbozi = $rowClone.find('[name$="view"]'),
            ronComboZboziName = 'zbozi_novy_radek_' + newIndex,
            oldZboziInputName = $ronComboZbozi.data('ron-combo-code'),
            $radky = $('.radekVydaneObjednavky');

        $rowClone.find('input:not(:button), textarea')
            .prop('value', '')
            .removeClass('error');

        $rowClone.find(".vydana_objednavka_cena").empty();
        $rowClone.find('.radek_delete').data('cislo-radku', '').data('ron-confirm-text', '').removeClass('hidden');

        $rowClone.find('[name^="popis"]').prop('name', 'popis_novy_radek_' + newIndex);
        $rowClone.find('[name^="mnozstvi"]').prop('name', 'mnozstvi_novy_radek_' + newIndex);
        $rowClone.find('[name^="cena"]').prop('name', 'cena_novy_radek_' + newIndex);
        $rowClone.find('[name^="datum_dodani"]').prop('name', 'datum_dodani_novy_radek_' + newIndex);
        $rowClone.find('[name^="rozsireny_popis"]').prop('name', 'rozsireny_popis_novy_radek_' + newIndex);
        $rowClone.find('[name^="dodano_mnozstvi"]').prop('name', 'dodano_mnozstvi_novy_radek_' + newIndex);

        $rowClone.find('[data-roncalendar-inputname^="datum_dodani"]')
            .data('roncalendar-inputname', 'datum_dodani_novy_radek_' + newIndex);

        $ronComboZbozi
            .prop('id', ronComboZboziName + '_view')
            .prop('name', ronComboZboziName + '_view')
            .data('ron-combo-code', ronComboZboziName)
            .data('ron-combo-row-suffix', 'novy_radek_' + newIndex)
            .data('ron-combo-url', $ronComboZbozi.data('ron-combo-base-url') + $('input[name="dodavatel"]').val());
        $rowClone.find('[name="' + oldZboziInputName + '"]').prop('name', ronComboZboziName);
        ronPortal.ronCombo.nactiData($ronComboZbozi, null, ronPortal.zboziCombo.onComboChange);

        $pocetRadku.val(newIndex);
        $row.after($rowClone);

        $radky.removeClass('browsercolor1 browsercolor2');
        $radky.filter(':even').addClass('browsercolor1');
        $radky.filter(':odd').addClass('browsercolor2');
    };

    var novaFaktura = function () {

        var
            $row = $('.prijataFaktura:last'),
            $pocetRadku = $('#objednavka_pocet_faktur'),
            pocetRadku = ron.utils.stringToFloat($pocetRadku.val()),
            newIndex = pocetRadku + 1,
            $rowClone = $row.clone(),
            $radky = $('.prijataFaktura');

        $rowClone.find('input:not(:button), textarea')
            .prop('value', '')
            .removeClass('error')
            .each(function () {
                var $this = $(this),
                    puvodniJmeno = $this.prop('name'),
                    noveJmeno = puvodniJmeno.substr(0, puvodniJmeno.lastIndexOf('_')+1) + newIndex;

                $this.prop('name', noveJmeno);
            });

        $rowClone.find('[data-roncalendar-inputname]')
            .each(function () {
                var $this = $(this),
                    puvodniDataProp = $this.data('roncalendar-inputname'),
                    noveDataProp = '';

                if (puvodniDataProp !== undefined) {
                    noveDataProp = puvodniDataProp.substr(0, puvodniDataProp.lastIndexOf('_')+1) + newIndex;
                    $this.data('roncalendar-inputname', noveDataProp);
                }
            });
        $rowClone.find('.cislo_faktury').empty();

        $pocetRadku.val(newIndex);
        $row.after($rowClone);

        $radky.removeClass('browsercolor1 browsercolor2');
        $radky.filter(':even').addClass('browsercolor1');
        $radky.filter(':odd').addClass('browsercolor2');
    };

    var rozdeleniChange = function () {
        var
            $dodavatel = $('.objednavka_dodavatel'),
            $this = $(this),
            url = $this.data("url-dodavatel") + $this.val(),
            fields = $dodavatel.data('ron-combo-fields'),
            fieldsArr = [];

        if (fields !== undefined) {
            fieldsArr = fields.split(';');
        }

        if (url) {
            $dodavatel.toggleClass("loading", true);
            $.ajax(url)
                .done(function (data) {

                    if (data.result === "OK") {
                        if ($dodavatel.ronselect("instance") !== undefined) {
                            $dodavatel.ronselect("instance").setItems(data.items);
                        } else {
                            $dodavatel.ronselect({
                                items: data.items,
                                columns: fieldsArr,
                                textColumn: $dodavatel.data('ron-combo-text-field'),
                                valueColumn: "kod",
                                onChange: dodavatelChange,
                                initialValue: $dodavatel.data('selected')
                            });
                        }
                        $dodavatel.show();
                        $dodavatel.toggleClass("loading", false);
                    } else {
                        ron.showError(data);
                    }
                })
                .fail(function () {

                });
        }
    };

    var strediskoChange = function () {
        var
            $rozdeleni = $('select[data-url-seznam]'),
            $this = $(this),
            url = $rozdeleni.data("url-seznam") + $this.val(),
            puvodniHodnota = $rozdeleni.val(); // zapamatuje si puvodni hodnotu

        if (url) {
            $rozdeleni.toggleClass("loading", true);
            $.ajax(url)
                .done(function (data) {

                    if (data.result === "OK") {

                        $rozdeleni.find('option').remove();

                        $.each(data.items, function(key, value) {
                            $rozdeleni
                                .append($('<option>', {value: value.kod})
                                    .text(value.popis));
                        });

                        $rozdeleni.val(puvodniHodnota); // obnovi puvodni hodnotu;

                        if ($rozdeleni.ronselect("instance") !== undefined) {
                            $rozdeleni.ronselect("instance").reloadItems();
                        }
                        $rozdeleni.toggleClass("loading", false);
                    } else {
                        ron.showError(data);
                    }
                })
                .fail(function () {

                });
        }
    };

    var prepocet = function () {
        var
            $row = $(this).parents('.radekVydaneObjednavky'),
            mnozstvi = ron.utils.stringToFloat($row.find(".vydana_objednavka_mnozstvi").val()),
            jednotkovaCena = ron.utils.stringToFloat($row.find(".vydana_objednavka_cena_jednotkova").val()),
            cena = mnozstvi * jednotkovaCena,
            suma = 0;

        $row.find(".vydana_objednavka_cena").html(cena.toFixed(2));
        $('.radekVydaneObjednavky .vydana_objednavka_cena').each(function () {
            suma += ron.utils.stringToFloat($(this).text());
        });
        $('.vydana_objednavka_suma').html(suma.toFixed(2));
    };
    function vraceniObjednavkyClick() {
        var $this = $(this),
            textClass = $this.data('text-class');
        $("#urovenvraceni").val($this.data('uroven'));
        $('#vraceniobjednavky form').prop('action', $this.prop('href'));
        $('.' + textClass).show();
        $("#vraceniobjednavky").show();
        $('.vyjadreni_k_objednavce_link, .schvaleni_link, #vyzadovat_schvaleni').hide();
        $('#vyzadovat_schvaleni').siblings('span').hide();

        return false; // puvodni odkaz se nepouzije
    }

    var vyzadatVyssiSchvaleni = function () {
        var checked = $('#vyzadovat_schvaleni').prop('checked'),
            $link = $(this);
        if (checked) {
            $link.prop('href', $link.data('url') + '&vyzadovatschvaleni=1');
        } else {
            $link.prop('href', $link.data('url'));
        }

    };

    $("#vydana_objednavka")
        .on("change", "select[data-url-dodavatel]", rozdeleniChange)
        .on("change", ".objednavka-stredisko", strediskoChange)
        .on("change", ".vydana_objednavka_prepocet", prepocet)
        .on("click",  ".radek_delete", deleteRowClick)
        .on("click", "#novyradek", novyRadek)
        .on("click", "#novafaktura", novaFaktura);

    $(document.body)
        .on("click", "#vlozit_dokument_vydane_objednavky", showDokumentSCDialog)
        .on("click", ".vyjadreni_k_objednavce_link", vraceniObjednavkyClick)
        .on("click", ".schvaleni_link", vyzadatVyssiSchvaleni)

    $('#suma_objednano_filter').text($('#suma_objednano_dm').text());
    $('#suma_fakturovano_filter').text($('#suma_fakturovano_dm').text());

    ronPortal.zboziCombo.nastavCombo();
    $("select[data-url-dodavatel]").trigger("change");
});