ron.xml = {};


ron.xml.xmlAction = function(event) {
    var $this = $(this),
        workingInfo = $this.data("ron-working-info");
    if (!ron.confirmQuestion($this)) {
        event.stopImmediatePropagation();
        return false;
    }

    if (workingInfo) {
        ron.showWorkingInfo(workingInfo);
    }

    this.form.xmlaction.value = $this.data("ron-xmlaction");
    if ($(this.form).trigger("submit") === false) return; // dispatchEvent(new Event('submit'))
    //this.form.submit();
};

ron.xml.initXmlForm = function() {
    var initialized = false; // zajisti volani jen jednou

    return function() {
        if (initialized) return;
        initialized = true;

        $("body")
            .on("click", "input.xmlaction", ron.xml.xmlAction);
    };
}();

$(function() {
    ron.xml.initXmlForm();
});


function ConfirmXMLAction(sender, quest, url)
{
   if (quest)
      if ( !confirm(quest) ) return false;

   sender.form.action = url;

   sender.form.submit();
}



//function XMLFormAction(sender, quest, actionname)
//{
//   if (quest)
//      if ( !confirm(quest) ) return false;
//
//   sender.form.formaction.value = actionname;
//
//   sender.form.submit();
//}



function XMLAction(sender, quest, actionname)
{
   if (quest)
      if ( !confirm(quest) ) return false;

   sender.form.xmlaction.value = actionname;

   /* tohle je rozpracovano ! ! ! ! */
   //sender.form.action = url;

   sender.form.submit();
}


function CreateXMLChildNodes(xmlelement, html_element) {
    for ( var i = 0;  i < xmlelement.childNodes.length;  i++ )
    {
        var xmlnode = xmlelement.childNodes[i];
        var htmlnode = null;

        var hlpstr = xmlnode.textContent;
        if ( !hlpstr ) hlpstr = xmlnode.text; // IE

        switch (xmlnode.nodeType) {
            case 8 : // COMMENT_NODE
                break;

            case 3 : //  TEXT_NODE
            case 4 : //  CDATA
                htmlnode = document.createTextNode(hlpstr);
                break;

            case 1 : // ELEMENT
                htmlnode = document.createElement(xmlnode.nodeName);
                for ( var attr = 0;  attr < xmlnode.attributes.length;  attr++ ) {
                    htmlnode.setAttribute(xmlnode.attributes[attr].name, xmlnode.attributes[attr].value);
                }
                CreateXMLChildNodes(xmlnode, htmlnode);
                break;

            default :
                //alert('jsme tu ' + xmlnode.nodename + ' ' + xmlnode.nodeType);
                break;
        }

        if (htmlnode) {
            html_element.appendChild(htmlnode);
        }
    }
}


function ShowXMLDialog(xmlelement) {
    if (!xmlelement) return false;

    var attr = xmlelement.getAttribute("htmlelementid");

    var html_element_id = "";
    if (attr) html_element_id = attr.value;
    if (html_element_id == "") html_element_id = "xml_dialog";

    var container = document.getElementById("xml_dialog_container");
    if ( !container ) {
        container = document.createElement("div");
        container.id = "xml_dialog_container";
        container.className = "dialog_container";
        //container.className = "planovani_form";
        document.body.appendChild(container);

        /* pruhledne pozadi */
        var formback = document.createElement("div");
        formback.className = "dialog_formback";
        container.appendChild(formback);
    }

    var div = document.getElementById(html_element_id);
    if ( !div ) {
        div = document.createElement("span");
        div.id = html_element_id;

        var className = xmlelement.getAttribute('class');
        if (className) div.className = className;
        else div.className = "dialog center";

        //div.style.margin = "auto";
        container.appendChild(div);
    }

    div.innerHTML = "";
    CreateXMLChildNodes(xmlelement, div);

    div.style.display = "inline-block";
    container.style.display = 'inline-block';
}



//noinspection JSUnusedGlobalSymbols
function HideXMLDialog(html_element_id) {
    if (html_element_id == "") html_element_id = "xml_dialog";

    var div = document.getElementById(html_element_id);
    if (div) {
        div.innerHTML = "";
        div.style.display = "none";
    }

    var container = document.getElementById("xml_dialog_container");
    if ( container ) {
        container.style.display = "none";
    }
}


//noinspection JSUnusedGlobalSymbols
/**
 * @param xmlid {number}
 * @param getparams {string}   parametry pro url (GET)
 * @param postparams {string}   parametry pro POST
 * @constructor
 */
function XMLForm(xmlid, getparams, postparams) {
    this.xmlid = xmlid;
    this.getparams = getparams;
    this.postparams = postparams;

    this.xml = null;

    /** @param processresultfunction {Function|null}  callback funkce s parametrem xmlform pro zpracovani nacteneho vysledku XML
     * @param resultprocessor  nepovinny parametr - kontext (tj. objekt), ve kterem se processresultfunction provede
     * @return {void}
     */
    this.processXML = function(processresultfunction, resultprocessor) {
        var req = new XMLHttpRequest();

        req.onreadystatechange = function () {
            if (req.readyState == 4 && req.status == 200) {
                //alert(req.responseText);
                document.body.style.cursor = "default";
                this.xml = req.responseXML;

                if (processresultfunction  &&  resultprocessor) {
                    processresultfunction.call(resultprocessor, this);
                }
                else if (processresultfunction) processresultfunction(this);
                else this.ProcessResult();
            }
        }.bind(this);


        var url = "js_iface.php?action=xmlform&xmlid=" + this.xmlid + (this.getparams != '' ? '&' + this.getparams : '');

        document.body.style.cursor = "wait";

        req.open("POST", url, true);
        req.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=windows-1250");
        //req.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=utf-8");
        //req.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        req.send(this.postparams);
    };


    this.getResultCode = function() {
        if (!this.xml) return null;

        var resultcodexml = this.xml.getElementsByTagName("resultcode");
        if (resultcodexml.length > 0) {
            var hlpstr = resultcodexml[0].textContent;
            if ( !hlpstr ) hlpstr = resultcodexml[0].text; // IE

            return hlpstr;
        }
        else return null;
    };



    this.ProcessResult = function() {
        ZobrazChybyXML(this.xml, true); // warnings = true

        var dialogxml = this.xml.getElementsByTagName("dialog");
        if (dialogxml.length > 0) {

            //alert(dialogxml[0].nodeName);
            var attr = dialogxml[0].getAttribute("htmlelementid");
            var elementid = attr ? attr.value : "";
            ShowXMLDialog(dialogxml[0], elementid);
        }
    };


    this.Show = function() {
        this.processXML();
    };


    this.Hide = function() {
        HideXMLDialog("");
    };

}


//noinspection JSUnusedGlobalSymbols
/**
 * @param {number} xmlId
 * @param {string} getParams    parametry pro url (GET)
 * @param {string} postParams   parametry pro POST
 * @returns {void}
 */
function ShowXMLForm(xmlId, getParams, postParams) {
    var xmlform = new XMLForm(xmlId, getParams, postParams);
    xmlform.Show();
}


/**
 * @param {number} xmlId
 * @param {string} getParams    parametry pro url (GET)
 * @param {object|string} postParams   parametry pro POST
 * @param {function} onLoad     pokud je zadana callback funkce, provede se pozadavek asynchronne a nakonec je volana tato funkce
 */
function jsonForm(xmlId, getParams, postParams, onLoad) {
    if (!onLoad) $(document.body).css("cursor", "wait");

    var result = true;

    $.ajax( {
        url : "?menuid=xmlform&action=json&xmlid=" + xmlId + (getParams != '' ? '&' + getParams : ''),
        method : postParams ? "POST" : "GET",
        data: postParams,
        async: !!onLoad
    }).done( function(resultData) {
        if (onLoad) {
            onLoad(resultData);
        } else {
            $(document.body).css("cursor", "default");
            result = resultData;
        }
    }).fail( function() {
        result = false;
    });

    return result;
}