

kapacity = kapacity || {};

(function($) {
    $.extend(kapacity, {
        vratHarmonogramPodleZkratky: function (zkratka) {
            for (let i = 0; i < kapacity.data.harmonogramy.length; i++) {
                if (kapacity.data.harmonogramy[i].zkratka  &&  kapacity.data.harmonogramy[i].zkratka.toLowerCase() === zkratka.toLowerCase()) {
                    return kapacity.data.harmonogramy[i];
                }
            }

            return null; // nenasel
        },
        vratHarmonogramPodleKodu: function (kod) {
            for (let i = 0; i < kapacity.data.harmonogramy.length; i++) {
                if (kapacity.data.harmonogramy[i].kod.toLowerCase() === kod.toLowerCase()) {
                    return kapacity.data.harmonogramy[i];
                }
            }

            return null; // nenasel
        },


        showLegendaHarmonogramy: function() {
            let $table = $("#kapacity_legenda_harmonogramy");
            $table.empty();

            if (!kapacity.data.harmonogramy.length) {
                $("#kapacity_harmonogramy").hide();
                return;
            } else {
                $("#kapacity_harmonogramy").show();
            }
            for (let i = 0; i < kapacity.data.harmonogramy.length; i++)
                if (kapacity.data.harmonogramy[i].zkratka) {
                    let $row = $("<tr/>")
                        .data("kapacity-kod-harmonogramu", kapacity.data.harmonogramy[i].kod)
                        .appendTo($table);


                    $("<td/>")
                        .text(kapacity.data.harmonogramy[i].zkratka)
                        .attr("class", "planovani_harmonogram zkratka")
                        .attr("title", kapacity.data.harmonogramy[i].popis)
                        .appendTo($row);

                    $("<td/>")
                        .text(kapacity.data.harmonogramy[i].popis)
                        .appendTo($row);
                }
        },
        zapisHarmonogram: function (harmonogram) {
            if (kapacity.radek < 0 || kapacity.sloupec < 0) {
                return false;
            }

            if (!kapacity.lzeEditovatAktualniBunka()) {
                return false;
            }

            zapisHarmonogramDoDB(harmonogram);
        }
    });



    function zapisHarmonogramOsoby(harmonogram, indexOsoby, sloupecOd, sloupecDo) {
        let kontrolaDo = sloupecDo < kapacity.data.dny.length
            ? sloupecDo
            : kapacity.data.dny.length - 1;

        for (let i = sloupecOd; i <= kontrolaDo; i++)
            if (!kapacity.lzeEditovatBunka(indexOsoby, i)) {
                kapacity.showError(ron._("Nelze_editovat_vse"));
                return;
            }

        let
            osoba = kapacity.data.osoby[indexOsoby],
            datumOdStr = kapacity.data.dny[sloupecOd].datumStr,
            datumDoStr = ron.utils.dateToString(ron.utils.incDay(kapacity.data.dny[sloupecOd].datum, sloupecDo - sloupecOd));

        function processData(data) {
            if (data.result === "OK") {

            } else {
                kapacity.showError(data);
            }

            kapacity.refreshDataOsoby(indexOsoby);
        }

        let data = {
            idpp: osoba.idPP,
            datumod: datumOdStr,
            datumdo: datumDoStr,
            harmonogram: harmonogram.kod,
            rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
            rozdeleni: kapacity.data.rozdeleni,  // editovane rozdeleni
            csrfkey: osoba.csrfkey
        };


        $.ajax({
            url: "?menuid=kapacityjs&action=zapisharmonogram",
            type: "POST",
            data: data
        })
            .done(processData)
            .fail(ron.ajaxErrorFunction("Pri zapisu harmonogramu doslo k chybe!"));
    }
    function zapisHarmonogramDoDB(harmonogram) {
        kapacity.forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            if (sloupecOd === sloupecDo) {
                sloupecDo = sloupecOd + harmonogram.pocetDnuCyklu - 1;

                if (harmonogram.podleDneVTydnu) {
                    let weekDay = kapacity.data.dny[sloupecOd].datum.getDay();
                    sloupecDo -= weekDay ? weekDay - 1 : 6;
                }
            }

            zapisHarmonogramOsoby(harmonogram, indexOsoby, sloupecOd, sloupecDo);
        });
    }

})(jQuery);

var kapacity = kapacity || {};

$.extend(kapacity, {
    headerData: null,
    data: null,

    jsouVybraneSmeny: false,
    planovaniPoSlotech: false,
    osobySortType: 0,
    velikostLegendy: 1,
    velikostSouctu: 0,
    cells: null,
    $headerRows: [],

    radek: -1,
    sloupec: -1,
    $selectedCell: null,
    edit: null,

    showError: function (error) {
        return ron.showError(error);
    },
    pocatekObdobi: function () {
        return kapacity.data.dny[0].datum;
    },
    pocatekObdobiStr: function () {
        return kapacity.data.dny[0].datumStr;
    },
    indexOsoby: function(radek) {
        return Math.floor(radek / this.data.pocetRadkuNaOsobu);
    },
    indexAktualniOsoby: function() {
        return this.indexOsoby(this.radek);
    },
    jeDetailniZobrazeni: function() {
        return $("body").is(".detailni-zobrazeni");
    },
    vratKalendarProOsobu: function(indexOsoby, sloupec) {
        if (kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni) {
            let rozdeleni = kapacity.rozdeleniPodleKodu(kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni);
            if (rozdeleni && rozdeleni.kalendar) {
                return kapacity.vratKalendar(rozdeleni.kalendar);
            }
        }

        return kapacity.data.osoby[indexOsoby].Data[sloupec].kalendar;
    },
    vratKalendarProBunku: function(radek, sloupec) {
        return kapacity.vratKalendarProOsobu( Math.floor(radek / kapacity.data.pocetRadkuNaOsobu), sloupec );
    }

});
kapacity.vratSmenuPodleZkratkyXY = function (zkratka, indexOsoby, sloupec) {
    zkratka = zkratka.toLowerCase();

    if (kapacity.data.vyberSmen === 3) {
        for (let i = 0; i < kapacity.data.smeny.length; i++) {
            if (kapacity.data.smeny[i].aktivni &&
                (!kapacity.jsouVybraneSmeny || kapacity.data.smeny[i].vybrana) &&
                kapacity.data.smeny[i].zkratka.toLowerCase() === zkratka)
            {
                return kapacity.data.smeny[i];
            }
        }

        return null;
    }
    if (indexOsoby < 0 || sloupec < 0) {
        return null;
    }

    let kalendar = kapacity.vratKalendarProOsobu(indexOsoby, sloupec);
    if (!kalendar) {
        console.log("Chyba ve vratSmenuPodleZkratkyXY: pro tento den neni prirazen kalendar!", indexOsoby, sloupec);
        return null;
    }

    let datum = kapacity.data.dny[sloupec].datum;

    for (let i = 0; i < kalendar.povoleneSmeny.length; i++) {
        if ( kalendar.povoleneSmeny[i].smena  &&
            (!kapacity.jsouVybraneSmeny  ||  kalendar.povoleneSmeny[i].smena.vybrana)  &&
            kalendar.povoleneSmeny[i].smena.zkratka.toLowerCase() === zkratka.toLowerCase())
        {
            if (kalendar.povoleneSmeny[i].datum == null || kalendar.povoleneSmeny[i].datum.getTime() === datum.getTime()) { // kontrola, jestli je smena v dany den povolena
                return kalendar.povoleneSmeny[i].smena;
            }
        }
    }

    return null; // nic nenasel
};
kapacity.vratSmenuPodleZkratky = function (zkratka) {
    return kapacity.vratSmenuPodleZkratkyXY(zkratka, kapacity.indexAktualniOsoby(), kapacity.sloupec);
};
kapacity.jeSmenaPovolena = function (kodSmeny, indexOsoby, sloupec) {
    if (indexOsoby < 0 || sloupec < 0) {
        return false;
    }

    if (kapacity.data.vyberSmen === 3) {
        return true;
    }

    let kalendar = kapacity.vratKalendarProOsobu(indexOsoby, sloupec);
    if (!kalendar) {
        return false;
    }

    let datum = kapacity.data.dny[sloupec].datum;

    for (let i = 0; i < kalendar.povoleneSmeny.length; i++) {
        if (kalendar.povoleneSmeny[i].kod.toLowerCase() === kodSmeny.toLowerCase()) {
            if (!kalendar.povoleneSmeny[i].datum || kalendar.povoleneSmeny[i].datum.getTime() === datum.getTime()) { // kontrola, jestli je smena v dany den povolena
                return true;
            }
        }
    }

    return false; // nic nenasel
};
kapacity.nastavPovoleneSmeny = function(seznamSmen) {
    kapacity.jsouVybraneSmeny = false;

    for ( let i = 0;  i < kapacity.data.smeny.length;  i ++ ) {
        kapacity.data.smeny[i].vybrana = ron.inArray(kapacity.data.smeny[i].kod, seznamSmen);

        if (kapacity.data.smeny[i].vybrana) {
            kapacity.jsouVybraneSmeny = true;
        }
    }
};
kapacity.vratAbsenciPodleKodu = function (kod) {
    if (kod === null) {
        return null;
    }

    return kapacity.data.absencePodleKodu[kod.toLowerCase()];
};
kapacity.vratAbsenciPodleZkratky = function (zkratka) {
    for (let i = 0; i < kapacity.data.absence.length; i++) {
        if (kapacity.data.absence[i].zkratka  &&  kapacity.data.absence[i].zkratka.toLowerCase() === zkratka.toLowerCase()) {
            return kapacity.data.absence[i];
        }
    }

    return null; // nenasel
};
kapacity.lzeEditovatAktualniBunka = function (smazaniRozdeleni) {
    return kapacity.lzeEditovatBunka(kapacity.indexAktualniOsoby(), kapacity.sloupec, smazaniRozdeleni);
};
var absenceWriter = null;


$(function() {
    let
        $verticalScrollBar = null,
        $horizontalScrollBar = null,
        $patickaScrollBar = null;
    let
        $tableHead, $tableRowHeaders, $footerCaptions;

    let
        selection;
    function forEachInterval(callable) {
        let lastInterval = null;

        selection.forEachInterval( function(radek, sloupecOd, sloupecDo, selectionItem) {
            let indexOsoby = Math.floor(radek / kapacity.data.pocetRadkuNaOsobu);

            if (!lastInterval || lastInterval.indexOsoby !== indexOsoby || lastInterval.sloupecOd !== sloupecOd || lastInterval.sloupecDo !== sloupecDo) {
                lastInterval = {
                    indexOsoby: indexOsoby,
                    sloupecOd: sloupecOd,
                    sloupecDo: sloupecDo,
                    selectionItem : selectionItem
                };

                return callable(indexOsoby, sloupecOd, sloupecDo, selectionItem);
            }
        });
    }

    kapacity.forEachInterval = forEachInterval;

    function isOsobaSelected(x, indexOsoby) {
        for (let radek = indexOsoby * kapacity.data.pocetRadkuNaOsobu; radek < (indexOsoby + 1) * kapacity.data.pocetRadkuNaOsobu;  radek++) {
            if (selection.isCellSelected(x, radek)) {
                return true;
            }
        }

        return false;
    }
    kapacity.getIntervals = function() {
        let result = [];

        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo, selectionItem) {
            result.push({
                indexOsoby: indexOsoby,
                sloupecOd: sloupecOd,
                sloupecDo: sloupecDo,
                selectionItem: selectionItem
            });
        });

        return result;
    };


    function getSelectedRows() {
        let
            result = [],
            rect = selection.getRect(),
            lastIndex = -1;

        for (let i = rect.y1; i <= rect.y2; i++) {
            let indexOsoby = kapacity.indexOsoby(i);

            if (indexOsoby !== lastIndex  &&  selection.isRowSelected(i)) { // pri vicenasobnem hromadnem vyberu nemusi byt vsechny radky v rect vybrane
                result.push(indexOsoby);
                lastIndex = indexOsoby;
            }
        }

        return result;
    }
    kapacity.getSelectionInfo = function(what) {
        if ( !selection ) {
            return "";
        }

        let
            rect = selection.getRect(),
            dateStr = kapacity.data.dny[rect.x1].datumStr;

        if (rect.x2 > rect.x1) {
            dateStr += " - " + kapacity.data.dny[rect.x2].datumStr;
        }

        if (what === "date") {
            return dateStr;
        }

        let
            nameStr = "",
            posledniOsoba = -1;

        for (let i = rect.y1;  i <= rect.y2;  i++) {
            if (selection.isRowSelected(i)) { // pri vicenasobnem hromadnem vyberu nemusi byt vsechny osoby v rect vybrane
                let osoba = Math.floor(i / kapacity.data.pocetRadkuNaOsobu);
                if (osoba !== posledniOsoba) {
                    posledniOsoba = osoba;

                    if (nameStr) {
                        nameStr += ", ";
                    }

                    nameStr += kapacity.data.osoby[osoba].jmenoPrijmeni;
                }
            }
        }

        switch (what) {
            case "date" :
                return dateStr;

            case "name" :
                return nameStr;

            default :
                return dateStr + ", " + nameStr;
        }
    };
    function onResize() {
        let
            $divHeader = $("#kapacity_header"),     // hlavicka stranky (filtry atd.)
            $divNadpisy = $("#kapacity_nadpisy"),   // nadpisy (texty os. cislo, jmeno atd.)
            $nadpisyPaticky = $("#kapacity_nadpisypaticky"),   // nadpisy "Celkem" atd.
            $hlavicka = $("#kapacity_nadpisydnu"),  // nadpisy dnu (1,2, ...)
            $paticka = $("#kapacity_paticka"),      // soucty
            $patickaContainer = $("#kapacity_patickacontainer"),
            $leftPanel = $("#kapacity_left");
        let width = ron.setSameCellWidth( [$tableHead, $tableRowHeaders],  [$footerCaptions]);
        $leftPanel.css("width", (width + 1) + "px"); // +1 = border

        $divNadpisy.children("table").height(kapacity.$tableTopHeader.height());
        let winSize = ron.utils.windowSize();
        if (!winSize) {
            alert('Pri zobrazeni doslo k chybe. Zkontrolujte verzi prohlizece. Planovani je funkcni v IE od verze 9, ve Firefox a Chrome.');
        }

        if (!winSize.y || !winSize.x) {
            return;
        }

        winSize.y -= $divHeader.height(); // odecte vysku hlavicky
        let $divLegenda = $("#kapacity_legenda");
        $divLegenda
            .css("height", winSize.y + "px")
            .css("top", $divHeader.height() + "px");

        winSize.x -= $divLegenda.width();

        $("#kapacity_content")
            .css("width", winSize.x)
            .css("height", winSize.y + "px");
        let
            dataWidth = $("#kapacity_data").width(), // plna sirka dat
            scrollHeight = 0,
            scrollWidth = 0,
            scrolovatPaticku = false;

        if (winSize.x - $divNadpisy.width() < dataWidth) {
            $horizontalScrollBar.show();
            scrollHeight = $horizontalScrollBar.outerHeight();
        } else {
            $horizontalScrollBar.hide();
        }

        let
            tableHeight = $("#kapacity_data_table").height();

        if (kapacity.data  &&  winSize.y - $divNadpisy.height() - $paticka.height() - scrollHeight >= tableHeight) {
            let patickaHeight = winSize.y - $divNadpisy.height() - scrollHeight - tableHeight;
            $patickaContainer
                .height(patickaHeight + "px")
                .splitter("disable");

            $("#kapacity_nadpisypatickycontainer").height(patickaHeight);
            $verticalScrollBar.hide();
        } else {
            $verticalScrollBar.show();
            scrollWidth = $verticalScrollBar.outerWidth();

            if ($patickaContainer.height() > $paticka.outerHeight()) {
                $patickaContainer.height($paticka.outerHeight());
            } else {
                let newHeight = $paticka.outerHeight();
                if (newHeight > kapacity.velikostSouctu) {
                    newHeight = kapacity.velikostSouctu;
                }
                $patickaContainer.height(newHeight);

                scrolovatPaticku = newHeight < $paticka.height();
            }
            $("#kapacity_nadpisypatickycontainer").height($patickaContainer.height());

            if (scrolovatPaticku) {
                $patickaScrollBar.show();
            } else {
                $patickaScrollBar.hide();
                $paticka.css("top", 0);
                $("#kapacity_nadpisy_paticky").css("top", 0);
            }
            $patickaContainer.splitter("enable");
            if (winSize.x - $divNadpisy.width() - scrollWidth < dataWidth) {
                $horizontalScrollBar.show();
                scrollHeight = $horizontalScrollBar.outerHeight();
            }
        }

        let
            dataFrameWidth = winSize.x - $divNadpisy.width() - scrollWidth,
            dataFrameHeight = winSize.y - scrollHeight;
        $leftPanel
            .css("height", dataFrameHeight + "px");
        $("#kapacity_dataframe")
            .css("width", dataFrameWidth + "px")
            .css("height", dataFrameHeight + "px")
            .css("left", ($divNadpisy.outerWidth() + $divNadpisy.position().left) + "px");
        let dataContainerHeight = dataFrameHeight - $hlavicka.height() - $patickaContainer.height();
        if (dataContainerHeight < kapacity.vyskaBunky) {
            dataContainerHeight = Math.min(kapacity.vyskaBunky, dataFrameHeight - $hlavicka.height());

            let newPatickaHeight = dataFrameHeight - $hlavicka.height() - dataContainerHeight;
            $patickaContainer.height(newPatickaHeight + "px");
            $("#kapacity_nadpisypatickycontainer").height(newPatickaHeight + "px");
        }

        $("#kapacity_rowheadercontainer")
            .width($divNadpisy.width() + "px")
            .css("top", $hlavicka.height() + "px")
            .height((dataFrameHeight - $hlavicka.height() - $patickaContainer.height()) + "px");

        $("#kapacity_datacontainer")
            .width(dataWidth + "px")
            .css("top", $hlavicka.height() + "px")
            .height(dataContainerHeight + "px");

        $patickaContainer
            .splitter("adjustSplitter")
            .splitter("maxSize", $paticka.outerHeight());
        if (scrollHeight) {
            $horizontalScrollBar
                .css("width", (winSize.x - scrollWidth) + "px")  // odecte i pripadnou sirku vertikalniho scrollbaru
                .show();

            $horizontalScrollBar.scrollbar("instance").setRange(0, dataWidth, dataFrameWidth);
        }

        if (scrollWidth) {
            if (scrolovatPaticku) {
                $patickaScrollBar
                    .height($patickaContainer.height())
                    .css("top", $patickaContainer.position().top)
                    .scrollbar("adjust");

                $verticalScrollBar
                    .height($patickaContainer.position().top - 1);
            } else {
                $verticalScrollBar
                    .height(dataFrameHeight);
            }

            $verticalScrollBar.scrollbar("instance").setRange(0, tableHeight, dataContainerHeight );
        }
        else {
            $verticalScrollBar.scrollbar("instance").setRange(0, 0, 0);
        }

        if (kapacity.$selectedCell) showSelectedCell(kapacity.$selectedCell);
    }
    function showSelectedCell($cell) {
        let
            $containerDiv = $("#kapacity_container"), // obsah - horizontalni scrolovani
            $dataDiv = $("#kapacity_data"),  // obsah datovych bunek - vertikalni scrolovani
            $dataFrame = $("#kapacity_dataframe");

        selection.showActiveCell(); // pokud nebyla aktivni bunka zvyraznena (napr. po editaci z klavesnice), tak ji zobrazi
        let position = $cell.position(); // relativni

        if (position.left + $containerDiv.position().left < 0) {
            $containerDiv
                .css("left", -position.left + "px");
        }
        else if (position.left + $cell.width() + $containerDiv.position().left > $dataFrame.width()) {
            $containerDiv
                .css("left", ($dataFrame.width() - $cell.width() - position.left) + "px");
        }

        $horizontalScrollBar.scrollbar("position", -$containerDiv.position().left);


        position = $cell.position(); // relativni
        let $dataContainer = $("#kapacity_datacontainer");

        if ($dataDiv.position().top + position.top < 0) {
            $dataDiv.css("top", ( - position.top) + "px");

            $("#kapacity_rowheader")
                .css("top", ( - position.top) + "px");
        }
        else if ($dataDiv.position().top + position.top + $cell.height() > $dataContainer.height()) {
            $dataDiv.css("top", ($dataContainer.height() - position.top - $cell.height()) + "px");

            $("#kapacity_rowheader")
                .css("top", ($dataContainer.height() - position.top - $cell.height()) + "px");
        }

        $verticalScrollBar.scrollbar("position", -$dataDiv.position().top);
    }


    function hideEdit() {
        if (!kapacity.edit) {
            return;
        }

        kapacity.edit.blur(); // nutne v chrome!
        kapacity.edit.css("display", "none");

        kapacity.$selectedCell.focus();
        selection.showActiveCell();
    }
    function showEdit(content) {
        if (!kapacity.$selectedCell  ||  kapacity.radek < 0  ||  kapacity.data.uzavreno) {
            return;
        }

        if (!kapacity.lzeEditovatAktualniBunka()) {
            console.log('Neni pravo editovat aktualni bunku.');
            return;
        }

        if (!kapacity.edit) {
            kapacity.edit = $("<input/>")
                .attr("type", "text")
                .attr("class", "editplanovani")
                .appendTo( $("#kapacity_data") );
        }

        kapacity.edit
            .css("width", kapacity.$selectedCell.width() + "px")
            .css("top", (kapacity.$selectedCell.position().top - 2) + "px")
            .css("left", (kapacity.$selectedCell.position().left - 2) + "px")
            .val(content);

        selection.hideActiveCell();
        kapacity.edit.css("display", "inline");
        ron.setCaretPosition(kapacity.edit.get(0), 1);
        kapacity.edit.focus();
    }
    function switchSlotyProDen(indexOsoby, sloupec) {
        if (!kapacity.lzeEditovatBunka(indexOsoby, sloupec)) {
            return;
        }

        let novyPlan = kapacity.doplnSmenuDoOznacenychBunek(selection, indexOsoby, sloupec);

        if (novyPlan) {
            zapisSmenuOsobyDoDB(novyPlan.smena, indexOsoby, sloupec, sloupec, novyPlan.parametry);
        }
    }


    function switchSloty() {
        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            for (let sloupec = sloupecOd;  sloupec <= sloupecDo;  sloupec++) {
                switchSlotyProDen(indexOsoby, sloupec);
            }
        });
    }
    function showInfo(radek, sloupec) {
        let
            $info_smena = $("#info_smena"),
            $info_absence = $("#info_absence"),
            $info_kalendar = $("#info_kalendar"),
            indexOsoby = Math.floor(radek / kapacity.data.pocetRadkuNaOsobu),
            kodSmeny = kapacity.data.osoby[indexOsoby].Data[sloupec].smena ? kapacity.data.osoby[indexOsoby].Data[sloupec].smena.kod : "";

        let infoPuvodni =
            (kapacity.data.povolitRezimUprav
            && kodSmeny !== kapacity.data.osoby[indexOsoby].Data[sloupec].smena2
            && (kodSmeny || kapacity.data.osoby[indexOsoby].Data[sloupec].smena2) )
                ? ' <span class="info_puvodni">(' + (kapacity.data.osoby[indexOsoby].Data[sloupec].smena2 ? kapacity.data.osoby[indexOsoby].Data[sloupec].smena2 : ' - ') + ')</span>'
                : '';

        if (kapacity.data.osoby[indexOsoby].Data[sloupec].smena) {
            let textVariabilni = '';

            if (kapacity.data.osoby[indexOsoby].Data[sloupec].smena.variabilni) {
                if (kapacity.data.osoby[indexOsoby].Data[sloupec].pocatekSmeny || kapacity.data.osoby[indexOsoby].Data[sloupec].konecSmeny) {
                    textVariabilni =
                        ' ' + ron.utils.floatToTimeString(kapacity.data.osoby[indexOsoby].Data[sloupec].pocatekSmeny) +
                        ' - ' + ron.utils.floatToTimeString(kapacity.data.osoby[indexOsoby].Data[sloupec].konecSmeny);
                }

                if (kapacity.data.osoby[indexOsoby].Data[sloupec].delkaSmeny) {
                    textVariabilni += ' (' + ron.utils.floatToTimeString(kapacity.data.osoby[indexOsoby].Data[sloupec].delkaSmeny) + ')';
                }
            }


            $info_smena
                .text(
                kapacity.data.osoby[indexOsoby].Data[sloupec].smena.kod +
                ' - ' +
                kapacity.data.osoby[indexOsoby].Data[sloupec].smena.popis +
                textVariabilni)
                .append(infoPuvodni);
        } else {
            $info_smena.html(infoPuvodni);
        }

        let kodAbsence = kapacity.data.osoby[indexOsoby].Data[sloupec].absence
            ? kapacity.data.osoby[indexOsoby].Data[sloupec].absence.kod
            : "";
        let infoPuvodniAbsence =
            (kapacity.data.povolitRezimUprav
            && kodAbsence !== kapacity.data.osoby[indexOsoby].Data[sloupec].absence2
            && (kapacity.data.osoby[indexOsoby].Data[sloupec].absence || kapacity.data.osoby[indexOsoby].Data[sloupec].absence2) )
                ? ' <span class="info_puvodni">(' + (kapacity.data.osoby[indexOsoby].Data[sloupec].absence2 ? kapacity.data.osoby[indexOsoby].Data[sloupec].absence2 : ' - ') + ')</span>'
                : '' ;

        if (kapacity.data.osoby[indexOsoby].Data[sloupec].absence) {
            $info_absence
                .text(kapacity.data.osoby[indexOsoby].Data[sloupec].podrobnostiAbsence)
                .append(infoPuvodniAbsence);
        } else {
            $info_absence.html(infoPuvodniAbsence);
        }
        let kalendar = kapacity.vratKalendarProOsobu(indexOsoby, sloupec);
        if (kalendar) {
            $info_kalendar
                .text(kalendar.kod);
        } else {
            $info_kalendar
                .html("");
        }
    }

    let smenyZobrazeny = false;
    function showLegendaSmeny(kalendar, datum, forceShow) {
        if (!forceShow  &&  smenyZobrazeny  &&  kapacity.data.vyberSmen === 3) {
            return;
        }

        let $table = $("#kapacity_legenda_smeny");
        $table.empty();

        if (!kalendar  &&  kapacity.data.vyberSmen !== 3 ) {
            return;
        }

        let smeny = ( kapacity.data.vyberSmen === 3 ) ? kapacity.data.smeny : kalendar.povoleneSmeny;

        if (!smeny) {
            return;
        }
        for (let i = 0; i < smeny.length; i++) {
            let smena = ( kapacity.data.vyberSmen === 3 )
                ? smeny[i]         // pracuje se primo se seznamem smen
                : smeny[i].smena;  // pracuje se se seznamem povolenych smen (kapacity.PovolenaSmena)


            if (smena  &&  smena.aktivni) { // muze byt null, pokud je v kalendari povolena smena bez zkratky!
                let datumSmeny =  ( kapacity.data.vyberSmen === 3 )
                    ? null
                    : smeny[i].datum;

                if (!kapacity.jsouVybraneSmeny || smena.vybrana) {
                    if (datumSmeny == null || datumSmeny.getTime() === datum.getTime()) {
                        let $row = $("<tr/>")
                            .data("kapacity-kod-smeny", smena.kod)
                            .attr("id", "L_Smena_" + smena.kod)
                            .appendTo($table);

                        let $cell = $("<td/>")
                            .text(smena.zkratka)
                            .attr("title", smena.popis)
                            .attr("class", "zkratka")
                            .appendTo($row);

                        if (smena.barva) {
                            $cell.css("backgroundColor", smena.barva);
                        }

                        $("<td/>")
                            .text(smena.popis)
                            .appendTo($row);
                    }
                }
            }
        }

        smenyZobrazeny = true;
    }

    kapacity.showLegendaSmeny = showLegendaSmeny;
    function beforeSelectCell(data) {
        $(document).ronPopup("closeAll");

        if (!kapacity.cells  ||  !kapacity.cells.length) {
            return;
        }
        if (kapacity.radek >= 0 && kapacity.radek < kapacity.$headerRows.length) {
            kapacity.$headerRows[kapacity.radek].removeClass("planovani_selectedrow");
        }

        let $cell_den = kapacity.sloupec >= 0 ? kapacity.data.dny[kapacity.sloupec].$cellHeader : null;
        if ($cell_den) {
            $cell_den.removeClass("selected_col");
        }
        if (data.y< 0) {
            data.y = 0;
        }
        if (data.y >= kapacity.data.osoby.length * kapacity.data.pocetRadkuNaOsobu) {
            data.y = kapacity.data.osoby.length * kapacity.data.pocetRadkuNaOsobu - 1;
        }

        if (data.x < 0) {
            data.x = 0;
        }
        if (data.x >= kapacity.data.dny.length) {
            data.x = kapacity.data.dny.length - 1;
        }
        hideEdit();
    }


    function getSlotText(indexSlotu, sloupec) {
        let sloty = kapacity.data.zpusobZobrazeniSlotu
            ? kapacity.data.dny[sloupec].sloty
            : kapacity.data.sloty;

        return (sloty && sloty[indexSlotu])
            ? sloty[indexSlotu].casOdStr + " - " + sloty[indexSlotu].casDoStr
            : "";
    }


    function onSelectCell(data) {
        kapacity.radek = data.y;
        kapacity.sloupec = data.x;
        kapacity.$headerRows[kapacity.radek].addClass("planovani_selectedrow");
        let $cell_den = kapacity.sloupec >= 0
            ? kapacity.data.dny[kapacity.sloupec].$cellHeader
            : null;

        if ($cell_den) {
            $cell_den.addClass("selected_col");
        }

        if (kapacity.planovaniPoSlotech  &&  kapacity.data.zpusobZobrazeniSlotu) {
            for (let slot = 0;  slot < kapacity.data.pocetRadkuNaOsobu;  slot++) {
                $(".slot" + slot).html(getSlotText(slot, kapacity.sloupec));
            }
        }
        if (kapacity.radek >= 0 && kapacity.sloupec >= 0) {
            let $cell = kapacity.cells[kapacity.radek][kapacity.sloupec];
            showSelectedCell($cell);
            kapacity.$selectedCell = $cell;

            showInfo(kapacity.radek, kapacity.sloupec);

            kapacity.$selectedCell.focus();

            showLegendaSmeny(
                kapacity.vratKalendarProBunku(kapacity.radek, kapacity.sloupec),
                kapacity.data.dny[kapacity.sloupec].datum);

            kapacity.showPodminkyPlanovani(kapacity.data.dny[kapacity.sloupec]);
        }
        else {
            selection.hideActiveCell();
        }
    }
    function nastavRadekSloupec(radek, sloupec, shift, ctrl) {
        selection.selectCell(radek, sloupec, shift, ctrl);
    }
    function nastavSoucetOsoby(indexOsoby) {
        let
            soucet = 0,
            dataOsoby = kapacity.data.osoby[indexOsoby].Data;

        for (let sloupec = 0; sloupec < dataOsoby.length; sloupec++) {
            let delka = 0;
            if (dataOsoby[sloupec].smena) {
                delka = dataOsoby[sloupec].smena.variabilni
                    ? dataOsoby[sloupec].delkaSmeny
                    : dataOsoby[sloupec].smena.delka;
            }

            let delkaOriginal = delka;  // pro vypocet poloviny delky smeny si musim zapamatovat puvodni delku
            for (let i = 0;  delka > 0 && dataOsoby[sloupec].seznamAbsenci && i < dataOsoby[sloupec].seznamAbsenci.length;  i++) {
                let
                    udalost = dataOsoby[sloupec].seznamAbsenci[i],
                    pocitat = kapacity.data.pocitatAbsenceNaRadku["*"]  ||  kapacity.data.pocitatAbsenceNaRadku[udalost.kod];

                if (!pocitat) {
                    switch (udalost.delka) {
                        case 0 :    // celodenni absence
                            delka = 0;
                            break;
                        case 1 :
                        case 2 :    // puldenni absence
                            delka = delka - delkaOriginal / 2;
                            break;

                        case 3 :    // cas od - do
                            delka = delka - (udalost.casDo - udalost.casOd);
                            break;

                        case 4 :    // tu by se musel vypocitat "prunik" smeny a absence
                            delka = 0;
                    }
                }
            }

            if (delka > 0) {
                soucet += delka;
            }
        }

        soucet = soucet === 0 ? "" : ron.utils.floatToTimeString(soucet);

        kapacity.data.osoby[indexOsoby].$cellSoucet.html(soucet);
    }


    function jeOsobaVRozdeleni(osoba, datum, kodTypuRozdeleni, rozdeleni) {
        if (!osoba.rozdeleniOsoby) {
            return false;
        }

        for (let i = 0;  i < osoba.rozdeleniOsoby.length;  i++) {
            if (osoba.rozdeleniOsoby[i].kodTypuRozdeleni === kodTypuRozdeleni  &&  osoba.rozdeleniOsoby[i].kod === rozdeleni) {
                if (!osoba.rozdeleniOsoby[i].platnostOd  &&  osoba.rozdeleniOsoby[i].platnostOdStr) {
                    osoba.rozdeleniOsoby[i].platnostOd = ron.utils.stringToDate(osoba.rozdeleniOsoby[i].platnostOdStr);
                    osoba.rozdeleniOsoby[i].platnostDo = osoba.rozdeleniOsoby[i].platnostDoStr
                        ? ron.utils.stringToDate(osoba.rozdeleniOsoby[i].platnostDoStr)
                        : null;
                }

                if (osoba.rozdeleniOsoby[i].platnostOd <= datum  &&  (!osoba.rozdeleniOsoby[i].platnostDo  ||  osoba.rozdeleniOsoby[i].platnostDo >= datum)) {
                    return true;
                }
            }
        }

        return false;
    }
    function nastavSoucetSloupce(sloupec) {
        let
            soucet = 0,
            poctySmen = {},
            poctySlotu = [];

        for (let i = 0; i < kapacity.data.osoby.length; i++) {
            let bunka = kapacity.data.osoby[i].Data[sloupec];

            if (bunka.smena) {
                if ((!kapacity.data.osoby[i].cizi && !bunka.rozdeleni) || bunka.rozdeleni === kapacity.data.rozdeleni) {
                    if (kapacity.planovaniPoSlotech) {
                        for (let s = 0;  s < kapacity.data.dny[sloupec].sloty.length;  s++) {
                            if (poctySlotu.length <= s) {
                                poctySlotu[s] = 0;
                            }

                            let pocitat = true;

                            if (!kapacity.data.dny[sloupec].sloty[s]) {
                                pocitat = false
                            } else if (kapacity.data.dny[sloupec].sloty[s].rozdeleni) {
                                pocitat = jeOsobaVRozdeleni(
                                    kapacity.data.osoby[i], kapacity.data.dny[sloupec].datum,
                                    kapacity.data.dny[sloupec].sloty[s].kodTypuRozdeleni, kapacity.data.dny[sloupec].sloty[s].rozdeleni);
                            }

                            let
                                intervalOd = null,
                                intervalDo = null;
                            if (pocitat) {
                                intervalOd = kapacity.data.dny[sloupec].sloty[s].casOd;
                                intervalDo = kapacity.data.dny[sloupec].sloty[s].casDo;

                                for (let a = 0; pocitat  &&  bunka.seznamAbsenci  &&  a < bunka.seznamAbsenci.length; a++) {
                                    let jeVIntervalu = false;
                                    if (bunka.seznamAbsenci[a].kod == null  ||  bunka.seznamAbsenci[a].kod === "") {
                                    } else if (bunka.seznamAbsenci[a].delka <= 2) {
                                        jeVIntervalu = true;
                                    } else if (bunka.seznamAbsenci[a].delka === 3) {
                                        if (bunka.seznamAbsenci[a].casOd < intervalDo  &&  bunka.seznamAbsenci[a].casDo > intervalOd) {
                                            jeVIntervalu = true;
                                        }
                                    } else if (bunka.seznamAbsenci[a].delka === 4) {
                                        jeVIntervalu = true;
                                    }

                                    if (jeVIntervalu) {
                                        pocitat = kapacity.data.pocitatAbsenceVeSloupci["*"] || kapacity.data.pocitatAbsenceVeSloupci[bunka.seznamAbsenci[a].kod];
                                    }
                                }
                            }

                            if (pocitat) {
                                if (bunka.smena.variabilni || bunka.smena.delena) {
                                    if (bunka.pocatekSmeny > intervalOd) {
                                        intervalOd = bunka.pocatekSmeny;
                                    }

                                    if (bunka.konecSmeny < intervalDo) {
                                        intervalDo = bunka.konecSmeny;
                                    }
                                } else {
                                    if (bunka.smena.pocatek > intervalOd) {
                                        intervalOd = bunka.smena.pocatek;
                                    }
                                    if (bunka.smena.konec < intervalDo) {
                                        intervalDo = bunka.smena.konec;
                                    }
                                }

                                if (intervalDo > intervalOd) {
                                    poctySlotu[s] += (intervalDo - intervalOd) / (kapacity.data.dny[sloupec].sloty[s].casDo - kapacity.data.dny[sloupec].sloty[s].casOd);
                                }

                                if (bunka.smena.delena && bunka.preruseniOd < intervalDo && bunka.preruseniDo > intervalOd) {
                                    let
                                        preruseniOd = intervalOd > bunka.preruseniOd ? intervalOd : bunka.preruseniOd,
                                        preruseniDo = intervalDo < bunka.preruseniDo ? intervalDo : bunka.preruseniDo;

                                    if (preruseniDo > preruseniOd) {
                                        poctySlotu[s] -= (preruseniDo - preruseniOd) / (kapacity.data.dny[sloupec].sloty[s].casDo - kapacity.data.dny[sloupec].sloty[s].casOd);
                                    }
                                }
                            }

                        }
                    } else {
                        let pocitat = !bunka.absence || kapacity.data.pocitatAbsenceVeSloupci["*"] || kapacity.data.pocitatAbsenceVeSloupci[bunka.absence.kod];

                        if (pocitat) {
                            if (bunka.smena.variabilni) {
                                soucet += bunka.delkaSmeny;
                            } else {
                                soucet += bunka.smena.delka;
                            }

                            if (kapacity.planovaniPoSlotech) {
                            } else {
                                if (!poctySmen["S_" + bunka.smena.kod]) {
                                    poctySmen["S_" + bunka.smena.kod] = 1;
                                } else {
                                    poctySmen["S_" + bunka.smena.kod]++;
                                }
                            }
                        }
                    }
                }
            }

            if (bunka.absence) {
                poctySmen["A_" + bunka.absence.kod] = poctySmen["A_" + bunka.absence.kod] ? poctySmen["A_" + bunka.absence.kod] + 1 : 1;
            }
        }

        if (kapacity.data.dny[sloupec].$cellSoucet) {
            soucet = Math.round(soucet * 10) / 10; // zaokrouhleni na 1 desetinne misto
            kapacity.data.dny[sloupec].$cellSoucet.html("" + soucet);
        }

        for (let i = 0;  i < kapacity.data.radkyPaticky.length;  i++) {
            if (kapacity.data.radkyPaticky[i].$cell  &&  kapacity.data.radkyPaticky[i].$cell.length > sloupec) {
                if (kapacity.data.radkyPaticky[i].smena) {
                    if (poctySmen["S_" + kapacity.data.radkyPaticky[i].smena.kod]) {
                        kapacity.data.radkyPaticky[i].$cell[sloupec]
                            .text(poctySmen["S_" + kapacity.data.radkyPaticky[i].smena.kod])
                            .css("background-color", kapacity.data.radkyPaticky[i].smena.barva);
                        poctySmen["S_" + kapacity.data.radkyPaticky[i].smena.kod] = "X"; // oznaci jako aktualizovany
                    } else {
                        kapacity.data.radkyPaticky[i].$cell[sloupec].text("");
                    }
                } else if (kapacity.data.radkyPaticky[i].udalost) {
                    if (poctySmen["A_" + kapacity.data.radkyPaticky[i].udalost.kod]) {
                        kapacity.data.radkyPaticky[i].$cell[sloupec]
                            .empty()
                            .text(poctySmen["A_" + kapacity.data.radkyPaticky[i].udalost.kod])
                            .append(
                                $("<div/>")
                                    .addClass("planovani_absence")
                                    .css("background-color", kapacity.data.radkyPaticky[i].udalost.barva)
                            );
                        poctySmen["A_" + kapacity.data.radkyPaticky[i].udalost.kod] = "X"; // oznaci jako aktualizovany
                    } else {
                        kapacity.data.radkyPaticky[i].$cell[sloupec].text("");
                    }
                } else if (kapacity.data.radkyPaticky[i].slot != null) {
                    let
                        indexSlotu = kapacity.data.radkyPaticky[i].slot,
                        slot = kapacity.data.dny[sloupec].sloty[indexSlotu],
                        pocetMin = (slot  &&  slot.pocetMin) ? slot.pocetMin : 0,
                        text = poctySlotu[indexSlotu] ?  Math.round(10 * poctySlotu[indexSlotu]) / 10 : "";

                    if (pocetMin) {
                        text =
                            "<div class='soucet_slotu'>" +
                            "<span class='skutecny_pocet'>"  + (text ? text : "0") + "</span>" +
                            "<span class='pozadovany_pocet'>" + pocetMin + "</span>" +
                            "</div>";
                    }

                    kapacity.data.radkyPaticky[i].$cell[sloupec].html(text);
                    if (pocetMin) {
                        kapacity.data.radkyPaticky[i].$cell[sloupec]
                            .toggleClass("missing", !poctySlotu[indexSlotu]  ||  pocetMin > poctySlotu[indexSlotu])
                            .toggleClass("raising", pocetMin < poctySlotu[indexSlotu]);
                    }
                }
            }
        }
        $.each(poctySmen, function (kodSmeny, pocet) { // $.each funguje i v IE 8
                if (pocet !== 'X') {
                    console.log("DOPLNIT RADEK PRO " + kodSmeny);
                }
            }
        );
    }


    var sort = function(sorttype)
    {
        if ( sorttype == Math.abs(kapacity.osobySortType) ) sorttype = -kapacity.osobySortType; // prepnuti vzestupne/sestupne

        document.cookie = "planovanikapacit_sort=" + sorttype;

        kapacity.osobySortType = sorttype;
        kapacity.data.osoby.sort( kapacity.compareOsoba );

        zobrazDataPlanovani();
    };


    $("#kapacity_nadpisy")
        .on("click", "th", function() {
            var index = $(this).data("index");
            if (index) {
                sort(index);
            }
        });
    function getCellHtml(radek, sloupec, bold) {
        let
            osoba = Math.floor(radek / kapacity.data.pocetRadkuNaOsobu),
            slot = radek % kapacity.data.pocetRadkuNaOsobu,
            bunka = kapacity.data.osoby[osoba].Data[sloupec],
            datum = kapacity.data.dny[sloupec].datum,
            cizi =
                kapacity.data.osoby[osoba].cizi && (bunka.rozdeleni !== kapacity.data.rozdeleni || !kapacity.data.lzeEditovatCizi)
                || (bunka.rozdeleni && bunka.rozdeleni !== kapacity.data.rozdeleni),
            textStr = "&nbsp;",
            smenaVisible = false,
            zobrazenaAbsence = null,
            smenaStr = "",
            absenceStr = "", // jen jedna zobrazena absence (pro zakladni rezim)
            smenaInfoStr = "",
            seznamAbsenciStr = "", // pro detailni rezim
            typAbsence = null,
            upravaAbsence = false,  // priznak, jestli je nektera absence zmenena v rezimu uprav
            seznamAbsenci = bunka.seznamAbsenci;  // pri slotovem planovani se upravi, protoze se v bunce nemusi zobrazovat vsechny absence

        if (kapacity.planovaniPoSlotech && !kapacity.data.dny[sloupec].sloty[slot]) {
            return "";
        }

        let sloty = kapacity.data.zpusobZobrazeniSlotu
            ? kapacity.data.dny[sloupec].sloty  // zobrazuje sloty aktualniho dne od prvni bunky
            : kapacity.data.sloty;              // zobrazuje sloty ve vsech sloupcich stejne
        if (bunka.seznamAbsenci.length) {
            let absenceClass = "";

            if (kapacity.planovaniPoSlotech) {
                seznamAbsenci = [];

                if (sloty[slot]) {
                    for (let i = 0;  i < bunka.seznamAbsenci.length; i++) {
                        if (bunka.seznamAbsenci[i].kod) {
                            let absenceVBunce = null;

                            switch (bunka.seznamAbsenci[i].delka) {
                                case 0 :
                                case 1 :
                                case 2 :
                                    absenceVBunce = bunka.seznamAbsenci[i];
                                    break;

                                case 3 :
                                    if (bunka.seznamAbsenci[i].casOd < sloty[slot].casDo && bunka.seznamAbsenci[i].casDo > sloty[slot].casOd) {
                                        absenceVBunce = bunka.seznamAbsenci[i];
                                    }
                                    break;

                                case 4 :
                                    if (bunka.seznamAbsenci[i].datumOd <= datum && bunka.seznamAbsenci[i].datumDo >= datum) {
                                        absenceVBunce = bunka.seznamAbsenci[i];
                                    }

                                    if (bunka.seznamAbsenci[i].datumOd.getTime() === datum.getTime()) {
                                        if (bunka.seznamAbsenci[i].casOd >= sloty[slot].casDo) {
                                            absenceVBunce = null;
                                        }
                                    }
                                    if (bunka.seznamAbsenci[i].datumDo.getTime() === datum.getTime()) {
                                        if (bunka.seznamAbsenci[i].casDo <= sloty[slot].casOd) {
                                            absenceVBunce = null;
                                        }
                                    }
                                    break;
                            }

                            if (absenceVBunce) {
                                seznamAbsenci[seznamAbsenci.length] = absenceVBunce;
                                if (!zobrazenaAbsence) {
                                    zobrazenaAbsence = absenceVBunce;
                                }
                            }
                        }
                    }
                }
            } else {
                for (let i = 0;  !zobrazenaAbsence  &&  i < bunka.seznamAbsenci.length;  i++) {
                    if (bunka.seznamAbsenci[i].kod) {
                        zobrazenaAbsence = bunka.seznamAbsenci[i];
                    }
                }
            }

            if (kapacity.data.povolitRezimUprav && bunka.seznamAbsenci) {
                for (let i = 0; !upravaAbsence && i < bunka.seznamAbsenci.length; i++) {
                    if (bunka.seznamAbsenci[i].kod !== bunka.seznamAbsenci[i].kod2) {
                        upravaAbsence = true;
                    }
                }
            }

            if (zobrazenaAbsence  &&  zobrazenaAbsence.kod) {
                typAbsence = kapacity.vratAbsenciPodleKodu(zobrazenaAbsence.kod);

                switch (zobrazenaAbsence.delka) {
                    case 1 :
                        absenceClass = 'planovani_absence1';
                        break;

                    case 2 :
                        absenceClass = 'planovani_absence2';
                        break;

                    case 3 :
                        absenceClass = 'planovani_absence3';
                        break;

                    case 4 : // ?
                    default:
                        absenceClass = ' planovani_absence';
                        break;
                }

                if (cizi) {
                    absenceClass += ' planovani_absence_cizi';
                }
                let absenceStyle = (typAbsence && typAbsence.barva)
                    ? " style='background-color: " + typAbsence.barva + ";' "
                    : '';

                if (!kapacity.data.schvalovaniAbsenci) {
                    absenceClass += ' planovani_schvalenaabsence';
                } else {
                    switch (zobrazenaAbsence.schvaleni) {
                        case 1 :
                            absenceClass += ' planovani_schvalenaabsence';
                            break;
                        case 2 :
                            absenceClass += ' planovani_zamitnutaabsence';
                            break;
                        default :
                            absenceClass += ' planovani_absencebezschvaleni';
                            break;
                    }
                }

                absenceStr = "<div class='planovani_absence " + absenceClass + "'" + absenceStyle + "></div>";
            }

            seznamAbsenciStr = "<div class='planovani_udalosti'>";

            for (let i = 0; i < seznamAbsenci.length; i++) {
                let udalost = seznamAbsenci[i];
                if (udalost.kod) {
                    let
                        typAbsence = kapacity.vratAbsenciPodleKodu(udalost.kod),

                        absenceStyle = (typAbsence && typAbsence.barva)
                            ? " style='background-color: " + typAbsence.barva + ";' "
                            : '',

                        cssClass =
                            "udalost absence_" + udalost.kod +
                            (udalost.datumOd < datum ? "" : " prvni-den") +
                            (udalost.datumDo > datum ? "" : " posledni-den"),

                        casStr =
                            (udalost.delka === 1 ? '1./2' : '') +
                            (udalost.delka === 2 ? '2./2' : '') +
                            (udalost.delka > 2
                                ? ron.utils.floatToTimeString(udalost.casOd, true) + '-' + ron.utils.floatToTimeString(udalost.casDo, true)
                                : '')

                    seznamAbsenciStr +=
                        "<div class='" + cssClass + "'" + absenceStyle + ">" +
                        ((typAbsence && typAbsence.zkratka) ? typAbsence.zkratka : udalost.kod) +
                        " <span class='planovani_udalost_cas'>" + casStr + "</span>" +
                        (udalost.poznamka ? " <span class='poznamka'>" + ron.utils.htmlTextConvert(udalost.poznamka) + "</span>" : "") +
                        "</div>";
                }
            }

            seznamAbsenciStr += "</div>";
        }

        if (cizi) {
            smenaVisible = true;
        }
        else {
            if (bunka.smena) {

                smenaVisible = true;

                let positionStyle = "";

                if (kapacity.planovaniPoSlotech) {
                    if (slot < sloty.length) {
                        let
                            top = null,
                            height = null;

                        if (bunka.smena.delena) {
                            if (bunka.preruseniOd <= sloty[slot].casOd &&
                                bunka.preruseniDo >= sloty[slot].casDo) {
                                smenaVisible = false;
                            }
                        }

                        let
                            pocatekSmeny = bunka.smena.variabilni 
                                ? bunka.pocatekSmeny
                                : bunka.smena.pocatek,

                            konecSmeny = bunka.smena.variabilni 
                                ? bunka.konecSmeny
                                : bunka.smena.konec;

                        if (smenaVisible) {
                            if (pocatekSmeny >= sloty[slot].casDo) {
                                smenaVisible = false;
                            } else if (konecSmeny <= sloty[slot].casOd) {
                                smenaVisible = false;
                            } else if (bunka.smena.delena && bunka.preruseniOd <= sloty[slot].casOd) {
                                pocatekSmeny = bunka.preruseniDo;
                            } else if (bunka.smena.delena && bunka.preruseniDo >= sloty[slot].casDo) {
                                konecSmeny = bunka.preruseniOd;
                            }
                        }

                        if (smenaVisible) {
                            if (pocatekSmeny > sloty[slot].casOd) {
                                top = 100 * (pocatekSmeny - sloty[slot].casOd) /
                                    (sloty[slot].casDo - sloty[slot].casOd);
                            }
                            if (konecSmeny < sloty[slot].casDo) {
                                height = 100 - 100 * (sloty[slot].casDo - konecSmeny) /
                                    (sloty[slot].casDo - sloty[slot].casOd) - (top ? top : 0);
                            }

                            if (top || height) {
                                if (!top) {
                                    top = 0;
                                }
                                if (!height) {
                                    height = 100;
                                }

                                positionStyle = " top: " + (top ? top + "%" : "0")+ "; height: " + height + "%" + ";";
                            }
                        }
                    } else {
                        smenaVisible = false;
                    }
                }

                if (smenaVisible) {
                    smenaStr =
                        "<div class='planovani_smena'" + (bunka.smena.barva ? " style='" + "background-color: " + bunka.smena.barva + ";" + positionStyle + "'" : "") + "></div>";
                }
            }
        }
        if (smenaVisible  &&  bunka.smena) {
            if (bunka.smena.zkratka) {
                textStr = ron.utils.htmlTextConvert(bunka.smena.zkratka);
            }
        }
        else if (zobrazenaAbsence  &&  typAbsence) {
            if (typAbsence.zkratka) {
                textStr = ron.utils.htmlTextConvert(typAbsence.zkratka);
            }
        }

        if (bunka.smena) {
            smenaInfoStr =
                "<div class='planovani_smenainfo'>" +
                ron.utils.htmlTextConvert(bunka.smena.zkratka) +
                " " +
                "<span class='planovani_cassmeny poznamka'>" +
                ron.utils.floatToTimeString(bunka.smena.variabilni ? bunka.pocatekSmeny : bunka.smena.pocatek, true) +
                '-' +
                ron.utils.floatToTimeString(bunka.smena.variabilni ? bunka.konecSmeny : bunka.smena.konec, true) +
                "</span>" +
                "</div>";
        }
        let schvaleniStr = "";

        if (!slot) {
            if (bunka.schvaleni === 3) {
                schvaleniStr = "<DIV class='planovani_schvaleni schvaleni3'></DIV>";
            }
            else if (bunka.schvaleni === 2) {
                schvaleniStr = "<DIV class='planovani_schvaleni schvaleni2'></DIV>";
            }
            else if (bunka.schvaleni === 1) {
                schvaleniStr = "<DIV class='planovani_schvaleni schvaleni1'></DIV>";
            }
            else if (bunka.potvrzeno) {
                schvaleniStr = "<DIV class='planovani_schvaleni planovani_potvrzeno'></DIV>";
            }
            else if (kapacity.data.rezimUprav && bunka.puvodniPlanSchvalen) {
                schvaleniStr = "<DIV class='planovani_schvaleni planovani_schvaleni_puvodni'></DIV>";
            }
        }

        if (bold && textStr) {
            textStr = "<strong>" + textStr + "</strong>";
        }

        let
            kontrolyStr = kapacity.getKontrolyHtml(bunka.kontroly, osoba),
            podrobnostiStr = bunka.podrobnostiSmeny
                ? "<div class='planovani_podrobnosti'>" + bunka.podrobnostiSmeny + '</div>'
                : "",
            rozdeleniStr = "",
            rozdeleni2Str = "";

        if (bunka.rozdeleni) {
            let
                rozdeleni = kapacity.rozdeleniPodleKodu(bunka.rozdeleni),
                barva = rozdeleni ? rozdeleni.barva : null,
                title = rozdeleni ? rozdeleni.popis : null;

            rozdeleniStr =
                "<div class='planovani_cizirozdeleni'" +
                (barva ? " style='background-color: " + barva + "'" : "") +
                (title ? " title='" + ron.utils.htmlTextConvert(title) + "'" : "") +
                ">" +
                "<div class='planovani_textrozdeleni'>" + ron.utils.htmlTextConvert(bunka.rozdeleni) + "</div>" +
                "</div>";
        }

        if (bunka.rozdeleni2) {
            let
                rozdeleni = kapacity.rozdeleni2PodleKodu(bunka.rozdeleni2),
                barva = rozdeleni ? rozdeleni.barva : null,
                title = rozdeleni ? rozdeleni.popis : null;

            rozdeleni2Str =
                "<div class='planovani_rozdeleni2'" +
                (barva ? " style='background-color: " + barva + "'" : "") +
                (title ? " title='" + ron.utils.htmlTextConvert(title) + "'" : "") +
                ">" +
                "<div class='planovani_textrozdeleni'>" + ron.utils.htmlTextConvert(bunka.rozdeleni2) + "</div>" +
                "</div>";
        }

        let puvodniStr = (kapacity.data.povolitRezimUprav  &&
            (
                (bunka.smena ? bunka.smena.kod : "") !== (bunka.smena2 ? bunka.smena2 : "")  ||
                upravaAbsence  //(bunka.absence ? bunka.absence.kod : "") != bunka.absence2
            )
        ) ? "<div class='planovani_dodatecnauprava'></div>" : "";

        let poznamkaStr = (bunka.poznamka  &&  bunka.poznamka.text)
            ? "<div class='planovani_poznamka' title='" + ron.utils.htmlTextConvert(bunka.poznamka.text) + "'>" +
                (kapacity.headerData.pocetZnakuPoznamky ? ron.utils.htmlTextConvert(bunka.poznamka.text.substring(0, kapacity.headerData.pocetZnakuPoznamky)) : "...") +
                "</div>"
            : "";

        let dokumentStr = "";
        if (bunka.dokumenty  &&  bunka.dokumenty.length) {
            let title = "";
            for (let i = 0;  i < bunka.dokumenty.length;  i++) {
                title = title + ron.utils.htmlTextConvert(bunka.dokumenty[i].popis) + "\n";
            }
            dokumentStr = "<div class='planovani_dokument' title='" + title + "'></div>";
        }

        let scStr = "";
        if (bunka.sluzebniCesty  &&  bunka.sluzebniCesty.length) {
            let title = "";
            for (let i = 0;  i < bunka.sluzebniCesty.length;  i++) {
                if (bunka.sluzebniCesty[i].datumOd < bunka.sluzebniCesty[i].datumDo) {
                    title = title + bunka.sluzebniCesty[i].datumOdStr + " - " + bunka.sluzebniCesty[i].datumDoStr + " ";
                }
                title = title + ron.utils.htmlTextConvert(bunka.sluzebniCesty[i].popis) + "\n";
            }
            scStr = "<div class='planovani_sc fa glyph-business-trip' title='" + title + "'></div>";
        }

        return "<div class='planovani_bunka'>" +
            smenaStr + absenceStr +
            (textStr ? "<div class='planovani_zkratka'>" + textStr + "</div>" : "") +
            smenaInfoStr +
            schvaleniStr + kontrolyStr + podrobnostiStr + puvodniStr +
            seznamAbsenciStr +
            poznamkaStr + rozdeleniStr + rozdeleni2Str + dokumentStr + scStr +
            "</div>";
    }
    function show() {
        function showMainHeader() {
            let $headerDiv = $("#kapacity_nadpisy");

            $headerDiv.empty();

            let $table = $("<table/>")
                .attr("class", "planovanitable")
                .css("height", "100%")
                .appendTo($headerDiv);

            let $row = $("<tr/>")
                .appendTo($table);

            $("<th/>")
                .html( ron._("Osobni_cislo") )
                .attr("data-index", "1") // pro razeni
                .attr("class", "planovani_sortrow")
                .appendTo($row);

            $("<th/>")
                .html( ron._("Jmeno") )
                .attr("data-index", "2") // pro razeni
                .addClass("planovani_sortrow jmeno")
                .appendTo($row);
            for (let i = 0; i < kapacity.data.sloupceHlavicky.length; i++) {
                if (kapacity.data.pocetRadkuNaOsobu <= 1  ||  !kapacity.data.sloupceHlavicky[i].dalsiRadek) {
                    $("<th/>")
                        .html(kapacity.data.sloupceHlavicky[i].nadpis)
                        .addClass("planovani_sortrow " + kapacity.data.sloupceHlavicky[i].className)
                        .attr("data-index", 100 + i) // pro razeni
                        .appendTo($row);
                }
            }
            $("<th/>")
                .html( ron._("Sum_nadpis") )
                .addClass("align-right")
                .addClass("rowsum")
                .appendTo($row);

            if (kapacity.planovaniPoSlotech) {
                $("<th/>")
                    .html( ron._("Nadpis_slot") )
                    .addClass("planovani_slot")
                    .appendTo($row);
            }

            return $table;
        }
        function setCellClass($cell, den) {
            if (den.typ & 1) {
                $cell.addClass("planovani_vikend");
            }
            if (den.typ & 2) {
                $cell.addClass("planovani_svatek");
            }
            if (den.datum.getTime() === ron.utils.today().getTime()) {
                $cell.addClass("today");
            }
        }
        function showColumnHeader() {
            let $headerDiv = $("#kapacity_nadpisydnu");
            $headerDiv.empty();

            kapacity.$tableTopHeader = $("<table/>")
                .attr("class", "planovanitable planovani_datacol")
                .appendTo($headerDiv);

            let $row = $("<tr/>")
                .appendTo(kapacity.$tableTopHeader);

            for (let i = 0; i < kapacity.data.dny.length; i++) {
                let $cell = $("<th/>");

                setCellClass($cell, kapacity.data.dny[i]);

                $cell
                    .appendTo($row);

                kapacity.data.dny[i].$cellHeader = $cell;

                kapacity.setDayHeaderHtml(i);
            }
        }
        function jeSloupecSObrazky() {
            for (let i = 0;  i < kapacity.data.sloupceHlavicky.length;  i++) {
                if (kapacity.data.sloupceHlavicky[i].kodCasoveSlozky === "IMG") {
                    return true;
                }
            }

            return false;
        }
        function showRowHeader() {
            let $headerDiv = $("#kapacity_rowheader");
            $headerDiv.empty();

            let $table = $("<table/>")
                .attr("class", "planovanitable planovani_datarows")
                .appendTo($headerDiv);
            function setHlavickaOsoby($cell, osoba, index) {
                if (osoba.dataHlavicky[index]) {
                    if (osoba.dataHlavicky[index].text && osoba.dataHlavicky[index].className) {
                        $cell.html( '<span class="' + osoba.dataHlavicky[index].className + '">' + osoba.dataHlavicky[index].text + '</span>');
                    } else {
                        $cell.text(osoba.dataHlavicky[index].text);
                    }
                }
            }

            let rows = []; // vsechny radky hlavicky pro osobu ve viceradkovem zobrazeni

            kapacity.$headerRows = [];
            for (let indexOsoby = 0;  indexOsoby < kapacity.data.osoby.length;  indexOsoby++) {
                rows = [];

                let
                    osoba = kapacity.data.osoby[indexOsoby],
                    $row = $("<tr/>")
                        .appendTo($table),
                    $row2 = null;


                if (osoba.rowClasses) {
                    $row.addClass(osoba.rowClasses);
                }

                rows.push($row);
                kapacity.$headerRows.push($row);
                for (let i = 1;  i < kapacity.data.pocetRadkuNaOsobu; i++) {
                    let $rowDalsi = $("<tr/>").appendTo($table);
                    rows.push($rowDalsi);
                    kapacity.$headerRows.push($rowDalsi);

                    if (i === 1) $row2 = $rowDalsi;
                }

                if (kapacity.data.pocetRadkuNaOsobu > 1) {
                    rows[rows.length - 1].addClass("last-section-row");
                }
                let $cell = $("<th/>")
                    .text(osoba.osobniCislo)
                    .toggleClass("last-section-row", kapacity.data.pocetRadkuNaOsobu > 1)
                    .appendTo($row);
                $cell = $("<th/>")
                    .append(
                        $("<div/>")
                            .text(osoba.jmenoPrijmeni)
                    )
                    .addClass("jmeno")
                    .appendTo($row);

                let
                    $cellImg = null,    // $cell;
                    pocetSloupcu = 1;   // pocet sloupcu hlavicky - na dalsich radcich pak bude colspan
                for (let i = 0; i < kapacity.data.sloupceHlavicky.length; i++) {
                    if (kapacity.data.pocetRadkuNaOsobu <= 1 || !kapacity.data.sloupceHlavicky[i].dalsiRadek) {
                        $cell = $("<th/>")
                            .addClass(kapacity.data.sloupceHlavicky[i].className)
                            .appendTo($row);

                        pocetSloupcu++;

                        if (kapacity.data.sloupceHlavicky[i].kodCasoveSlozky === "IMG") {
                            $cellImg = $cell;
                        } else {
                            setHlavickaOsoby($cell, osoba, i);
                        }
                    }
                }
                $cell = $("<th/>")
                    .addClass("align-right")
                    .addClass("rowsum")
                    .html("0")
                    .appendTo($row);
                pocetSloupcu++;
                osoba.$cellSoucet = $cell;
                let $ikony = null;
                if (osoba.ikony) {
                    $ikony = $("<span/>").addClass("ikony_rozdeleni");


                    for (let i = 0; i < osoba.ikony.length; i++) {
                        $("<i/>")
                            .addClass(osoba.ikony[i].css)
                            .attr("title", osoba.ikony[i].popis)
                            .appendTo($ikony);
                    }

                    if ($cellImg) {
                        $ikony.appendTo($cellImg);
                    }
                }
                for (let r = 1; r < rows.length; r++) {
                    $("<th/>")
                        .appendTo(rows[r]);
                    $cell = $("<th/>")
                        .attr("colspan", pocetSloupcu)
                        .appendTo(rows[r]);

                    if (r === 1) {
                        for (let i = 0; i < kapacity.data.sloupceHlavicky.length; i++) {
                            if (kapacity.data.sloupceHlavicky[i].dalsiRadek) {
                                if (kapacity.data.sloupceHlavicky[i].kodCasoveSlozky === "IMG") {
                                    if ($ikony) {
                                        $ikony.appendTo($cell);
                                    }
                                } else if (osoba.dataHlavicky[i]) {
                                    $("<span/>")
                                        .addClass(osoba.dataHlavicky[i].className)
                                        .text(osoba.dataHlavicky[i].text)
                                        .attr("title", kapacity.data.sloupceHlavicky[i].nadpis)
                                        .appendTo($cell);
                                }
                            }
                        }
                    }
                }
                osoba.$headerRow = $row;
                if (kapacity.planovaniPoSlotech) {
                    for (let otherRow = 0; otherRow < kapacity.data.pocetRadkuNaOsobu; otherRow++) {
                        $("<th/>")
                            .addClass("planovani_slot slot" + otherRow)
                            .toggleClass("last-section-row", otherRow === kapacity.data.pocetRadkuNaOsobu - 1)
                            .append( $("<div/>").html(getSlotText(otherRow, 0)) )  //  "0:00 - 24:00"
                            .appendTo(rows[otherRow]);
                    }
                }

            }

            return $table;
        }
        var showFooterCaptions = function() {
            var $footerDiv = $("#kapacity_nadpisy_paticky");
            $footerDiv.empty();

            var pocetZobrazenychSloupcu = kapacity.data.sloupceHlavicky.length;
            if (kapacity.data.pocetRadkuNaOsobu > 1) {
                for (var i = 0; i < kapacity.data.sloupceHlavicky.length; i++) {
                    if (kapacity.data.sloupceHlavicky[i].dalsiRadek) {
                        pocetZobrazenychSloupcu--;
                    }
                }
            }


            var $table = $("<table/>")
                .attr("class", "planovanitable planovani_footerrow")
                .appendTo($footerDiv);
            var $row = $("<tr/>")
                .appendTo($table);

            $("<th/>")
                .appendTo($row);

            $("<th/>")
                .attr("colSpan", 2 + pocetZobrazenychSloupcu + (kapacity.planovaniPoSlotech ? 1 : 0)) // + jmeno + soucet na radku + (casy slotu)
                .html( ron._("Celkem") )
                .appendTo($row);
            for (i = 0;  i < kapacity.data.radkyPaticky.length;  i++) {
                $row = $("<tr/>")
                    .appendTo($table);

                if (kapacity.data.radkyPaticky[i].slot !== null  &&  i < kapacity.data.radkyPaticky.length - 1  &&  kapacity.data.radkyPaticky[i + 1].slot === null) {
                    $row.addClass("last-section-row");
                } else if (!kapacity.data.radkyPaticky[i].slot  &&  i < kapacity.data.radkyPaticky.length - 1  &&  kapacity.data.radkyPaticky[i + 1].slot === 0) {
                    $row.addClass("last-section-row");
                }

                var $th = $("<th/>")
                    .appendTo($row);

                if (kapacity.data.radkyPaticky[i].smena) {
                    $th
                        .css("background-color", kapacity.data.radkyPaticky[i].smena.barva)
                        .text(kapacity.data.radkyPaticky[i].smena.zkratka);
                } else if (kapacity.data.radkyPaticky[i].udalost) {
                    $th
                        .addClass("planovani_absence")
                        .css("background-color", kapacity.data.radkyPaticky[i].udalost.barva)
                        .text(kapacity.data.radkyPaticky[i].udalost.zkratka);
                }

                $th = $("<th/>")
                    .attr("colSpan", 2 + pocetZobrazenychSloupcu) // + jmeno + soucet na radku
                    .text(kapacity.data.radkyPaticky[i].nadpis)
                    .appendTo($row);

                if (kapacity.data.radkyPaticky[i].slot !== null) {
                    $th
                        .addClass("planovani_slot")
                        .addClass("slot" + kapacity.data.radkyPaticky[i].slot);
                }
            }

            return $table;
        };
        var showFooter = function () {
            var $footerDiv = $("#kapacity_paticka");
            $footerDiv.empty();

            var $table = $("<table/>")
                .attr("class", "planovanitable planovani_footerrow planovani_datacol")
                .appendTo($footerDiv);
            var $row = $("<tr/>")
                .appendTo($table);

            for (var i = 0; i < kapacity.data.dny.length; i++) {
                kapacity.data.dny[i].$cellSoucet = $("<th/>")
                    .html("0")
                    .appendTo($row);
            }
            for (i = 0; i < kapacity.data.radkyPaticky.length; i++) {
                $row = kapacity.data.radkyPaticky[i].$dataRow = $("<tr/>")
                    .appendTo($table);

                if (kapacity.data.radkyPaticky[i].slot !== null  &&  i < kapacity.data.radkyPaticky.length - 1  &&  kapacity.data.radkyPaticky[i + 1].slot === null) {
                    $row.addClass("last-section-row");
                } else if (!kapacity.data.radkyPaticky[i].slot  &&  i < kapacity.data.radkyPaticky.length - 1  &&  kapacity.data.radkyPaticky[i + 1].slot === 0) {
                    $row.addClass("last-section-row");
                }

                kapacity.data.radkyPaticky[i].$cell = [];

                for (var day = 0; day < kapacity.data.radkyPaticky[i].data.length; day++) {
                    var $td = $("<th/>")
                        .html(kapacity.data.radkyPaticky[i].data[day])
                        .appendTo(kapacity.data.radkyPaticky[i].$dataRow);

                    kapacity.data.radkyPaticky[i].$cell[day] = $td;

                    if (kapacity.data.radkyPaticky[i].smena && kapacity.data.radkyPaticky[i].data[day]) {
                        $td.css("background-color", kapacity.data.radkyPaticky[i].smena.barva);
                    }
                }
            }

            for (i = 0; i < kapacity.data.dny.length; i++) {
                nastavSoucetSloupce(i);
            }

            return $table;
        };
        function renderDataOsoby($table, osoba) {
            for (let osobaRow = 0; osobaRow < kapacity.data.pocetRadkuNaOsobu;  osobaRow++ ) {
                kapacity.cells.push( [] );

                let
                    $row = $("<tr/>")
                        .toggleClass("last-section-row", kapacity.planovaniPoSlotech && osobaRow === kapacity.data.pocetRadkuNaOsobu - 1)
                        .attr("id", "pk_data_row_" + kapacity.data.osoby[osoba].idPP)
                        .appendTo($table);

                if (kapacity.data.osoby[osoba].rowClasses) {
                    $row.addClass(kapacity.data.osoby[osoba].rowClasses);
                }
                for (let i = 0; i < kapacity.data.dny.length; i++) {
                    let $cell = $("<td/>")
                        .html(getCellHtml(osoba * kapacity.data.pocetRadkuNaOsobu + osobaRow, i, false))
                        .appendTo($row);

                    setCellClass($cell, kapacity.data.dny[i]);

                    if (!kapacity.jeBunkaEditovatelna(osoba, i)) {
                        $cell.addClass("planovani_needitovatelna");
                    }

                    kapacity.cells[osoba * kapacity.data.pocetRadkuNaOsobu + osobaRow].push($cell);
                }
            }

            nastavSoucetOsoby(osoba);
        }
        function renderData($parent) {
            $("#kapacity_uzamceno")
                .toggleClass("d-none", !kapacity.data.uzavreno);

            $("#tlacitkoprepocet")
                .toggleClass("d-none", Boolean(kapacity.data.uzavreno)); // pozor! Bez pretypovani to nefunguje!

            let $table = $("<table/>")
                .attr("class", "planovanitable planovani_datarows planovani_datacol")
                .attr("id", "kapacity_data_table")
                .appendTo($parent);

            let detailniZobrazeni = kapacity.jeDetailniZobrazeni();
            kapacity.sirkaBunky = detailniZobrazeni ? kapacity.data.sirkaBunkyDetailni : kapacity.data.sirkaBunky;
            kapacity.vyskaBunky = detailniZobrazeni ? kapacity.data.vyskaBunkyDetailni : kapacity.data.vyskaBunky;

            $table.selectiontable({
                rowHeight: kapacity.vyskaBunky + 1, // velikost obsahu + okraj
                colWidth: kapacity.sirkaBunky,
                processKeyEvents: false, // stisk klavesy se zpracovava primo v planovani
                beforeSelectCell : beforeSelectCell,
                onSelectCell : onSelectCell
            });
            selection = $table.selectiontable("instance");


            kapacity.cells = []; // pole radku
            for (let osoba = 0; osoba < kapacity.data.osoby.length; osoba++) {
                renderDataOsoby($table, osoba);
            }
            showFooter();

            kapacity.data.PrvniDatovySloupec = 3;
            kapacity.data.PrvniDatovyRadek = 2;

            return $table;
        }


        function showLegendaAbsence() {
            let $table = $("#kapacity_legenda_absence");
            $table.empty();
            for (let i = 0; i < kapacity.data.absence.length; i++)
                if (kapacity.data.absence[i].zkratka) {
                    let $row = $("<tr/>")
                        .data("kapacity-kod-absence", kapacity.data.absence[i].kod)
                        .attr("id", "L_Absence_" + kapacity.data.absence[i].kod)
                        .appendTo($table);


                    $("<td/>")
                        .addClass("zkratka")
                        .text(kapacity.data.absence[i].zkratka)
                        .attr("title", kapacity.data.absence[i].popis)
                        .appendTo($row)
                        .append(
                            $("<div/>")
                                .addClass("planovani_absence")
                                .css("backgroundColor", kapacity.data.absence[i].barva)
                        );

                    $("<td/>")
                        .text(kapacity.data.absence[i].popis)
                        .appendTo($row);
                }
        }



        $tableHead = showMainHeader();   // nadpisy sloupcu (os.cislo atd.)
        $tableRowHeaders = showRowHeader();    // hlavicka osoby (Karel ...), hlavicka souctoveho radku (napr. celkem, vytizenost, smeny)
        $footerCaptions = showFooterCaptions();

        showColumnHeader(); // nadpisy dnu (1 2 3 atd.)

        renderData( $("#kapacity_data") );

        showLegendaAbsence();
        kapacity.showLegendaHarmonogramy();

        $("#rozdeleni_kod")
            .val(kapacity.data.rozdeleni)
            .trigger("itemactivate");

        onResize();
    }
    function zobrazDataPlanovani() {
        let $tableDiv = $("#kapacity_data");
        if (!$tableDiv.length) {
            return false;
        }

        $tableDiv.empty();

        selection._$activeCellDiv = null;

        kapacity.edit = null;

        show();

        $tableDiv.focus();

        nastavRadekSloupec(0, 0);

        return true;
    }


    let probihaNacitaniDat = false;

    function onRozdeleniChange(index, options) {
        if (index === null  ||  index < 0  ||  index >= options.items.length) {
            return;
        }

        $("#rozdeleni_kod").ronselect("value", options.items[index].kod);
        $("#rozdeleni_popis").ronselect("value", options.items[index].kod);

        if (probihaNacitaniDat) {
            return;
        }

        refreshData();
    }

    function onPopisRozdeleniChange(index, options) {
        onRozdeleniChange(index, options);
    }
    function zobrazVyberRozdeleni(items) {
        let popisOptions = ron.utils.copyArray(items);
        popisOptions.sort( function(item1, item2) {
            return item1.popis.localeCompare(item2.popis);
        } );

        $("#rozdeleni_popis").ronselect({
            items: popisOptions,
            columns: ["kod", "popis"],
            dropDownAlign: "right",
            textColumn: "popis",
            valueColumn: "kod",
            onChange: onPopisRozdeleniChange
        } );
        let kodOptions = ron.utils.copyArray(items);
        kodOptions.sort( function(item1, item2) {
            return item1.kod.localeCompare(item2.kod);
        } );

        $("#rozdeleni_kod").ronselect({
            items: kodOptions,
            columns: ["kod", "popis"],
            textColumn: "kod",
            onChange: onRozdeleniChange
        } );
    }
    function zobrazVyberObdobi(seznamObdobi) {
        let selectObdobi = $("#obdobi_select");

        for (let i = 0; i < seznamObdobi.length; i++) {
            $("<option/>")
                .val(seznamObdobi[i].pocatek)
                .text(seznamObdobi[i].popis)
                .prop("selected", seznamObdobi[i].selected)
                .appendTo(selectObdobi);
        }
    }
    function afterChangeCell(radek, sloupec) {
        nastavSoucetOsoby(Math.floor(radek / kapacity.data.pocetRadkuNaOsobu));
        nastavSoucetSloupce(sloupec);
    }
    function showDataOsobyProDen(indexOsoby, sloupec, callAfterChange) {
        for (let i = 0;  i < kapacity.data.pocetRadkuNaOsobu; i++) {
            let
                radek = indexOsoby * kapacity.data.pocetRadkuNaOsobu + i,
                $cell = kapacity.cells[radek][sloupec];


            if (kapacity.planovaniPoSlotech  &&  !kapacity.data.dny[sloupec].sloty[i]) {
                $cell.addClass("planovani_needitovatelna");
            } else {
                let html = getCellHtml(radek, sloupec, callAfterChange); // v pripade editace zobrazi data tucne
                if (callAfterChange === "force" || $cell.html() != html) {
                    $cell.html(html);
                    if (callAfterChange) {
                        afterChangeCell(radek, sloupec);
                    }
                }

                $cell.toggleClass("planovani_needitovatelna", !kapacity.jeBunkaEditovatelna(indexOsoby, sloupec));
            }
        }
    }
    function showDataOsoby(indexOsoby, callAfterChange) {
        for (let i = 0; i < kapacity.data.dny.length; i++) {
            showDataOsobyProDen(indexOsoby, i, callAfterChange); // callAfterChange=false
        }
        let osoba = kapacity.data.osoby[indexOsoby];
        if (osoba.kontroly  &&  osoba.kontroly.length) {
            for (let k = 0;  k < osoba.kontroly.length;  k++) {
                osoba.$headerRow
                    .addClass("kontrola")
                    .addClass("kontrola_" + osoba.kontroly[k].kategorie);
            }
        }
    }


    var showDataOsob = function() {
        for (var indexOsoby = 0;  indexOsoby < kapacity.data.osoby.length;  indexOsoby++) {
            showDataOsoby(indexOsoby);
        }
    };
    var doplnPoznamky = function(data, showData) {
        if (!data  ||  !data.poznamky) return false;

        for (var i = 0;  i < data.poznamky.length;  i++) {
            var indexOsoby = kapacity.vratOsobuPodleId(data.poznamky[i].idPP);
            var osoba = (indexOsoby >= 0) ? kapacity.data.osoby[indexOsoby] : null;

            if (osoba) {
                data.poznamky[i].datum = ron.utils.stringToDate(data.poznamky[i].datumStr);
                var sloupec = kapacity.sloupecProDatum(data.poznamky[i].datum);

                osoba.Data[sloupec].poznamka = data.poznamky[i];

                if (showData) {
                    showDataOsobyProDen(indexOsoby, sloupec, false);
                }
            }
        }
    };
    var doplnDokumenty = function(data, showData) {
        if (!data  ||  !data.dokumenty) return false;

        for (var i = 0;  i < data.dokumenty.length;  i++) {
            var indexOsoby = kapacity.vratOsobuPodleId(data.dokumenty[i].idPP);
            var osoba = (indexOsoby >= 0) ? kapacity.data.osoby[indexOsoby] : null;

            if (osoba) {
                data.dokumenty[i].datum = ron.utils.stringToDate(data.dokumenty[i].datumStr);
                var sloupec = kapacity.sloupecProDatum(data.dokumenty[i].datum);

                osoba.Data[sloupec].dokumenty.push(data.dokumenty[i]);

                if (showData) {
                    showDataOsobyProDen(indexOsoby, sloupec, false);
                }
            }
        }
    };
    var doplnSC = function(data, showData) {
        if (!data  ||  !data.sluzebniCesty) return false;

        for (var i = 0;  i < data.sluzebniCesty.length;  i++) {
            var indexOsoby = kapacity.vratOsobuPodleId(data.sluzebniCesty[i].idPP);
            var osoba = (indexOsoby >= 0) ? kapacity.data.osoby[indexOsoby] : null;

            if (osoba) {
                data.sluzebniCesty[i].datumOd = ron.utils.stringToDate(data.sluzebniCesty[i].datumOdStr);
                var sloupecOd = data.sluzebniCesty[i].datumOd < kapacity.data.dny[0].datum ? 0 : kapacity.sloupecProDatum(data.sluzebniCesty[i].datumOd);

                data.sluzebniCesty[i].datumDo = ron.utils.stringToDate(data.sluzebniCesty[i].datumDoStr);
                var sloupecDo = data.sluzebniCesty[i].datumDo > kapacity.data.dny[kapacity.data.dny.length - 1].datum ? kapacity.data.dny.length - 1 : kapacity.sloupecProDatum(data.sluzebniCesty[i].datumDo);

                for (var sloupec = sloupecOd;  sloupec <= sloupecDo;  sloupec++) {
                    osoba.Data[sloupec].sluzebniCesty.push(data.sluzebniCesty[i]);

                    if (showData) {
                        showDataOsobyProDen(indexOsoby, sloupec, false);
                    }
                }
            }
        }
    };
    function refreshDataOsoby(indexOsoby) {
        let osoba = kapacity.data.osoby[indexOsoby];
        function processOsoba(data) {
            osoba.smeny = data.smeny;
            osoba.absence = data.absence;

            osoba.schvaleni1Str = data.schvaleni1Str;
            osoba.schvaleni2Str = data.schvaleni2Str;
            osoba.schvaleni3Str = data.schvaleni3Str;
            osoba.schvaleniPuvodnihoPlanuStr = data.schvaleniPuvodnihoPlanuStr;

            for (let i = 0;  i < osoba.Data.length;  i++) {
                kapacity.smazDataVBunce(osoba, i, false, false);
            }

            kapacity.zpracujDataOsoby(osoba);
        }


        function processData(data) {
            ron.debugLog("refreshDataOsoby: ", data);

            kapacity.showError(data);

            if (data.osoby  &&  data.osoby.length) {
                processOsoba(data.osoby[0]);
            }

            if (data.dokumenty  &&  data.dokumenty.length) {
                doplnDokumenty(data, false);
            }

            if (data.poznamky  &&  data.poznamky.length) {
                doplnPoznamky(data, false);
            }

            if (data.kontroly) {
                smazKontrolyOsoby(osoba);
                doplnKontroly(data, true);
            }

            showDataOsoby(indexOsoby, true);

            showInfo(kapacity.radek, kapacity.sloupec);

            showLegendaSmeny(
                kapacity.vratKalendarProBunku(kapacity.radek, kapacity.sloupec),
                kapacity.data.dny[kapacity.sloupec].datum);

        }

        let data = {
            action : "nactidataosoby",
            idpp :  osoba.idPP,
            datumod : kapacity.data.dny[0].datumStr,
            datumdo : kapacity.data.dny[kapacity.data.dny.length - 1].datumStr,
            rezimuprav : kapacity.data.rezimUprav ? 1 : 0
        };

        $.ajax( {
            url: "?menuid=kapacityjs",
            type: "GET",
            data : data
        })
            .done( processData )
            .fail( ron.ajaxErrorFunction("Pri aktualizaci dat osoby doslo k chybe!") );
    }

    kapacity.refreshDataOsoby = refreshDataOsoby;
    function zapisPodleKalendare(indexOsoby, sloupecOd, sloupecDo) {
        let
            denOd = kapacity.data.dny[sloupecOd],
            denDo = kapacity.data.dny[sloupecDo],
            osoba = kapacity.data.osoby[indexOsoby];

        $.ajax( {
            url: "?menuid=kapacityjs&action=podlekalendare",
            type: "POST",
            data : {
                idpp : osoba.idPP,
                datumod : denOd.datumStr,
                datumdo : denDo.datumStr,
                rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                rozdeleni: kapacity.data.rozdeleni,
                csrfkey: osoba.csrfkey
            }
        }).done( function(resultData) {
            kapacity.showError(resultData);
            refreshDataOsoby(indexOsoby);
        }).fail( ron.ajaxErrorFunction("Pri zapisu smen podle kalendare doslo k chybe!") );
    }
    function zapisSmenuOsobyDoDB(smena, indexOsoby, sloupecOd, sloupecDo, parametry) {
        let
            denOd = kapacity.data.dny[sloupecOd],
            denDo = kapacity.data.dny[sloupecDo],
            osoba = kapacity.data.osoby[indexOsoby],
            data = {
                idpp :  osoba.idPP,
                datumod : denOd.datumStr,
                datumdo : denDo.datumStr,
                smena : smena ? smena.kod : null,
                rezimuprav : kapacity.data.rezimUprav ? 1 : 0,
                rozdeleni : kapacity.data.rozdeleni,
                csrfkey: osoba.csrfkey
            };

        if (parametry) {
            data.pocatek = parametry.pocatek;
            data.konec = parametry.konec;
            data.delka = parametry.delka;

            data.preruseniOd = parametry.preruseniOd;
            data.preruseniDo = parametry.preruseniDo;
        }
        function processData(data) {
            selection.setActiveText("");

            ron.debugLog("zapisSmenuOsobyDoDB: ", data);

            if (data.result === "OK") {
                kapacity.nactiSmenyOsoby(osoba, data.planovaneSmeny);
                for (let zapsmenu_sloupec = sloupecOd; zapsmenu_sloupec <= sloupecDo; zapsmenu_sloupec++) {
                    let dataOsoby = osoba.Data[zapsmenu_sloupec];

                    if (!smena) {
                        dataOsoby.smena = null;
                        dataOsoby.delkaSmeny = 0;
                        dataOsoby.pocatekSmeny = null;
                        dataOsoby.konecSmeny = null;
                        dataOsoby.podrobnostiSmeny = "";

                        if (!kapacity.data.rezimUprav) {
                            dataOsoby.smena2 = "";
                        }
                    }

                    showDataOsobyProDen(indexOsoby, zapsmenu_sloupec, "force");
                }

                showInfo(kapacity.radek, kapacity.sloupec);

                return true;
            } else {
                kapacity.showError(data);
                refreshDataOsoby(indexOsoby);
            }
        }


        $.ajax( {
            url: "?menuid=kapacityjs&action=zapisplanovanousmenu",
            type: "POST",
            data : data
        })
            .done( processData )
            .fail( ron.ajaxErrorFunction("Pri zapisu smen doslo k chybe!") );
    }
    var zapisSmenyDoDB = function (smena, podleKodu, podleKalendare, parametry) {
        var lastInterval = null;

        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            for (var i = sloupecOd; i <= sloupecDo; i++)
                if (!kapacity.lzeEditovatBunka(indexOsoby, i)) {
                    kapacity.showError(ron._("Nelze_editovat_vse"));
                    return;
                }

            if (podleKalendare) {
                zapisPodleKalendare(indexOsoby, sloupecOd, sloupecDo);
            }
            else {
                selection.setActiveText("...");

                var nova_smena = null;

                if (podleKodu) {
                    if (kapacity.jeSmenaPovolena(smena.kod, indexOsoby, sloupecOd)) {
                        nova_smena = smena;
                    }
                } else {
                    nova_smena = kapacity.vratSmenuPodleZkratkyXY(smena.zkratka, indexOsoby, sloupecOd);
                }

                var posledni_sloupec = sloupecOd;

                for (var sloupec = sloupecOd + 1; sloupec <= sloupecDo; sloupec++) {
                    var pom_smena = null;

                    if (podleKodu) {
                        if (kapacity.jeSmenaPovolena(smena.kod, indexOsoby, sloupec)) pom_smena = smena;
                    } else {
                        pom_smena = kapacity.vratSmenuPodleZkratkyXY(smena.zkratka, indexOsoby, sloupec);
                    }

                    if (nova_smena) { // smena v predchozi bunce
                        var zapsat = false;
                        if (pom_smena) zapsat = nova_smena.kod != pom_smena.kod;
                        else zapsat = true; // predchozi bunka mela smenu, aktualni nema -> musim zapsat data do predchozi(ch) bunky

                        if (zapsat) {
                            zapisSmenuOsobyDoDB(nova_smena, indexOsoby, posledni_sloupec, sloupec - 1, parametry);
                            nova_smena = pom_smena;
                            posledni_sloupec = sloupec;
                        }
                    } else {
                        nova_smena = pom_smena;
                        posledni_sloupec = sloupec;
                    }
                }

                if (nova_smena) {
                    zapisSmenuOsobyDoDB(nova_smena, indexOsoby, posledni_sloupec, sloupecDo, parametry);
                }
            }
        });
    };
    var zapisSmenu = function (smena, podleKodu, podleKalendare) {
        if (kapacity.radek < 0  ||  kapacity.sloupec < 0) {
            return false;
        }

        if (!kapacity.lzeEditovatAktualniBunka()) {
            return false;
        }

        if (!podleKalendare) {
            if (kapacity.planovaniPoSlotech  &&  smena.variabilni) {
                switchSloty();
                return true;
            } else if (smena.delena) {
                kapacity.showDelena(kapacity.data.dny[kapacity.sloupec].datum, smena, podleKodu, zapisSmenyDoDB);
                return true; // zatim nedela nic, zapis smeny se vola az po zadani parametru a stisku OK
            } else if (smena.variabilni) {
                kapacity.showVariabilni(kapacity.data.dny[kapacity.sloupec].datum, smena, podleKodu, zapisSmenyDoDB);
                return true; // zatim nedela nic, zapis smeny se vola az po zadani parametru a stisku OK
            }
        }


        return zapisSmenyDoDB(smena, podleKodu, podleKalendare);
    };
    function nastavVelikostLegendy(value) {
        $("#kapacity_legenda").toggleClass("velikost2", value == 2);
        kapacity.velikostLegendy = value;
    }
    function showProgressInfoMessage(text) {

        if (text) {
            $("#kapacity_progress")
                .text(text)
                .removeClass("d-none");
        } else {
            $("#kapacity_progress")
                .addClass("d-none");
        }
    }
    function smazKontrolyOsoby(osoba) {
        osoba.$headerRow.removeClass("kontrola");
        if (osoba.kontroly) {
            for (let i = 0; i < osoba.kontroly.length; i++) {
                osoba.$headerRow.removeClass("kontrola_" + osoba.kontroly[i].kategorie);
            }
        }

        osoba.kontroly = [];
        for (let i = 0;  i < osoba.Data.length;  i++) {
            osoba.Data[i].kontroly = [];
        }
    }


    function smazKontrolyRozdeleni() {
        kapacity.data.kontroly = [];

        for (let sloupec = 0;  sloupec < kapacity.data.dny.length;  sloupec++) {
            kapacity.data.dny[sloupec].kontroly = [];
            kapacity.setDayHeaderHtml(sloupec);
        }
    }

    function smazKontrolyOsob() {
        for (let i = 0;  i < kapacity.data.osoby.length;  i++) {
            smazKontrolyOsoby(kapacity.data.osoby[i]);
        }
    }
    function doplnKontroly(data, showData) {
        if (!data  ||  !data.kontroly) {
            return false;
        }

        for (let i = 0;  i < data.kontroly.length;  i++) {
            data.kontroly[i].datum = ron.utils.stringToDate(data.kontroly[i].datumStr);

            let sloupec = kapacity.sloupecProDatum(data.kontroly[i].datum);

            if (data.kontroly[i].idPP) {
                let
                    indexOsoby = kapacity.vratOsobuPodleId(data.kontroly[i].idPP),
                    osoba = (indexOsoby >= 0)
                        ? kapacity.data.osoby[indexOsoby]
                        : null;

                if (osoba) {
                    if (!osoba.kontroly) {
                        osoba.kontroly = [];
                    }
                    osoba.kontroly.push(data.kontroly[i]);
                    osoba.Data[sloupec].kontroly.push(data.kontroly[i]);
                }
            } else {
                if (!kapacity.data.dny[sloupec].kontroly) {
                    kapacity.data.dny[sloupec].kontroly = [];
                }

                kapacity.data.dny[sloupec].kontroly.push(data.kontroly[i]);

                if (!kapacity.data.kontroly) {
                    kapacity.data.kontroly = [];
                }

                kapacity.data.kontroly.push(data.kontroly[i]);

                if (showData) {
                    kapacity.setDayHeaderHtml(sloupec);
                }
            }
        }
    }
    function nactiKontroly(nacistOsoby) {
        let pplist = '';

        if (nacistOsoby) {
            for (let i = 0; i < kapacity.data.osoby.length; i++) {
                pplist +=
                    (pplist ? ';' : '') +
                    kapacity.data.osoby[i].idPP;
            }
        }

        $.ajax( {
            url: "?menuid=kapacityjs&action=kontroly",
            type: "POST", // pplist muze byt dlouhy => proto POST
            data : {
                idpp: pplist,
                obdobi: kapacity.data.dny[0].datumStr,
                rozdeleni: kapacity.data.rozdeleni
            }
        }).done( function(data) {
            if (data.result === "error") {
                kapacity.showError(data);
            }
            else {
                doplnKontroly(data, true);
                if (nacistOsoby) {
                    showDataOsob();
                }
            }
        }).fail( ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!") );
    }


    function nactiPoznamky() {
        let pplist = '';

        for (let i = 0;  i < kapacity.data.osoby.length;  i++) {
            pplist +=
                (pplist ? ';' : '') +
                kapacity.data.osoby[i].idPP;
        }

        $.ajax( {
            url: "?menuid=kapacityjs&action=poznamky",
            type: "POST",
            data : {
                idpp: pplist,
                obdobi: kapacity.data.dny[0].datumStr
            }
        }).done( function(data) {
            if (data.result === "error") {
                kapacity.showError(data);
            }
            else {
                doplnPoznamky(data, true);
            }
        }).fail( ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!") );
    }


    function nactiDokumenty() {
        let pplist = '';

        for (let i = 0;  i < kapacity.data.osoby.length;  i++) {
            pplist +=
                (pplist ? ';' : '') +
                kapacity.data.osoby[i].idPP;
        }

        $.ajax( {
            url: "?menuid=kapacityjs&action=dokumenty",
            type: "POST",
            data : {
                idpp: pplist,
                obdobi: kapacity.data.dny[0].datumStr
            }
        }).done( function(data) {
            if (data.result === "error") {
                kapacity.showError(data);
            }
            else {
                doplnDokumenty(data, true);
            }
        }).fail( ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!") );
    }


    var nactiSC = function() {
        var pplist = '';

        for (var i = 0;  i < kapacity.data.osoby.length;  i++) {
            if (pplist) pplist += ';';
            pplist += kapacity.data.osoby[i].idPP;
        }

        $.ajax( {
            url: "?menuid=kapacityjs&action=sc",
            type: "POST",
            data : {
                idpp: pplist,
                obdobi: kapacity.data.dny[0].datumStr
            }
        }).done( function(data) {
            if (data.result == "error") {
                kapacity.showError(data);
            }
            else {
                doplnSC(data, true);
            }
        }).fail( ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!") );
    };
    var nactiPoznamkyKeDni = function() {
        $.ajax( "?menuid=kapacityjs&action=poznamkykedni&obdobi=" + kapacity.data.dny[0].datumStr + "&rozdeleni=" + encodeURIComponent(kapacity.data.rozdeleni))
            .done( function(data) {
                if (data.result === "error") {
                    kapacity.showError(data);
                }
                else {
                    kapacity.doplnPoznamkyKeDni(data);
                    onResize();
                }
            }).fail( ron.ajaxErrorFunction("Pri nacitani poznamek doslo k chybe!") );
    };
    function nactiDataPlanovani(obdobi, rozdeleni, vcetnePodrizenych, rezimUprav, options) {
        showProgressInfoMessage( ron._("Nacitani_ze_serveru") );

        probihaNacitaniDat = true;

        kapacity.planovaniPoSlotech = $("#planovani_window").is(".planovani-slotu");

        let requestData = {
            action: "nactidataplanovanikapacit",
            rezimuprav: rezimUprav ? 1 : 0,
            planovaniPoSlotech: kapacity.planovaniPoSlotech ? 1 : 0
        };

        if (obdobi) {
            requestData.obdobi = obdobi;
        }

        if (rozdeleni) {
            requestData.rozdeleni = rozdeleni;
            requestData.vcetnepodrizenych = vcetnePodrizenych;
        }

        if (ron.utils.getUrlParam("osoba")) {
            requestData.osoba = ron.utils.getUrlParam("osoba");
        }


        $.ajax( {
            url: "?menuid=kapacityjs",
            type: "GET",
            data : requestData
        }).done( function(resultData) {
            showProgressInfoMessage( ron._("Nacitani_prijatych_dat") );

            if (resultData.result === "error") {
                kapacity.showError(resultData);
            }

            kapacity.data = resultData;
            resultData.rezimUprav = rezimUprav;

            showProgressInfoMessage( ron._("Probiha_zpracovani_dat") );

            console.log("Probiha zpracovani dat");
            kapacity.zpracujData(resultData);

            if (!kapacity.osobySortType) {
                kapacity.osobySortType = ron.utils.getCookie('planovanikapacit_sort');
            }
            if (kapacity.osobySortType) {
                kapacity.data.osoby.sort(kapacity.compareOsoba);
            }
            if (selection) {
                selection.destroy();
                selection = null;
            }

            console.log("Probiha zobrazeni dat");
            showProgressInfoMessage( ron._("Zobrazeni_dat") );

            show();
            velikostBunkyChange(kapacity.sirkaBunky, kapacity.vyskaBunky);

            if (resultData.style) {
                $("#row_colors_style").text(resultData.style);
            }
            nactiKontroly(true); // nacitat i kontroly pro osoby
            nactiPoznamky();
            nactiPoznamkyKeDni();

            nactiDokumenty();
            nactiSC();

            kapacity.nactiPodminky();

            showProgressInfoMessage(null);

            if (document.activeElement !== document  &&  document.activeElement !== document.body) {
                document.activeElement.blur();
            }

            let vychoziSloupec =
                (options && options.sloupec)
                    ? options.sloupec
                    : (resultData.vychoziDen ? resultData.vychoziDen - 1 : 0);

            nastavRadekSloupec((options && options.radek) ? options.radek : 0, vychoziSloupec);  // (options && options.sloupec) ? options.sloupec : 0

            probihaNacitaniDat = false;

            if (kapacity.data.editovatAzPoSchvaleniPoctu  &&  kapacity.data.schvaleniPozadavkuDo < kapacity.data.datumDo) {
                ron.showError(ron._("Pocty_zamestnancu_jeste_nejsou_schvaleny"));
            }
        }).fail( ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!") );
    }
    function provedPrepocet() {
        let
            planovani_prerusitprepocet = false,
            planovani_chybaprepoctu = false,
            progressScreen = null,
            prepocetOd = 0,
            prepocetDo = kapacity.data.osoby.length,
            seznamRadku = null;
        function konecPrepoctu() {
            if (planovani_chybaprepoctu) {
                progressScreen.setProgress(prepocetDo - prepocetOd + 1, "Behem prepoctu doslo k chybam!");
                progressScreen.setButton(ron._("Zpet"), function () {
                    window.location = window.location; // '?menuid=planovanikapacit';
                });
                kapacity.showError("Behem prepoctu doslo k chybam!");
            }
            else {
                progressScreen.close();
                progressScreen = null;

                refreshData();
            }
        }
        function prerusitPrepocet() {
            planovani_prerusitprepocet = true;
        }


        function processData(index, data) {
            if (data.messages) {
                for (let i = 0; i < data.messages.length; i++) {
                    switch (data.messages[i].category) {
                        case 'log' :
                        case 'debug' :
                            console.log(data.messages[i].text);
                            break;

                        default :
                            progressScreen.addMessage(data.messages[i].text);
                    }
                }
            }

            if (data.result !== "OK") {
                for (let i = 0; i < data.errors.length; i++) {
                    progressScreen.addMessage(ron.utils.lineBreaksToBr(data.errors[i].errorText));
                    planovani_chybaprepoctu = true;
                }
            }

            prepocitejOsobu(index + 1);
        }


        function prepocitejOsobu(index) {
            if (index > prepocetDo) {
                konecPrepoctu();
                return;
            }

            let indexOsoby = seznamRadku
                ? seznamRadku[index]
                : index;

            if (planovani_prerusitprepocet) {
                kapacity.showError(ron._("Prepocet_prerusen_uzivatelem"));
                konecPrepoctu();
                return;
            }


            let osoba = kapacity.data.osoby[indexOsoby];
            progressScreen.setProgress(index - prepocetOd, null,
                ron.utils.htmlTextConvert(osoba.jmenoPrijmeni) + " (" + ron.utils.htmlTextConvert(osoba.osobniCislo) + ")"
            );

            if (osoba.lzeEditovat) {
                let
                    denOd = kapacity.data.dny[0],
                    denDo = kapacity.data.dny[kapacity.data.dny.length - 1];

                $.ajax( {
                    url: "?menuid=kapacityjs&action=prepocet",
                    type: "POST",
                    data : {
                        idpp: osoba.idPP,
                        datumod: denOd.datumStr,
                        datumdo: denDo.datumStr
                    }
                })
                    .done( function(data) { processData(index, data); } )
                    .fail( ron.ajaxErrorFunction("Pri prepoctu doslo k chybe!") );
            } else {
                prepocitejOsobu(index + 1);
            }
        }

        switch($(this).data("ron-prepocet")) {
            case 1 :
                prepocetOd = kapacity.indexAktualniOsoby();
                prepocetDo = prepocetOd;
                break;

            case 2 :
                seznamRadku = getSelectedRows();
                if (!seznamRadku.length) {
                    console.log("Neni co prepocitat ...");
                    return;
                }
                prepocetOd = 0;
                prepocetDo = seznamRadku.length - 1;
                break;

            default :
                prepocetOd = 0;
                prepocetDo = kapacity.data.osoby.length - 1;
                break;
        }

        selection.hideActiveCell();
        progressScreen = ron.showProgressScreen(
            ron._("Probiha_prepocet"),
            seznamRadku ? seznamRadku.length : prepocetDo - prepocetOd + 1,
            prerusitPrepocet
        );

        prepocitejOsobu(prepocetOd);
    }
    function menuPrepocet() {
        $("#prepocet_menu").ronPopupMenu( {
            attachToElement: $("#tlacitkoprepocet")
        } );

        return false; // stop propagation
    }


    function menuDalsiFunkce() {
        $("#dalsi_funkce_menu").ronPopupMenu( { attachToElement: $("#tlacitkomenu") } );

        return false; // stop propagation
    }
    function zobrazHeaderToolbar(jsonData) {
        $("#tlacitkoprepocet")
            .off("click")
            .on("click", (jsonData.prepocet > 0) ? menuPrepocet : null)
            .toggleClass("d-none", jsonData.prepocet <= 0);

        $("#prepocet_menu")
            .off("click", "li")
            .on("click", "li", provedPrepocet);

        $("#tlacitkopodlekalendare")
            .off("click")
            .on("click", events.podleKalendareClick);

        if (jsonData.velikostLegendy > 0) {
            nastavVelikostLegendy( jsonData.velikostLegendy );
        }

        if (jsonData.velikostSouctu > 0) {
            kapacity.velikostSouctu = jsonData.velikostSouctu;
        }
    }


    function toggleFiltrOsoby($e) {
        let zobrazitFiltr = $(this).is(".active");

        $("#filter_row_osoba").toggleClass("d-none", !zobrazitFiltr);
        saveSettings("zobrazit_filtr_osoby", zobrazitFiltr ? 1 : 0);
    }

    $("body")
        .on("toggle", "#kapacity_filtrovat_osobu", toggleFiltrOsoby);
    function onOsobaChange(index, options) {
        if (index === null  ||  index < 0  ||  index >= options.items.length) {
            return;
        }

        let
            url = new URL(window.location),
            currentValue = url.searchParams.get("osoba");

        if (currentValue == options.items[index].value) {
            return; // nedela nic
        }

        if (options.items[index].value === "") {
            url.searchParams.delete("osoba");
        } else {
            url.searchParams.set("osoba", options.items[index].value);
        }

        window.location = url;
    }
    function zpracujHeader(headerData) {
        if (!headerData) {
            kapacity.showError("Chyba Pri nacitani hlavicky - spatna odpoved!");
            return;
        }

        kapacity.showError(headerData);

        kapacity.headerData = headerData;

        zobrazVyberRozdeleni(headerData.rozdeleni);
        zobrazVyberObdobi(headerData.obdobi);
        zobrazHeaderToolbar(headerData);

        let rezimUprav = $("#planovani_window").is(".rezim_uprav");

        $("#filtr_osoba").ronselect(
            {
                items: [
                    {
                        'value': '',
                        'text':  ron.translate('_vsichni_')
                    }],
                valueColumn: "value",
                onChange: onOsobaChange
            }
        );

        nactiDataPlanovani(headerData.vybraneObdobi, headerData.vybraneRozdeleni, headerData.vcetnePodrizenych, rezimUprav);
    }
    function nactiPlanovaniHeader() {
        let
            data = {
                action: "nactihlavickuplanovanikapacit"
            },

            obdobi = ron.utils.getUrlParam("obdobi"),
            rozdeleni = ron.utils.getUrlParam("rozdeleni"),
            vcetnePodrizenych = ron.utils.getUrlParam("vcetnepodrizenych");

        if (obdobi) {
            data.obdobi = obdobi;
        }
        if (rozdeleni) {
            data.rozdeleni = rozdeleni;
        }

        data.vcetnepodrizenych = (vcetnePodrizenych === null) ? 1 : vcetnePodrizenych;

        $.ajax( {
            url: "?menuid=kapacityjs",
            data : data
        })
            .done( zpracujHeader )
            .fail( ron.ajaxErrorFunction("Pri nacitani hlavicky doslo k chybe!") );
    }



    var nastavMenuItemSchvaleni = function($item, $hodnotaElement, lzeSchvalit, datumSchvaleni) {
        var denStr = kapacity.data.dny[kapacity.sloupec].datumStr;

        if (lzeSchvalit) {
            if (datumSchvaleni  &&  datumSchvaleni.getTime() == kapacity.data.dny[kapacity.sloupec].datum.getTime()) {
                $hodnotaElement.text( ron.translate("menu_zrusit_schvaleni") );
                $item.addClass("zrusitSchvaleni");
            } else {
                $hodnotaElement.text(denStr);
                $item.removeClass("zrusitSchvaleni");
            }

            $item.removeClass("ui-state-disabled");
        } else {
            $hodnotaElement.text("");
            $item
                .removeClass("zrusitSchvaleni")
                .addClass("ui-state-disabled");
        }
    };
    function showPopupMenu(options) {
        let
            denStr = kapacity.data.dny[kapacity.sloupec].datumStr,
            indexOsoby = kapacity.indexAktualniOsoby(),
            cizi = kapacity.data.osoby[indexOsoby].cizi;

        nastavMenuItemSchvaleni($("#kapacity_menu_schvaleni1"), $("#kapacity_menu_hodnotaschvaleni1"),
            !cizi && kapacity.data.osoby[indexOsoby].lzeSchvalit1,
            kapacity.data.osoby[indexOsoby].schvaleni1);

        nastavMenuItemSchvaleni($("#kapacity_menu_schvaleni2"), $("#kapacity_menu_hodnotaschvaleni2"),
            !cizi && kapacity.data.osoby[indexOsoby].lzeSchvalit2,
            kapacity.data.osoby[indexOsoby].schvaleni2);

        nastavMenuItemSchvaleni($("#kapacity_menu_schvaleni3"), $("#kapacity_menu_hodnotaschvaleni3"),
            !cizi && kapacity.data.osoby[indexOsoby].lzeSchvalit3,
            kapacity.data.osoby[indexOsoby].schvaleni3);

        $("#kapacity_popupmenu").ronPopupMenu(options);
    }
    function pasteSelectionText(text) {
        if (!text) {
            return false;
        }

        text = text.replace("\n", String.fromCharCode(10));
        let
            lines = text.split(String.fromCharCode(10)),
            cnt = lines[0].split(";").length;

        for (let radek = 1; radek < lines.length; radek++)
            if (lines[radek] && lines[radek].split(";").length !== cnt) {
                kapacity.showError(ron._("Nelze_vlozit_spatny_format"));
                return false;
            }

        for (let radek = 0; radek < lines.length; radek++) {
            let line = lines[radek];
            line = line.replace(String.fromCharCode(13), ""); // tohle je potreba v chrome

            let poma = line.split(";");

            for (let x = 0; x < poma.length; x++) {
                if (poma[x]) {
                    let
                        smena_info = poma[x].split("|"),
                        indexPrvniOsoby = kapacity.indexAktualniOsoby(),
                        smena = kapacity.vratSmenuPodleZkratkyXY(smena_info[0], indexPrvniOsoby + radek, kapacity.sloupec + x);

                    if (smena  &&  smena_info.length === 4) {
                        zapisSmenuOsobyDoDB(smena,
                            indexPrvniOsoby + radek, kapacity.sloupec + x, kapacity.sloupec + x,
                            { pocatek: smena_info[1], konec: smena_info[2], delka: smena_info[3]}
                        ); // parametry variabilni smeny
                    }
                    else if (smena) {
                        zapisSmenuOsobyDoDB(smena, indexPrvniOsoby + radek, kapacity.sloupec + x, kapacity.sloupec + x);
                    }
                }
            }
        }

        return true;
    }
    var clipboardPaste = function(e) {

        var text = '';

        if (e  &&  e.originalEvent  &&  e.originalEvent.clipboardData) {
            text = e.originalEvent.clipboardData.getData('text/plain');
        }
        else if (window.clipboardData) {
            text = window.clipboardData.getData('Text');
        }

        setTimeout( function() { pasteSelectionText(text) }, 100 );
    };


    var mouseSelectScroll = ( function() {
        let
            dx = 0, // 0/1/-1
            dy = 0,
            mode = 0; // 0=nescroluje, 1=pomalu, 2=rychle

        function selectScroll() {
            if (selection._mouseSelection  &&  mode) {
                if (dx < 0  &&  kapacity.sloupec > 0) {
                    nastavRadekSloupec(kapacity.radek, kapacity.sloupec - 1, true);
                    setTimeout(selectScroll, mode === 2 ? 100 : 200);
                } else if (dx > 0  &&  kapacity.sloupec < kapacity.data.dny.length - 1) {
                    nastavRadekSloupec(kapacity.radek, kapacity.sloupec + 1, true);
                    setTimeout(selectScroll, mode === 2 ? 100 : 200);
                }

                if (dy < 0  &&  kapacity.radek > 0) {
                    nastavRadekSloupec(kapacity.radek - 1, kapacity.sloupec, true);
                    setTimeout(selectScroll, mode === 2 ? 100 : 200);
                } else if (dy > 0  &&  kapacity.radek < kapacity.data.osoby.length * kapacity.data.pocetRadkuNaOsobu - 1) {
                    nastavRadekSloupec(kapacity.radek + 1, kapacity.sloupec, true);
                    setTimeout(selectScroll, mode === 2 ? 100 : 200);
                }
            } else {
                mode = 0;
            }
        }

        return function(newMode, newDx, newDy) {
            let
                oldMode = mode;

            mode = newMode;
            dx = newDx;
            dy = newDy;

            if (mode  &&  !oldMode) {
                selectScroll();
            }
        }
    })();
    function getCoordinates($element, $event) {
        let
            pos = $element.position(),
            radek = Math.floor(($event.offsetY + pos.top) / (kapacity.vyskaBunky)),
            sloupec = Math.floor(($event.offsetX + pos.left) / (kapacity.sirkaBunky));

        return new ron.Point(sloupec, radek);
    }
    function editVisible() {
        if ( !kapacity.edit ) {
            return false;
        }

        return kapacity.edit.css("display") !== "none";
    }
    function prvniViditelnyRadek() {
        let result = Math.floor( (- $("#kapacity_data").position().top + kapacity.vyskaBunky - 2) / kapacity.vyskaBunky ); // celocislene deleni

        if (result < 0) {
            return 0;
        }

        return result;

    }
    function posledniViditelnyRadek() {
        let result = Math.floor( ($("#kapacity_datacontainer").height() - $("#kapacity_data").position().top - kapacity.vyskaBunky) / kapacity.vyskaBunky );

        if (result > kapacity.data.osoby.length * kapacity.data.pocetRadkuNaOsobu) {
            return kapacity.data.osoby.length * kapacity.data.pocetRadkuNaOsobu - 1;
        }

        return result;
    }
    function pocetViditelnychRadku() {
        return posledniViditelnyRadek() - prvniViditelnyRadek() + 1;
    }
    var deleteSloty = function() {
        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            for (var sloupec = sloupecOd; sloupec <= sloupecDo; sloupec++) {
                var novyPlan = kapacity.odstranSmenuZOznacenychBunek(selection, indexOsoby, sloupecOd);
                if (novyPlan  &&  novyPlan.smena) {
                    zapisSmenuOsobyDoDB(novyPlan.smena, indexOsoby, sloupec, sloupec, novyPlan.parametry);
                } else {
                    zapisSmenuOsobyDoDB(null, indexOsoby, sloupec, sloupec, null);
                }
            }
        });

        return true;
    };
    var deleteZaznamy = function(smazatRozdeleni) {
        if (!smazatRozdeleni && kapacity.planovaniPoSlotech  && kapacity.data.pocetRadkuNaOsobu > 1) {
            return deleteSloty();
        }

        var finished = true; // priznak, ze uz je vse dokonceno (tj. nebyl odeslan zadny request na server)

        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            var
                denod = kapacity.data.dny[sloupecOd],
                dendo = kapacity.data.dny[sloupecDo];

            if (!kapacity.data.osoby[indexOsoby].cizi  ||  !smazatRozdeleni) {
                for (var i = sloupecOd; i <= sloupecDo; i++)
                    if (!kapacity.lzeEditovatBunka(indexOsoby, i, smazatRozdeleni)) { // smazani = true
                        kapacity.showError( ron._("Nelze_editovat_vse") );
                        selection.setActiveText("");
                        return false; // nepokracuje dale
                    }

                var data = {
                    smazatRozdeleni: smazatRozdeleni ? 1 : 0,
                    idpp: kapacity.data.osoby[indexOsoby].idPP,
                    datumod: denod.datumStr,
                    datumdo: dendo.datumStr,
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    cizi: kapacity.data.osoby[indexOsoby].cizi,
                    rozdeleni : kapacity.data.rozdeleni, // editovane rozdeleni
                    csrfkey: kapacity.data.osoby[indexOsoby].csrfkey
                };

                $.ajax({
                    url: "?menuid=kapacityjs&action=smazdataplanovani",
                    type: "POST",
                    data: data
                }).done(function (indexOsoby) {
                        return function (data) {
                            selection.setActiveText("");

                            if (data.result === "OK") {
                                for (var sloupec = sloupecOd; sloupec <= sloupecDo; sloupec++) {
                                    if (smazatRozdeleni) {
                                        kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni = "";
                                    } else {
                                        kapacity.smazDataVBunce(kapacity.data.osoby[indexOsoby], sloupec, true, kapacity.data.rezimUprav);
                                    }

                                    showDataOsobyProDen(indexOsoby, sloupec, true);
                                }
                            } else {
                                kapacity.showError(data);
                                refreshDataOsoby(indexOsoby);
                            }
                        }
                    }(indexOsoby)
                ).fail(ron.ajaxErrorFunction("Pri mazani dat doslo k chybe!"));

                finished = false;
            }
        });

        if (finished) {
            selection.setActiveText("");
        }

        return true;
    };
    var deleteRozdeleni = function() {
        if ( !kapacity.headerData.povolitZmenuRozdeleni ) {
            selection.setActiveText("");
            console.log("Smazani rozdeleni neni povoleno");
            return true; // nedela nic - prerazovani na jine rozdeleni neni zapnuto
        }

        return deleteZaznamy(true);
    };
    var deleteData = function () {
        if (kapacity.radek < 0) return false;
        if (kapacity.sloupec < 0) return false;

        if (!kapacity.lzeEditovatAktualniBunka(true)) return false; // TODO: tuto kontrolu asi odstranit

        selection.setActiveText("...");
        var jsouZaznamy = false;

        forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
            for (var i = sloupecOd; !jsouZaznamy  &&  i <= sloupecDo; i++) {
                if (kapacity.data.osoby[indexOsoby].Data[i].absence  ||  kapacity.data.osoby[indexOsoby].Data[i].smena) {
                    jsouZaznamy = true;
                }
            }

            if (jsouZaznamy) return false; // ukonci forEach - nasel bunku s nejakym obsahem - dale uz nepokracuje
        });

        if (jsouZaznamy) {
            return deleteZaznamy(false);
        }

        return deleteRozdeleni();
    };


    var onAbsenceOK = function() {
    };

    $("#kapacity_absence_ok").on("click", function() {
        onAbsenceOK();
    });
    function AbsenceWriter() {
        this.absence = null;

        this.datumOd = null;
        this.datumDo = null;
        this.datumOdStr = '';
        this.datumDoStr = '';
        this.delka = 0;
        this.poznamka = "";
        this.casOd = 0;
        this.casDo = 0;

        this.kodTypuRozdeleni = null;
        this.rozdeleni = null;
        let idPP = null; // aktualne zapisovany pracovni pomer

        this.xmlForm = null;
        this.sloupecOd = -1;
        this.sloupecDo = -1;
        this.radekOd = -1;
        this.radekDo = -1;

        this.casyPodleSlotu = false;

        absenceWriter = this; // nastaveni globalniho objektu pro pouziti v XML (deprecated, ale muze se pouzivat ve starsich XML)

        this.initDialog = function() {
            let vybranaHodnota = this.absence.povoleneDelky[0];

            for (let i = 0;  i < this.absence.povoleneDelky.length;  i++) {
                if (this.delka == this.absence.povoleneDelky[i]) {
                    vybranaHodnota = this.absence.povoleneDelky[i];
                }
            }

            this.delka = vybranaHodnota;
            $(".kapacity-delka-absence-row").hide();

            for (let i = 0;  i < this.absence.povoleneDelky.length;  i++) {
                let $row = $("#kapacity_absence_delka_" + this.absence.povoleneDelky[i]);
                $row.show();
                if (this.delka == this.absence.povoleneDelky[i]) {
                    $row
                        .find("input[type=radio]")
                        .prop("checked", true)
                        .trigger("click");
                }
            }
        };


        this.nastavCasy = function(delka) {
            let $elementOd, $elementDo, value;

            if (delka == 3) {
                $elementOd = $("#kapacity_absence_casod");
                $elementDo = $("#kapacity_absence_casdo");
            } else if (delka == 4) {
                $elementOd = $("#kapacity_absence_kontinualneod");
                $elementDo = $("#kapacity_absence_kontinualnedo");
            } else {
                return true;
            }

            if ($elementOd) {
                value = $elementOd.val().trim();

                if (value === '') {
                    ron.showError(ron._("Neni_zadan_pocatecni_cas"));
                    $elementOd
                        .addClass("error")
                        .focus(); // nefunguje, protoze je zobrazena chybova hlaska
                    return false;
                }
                this.casOd = value;
            }

            if ($elementDo) {
                value = $elementDo.val().trim();
                if (value === '') {
                    ron.showError(ron._("Neni_zadan_koncovy_cas"));
                    $elementDo
                        .addClass("error")
                        .focus();
                    return false;
                }
                this.casDo = value;
            }

            return true;
        };


        this.showDialog = function() {
            let that = this;

            onAbsenceOK = function() {
                that.delka = parseInt($(".delka-absence-radio:checked").val());
                if (!that.nastavCasy(that.delka)) {
                    return;
                }

                $("#kapacity_absence").dialog("close");

                that.provedZapisAbsence();
            };

            $("#kapacity_absence")
                .dialog({
                    modal: true,
                    resizable: false, //true,
                    width: "auto",
                    height: "auto",
                    title: this.absence.popis,
                    open: function() { that.initDialog(); }
                });
        };


        this.lzePlanovatOdDo = function() {
            if (!this.absence.povoleneDelky) {
                return true;
            }

            for (let i = 0;  i < this.absence.povoleneDelky.length;  i++) {
                if (this.absence.povoleneDelky[i] == 3) {
                    return true;
                }
            }

            return false;
        };
        this.nactiPodrobnosti = function () {
            let delkaNastavena = false;

            if (this.absence && this.absence.povoleneDelky  &&  this.absence.povoleneDelky.length == 1) {
                this.delka = this.absence.povoleneDelky[0];
            }

            if (typeof absenceBeforeInsert == 'function') {
                if ( !absenceBeforeInsert(this) ) {
                    return;
                }
            }

            if (kapacity.planovaniPoSlotech && kapacity.data.absencePlanovatDoSlotu) {
                if (this.lzePlanovatOdDo()) {
                    this.delka = 3;
                    delkaNastavena = true;
                    this.casyPodleSlotu = true;
                }
            }

            if (!delkaNastavena) {
                if ((this.absence && this.absence.povoleneDelky && this.absence.povoleneDelky.length > 1) || this.delka > 2) {
                    this.showDialog();
                    return;
                }
            }

            this.provedZapisAbsence();
        };
        this.init = function () {
            if (kapacity.radek < 0  ||  kapacity.sloupec < 0) {
                return false;
            }

            if (!kapacity.lzeEditovatAktualniBunka()) {
                return false;
            }
            let rect = selection.getRect();

            this.sloupecOd = rect.x1;
            this.sloupecDo = rect.x2;
            this.radekOd = rect.y1;
            this.radekDo = rect.y2;

            this.datumOd = kapacity.data.dny[this.sloupecOd].datum;
            this.datumOdStr = kapacity.data.dny[this.sloupecOd].datumStr;
            this.datumDo = kapacity.data.dny[this.sloupecDo].datum;
            this.datumDoStr = kapacity.data.dny[this.sloupecDo].datumStr;

            let osoba = kapacity.data.osoby[kapacity.indexAktualniOsoby()];
            this.idPP = osoba.idPP;

            return true;
        };
        this.zapisAbsenci = function (absence) {
            this.absence = absence;
            this.nactiPodrobnosti();
        };
        this.provedZapisAbsence = function () {
            let
                intervals = kapacity.getIntervals(),
                index = 0,
                writer = this;

            selection.setActiveText("...");

            function zapisDalsiInterval() {
                if (index >= intervals.length) {
                    return;
                }

                let
                    interval = intervals[index],
                    indexOsoby = interval.indexOsoby,
                    sloupecOd = interval.sloupecOd,
                    sloupecDo = interval.sloupecDo,
                    denOd = kapacity.data.dny[sloupecOd],
                    denDo = kapacity.data.dny[sloupecDo];
                for (let i = sloupecOd; i <= sloupecDo; i++)
                    if (!kapacity.lzeEditovatBunka(indexOsoby, i)) {
                        kapacity.showError( ron._("Nelze_editovat_vse") );
                        return false;
                    }

                let
                    osoba = kapacity.data.osoby[indexOsoby],
                    data = {
                        idpp: osoba.idPP,
                        datumod: denOd.datumStr,
                        datumdo: denDo.datumStr,
                        absence: writer.absence.kod,
                        csrfkey: osoba.csrfkey
                    };

                if (kapacity.data.rezimUprav) {
                    data.rezimuprav = 1;
                }

                if (writer.delka) {
                    data.delka = writer.delka;
                }

                if (writer.poznamka) {
                    data.poznamka = writer.poznamka;
                }

                if (writer.kodTypuRozdeleni  &&  writer.rozdeleni)  {
                    data.kodtypurozdeleni = writer.kodTypuRozdeleni;
                    data.rozdeleni = writer.rozdeleni;
                }

                if (writer.casyPodleSlotu) {
                    let
                        slotOd = interval.selectionItem.y1 - indexOsoby * kapacity.data.pocetRadkuNaOsobu,
                        slotDo = interval.selectionItem.y2 - indexOsoby * kapacity.data.pocetRadkuNaOsobu;

                    if (slotOd < 0) {
                        slotOd = 0;
                    }
                    if (slotDo >= kapacity.data.pocetRadkuNaOsobu) {
                        slotDo = kapacity.data.pocetRadkuNaOsobu - 1;
                    }

                    let
                        slot1 = kapacity.data.dny[sloupecOd].sloty
                            ? kapacity.data.dny[sloupecOd].sloty[slotOd]
                            : null,
                        slot2 = kapacity.data.dny[sloupecOd].sloty
                            ? kapacity.data.dny[sloupecOd].sloty[slotDo]
                            : null;

                    data.casod = slot1.casOdStr;
                    data.casdo = slot2.casDoStr;
                } else {
                    if (writer.casOd) {
                        data.casod = writer.casOd;
                    }
                    if (writer.casDo) {
                        data.casdo = writer.casDo;
                    }
                }

                $.ajax({
                    url: "?menuid=kapacityjs&action=zapisplanovanouabsenci",
                    method : "POST",
                    data: data
                }).done( function(resultData) {
                    if (!writer.zpracujVysledek(interval, osoba, resultData)) {
                        return false;
                    }
                    index ++;
                    zapisDalsiInterval();
                }).fail(ron.ajaxErrorFunction("Pri zapisu udalosti doslo k chybe!"));
            }

            zapisDalsiInterval();
        };


        this.zpracujVysledek = function (interval, osoba, resultData) {
            selection.setActiveText("");

            if (!resultData) {
                kapacity.showError('Chyba pri zapisu udalosti - nebyla prijata platna data!');
                return false;
            }

            if (resultData.result === "OK") {
                kapacity.showError(resultData); // pokud doslo k chybe az po zapisu (v XML formulari ABSENCE_AFTER_INSERT), tak je result OK, ale chyby je potreba zobrazit

                kapacity.nactiUdalostiOsoby(osoba, resultData.absence, interval.sloupecOd, interval.sloupecDo);
                for (let sloupec = interval.sloupecOd; sloupec <= interval.sloupecDo; sloupec++) {
                    let bunka = osoba.Data[sloupec];

                    if (!kapacity.data.rezimUprav) {
                        bunka.absence2 = bunka.absence
                            ? bunka.absence.kod
                            : "";
                    }

                    showDataOsobyProDen(interval.indexOsoby, sloupec, true);
                }

                return true;
            }
            else {
                kapacity.showError(resultData);
                return false;
            }
        }
    } // AbsenceWriter
    var getSelectionText = function () {
        if (kapacity.radek < 0  ||  kapacity.sloupec < 0) {
            return "";
        }

        var
            rect = selection.getRect(),
            result = '',
            radekOd = kapacity.indexOsoby(rect.y1),
            radekDo = kapacity.indexOsoby(rect.y2);


        for (var radek = radekOd; radek <= radekDo; radek++) {
            for (var sloupec = rect.x1; sloupec <= rect.x2; sloupec++) {
                if (sloupec != rect.x1) result += ';';

                if (isOsobaSelected(sloupec, radek)) {
                    var smena = kapacity.data.osoby[radek].Data[sloupec].smena;

                    if (smena) {
                        result += smena.zkratka;

                        if (smena.variabilni) {
                            result += "|" + // nelze pouzit dvojtecku kvuli casum!
                                ron.utils.floatToTimeString(kapacity.data.osoby[radek].Data[sloupec].pocatekSmeny) +
                                "|" +
                                ron.utils.floatToTimeString(kapacity.data.osoby[radek].Data[sloupec].konecSmeny) +
                                "|" +
                                ron.utils.floatToTimeString(kapacity.data.osoby[radek].Data[sloupec].delkaSmeny);
                        }
                    }
                }
            }
            result = result + String.fromCharCode(10);
        }

        return result;
    };


    var clipboardCopy = function() {
        $("#kapacity_clipboard")
            .val(getSelectionText())
            .focus()
            .select();
    };



    let events = {

        planovaniMouseMove: function ($event) {
            if (!selection  ||  !selection._mouseSelection) {
                return;
            }
            let
                rect = ron.utils.getAbsoluteRect($("#kapacity_dataframe")),
                rect2 = ron.utils.getAbsoluteRect($("#kapacity_datacontainer"));

            rect.y1 = rect2.y1;
            rect.y2 = rect2.y2;

            let
                mode = 0,
                dx = 0,
                dy = 0;

            if ($event.clientX < rect.x1) {
                dx = -1;
                mode = rect.x1 - $event.clientX > kapacity.sirkaBunky ? 2 : 1;
            } else if ($event.clientX > rect.x2) {
                dx = 1;
                mode = $event.clientX - rect.x2 > kapacity.sirkaBunky ? 2 : 1;
            }

            if ($event.clientY < rect.y1 + $("#kapacity_nadpisydnu").height()) {
                dy = -1;
                if (mode < 2) {
                    mode = rect.y1 - $event.clientY > kapacity.vyskaBunky ? 2 : 1;
                }
            } else if ($event.clientY > rect.y2) {
                dy = 1;
                if (mode < 2) {
                    mode = $event.clientY - rect.y2 > kapacity.vyskaBunky ? 2 : 1;
                }
            }

            mouseSelectScroll(mode, dx, dy);
        },


        selectedMouseUp : function(event) {
            if (event.which == 3) {
                showPopupMenu( { mouseEvent: event } );
            }
        },


        selectedDblClick : function() {
            kapacity.showDetail(kapacity.indexAktualniOsoby(), kapacity.sloupec);
        },
        legendaClick: function () {
            if (kapacity.radek < 0 || kapacity.sloupec < 0) {
                return false;
            }

            let kodSmeny = $(this).data("kapacity-kod-smeny");
            if (kodSmeny) {
                let smena = kapacity.vratSmenuPodleKodu(kodSmeny);
                if (smena) {
                    hideEdit();
                    zapisSmenu(smena, true, false); // podleKodu = true, podleKalendare = false
                }
                return false;
            }

            var kodAbsence = $(this).data("kapacity-kod-absence");
            
            if (kodAbsence) {
                var absence = kapacity.vratAbsenciPodleKodu(kodAbsence);
                if (absence) {
                    hideEdit();

                    var w = new AbsenceWriter();
                    if (!w.init()) {
                        return false;
                    }
                    w.zapisAbsenci(absence);
                }
                return false;
            }

            let kodHarmonogramu = $(this).data("kapacity-kod-harmonogramu");
            if (kodHarmonogramu) {
                let harmonogram = kapacity.vratHarmonogramPodleKodu(kodHarmonogramu);
                if (harmonogram) {
                    hideEdit();
                    kapacity.zapisHarmonogram(harmonogram);
                }
                return false;
            }
        },
        move: function (keyCode, shiftDown) {
            switch (keyCode) {
                case 37: // left
                    if (editVisible()) {
                        return false;
                    }

                    if (kapacity.sloupec > 0) {
                        nastavRadekSloupec(kapacity.radek, kapacity.sloupec - 1, shiftDown);
                        return true;
                    }
                    break;

                case 38: // up

                    if (kapacity.radek > 0) {
                        nastavRadekSloupec(kapacity.radek - 1, kapacity.sloupec, shiftDown);
                        return true;
                    }
                    break;

                case 39: // right
                    if (editVisible()) {
                        return false;
                    }

                    if (kapacity.sloupec < kapacity.data.dny.length - 1) {
                        nastavRadekSloupec(kapacity.radek, kapacity.sloupec + 1, shiftDown);
                        return true;
                    }
                    break;

                case 40: // down

                    if (kapacity.radek < kapacity.data.pocetRadkuNaOsobu * kapacity.data.osoby.length - 1) {
                        nastavRadekSloupec(kapacity.radek + 1, kapacity.sloupec, shiftDown);
                        return true;
                    }
                    break;

                case 36 : // home
                    if (editVisible()) {
                        return false;
                    }
                    nastavRadekSloupec(kapacity.radek, 0, shiftDown);
                    return true;

                case 35 : // end
                    if (editVisible()) {
                        return false;
                    }
                    nastavRadekSloupec(kapacity.radek, kapacity.data.dny.length - 1, shiftDown);
                    return true;

                case 33 : // page up
                    if (kapacity.radek > prvniViditelnyRadek()) {
                        nastavRadekSloupec(prvniViditelnyRadek(), kapacity.sloupec, shiftDown);
                    } else {
                        nastavRadekSloupec(kapacity.radek - pocetViditelnychRadku(), kapacity.sloupec, shiftDown);
                    }
                    return true;

                case 34 : // page down
                    if (kapacity.radek < posledniViditelnyRadek()) {
                        nastavRadekSloupec(posledniViditelnyRadek(), kapacity.sloupec, shiftDown);
                    } else {
                        nastavRadekSloupec(kapacity.radek + pocetViditelnychRadku(), kapacity.sloupec, shiftDown);
                    }
                    return true;
            }

            return false;
        },
        keyDown: function (e) {
            let $target = $(e.target);

            if ($target.is(".ui-dialog,.popup") || $target.parents(".ui-dialog,.popup").length) {
                if (e.which !== 27) { // ESC
                    e.stopPropagation();
                }

                return true;
            }
            if ($target.is("input")) {
                return true;
            }
            if (!kapacity.$selectedCell) {
                return true;
            }

            switch (e.which) {
                case 37 : // left
                case 39 : // right
                case 38 : // up
                case 40 : // down
                case 36 : // home
                case 35 : // end
                case 33 : // page up
                case 34 : // page down
                    if (events.move(e.which, e.shiftKey)) {
                        return false;
                    }
                    break;


                case 46 : // delete
                    if (!editVisible()) {
                        deleteData();
                        return false;
                    }
                    break;

                case 86 : // (Ctrl+) V
                    if (e.ctrlKey && !editVisible()) {
                        $("#kapacity_clipboard").focus();
                    }
                    break;

                case 67 : // (Ctrl+) C
                    if (e.ctrlKey && !editVisible()) {
                        clipboardCopy();
                    }
                    break;
            }

            return true;
        },
        keyPress: function (e) {
            let $target = $(e.target);
            if ($target.parents(".ui-dialog").length) {
                if (e.which !== 27) { // ESC
                    e.stopPropagation();
                }

                return true;
            }

            if ($target.is("input")  ||  !kapacity.$selectedCell  ||  editVisible()) {
                return true;
            }

            switch (e.which) {
                case 37: // left
                case 38: // up
                case 39: // right
                case 40: // down
                case 36 : // home
                case 35 : // end
                case 33 : // page up
                case 34 : // page down
                case 46: // delete
                case 27: // ESC
                    return true;
            }

            if (e.ctrlKey && e.which === 13) {
                showPopupMenu({offset: selection._$activeCellDiv.offset()});
            } else if (e.which === 13) {
                kapacity.showDetail(kapacity.indexAktualniOsoby(), kapacity.sloupec);
                return false;
            }

            if (e.ctrlKey || e.altKey) {
                return true;
            }

            if (!e.which) {
                return true;
            }

            if (e.which === 32  &&  kapacity.planovaniPoSlotech) {
                switchSloty();
            } else {
                showEdit(String.fromCharCode(e.which));
            }

            return false;
        },
        editKeyDown: function (e) {
            if (e.which === 27) {
                hideEdit();
                return false;
            }

            return true;
        },
        editKeyUp: function (e) {
            if (kapacity.data.uzavreno) {
                return true;
            }

            if (!kapacity.edit.val()) {
                return true;
            }

            let harmonogram = kapacity.vratHarmonogramPodleZkratky(kapacity.edit.val());
            if (harmonogram) {
                hideEdit();
                kapacity.zapisHarmonogram(harmonogram); // podleKodu = false, podleKalendare = false
                return true;
            }

            let smena = kapacity.vratSmenuPodleZkratky(kapacity.edit.val());
            if (smena) {
                hideEdit();
                zapisSmenu(smena, false, false); // podleKodu = false, podleKalendare = false
                return true;
            }

            let absence = kapacity.vratAbsenciPodleZkratky(kapacity.edit.val());
            if (absence) {
                hideEdit();
                var w = new AbsenceWriter();
                if (!w.init()) {
                    return false;
                }
                w.zapisAbsenci(absence);

                return true;
            }

            return true;
        },

        podleKalendareClick: function() {
            if (kapacity.data.uzavreno) {
                return true;
            }
            hideEdit();
            zapisSmenu(null, false, true); // podleKodu = false, podleKalendare = true
        }

    }; // events


    var reportMenu = function() {

        var onReportItemClick = function() {
            window.open(
                "?menuid=kapacity&action=reporta&reportname=" + encodeURIComponent($(this).data("ron-kod")) +
                "&obdobi=" + kapacity.data.dny[0].datumStr +
                "&rozdeleni=" + encodeURIComponent(kapacity.data.rozdeleni) +
                "&idpp=" + kapacity.data.osoby[kapacity.radek].idPP +
                "&den=" + kapacity.data.dny[kapacity.sloupec].datumStr,
                "_blank")
        };


        return function() {
            $("#report_menu").ronPopupMenu({
                attachToElement: $("#kapacity_print"),
                onClick: onReportItemClick
            });

            return false;
        }
    }();


    function potvrditSmeny(value) {
        selection.setActiveText("...");

        function potvrdDataOsoby(indexOsoby, sloupecOd, sloupecDo) {
            let
                denOd = kapacity.data.dny[sloupecOd],
                denDo = kapacity.data.dny[sloupecDo],
                osoba = kapacity.data.osoby[indexOsoby];

            $.ajax({
                url: "?menuid=kapacityjs&action=potvrdit",
                type: "POST",
                data: {
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    idpp: osoba.idPP,
                    datumod: denOd.datumStr,
                    datumdo: denDo.datumStr,
                    hodnota: value ? 1 : 0,
                    csrfkey: osoba.csrfkey
                }
            }).done( function (data) {
                if (data.result === "error") {
                    kapacity.showError(data);
                }

                refreshDataOsoby(indexOsoby);

                selection.setActiveText("");

            }).fail(ron.ajaxErrorFunction("Pri potvrzovani doslo k chybe!"));
        }

        forEachInterval( potvrdDataOsoby );
    }

    $(window)
        .on("resize", onResize);

    nactiPlanovaniHeader(); // po nacteni hlavicky provede i nacteni dat
    $(document)
        .attr("tabindex", -1)
        .on("keydown", events.keyDown)
        .on("keypress", events.keyPress)
        .on("mousemove", events.planovaniMouseMove);    // scroll

    $("#kapacity_data")
        .on("mouseup",   ".selectiontable-selected", events.selectedMouseUp)    // popupmenu
        .on("dblclick",  ".selectiontable-selected", events.selectedDblClick)   // detail
        .on("keydown", "input.editplanovani", events.editKeyDown)
        .on("keyup", "input.editplanovani", events.editKeyUp)
    ;



    $("#kapacity_clipboard")
        .on("paste", clipboardPaste);
    document.body.oncontextmenu = function () {
        return false;
    };

    $("#kapacity_menu_podrobnosti")
        .on("click", events.selectedDblClick);

    $("#kapacity_menu_potvrdit")
        .on("click", function() { potvrditSmeny(true); });

    $("#kapacity_menu_zrusitpotvrzeni")
        .on("click", function() { potvrditSmeny(false); });

    $("#kapacity_menu_podlekalendare")
        .on("click", events.podleKalendareClick);
    $("#kapacity_print")
        .on("click", reportMenu);
    $verticalScrollBar = $("#verticalscrollbar").scrollbar({
        vertical: true,
        onScroll: function() {
            var newpos = -$verticalScrollBar.scrollbar("position"); // + $("#kapacity_nadpisydnu").height();
            $("#kapacity_data").css("top", newpos + 'px'); // obsah datovych bunek - vertikalni scrolovani
            $("#kapacity_rowheader").css("top", newpos + 'px');
        }
    });

    $horizontalScrollBar = $("#horizontalscrollbar").scrollbar({
        vertical: false,
        onScroll: function() {
            $("#kapacity_container").css("left", -$horizontalScrollBar.scrollbar("position") + 'px');
        }
    });

    $patickaScrollBar = $("#patickascrollbar").scrollbar({
        vertical: true,
        $content: $("#kapacity_paticka, #kapacity_nadpisy_paticky")
    });
    function smazDataPlanovani() {
        $("#kapacity_data").empty();
        kapacity.edit = null;
        selection._$activeCellDiv = null;

        return true;
    }
    function refreshData()
    {
        let
            radek = kapacity.radek,
            sloupec = kapacity.sloupec;

        smazDataPlanovani();

        let
            obdobi = $("#obdobi_select").val(),
            rozdeleni = $("#rozdeleni_kod").val(),
            menuId = kapacity.planovaniPoSlotech ? 'planovanislotu' : 'planovanikapacit',
            vcetnePodrizenych = kapacity.headerData.vcetnePodrizenych;
        window.history.replaceState("", "", "?menuid=" + menuId + "&obdobi=" + obdobi + "&rozdeleni=" + rozdeleni + "&vcetnepodrizenych=" + vcetnePodrizenych);
        nactiDataPlanovani(obdobi, rozdeleni, vcetnePodrizenych, kapacity.data.rezimUprav, {
            radek: radek,
            sloupec: sloupec
        });
    }

    $("#obdobi_select")
        .on("change", refreshData);

    $("#kapacity_refresh")
        .on("click", refreshData);



    function zmenVelikostLegendy(value) {
        nastavVelikostLegendy(value);
        saveSettings("velikostlegendy", value);
        onResize();
    }


    function velikostBunkyChange(sirka, vyska) {
        $(".bodykapacity")
            .css("--sirka-bunky", sirka + "px")
            .css("--vyska-bunky", vyska + "px");

        kapacity.sirkaBunky = sirka;
        kapacity.vyskaBunky = vyska;
        selection.options.colWidth = sirka;
        selection.options.rowHeight = vyska + 1; // velikost obsahu + okraj
        selection.refreshSelection();
    }

    kapacity.velikostBunkyChange = velikostBunkyChange;
    (function() {
        function nastavSchvaleniProOsobu(indexOsoby, uroven, zrusit, onFinish) {
            function processData(data) {
                ron.debugLog("nastavitSchvaleni: ", data);

                kapacity.showError(data);

                refreshDataOsoby(indexOsoby);
                if (onFinish) {
                    onFinish();
                }
            }

            $.ajax({
                url: "?menuid=kapacityjs&action=schvalit",
                type: "POST",
                data: {
                    idpp: kapacity.data.osoby[indexOsoby].idPP,
                    uroven: uroven,
                    obdobi: kapacity.data.dny[0].datumStr,
                    datumdo: zrusit ? "" : kapacity.data.dny[kapacity.sloupec].datumStr,
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    csrfkey: kapacity.data.osoby[indexOsoby].csrfkey
                }
            })
                .done(processData)
                .fail( function(jqXHR) {
                    ron.showAjaxError(jqXHR, "Pri schvalovani doslo k chybe!")
                    if (onFinish) {
                        onFinish();
                    }
                });
        }


        function refreshKontroly() {
            smazKontrolyRozdeleni();
            smazKontrolyOsob();
            nactiKontroly(true);

            kapacity.setAllDayHeadersHtml();
        }

        function nastavSchvaleniOsob(uroven, zrusit) {
            let
                rect = selection.getActiveRect(),
                indexOsobyOd = kapacity.indexOsoby(rect.y1),
                indexOsobyDo = kapacity.indexOsoby(rect.y2),
                counter = indexOsobyDo - indexOsobyOd + 1;

            function onFinish() {
                counter --;
                if (!counter) {
                    refreshKontroly();
                }
            }

            for (let indexOsoby = indexOsobyOd; indexOsoby <= indexOsobyDo; indexOsoby++) {
                let lzeSchvalit = false;

                switch (uroven) {
                    case 1 :
                        lzeSchvalit = kapacity.data.osoby[indexOsoby].lzeSchvalit1;
                        break;
                    case 2 :
                        lzeSchvalit = kapacity.data.osoby[indexOsoby].lzeSchvalit2;
                        break;
                    case 3 :
                        lzeSchvalit = kapacity.data.osoby[indexOsoby].lzeSchvalit3;
                        break;
                }

                if (!lzeSchvalit) {
                    kapacity.showError(ron._("Neni_pravo_schvalit_osobu") + " " + kapacity.data.osoby[indexOsoby].jmenoPrijmeni);
                    return false;
                }

                nastavSchvaleniProOsobu(indexOsoby, uroven, zrusit, onFinish);
            }
        }


        var nastavSchvaleniRozdeleni = function(uroven, zrusit) {
            var processData = function (data) {
                ron.hideMessage();

                ron.debugLog("nastavitSchvaleni: ", data);

                if (data.schvaleni) {
                    kapacity.zpracujSchvaleni(data.schvaleni);
                    kapacity.data.schvaleni = data.schvaleni;
                }

                kapacity.showError(data);

                refreshKontroly();
            };


            var beforeSend = function() {
                ron.showWaitMessage(ron._("Probiha_prepocet"));
            };


            $.ajax({
                url: "?menuid=kapacityjs&action=schvalitrozdeleni",
                type: "POST",
                data: {
                    rozdeleni: kapacity.data.rozdeleni,
                    uroven: uroven,
                    obdobi: kapacity.data.dny[0].datumStr,
                    datumdo: zrusit ? "" : kapacity.data.dny[kapacity.sloupec].datumStr,
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    csrfkey: kapacity.headerData.csrfkey
                },
                beforeSend: beforeSend
            })
                .done(processData)
                .fail( function(jqXHR) {
                    ron.hideMessage();
                    ron.showAjaxError(jqXHR, "Pri schvalovani doslo k chybe!");
                    refreshKontroly();
                });
        };


        var nastavitSchvaleni = function (uroven, zrusit) {
            if (kapacity.data.zpusobSchvalovani) {
                nastavSchvaleniRozdeleni(uroven, zrusit);
            } else {
                nastavSchvaleniOsob(uroven, zrusit);
            }
        };


        $("#kapacity_menu_schvaleni1")
            .on("click", function () {
                nastavitSchvaleni(1, $(this).is(".zrusitSchvaleni"));
            });
        $("#kapacity_menu_schvaleni2")
            .on("click", function () {
                nastavitSchvaleni(2, $(this).is(".zrusitSchvaleni"));
            });
        $("#kapacity_menu_schvaleni3")
            .on("click", function () {
                nastavitSchvaleni(3, $(this).is(".zrusitSchvaleni"));
            });
    })();
    (function() {
        function prepocetUkoncen(message) {
            showProgressInfoMessage(null);

            smazKontrolyRozdeleni();
            smazKontrolyOsob();
            nactiKontroly(true);

            if (message) {
                ron.showMessage(message);
            }
        }


        function waitForResult(taskId) {
            $.ajax( "?menuid=task&taskId=" + taskId)
                .done( function(data) {

                    if (!data.tasks) {
                        console.log("Neplatna odpoved serveru!", data);
                        prepocetUkoncen("Neplatna odpoved serveru!");
                    }

                    if (!data.tasks[taskId]) {
                        console.log("Neplatna odpoved serveru!", data);
                        prepocetUkoncen("Neplatna odpoved serveru!");
                    }

                    if (data.tasks[taskId].isRunning) {
                        if (data.tasks[taskId].progressMessage) {
                            showProgressInfoMessage(data.tasks[taskId].progressMessage);
                        }

                        setTimeout(
                            function() {
                                waitForResult(taskId);
                            },
                            1000
                        );
                    } else {
                        if (data.tasks[taskId].errorMessage) {
                            console.log("data:", data);
                            prepocetUkoncen(ron._("Prepocet_kontrol_probehl"));
                            kapacity.showError(data.tasks[taskId].errorMessage);
                        } else {
                            prepocetUkoncen(ron._("Prepocet_kontrol_probehl"));
                        }
                    }
                })
                .fail( ron.ajaxErrorFunction("Pri kontrole doslo k chybe!") );
        }


        function provedKontroly() {
            showProgressInfoMessage( ron._("Probihaji_kontroly") );

            $.ajax( {
                url: "?menuid=kapacityjs&action=kontrola&rozdeleni=" + kapacity.data.rozdeleni + '&obdobi=' + kapacity.data.dny[0].datumStr
            })
                .always( function() {
                })
                .done( function(data) {
                    console.log(data);
                    if (data.result !== "OK") {
                        prepocetUkoncen();
                        kapacity.showError(data);
                    } else {
                        waitForResult(data.taskId);
                    }
                } )
                .fail( ron.ajaxErrorFunction("Pri kontrole doslo k chybe!") );
        }


        $("#tlacitkomenu")
            .on("click", menuDalsiFunkce);

        $("#provest_kontroly")
            .on("click", provedKontroly);
    })();
    function xmlAkce() {
        let
            $this = $(this);

        $.ajax( {
            url: "?menuid=kapacityjs&action=xmlakce",
            type: "POST",
            data : {
                xmlid: $this.data("xml-id"),
                csrfkey: $this.data("csrfkey"),
                rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                rozdeleni: kapacity.data.rozdeleni,
                obdobi: kapacity.pocatekObdobiStr()
            }
        }).done( function(resultData) {
            kapacity.showError(resultData);

            if (resultData  &&  resultData.messages) {
                ron.showMessage({ messages: resultData.messages });
            }
        }).fail( ron.ajaxErrorFunction("Pri spusteni XML akce doslo k chybe!") );
    }

    $("#dalsi_funkce_menu")
        .on("click", "[data-xml-id]", xmlAkce);


    $("#kapacity_legenda_nastavvelikost2")
        .on("click", function() { zmenVelikostLegendy(2); });

    $("#kapacity_legenda_nastavvelikost1")
        .on("click", function() { zmenVelikostLegendy(1); });

    $("#kapacity_legenda")
        .on("click", "tr", events.legendaClick);
    function planovaniWheelScroll(direction) {
        $verticalScrollBar.scrollbar("instance").scrollToPosition($verticalScrollBar.scrollbar("position") - 3 * kapacity.vyskaBunky * direction);
    }


    $("#kapacity_content")
        .on("wheel", function(event) {
            planovaniWheelScroll(event.originalEvent.deltaY < 0 ? 1 : -1);
        })
        .on("mousewheel", function(event) {
            planovaniWheelScroll(event.originalEvent.wheelDelta > 0 ? 1 : -1);
        });


    function splitterChange(event, data) {
        $(this).height(data["newHeight"]);
        $("#kapacity_nadpisypatickycontainer").height(data["newHeight"]);
        kapacity.velikostSouctu = data["newHeight"];

        onResize();

        saveSettings("velikostsouctu", data["newHeight"]);

        return false;
    }

    $("#kapacity_patickacontainer").splitter({
        vertical: true,
        position: "top",
        $parentElement: $("#kapacity_dataframe"),
        change : splitterChange
    });
    function rezimUprav(value) {
        kapacity.data.rezimUprav = kapacity.data.povolitRezimUprav  &&  value;

        $("#planovani_window")
            .toggleClass("rezim_uprav", kapacity.data.rezimUprav)
            .toggleClass("rezim_planovani", !kapacity.data.rezimUprav);

        refreshData();
    }


    function saveSettings(settingsName, value) {
        $.ajax( {
            url: "?menuid=kapacityjs&action=savesettings",
            type: "POST",
            data : {
                itemName: settingsName,
                value: value
            }
        })
            .done( 
                function(resultData) {
                    if (resultData.result === "error") { console.log(resultData); }
                }
                )
            .fail( function(response) { console.log("Chyba pri ukladani nastaveni", response); } );
    }
    function prepniDetailniZobrazeni() {
        let $body = $(".bodykapacity");

        $body
            .toggleClass("detailni-zobrazeni");

        let detailniZobrazeni = kapacity.jeDetailniZobrazeni();

        velikostBunkyChange(
            detailniZobrazeni ? kapacity.data.sirkaBunkyDetailni : kapacity.data.sirkaBunky,
            detailniZobrazeni ? kapacity.data.vyskaBunkyDetailni : kapacity.data.vyskaBunky);

        onResize();

        let url = new URL(window.location);
        url.searchParams.set("detailnizobrazeni", detailniZobrazeni ? "1" : "0");
        window.history.replaceState(null, "", url.href);

        saveSettings("detailnizobrazeni", detailniZobrazeni ? 1 : 0);
    }


    $("#rezim_uprav")
        .on("click", function() { rezimUprav(true); });

    $("#rezim_planovani")
        .on("click", function() { rezimUprav(false); });

    $("#detailni_zobrazeni")
        .on("click", prepniDetailniZobrazeni);
});

kapacity = kapacity || {};
kapacity.sirkaBunky = 35;
kapacity.vyskaBunky = 35;
kapacity.SLOTY_HROMADNE = 0;
kapacity.SLOTY_PODLE_DNE = 1;
kapacity.RozdeleniItem = function(kod, popis) {
    this.kod = kod;
    this.popis = popis;
    this.selected = false;

    this.barva = "";
    this.kalendar = null;
};

kapacity.ReportItem = function() {
    this.kod = '';
    this.nazev = '';
};

kapacity.ResultData = function() {
    this.result = "";
    this.planovaneSmeny = [];
};


kapacity.ParametrySmeny = function() {
    this.pocatek = "";
    this.konec = "";
    this.delka = "";

    this.preruseniOd = "";
    this.preruseniDo = "";
};
kapacity.Hlavicka = function() {
    this.obdobi = [];
    this.vybraneObdobi = 0;
    this.rozdeleni = [];
    this.vybraneRozdeleni = "";
    this.vcetnePodrizenych = 1;

    this.csrfkey = "";
    this.seznamRozdeleni = [];
    this.seznamRozdeleni2 = [];

    this.povolitRezimUprav = 0;
    this.prepocet = 0;
    this.povolitZmenuRozdeleni = 0;
    this.povolitZmenuRozdeleni2 = 0;
    this.vyberRozdeleni2 = 0;
    this.pocetZnakuPoznamky = 0;
    this.velikostLegendy = 1;
    this.velikostSouctu = 0;

    this.result = "OK";
};


kapacity.VysledekKontroly = function() {
    this.id = 0;
    this.typKontroly = "";
    this.kategorie = 10;
    this.datumStr = "";
    this.datum = null;
    this.idPP = 0;
    this.kodTypuRozdeleni = "";
    this.rozdeleni = "";
    this.popis = "";
    this.poznamka = "";
    this.mesicni = false;
    this.blokovatSchvaleni1 = false;
    this.blokovatSchvaleni2 = false;
    this.blokovatSchvaleni3 = false;
    this.barva = "";
    this.zvyraznit = false;
    this.cssClass = "";

};
kapacity.Den = function() {
    this.datumStr = "";
    this.typ = 0;
    this.datum = null;
    this.nazev = "";
    this.schvaleni = 0;
    this.puvodniPlanSchvalen = 0;

    this.$cellHeader = null; // odkaz na bunku s nadpisem dne
    this.$cellSoucet = null;
    this.poznamky = null;
    this.poznamkyClass = null;
    this.poznamkyBarva = null;
    this.kontroly = [];
    this.sloty = [];
};
kapacity.SloupecHlavicky = function() {
    this.nadpis = "";
    this.kodCasoveSlozky = "";
    this.className = "";
    this.dalsiRadek = false;
};
kapacity.Smena = function() {
    this.kod = "";
    this.zkratka = "";
    this.barva = "";
    this.popis = "";
    this.delkaStr = "";
    this.pocatekStr = "";
    this.konecStr = "";

    this.aktivni = 1;
    this.vybrana = 0;
    this.variabilni = 0;
    this.prepocitatDelku = 1;

    this.delena = 0;
    this.preruseniOdStr = "";
    this.preruseniDoStr = "";
    this.delka = 0;
    this.pocatek = null;
    this.konec = null;

    this.preruseniOd = null;
    this.preruseniDo = null;
};

kapacity.Harmonogram = function() {
    this.kod = "";
    this.pocetDnuCyklu = 7;
    this.pocet = "";
    this.zkratka = "";
    this.podleDneVTydnu = 0;
};
kapacity.Absence = function() {
    this.kod = "";
    this.zkratka = "";
    this.barva = "";
    this.popis = "";
    this.povoleneDelky = [];
};
kapacity.Udalost = function() {
    this.kod = "";
    this.zkratka = "";
    this.barva = "";
    this.popis = "";
};
kapacity.PovolenaSmena = function() {
    this.kod = "";
    this.datumStr = "";
    this.datum = null;   // pokud je null, tak plati v celem obdobi
    this.smena = null;   // doplneno pri zpracovani dat
};
kapacity.Kalendar = function() {
    this.kod = "";
    this.popis = "";
    this.povoleneSmeny = [];
};
kapacity.PrirazeniKalendare = function() {
    this.kod = "";
    this.datumOd = "";
    this.datumDo = "";
};
kapacity.PlanovanaSmena = function() {
    this.datum = "";    // j.n.Y
    this.kod = "";
    this.podrobnosti = "";
    this.kod2 = "";     // rezim uprav

    this.variabilni = 0;
    this.delka = "";    // G:i
    this.pocatek = "";  // G:i
    this.konec = "";    // G:i

    this.delena = 0;
    this.preruseniOd = ""; // G:i
    this.preruseniDo = "";

    this.rozdeleni = null;
    this.rozdeleni2 = null;
    this.potvrzeno = 0;
    this.kodTypuRozdeleni = null;
    this.kodTypuRozdeleni2 = null;
    this.harmonogram = "";

    this.update_username = "";
    this.update_timestamp = ""; // j.n.Y
};
kapacity.PlanovanaAbsence = function() {
    this.poradi = null;

    this.kod = null;
    this.kod2 = null;
    this.datumOdStr = "";
    this.datumOd = null;
    this.datumDoStr = "";
    this.datumDo = null;
    this.delka = null;
    this.casOdStr = null;
    this.casOd = null;
    this.casDoStr = null;
    this.casDo = null;

    this.poznamka = null;
    this.podrobnosti = "";

    this.kodTypuRozdeleni = null;
    this.rozdeleni = null;
    this.popisRozdeleni = null;

    this.schvaleni = 0;
    this.schvalil = null;
    this.datumSchvaleni = null;

    this.update_username = null;
    this.update_timestamp = null;

    this.insert_username = null;
    this.insert_timestamp = null;

    this.autoSchvalovat = false;
    this.lzeEditovat = false;
    this.lzeSmazat = false;
    this.datumOd_Puvodni = null;

    this.jeZmena = false; // priznak, ze doslo ke zmene uzivatelem a je potreba zapsat (pouziva se v detailu)
};


kapacity.HodnotaHlavicky = function() {
    this.sloupec = 0;
    this.text = "";
    this.className = "";
};


kapacity.RadekPaticky = function() {
    this.nadpis = "";
    this.data = [];
    this.$cell = [];
    this.smena = null;
    this.udalost = null;
    this.slot = null;

    this.$dataRow = null;
};


kapacity.DataHlavicky = function() {
    this.text = "";
    this.className = "";
};
kapacity.Poznamka = function() {
    this.idPP = 0;
    this.datumStr = "";
    this.text = "";
    this.datum = null;
};


kapacity.Dokument = function() {
    this.idPP = 0;
    this.id = 0;
    this.datumStr = "";

    this.popis = "";
    this.jmenoSouboru = "";
    this.datum = null;
};


kapacity.SluzebniCesta = function() {
    this.idPP = 0;
    this.id = 0;
    this.datumOdStr = "";
    this.datumDoStr = "";
    this.popis = "";
    this.datumOd = null;
    this.datumDo = null;
};
kapacity.PoznamkaKeDni = function() {
    this.datumOd = null;
    this.datumDo = null;

    this.typ = "";
    this.barva = null;
    this.text = "";
    this.poznamka = "";
};
kapacity.Bunka = function() {
    this.smena = null;
    this.smena2 = "";
    this.rozdeleni = "";
    this.rozdeleni2 = "";
    this.delkaSmeny = 0;
    this.pocatekSmeny = null;
    this.konecSmeny = null;
    this.preruseniOd = null;
    this.preruseniDo = null;

    this.podrobnostiSmeny = "";

    this.potvrzeno = 0;
    this.schvaleni = 0;
    this.puvodniPlanSchvalen = 0;
    this.lzePlanovatPoSchvaleni = false;
    this.absence = null;
    this.podrobnostiAbsence = "";
    this.seznamAbsenci = [];
    this.absence2 = "";
    this.kalendar = null;   // odkaz na kalendar podle ktereho se planuji smeny
    this.poznamka = null;
    this.dokumenty = [];
    this.sluzebniCesty = [];
    this.kontroly = [];
};
kapacity.Osoba = function() {
    this.jmenoPrijmeni = "";
    this.jmeno = "";
    this.prijmeni = "";
    this.osobniCislo = "";
    this.idPP = "";

    this.csrfkey = "";

    this.cizi = false;
    this.datumNastupu = null;
    this.datumUkonceni = null;
    this.datumNastupuStr = "";
    this.datumUkonceniStr = "";

    this.schvaleni1Str = "";
    this.schvaleni2Str = "";
    this.schvaleni3Str = "";
    this.schvaleni1 = null;
    this.schvaleni2 = null;
    this.schvaleni3 = null;
    this.schvaleniPuvodnihoPlanuStr = "";
    this.schvaleniPuvodnihoPlanu = null;

    this.lzeEditovat = 0; // priznak, jestli ma uzivatel pravo editovat osobu

    this.lzePlanovatAbsence = 0;

    this.lzeSchvalit1 = 0; // priznaky, jestli je pravo na schvalovani
    this.lzeSchvalit2 = 0; // (nekdy muze byt povolena editace schvalenych)
    this.lzeSchvalit3 = 0;

    this.maxUrovenSchvaleni = 0; // maximalni povolena uroven schvalovani
    this.smeny = [];
    this.absence = [];
    this.kalendare = [];
    this.dataHlavicky = [];
    this.kontroly = [];
    this.ikony = [];
    this.Data = [];

    this.rozdeleniOsoby = [];
    this.moznostEditaceSchvalenych = [];
    this.rowClasses = null;
    this.$cellSoucet = null;
    this.$headerRow = null;
};




kapacity.Data = function() {
    this.lzeEditovatSchvalene = false;
    this.zakazatSnizitSchvaleni = false;
    this.lzeEditovatCizi = false;
    this.schvalovaniAbsenci = 0;
    this.vyberSmen = 1;

    this.sirkaBunky = 35;
    this.vyskaBunky = 35;
    this.sirkaBunkyDetailni = 75;
    this.vyskaBunkyDetailni = 75;

    this.povolitRezimUprav = false;
    this.pocetRadkuNaOsobu = 2;
    this.zpusobSchvalovani = 0;
    this.editovatAzPoSchvaleniPoctu = 0;
    this.schvaleniPozadavkuDo = '';
    this.schvaleni = null;

    this.pocitatAbsenceNaRadku = {}; // default "*" => 1
    this.pocitatAbsenceVeSloupci = {};

    this.rezimUprav = false;
    this.minSchvaleniProUpravy = 0;
    this.datumOd = null;
    this.datumDo = null;

    this.uzavreno = 0;
    this.rozdeleni = "";
    this.dny = [];
    this.sloupceHlavicky = [];
    this.radkyPaticky = [];
    this.smeny = [];
    this.absence = [];
    this.absencePodleKodu = {};
    this.harmonogramy = [];
    this.kalendare = [];
    this.osoby = [];
    this.vsechnyOsoby = [];
    this.poznamky = [];
    this.dokumenty = [];
    this.sluzebniCesty = [];
    this.poznamkyKeDni = [];
    this.kontroly = [];
    this.podminkyProSloty = [];
    this.zpusobZobrazeniSlotu = 0;
    this.sloty = [];
};
kapacity.sloupecProDatum = function(datum) {

    return ron.utils.binarySearch(kapacity.data.dny, datum, function(den, datum) {
        if (den.datum < datum) return -1;
        if (den.datum > datum) return 1;
        return 0;
    });
};
kapacity.najdiBunkuPodleData = function(osoba, datum) {
    var index = kapacity.sloupecProDatum(datum);
    if (index >= 0) return osoba.Data[index];

    return null;
};
kapacity.rozdeleniPodleKodu = function(kod) {
    kod = kod.toLowerCase();

    var seznam = (kapacity.headerData.seznamRozdeleni && kapacity.headerData.seznamRozdeleni.length)
        ? kapacity.headerData.seznamRozdeleni
        : kapacity.headerData.rozdeleni;

    for (var i = 0;  i < seznam.length;  i++) {
        if (seznam[i].kod.toLowerCase() == kod) {
            return seznam[i];
        }
    }

    return null;
};
kapacity.rozdeleni2PodleKodu = function(kod) {
    return kapacity.headerData.seznamRozdeleni2
        ? kapacity.headerData.seznamRozdeleni2[kod]
        : null;
};
kapacity.barvaRozdeleni = function(kod) {
    var rozdeleni = kapacity.rozdeleniPodleKodu(kod);
    if (rozdeleni) return rozdeleni.barva;

    return null;
};
kapacity.vratKalendar = function (kod) {
    for (var i = 0; i < kapacity.data.kalendare.length; i++) {
        if (kapacity.data.kalendare[i].kod.toLowerCase() == kod.toLowerCase()) {
            return kapacity.data.kalendare[i];
        }
    }

    return null; // nenasel
};
kapacity.vratSmenuPodleKodu = function (kod) {
    if (!kod) {
        return null;
    }

    for (var i = 0; i < kapacity.data.smeny.length; i++) {
        if (kapacity.data.smeny[i].kod.toLowerCase() == kod.toLowerCase()) {
            return kapacity.data.smeny[i];
        }
    }

    return null; // nenasel
};
kapacity.smenaJeVariabilni = function (kodSmeny) {
    var smena = kapacity.vratSmenuPodleKodu(kodSmeny);
    if (smena) {
        return !!smena.variabilni;
    }

    return false;
};
kapacity.vratOsobuPodleId = function(idPP) {
    for (var i = 0;  i < kapacity.data.osoby.length;  i++) {
        if (kapacity.data.osoby[i].idPP == idPP) {
            return i;
        }
    }

    return -1;
};
kapacity.vratRadekPatickyProSmenu = function(smena, append) {
    for (var i = 0;  i < kapacity.data.radkyPaticky.length;  i++) {
        if (kapacity.data.radkyPaticky[i].smena  &&  kapacity.data.radkyPaticky[i].smena.kod == smena.kod) {
            return i;
        }
    }

    if (append) {
        var novyRadek = new kapacity.RadekPaticky();
        novyRadek.smena = smena;
        novyRadek.nadpis = smena.popis;
        i = 0;
        var result = -1;

        while (result < 0  &&  i < kapacity.data.radkyPaticky.length) {
            var smena1 = kapacity.data.radkyPaticky[i].smena;

            if (kapacity.data.radkyPaticky[i].udalost) {
                result = i;
            } else if (smena1 && smena1.zkratka && smena.zkratka &&  smena1.zkratka.localeCompare(smena.zkratka) > 0) {
                result = i;
            } else {
                i++;
            }
        }

        if (result >= 0) {
            kapacity.data.radkyPaticky.splice(result, 0, novyRadek);
        } else {
            result = kapacity.data.radkyPaticky.length;
            kapacity.data.radkyPaticky.push(novyRadek);
        }

        novyRadek.data = [];
        for (i = 0;  i < kapacity.data.dny.length; i++) {
            novyRadek.data[i] = null;
        }

        novyRadek.$cell = [];

        return result;
    }

    return -1;
};
kapacity.vratRadekPatickyProUdalost = function(udalost, append) {
    for (var i = 0;  i < kapacity.data.radkyPaticky.length;  i++) {
        if (kapacity.data.radkyPaticky[i].udalost  &&  kapacity.data.radkyPaticky[i].udalost.kod == udalost.kod) {
            return i;
        }
    }

    if (append) {
        var novyRadek = new kapacity.RadekPaticky();
        novyRadek.udalost = udalost;
        novyRadek.nadpis = udalost.popis;
        i = 0;
        var result = -1;

        while (result < 0  &&  i < kapacity.data.radkyPaticky.length) {
            if (!kapacity.data.radkyPaticky[i].smena) {
                var udalost1 = kapacity.data.radkyPaticky[i].udalost;

                if (udalost1 && udalost1.zkratka && udalost.zkratka && udalost1.zkratka.localeCompare(udalost.zkratka) > 0) {
                    result = i;
                }
            }

            i++;
        }

        if (result < 0) {
            result = kapacity.data.radkyPaticky.length;
            kapacity.data.radkyPaticky.push(novyRadek);
        } else {
            kapacity.data.radkyPaticky.splice(result, 0, novyRadek);
        }

        novyRadek.data = [];
        for (i = 0;  i < kapacity.data.dny.length; i++) {
            novyRadek.data[i] = null;
        }

        novyRadek.$cell = [];

        return result;
    }

    return -1;
};
kapacity.smazDataVBunce = function(osoba, index, jenEditovatelna, rezimUprav) {
    let bunka = osoba.Data[index];

    bunka.smena = null;

    bunka.delkaSmeny = 0;
    bunka.pocatekSmeny = null;
    bunka.konecSmeny = null;

    if (!rezimUprav) {
        bunka.smena2 = "";
    }

    if (!jenEditovatelna) {
        bunka.rozdeleni = "";
    }

    bunka.rozdeleni2 = "";

    bunka.podrobnostiSmeny = "";

    bunka.absence = null;
    bunka.podrobnostiAbsence = "";

    bunka.poznamka = null;

    if (!rezimUprav) {
        bunka.seznamAbsenci = [];
    } else {
        for (let i = 0;  bunka.seznamAbsenci  &&  i < bunka.seznamAbsenci.length;  i++) {
            bunka.seznamAbsenci[i].kod = "";
        }
    }


    if (!rezimUprav) {
        bunka.absence2 = "";
    }
};
kapacity.nastavPodleSmeny = function (osoba, index, smena, nastavitVariabilni) {
    var bunka = osoba.Data[index];

    bunka.smena = smena;

    if (smena) {
        if (!smena.variabilni || nastavitVariabilni) {
            bunka.delkaSmeny = smena.delka;
        }
    }
};
kapacity.compareOsoba = function(osoba1, osoba2) {
    if (osoba1.cizi && !osoba2.cizi) return 1;
    if (osoba2.cizi && !osoba1.cizi) return -1;

    var sortType = kapacity.osobySortType;
    var cmp;

    if (sortType >= 100 || sortType <= -100) {
        var sloupec = (sortType < 0) ? -sortType - 100 : sortType - 100;
        var str1 = osoba1.dataHlavicky[sloupec] ? osoba1.dataHlavicky[sloupec].text : '';
        if (!str1) str1 = "";
        var str2 = osoba2.dataHlavicky[sloupec] ? osoba2.dataHlavicky[sloupec].text : '';
        if (!str2) str2 = "";

        cmp = str1.localeCompare(str2);
        if (cmp) return sortType < 0 ? -cmp : cmp;
        sortType = 2;
    }

    switch (sortType) {
        case 1 :
        case -1 :
            if (osoba1.osobniCislo > osoba2.osobniCislo) return sortType;
            if (osoba1.osobniCislo < osoba2.osobniCislo) return -sortType;
            return 0;

        case 2 :
        case -2 :
            cmp = osoba1.prijmeni.localeCompare(osoba2.prijmeni);
            if (!cmp) cmp = osoba1.jmeno.localeCompare(osoba2.jmeno);
            if (sortType < 0) cmp = -cmp;
            return cmp;

        default :
            return 0;
    }
};
kapacity.nactiSmenyOsoby = function(osoba, smeny) {
    if (!smeny) {
        return false;
    }

    for (let i = 0; i < smeny.length; i++) {
        let
            datum = ron.utils.stringToDate(smeny[i].datum),
            bunka = kapacity.najdiBunkuPodleData(osoba, datum);

        if (bunka) {
            bunka.smena = kapacity.vratSmenuPodleKodu(smeny[i].kod); // pozor! muze byt null (pokud smena nema zkratku)

            bunka.rozdeleni = smeny[i].rozdeleni;
            bunka.podrobnostiSmeny = smeny[i].podrobnosti;
            bunka.SmenaJeVariabilni = smeny[i].variabilni;

            if (bunka.SmenaJeVariabilni) {
                bunka.delkaSmeny = ron.utils.timeStringToFloat(smeny[i].delka);
                bunka.pocatekSmeny = ron.utils.timeStringToFloat(smeny[i].pocatek);
                bunka.konecSmeny = ron.utils.timeStringToFloat(smeny[i].konec);
            }

            if (bunka.smena && bunka.smena.delena) {
                bunka.preruseniOd = ron.utils.timeStringToFloat(smeny[i].preruseniOd);
                bunka.preruseniDo = ron.utils.timeStringToFloat(smeny[i].preruseniDo);
            }

            bunka.smena2 = (typeof smeny[i].kod2 == "undefined")
                ? smeny[i].kod // (bunka.smena ? bunka.smena.kod : null)
                : smeny[i].kod2;

            bunka.rozdeleni2 = smeny[i].rozdeleni2;

            bunka.potvrzeno = smeny[i].potvrzeno;
            if (bunka.smena  &&  !this.planovaniPoSlotech) {
                kapacity.vratRadekPatickyProSmenu(bunka.smena, true);
            }
        }
    }

    return true;
};
kapacity.nactiUdalostiOsoby = function(osoba, udalosti, sloupecOd, sloupecDo) {
    if (!udalosti) {
        return;
    }

    for (let sloupec = sloupecOd;  sloupec <= sloupecDo; sloupec++) {
        osoba.Data[sloupec].seznamAbsenci = [];
    }

    for (let i = 0;  i < udalosti.length;  i++) {
        udalosti[i].datumOd = ron.utils.stringToDate(udalosti[i].datumOdStr);
        udalosti[i].datumDo = ron.utils.stringToDate(udalosti[i].datumDoStr);
        if (udalosti[i].casOdStr) {
            udalosti[i].casOd = ron.utils.timeStringToFloat(udalosti[i].casOdStr);
        }
        if (udalosti[i].casDoStr) {
            udalosti[i].casDo = ron.utils.timeStringToFloat(udalosti[i].casDoStr);
        }

        let udalost = (udalosti[i].kod !== null  &&  udalosti[i].kod !== "")
            ? kapacity.vratAbsenciPodleKodu(udalosti[i].kod)
            : null;

        if (udalost) {
            kapacity.vratRadekPatickyProUdalost(udalost, true);
        }

        let sloupec = kapacity.sloupecProDatum(udalosti[i].datumOd);

        if (sloupec < sloupecOd) {
            sloupec = sloupecOd;
        }

        for (; sloupec <= sloupecDo && kapacity.data.dny[sloupec].datum.getTime() <= udalosti[i].datumDo.getTime(); sloupec++) {
            osoba.Data[sloupec].absence = udalost;
            osoba.Data[sloupec].podrobnostiAbsence = (osoba.Data[sloupec].podrobnostiAbsence ? osoba.Data[sloupec].podrobnostiAbsence + ', ' : '') + udalosti[i].podrobnosti;
            osoba.Data[sloupec].absence2 = (typeof udalosti[i].kod2 == "undefined")
                ? udalosti[i].kod
                : udalosti[i].kod2;
            osoba.Data[sloupec].seznamAbsenci.push(udalosti[i]);
        }

    }
};
kapacity.zpracujDataOsoby = function (osoba) {
    function zpracujPrirazeneKalendare() {
        for (let i = 0; i < osoba.kalendare.length; i++) {
            let
                datumOd = ron.utils.stringToDate(osoba.kalendare[i].datumOd),
                index = kapacity.sloupecProDatum(datumOd),
                kalendar = kapacity.vratKalendar(osoba.kalendare[i].kod);

            if (index >= 0  &&  kalendar) {
                if (osoba.kalendare[i].datumDo) {
                    let datumDo = ron.utils.stringToDate(osoba.kalendare[i].datumDo);
                    for (; index < osoba.Data.length && kapacity.data.dny[index].datum.getTime() <= datumDo.getTime(); index++) {
                        osoba.Data[index].kalendar = kalendar;
                    }
                }
                else {
                    for (; index < osoba.Data.length; index++) {
                        osoba.Data[index].kalendar = kalendar;
                    }
                }
            }
        }
    }


    function zpracujMoznostEditaceSchvalenych() {
        if (!osoba.moznostEditaceSchvalenych) {
            return;
        }

        for (let i = 0;  i < osoba.moznostEditaceSchvalenych.length;  i++) {
            let
                datumOd = ron.utils.stringToDate(osoba.moznostEditaceSchvalenych[i].platnostOdStr),
                index = kapacity.sloupecProDatum(datumOd < kapacity.data.dny[0].datum ? kapacity.data.dny[0].datum : datumOd),
                datumDo = osoba.moznostEditaceSchvalenych[i].platnostDoStr
                    ? ron.utils.stringToDate(osoba.moznostEditaceSchvalenych[i].platnostDoStr)
                    : null;

            console.log("zpracujMoznostEditaceSchvalenych 1", datumOd, index, datumDo)
            for (; index < osoba.Data.length  &&  (!datumDo  ||  kapacity.data.dny[index].datum.getTime() <= datumDo.getTime()); index++) {
                osoba.Data[index].lzePlanovatPoSchvaleni = true;
            }
        }

        console.log("zpracujMoznostEditaceSchvalenych", osoba);
    }


    osoba.schvaleni1 = osoba.schvaleni1Str
        ? ron.utils.stringToDate(osoba.schvaleni1Str)
        : null;
    osoba.schvaleni2 = osoba.schvaleni2Str
        ? ron.utils.stringToDate(osoba.schvaleni2Str)
        : null;
    osoba.schvaleni3 = osoba.schvaleni3Str
        ? ron.utils.stringToDate(osoba.schvaleni3Str)
        : null;
    osoba.schvaleniPuvodnihoPlanu = osoba.schvaleniPuvodnihoPlanuStr
        ? ron.utils.stringToDate(osoba.schvaleniPuvodnihoPlanuStr)
        : null;

    osoba.datumNastupu = osoba.datumNastupuStr
        ? ron.utils.stringToDate(osoba.datumNastupuStr)
        : null;
    osoba.datumUkonceni = osoba.datumUkonceniStr
        ? ron.utils.stringToDate(osoba.datumUkonceniStr)
        : null;

    zpracujPrirazeneKalendare();
    kapacity.nactiSmenyOsoby(osoba, osoba.smeny);
    kapacity.nactiUdalostiOsoby(osoba, osoba.absence, 0, osoba.Data.length - 1);
    zpracujMoznostEditaceSchvalenych();

    for (let i = 0; i < osoba.Data.length; i++) {
        if (osoba.schvaleni3  &&  osoba.schvaleni3 >= kapacity.data.dny[i].datum) {
            osoba.Data[i].schvaleni = 3;
        }
        else if (osoba.schvaleni2  &&  osoba.schvaleni2 >= kapacity.data.dny[i].datum) {
            osoba.Data[i].schvaleni = 2;
        }
        else if (osoba.schvaleni1  &&  osoba.schvaleni1 >= kapacity.data.dny[i].datum) {
            osoba.Data[i].schvaleni = 1;
        }
        else {
            osoba.Data[i].schvaleni = 0;
        }

        osoba.Data[i].puvodniPlanSchvalen = osoba.schvaleniPuvodnihoPlanu  &&  osoba.schvaleniPuvodnihoPlanu >= kapacity.data.dny[i].datum;
    }
};


kapacity.zpracujSchvaleni = function(schvaleni) {
    if (!schvaleni) {
        return;
    }

    schvaleni.schvaleni1 = schvaleni.schvaleni1Str ? ron.utils.stringToDate(schvaleni.schvaleni1Str) : null;
    schvaleni.schvaleni2 = schvaleni.schvaleni2Str ? ron.utils.stringToDate(schvaleni.schvaleni2Str) : null;
    schvaleni.schvaleni3 = schvaleni.schvaleni3Str ? ron.utils.stringToDate(schvaleni.schvaleni3Str) : null;
    schvaleni.schvaleniPuvodnihoPlanu = schvaleni.schvaleniPuvodnihoPlanuStr ? ron.utils.stringToDate(schvaleni.schvaleniPuvodnihoPlanuStr) : null;
};
kapacity.zpracujData = function(data) {
    this.sirkaBunky = data.sirkaBunky ? data.sirkaBunky : 35;
    this.vyskaBunky = data.vyskaBunky ? data.vyskaBunky : 35;

    if (!data.pocetRadkuNaOsobu) {
        data.pocetRadkuNaOsobu = 1;
    }

    if (data.editovatAzPoSchvaleniPoctu) {
        if (data.schvaleniPozadavkuDo) {
            data.schvaleniPozadavkuDo = ron.utils.stringToDate(data.schvaleniPozadavkuDo);
        }
    }

    kapacity.zpracujSchvaleni(data.schvaleni);
    function zpracujDny() {
        for (let i = 0;  i < data.dny.length;  i++) {
            data.dny[i].datum = ron.utils.stringToDate(data.dny[i].datumStr);

            data.dny[i].nazev = ron._("Day_short_" + data.dny[i].datum.getDay());
            if (data.schvaleni  &&  data.schvaleni.schvaleni3 >= data.dny[i].datum) {
                data.dny[i].schvaleni = 3;
            } else if (data.schvaleni  &&  data.schvaleni.schvaleni2 >= data.dny[i].datum) {
                data.dny[i].schvaleni = 2;
            } else if (data.schvaleni  &&  data.schvaleni.schvaleni1 >= data.dny[i].datum) {
                data.dny[i].schvaleni = 1;
            } else {
                data.dny[i].schvaleni = 0;
            }

            data.dny[i].puvodniPlanSchvalen = data.schvaleni  &&  data.schvaleni.schvaleniPuvodnihoPlanu >= data.dny[i].datum;
        }

        data.datumOd = data.dny[0].datum;
        data.datumDo = data.dny[data.dny.length - 1].datum;
    }
    function zpracujSmeny() {
        kapacity.jsouVybraneSmeny = false;

        for (let i = 0;  i < data.smeny.length;  i++) {
            if (data.smeny[i].vybrana) {
                kapacity.jsouVybraneSmeny = true;
            }

            data.smeny[i].delka = data.smeny[i].delkaStr ? ron.utils.timeStringToFloat(data.smeny[i].delkaStr) : 0;
            data.smeny[i].pocatek = data.smeny[i].pocatekStr ? ron.utils.timeStringToFloat(data.smeny[i].pocatekStr) : 0;
            data.smeny[i].konec = data.smeny[i].konecStr ? ron.utils.timeStringToFloat(data.smeny[i].konecStr) : 0;

            data.smeny[i].preruseniOd = data.smeny[i].preruseniOdStr ? ron.utils.timeStringToFloat(data.smeny[i].preruseniOdStr) : 0;
            data.smeny[i].preruseniDo = data.smeny[i].preruseniDoStr ? ron.utils.timeStringToFloat(data.smeny[i].preruseniDoStr) : 0;
        }
    }


    function zpracujSeznamOperaci() {
        data.absencePodleKodu = {};

        for (let i = 0;  i < data.absence.length;  i++) {
            data.absencePodleKodu[data.absence[i].kod.toLowerCase()] = data.absence[i];
        }
    }
    function zpracujKalendare() {
        for (let i = 0;  i < data.kalendare.length;  i++) {
            let kalendar = data.kalendare[i];

            for (let j = 0;  j < kalendar.povoleneSmeny.length;  j++) {
                kalendar.povoleneSmeny[j].smena = kapacity.vratSmenuPodleKodu(kalendar.povoleneSmeny[j].kod);

                if (kalendar.povoleneSmeny[j].datumStr) {
                    kalendar.povoleneSmeny[j].datum = ron.utils.stringToDate(kalendar.povoleneSmeny[j].datumStr);
                }
            }
        }
    }
    function inicializujDataOsoby(osoba, pocetDnu) {
        osoba.Data = [];

        for (let i = 0;  i < pocetDnu;  i++) {
            osoba.Data[i] = new kapacity.Bunka();
        }
    }


    function zpracujOsoby() {
        for (let i = 0;  i < data.osoby.length;  i++) {
            inicializujDataOsoby(data.osoby[i], data.dny.length);
            kapacity.zpracujDataOsoby(data.osoby[i]);
        }
        let
            seznamVsechOsob = data.vsechnyOsoby ? data.vsechnyOsoby : data.osoby,
            items = [
                {
                    'value': '',
                    'text':  ron.translate('_vsichni_')
                }
            ];

        for (let i = 0;  i < seznamVsechOsob.length;  i++) {
            items[items.length] = {
                'value': seznamVsechOsob[i].idPP,
                'text' : seznamVsechOsob[i].jmenoPrijmeni,
                'jmeno': seznamVsechOsob[i].jmeno,
                'prijmeni' : seznamVsechOsob[i].prijmeni,
                'osobni-cislo' : seznamVsechOsob[i].osobniCislo
            }
        }

        let
            url = new URL(window.location),
            idPP = url.searchParams.get("osoba");

        $("#filtr_osoba")
            .ronselect("setItems", items)
            .ronselect("reloadItems")
            .ronselect("value", idPP);
    }
    function pridejSlot(slot) {
        for (let  i = 0;  i < kapacity.data.sloty.length;  i++) {
            if (kapacity.data.sloty[i].casOd == slot.casOd  &&  kapacity.data.sloty[i].casDo == slot.casDo) {
                return;
            }
        }

        kapacity.data.sloty.push(slot);
    }
    function zpracujSloty() {
        if (!data.podminkyProSloty) {
            ron.showError("Vybrane rozdeleni nema v tomto obdobi nadefinovane zadne casove sloty!");
            return;
        }

        data.sloty = [];

        for (let i = 0; i < data.podminkyProSloty.length;  i++) {
            for (let j = 0; j < data.podminkyProSloty[i].podminky.length; j++) {
                data.podminkyProSloty[i].podminky[j].casOd = ron.utils.timeStringToFloat(data.podminkyProSloty[i].podminky[j].casOdStr);
                data.podminkyProSloty[i].podminky[j].casDo = ron.utils.timeStringToFloat(data.podminkyProSloty[i].podminky[j].casDoStr);

                pridejSlot(data.podminkyProSloty[i].podminky[j]);
            }
        }
        data.pocetRadkuNaOsobu = 1;

        for (let i = 0;  i < data.dny.length;  i++) {
            data.dny[i].sloty = kapacity.najdiPlatnePodminky(data.podminkyProSloty, data.dny[i].datum);

            if (data.dny[i].sloty.length > data.pocetRadkuNaOsobu) {
                data.pocetRadkuNaOsobu = data.dny[i].sloty.length;
            }
        }

        if (!data.zpusobZobrazeniSlotu) {
            data.pocetRadkuNaOsobu = data.sloty.length;
        }

        data.sloty.sort(function(slot1, slot2) {
            if (slot1.casOd < slot2.casOd) {
                return -1;
            }
            if (slot1.casOd > slot2.casOd) {
                return 1;
            }

            if (slot1.casDo < slot2.casDo) {
                return -1;
            }
            if (slot1.casDo > slot2.casDo) {
                return 1;
            }

            return 0;

        });

        if (!data.zpusobZobrazeniSlotu) {
            for (let i = 0;  i < data.dny.length;  i++) {
                for (let slot = 0;  slot < kapacity.data.sloty.length;  slot++) {
                    if (!data.dny[i].sloty[slot]  ||  data.dny[i].sloty[slot].casOd != data.sloty[slot].casOd  ||  data.dny[i].sloty[slot].casDo != data.sloty[slot].casDo) {
                        data.dny[i].sloty.splice(slot, 0, null);
                    }
                }
            }
        }
        for (let i = 0;  i < data.pocetRadkuNaOsobu;  i++) {
            let novyRadek = new kapacity.RadekPaticky();

            novyRadek.slot = i;
            novyRadek.nadpis = data.sloty[i]
                ? data.sloty[i].casOdStr + ' - ' + data.sloty[i].casDoStr
                : '';
            kapacity.data.radkyPaticky.push(novyRadek);

            for (let j = 0;  j < data.dny.length;  j++) {
                novyRadek.data.push(null);
            }
        }
    }


    zpracujDny();       // Musi se volat jako prvni! Nastavuje DatumOd a DatumDo!

    if (kapacity.planovaniPoSlotech) {
        zpracujSloty(); // Priradi ke dnum seznam slotu
    }

    zpracujSmeny();         // Doplni delky smen atd.
    zpracujSeznamOperaci(); // Vytvori asociativni seznam absenci (podle kodu)
    zpracujKalendare();     // Priradi kalendarum povolene smeny
    zpracujOsoby();

    if (kapacity.data.rezimUprav  &&   kapacity.data.zpusobSchvalovani  &&  data.minSchvaleniProUpravy) {
        if (!data.schvaleni  ||  !data.schvaleni.schvaleniPuvodnihoPlanu  ||  data.schvaleni.schvaleniPuvodnihoPlanu < kapacity.data.datumDo) {
            setTimeout(function() {
                ron.showMessage(ron._("Puvodni_plan_neni_schvalen_do_konce"));
            }, 300);
        }
    }
};





$.extend( kapacity, {
    $tableTopHeader: null,
    getKontrolyHtml: function(kontroly, indexOsoby) {
        if (!kontroly) {
            return "";
        }

        let kontrolyStr = "";

        for (let i = 0;  i < kontroly.length;  i++) {
            if (kontrolyStr === "") {
                kontrolyStr = "<div class='planovani_kontroly'>";
            }
            kontrolyStr +=
                "<span class='inline-glyph fa planovani_kontrola_priznak kontrola_" + kontroly[i].kategorie +
                (kontroly[i].cssClass ? " " + kontroly[i].cssClass : "") +
                "'";

            kontrolyStr +=
                (indexOsoby > 0 ? " data-index-osoby='" + indexOsoby + "'" : "") +
                " title='" + ron.utils.htmlTextConvert(kontroly[i].popis) +
                (kontroly[i].poznamka ? "\n" + ron.utils.htmlTextConvert(kontroly[i].poznamka) : "") +
                "'";

            kontrolyStr += "></span>";
        }

        if (kontrolyStr !== "") {
            kontrolyStr += "</div>";
        }

        return kontrolyStr;
    },


    setDayHeaderHtml: function(index) {
        let
            text = kapacity.data.dny[index].nazev + "<br/>" + kapacity.data.dny[index].datum.getDate(),
            kontrolyHtml = kapacity.getKontrolyHtml(kapacity.data.dny[index].kontroly),
            schvaleniHtml = "";

        if (kapacity.data.schvaleni) {
            if (kapacity.data.schvaleni.schvaleni3 >= kapacity.data.dny[index].datum) {
                schvaleniHtml = "<div class='planovani_schvaleni schvaleni3'></div>";
            } else if (kapacity.data.schvaleni.schvaleni2 >= kapacity.data.dny[index].datum) {
                schvaleniHtml = "<div class='planovani_schvaleni schvaleni2'></div>";
            } else if (kapacity.data.schvaleni.schvaleni1 >= kapacity.data.dny[index].datum) {
                schvaleniHtml = "<div class='planovani_schvaleni schvaleni1'></div>";
            } else if (kapacity.data.rezimUprav && kapacity.data.schvaleni.schvaleniPuvodnihoPlanu >= kapacity.data.dny[index].datum) {
                schvaleniHtml = "<div class='planovani_schvaleni planovani_schvaleni_puvodni'></div>";
            }
        }

        kapacity.data.dny[index].$cellHeader.html(text + schvaleniHtml + kontrolyHtml);
    },


    setAllDayHeadersHtml: function(index) {

        for (let sloupec = 0;  sloupec < kapacity.data.dny.length;  sloupec++) {
            kapacity.setDayHeaderHtml(sloupec);
        }

        console.log(kapacity.data.schvaleni);
    },

    doplnPoznamkyKeDni: function(data) {
        if (!data  ||  !data.poznamkyKeDni) {
            return false;
        }

        if (!this.$tableTopHeader) {
            console.log("Chyba v doplnPoznamkyKeDni: jeste neni vytvorena tabulka se zahlavim");
        }

        var zobrazeno = []; // priznak, jestli uz je poznamka zobrazena
        var rows = []; // { $row, sloupecDo }

        for (var i = 0;  i < data.poznamkyKeDni.length;  i++) {
            data.poznamkyKeDni[i].datumOd = ron.utils.stringToDate(data.poznamkyKeDni[i].datumOd);
            data.poznamkyKeDni[i].datumDo = ron.utils.stringToDate(data.poznamkyKeDni[i].datumDo);

            var sloupecOd = data.poznamkyKeDni[i].datumOd > kapacity.data.dny[0].datum
                ? kapacity.sloupecProDatum(data.poznamkyKeDni[i].datumOd)
                : 0;

            var sloupecDo = sloupecOd;
            if (data.poznamkyKeDni[i].datumDo >= kapacity.data.dny[kapacity.data.dny.length - 1].datum) {
                sloupecDo = kapacity.data.dny.length - 1;
            } else if (data.poznamkyKeDni[i].datumOd != data.poznamkyKeDni[i].datumDo) {
                sloupecDo = kapacity.sloupecProDatum(data.poznamkyKeDni[i].datumDo);
            }
            var radek = null;
            for (var r = 0;  radek === null  &&  r < rows.length;  r++) {
                if (rows[r].sloupecDo < sloupecOd) {
                    radek = r;
                }
            }

            var posledniSloupec = 0;

            if (radek !== null) {
                posledniSloupec = rows[radek].sloupecDo + 1;
                var $row = rows[radek].$row;
                rows[radek].sloupecDo = sloupecDo;
            } else {
                $row = $("<tr/>").appendTo(this.$tableTopHeader);
                rows.push({$row: $row, sloupecDo: sloupecDo});
            }

            for (var s = posledniSloupec;  s < sloupecOd;  s++) {
                $("<th/>").appendTo($row);
            }

            var $th = $("<th/>");
            $th
                .addClass("poznamka-ke-dni")
                .text(data.poznamkyKeDni[i].text)
                .attr("title", data.poznamkyKeDni[i].text + "\n" + data.poznamkyKeDni[i].poznamka)
                .appendTo($row);
            if (sloupecDo > sloupecOd) {
                $th.attr("colspan", sloupecDo - sloupecOd + 1);
            }
            if (data.poznamkyKeDni[i].barva) {
                $th.css("background-color", data.poznamkyKeDni[i].barva);
            }
        }
        for (r = 0; r < rows.length; r++) {
            for (s = rows[r].sloupecDo + 1;  s < kapacity.data.dny.length;  s++) {
                $("<th/>").appendTo(rows[r].$row);
            }
        }
    }
});
kapacity.jeBunkaEditovatelna = function (indexOsoby, sloupec, smazaniRozdeleni) {
    if (indexOsoby < 0  ||  sloupec < 0) {
        return false;
    }

    let datum = kapacity.data.dny[sloupec].datum;
    if (datum < kapacity.data.osoby[indexOsoby].datumNastupu) {
        return false;
    }

    if (kapacity.data.osoby[indexOsoby].datumUkonceni) {
        if (datum > kapacity.data.osoby[indexOsoby].datumUkonceni) {
            return false;
        }
    }
    if (kapacity.data.osoby[indexOsoby].cizi) {
        return kapacity.data.rozdeleni
            && kapacity.data.rozdeleni === kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni
            && kapacity.data.lzeEditovatCizi;
    }

    if (!kapacity.data.osoby[indexOsoby].lzeEditovat  &&  !kapacity.data.osoby[indexOsoby].lzePlanovatAbsence) {
        return false;
    }
    if (smazaniRozdeleni) {
        if (kapacity.data.osoby[indexOsoby].cizi) return false;
    } else {
        if (kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni
            && kapacity.data.osoby[indexOsoby].Data[sloupec].rozdeleni !== kapacity.data.rozdeleni) {
            return false;
        }
    }

    return true;
};
kapacity.lzeEditovatBunka = function (indexOsoby, sloupec, smazaniRozdeleni) {
    if (kapacity.data.uzavreno) {
        return false;
    }

    if (kapacity.data.editovatAzPoSchvaleniPoctu) {
        if (!kapacity.data.schvaleniPozadavkuDo) {
            return false;
        }

        if (kapacity.data.schvaleniPozadavkuDo < kapacity.data.dny[sloupec].datum) {
            return false;
        }
    }
    if (!kapacity.data.osoby[indexOsoby].Data[sloupec].lzePlanovatPoSchvaleni) {
        if (kapacity.data.lzeEditovatSchvalene) {
            if (kapacity.data.osoby[indexOsoby].Data[sloupec].schvaleni > 0
                && kapacity.data.osoby[indexOsoby].Data[sloupec].schvaleni >= kapacity.data.osoby[indexOsoby].maxUrovenSchvaleni) {
                return false;
            }
            if (kapacity.data.dny[sloupec].schvaleni > 0
                && kapacity.data.dny[sloupec].schvaleni >= kapacity.data.maxUrovenSchvaleni) {
                return false;
            }
        } else {
            if (kapacity.data.osoby[indexOsoby].Data[sloupec].schvaleni > 0) {
                return false;
            }
            if (kapacity.data.dny[sloupec].schvaleni > 0) {
                return false;
            }
        }
    }

    if (kapacity.data.rezimUprav  &&  kapacity.data.minSchvaleniProUpravy) {
        if (kapacity.data.zpusobSchvalovani) {
            if (!kapacity.data.dny[sloupec].puvodniPlanSchvalen) {
                return false;
            }
        } else {
            if (!kapacity.data.osoby[indexOsoby].Data[sloupec].puvodniPlanSchvalen) {
                return false;
            }
        }
    }

    return kapacity.jeBunkaEditovatelna(indexOsoby, sloupec, smazaniRozdeleni);
};

kapacity = kapacity || {};

(function($) {
    function DetailData() {
        this.den = "";
        this.idPP = 0;
        this.csrfkey = "";
        this.planovanaSmena = null;
        this.planovaneAbsence = [];
        this.poznamkaDochazky = "";
        this.dokumenty = [];
        this.pravoVkladatDokumenty = false;
        this.result = "";
    }
    let
        aktualniIndexOsoby = null,
        detailData = null,
        aktualniIndexAbsence = -1,
        lzeEditovat = false,
        provestRefresh = false,
        probihaPrepocetDelky = false,
        afterPrepocetDelkyFunc = null;  // funkce, ktera se ma zavolat po dokonceni prepoctu delky
    function spocitejDelkuSmeny() {
        let kodSmeny = $("#detail_kodsmeny").val();

        let smena = kapacity.vratSmenuPodleKodu(kodSmeny);
        if (!smena || !smena.prepocitatDelku) {
            return;
        }

        probihaPrepocetDelky = true;
        kapacity.zjistiDelkuSmeny(
            kodSmeny, // hodnota v selectu
            detailData.den,
            $("#planovani_detail_smena_pocatek").val(),
            $("#planovani_detail_smena_konec").val(),
            detailData.planovanaSmena.delena ? $("#planovani_detail_smena_preruseniOd").val() : null,
            detailData.planovanaSmena.delena ? $("#planovani_detail_smena_preruseniDo").val() : null,

            function (delkaStr) {
                probihaPrepocetDelky = false;
                if (delkaStr) {
                    $("#planovani_detail_smena_delka").val(delkaStr);
                }
                if (afterPrepocetDelkyFunc) {
                    afterPrepocetDelkyFunc();
                    afterPrepocetDelkyFunc = null;
                }
            }
        );
    }
    function spocitejKonecSmeny() {
        let kodSmeny = $("#detail_kodsmeny").val();

        let smena = kapacity.vratSmenuPodleKodu(kodSmeny);
        if (!smena || !smena.prepocitatDelku) {
            return;
        }

        probihaPrepocetDelky = true;

        kapacity.zjistiKonecSmeny(
            kodSmeny,
            detailData.den,
            $("#planovani_detail_smena_pocatek").val(),
            $("#planovani_detail_smena_delka").val(),

            function (konecStr) {
                probihaPrepocetDelky = false;
                if (konecStr) {
                    $("#planovani_detail_smena_konec").val(konecStr);
                }
                if (afterPrepocetDelkyFunc) {
                    afterPrepocetDelkyFunc();
                    afterPrepocetDelkyFunc = null;
                }
            }
        );
    }
    function delkaAbsenceChange() {
        let delka = $("#detail_delkaabsence").val();

        $("#planovani_detail_casyabsence")
            .css("display", (delka == "3") ? "inline-block" : "none"); // zobrazuje se jen pro volbu cas od-do

        $("#planovani_detail_kontinualniod, #planovani_detail_kontinualnido")
            .css("display", (delka == "4") ? "inline" : "none"); // zobrazuje se jen pro volbu "kontinualni"
    }


    function rozdeleni2Change(index, options) {
        $("#detail_popisrozdeleni2").val(index === null ? "" : options.items[index].popis);
        $("#detail_kodrozdeleni2").val(index === null ? "" : options.items[index].kod);
    }

    let
        seznamRozdeleni2 = null,
        selectPopisRozdeleni2 = null,
        selectKodRozdeleni2 = null;
    function nactiRozdeleni2(idPP, datumStr) {
        if (!kapacity.headerData.povolitZmenuRozdeleni2) {
            return;
        }

        if (seznamRozdeleni2  &&  !kapacity.headerData.vyberRozdeleni2) {
            return;
        }

        $.ajax("?menuid=kapacityjs&action=seznamrozdeleni2&idpp=" + idPP + "&datum=" + datumStr)
            .done( function(resultData) {
                if (resultData.result === 'error') {
                    ron.showError(resultData);
                    return;
                }

                seznamRozdeleni2 = resultData.rozdeleni2;

                if (selectPopisRozdeleni2) {
                    selectPopisRozdeleni2
                        .setItems(seznamRozdeleni2)
                        .value((detailData && detailData.planovanaSmena) ? detailData.planovanaSmena.rozdeleni2 : null);
                } else {
                    let $popisRozdeleni2 = $("#detail_popisrozdeleni2");
                    $popisRozdeleni2.ronselect({
                        items: seznamRozdeleni2,
                        columns: ["popis", "kod"],
                        textColumn: "popis",
                        valueColumn: "kod",
                        initialValue: (detailData && detailData.planovanaSmena) ? detailData.planovanaSmena.rozdeleni2 : null,
                        onChange: rozdeleni2Change
                    });

                    selectPopisRozdeleni2 = $popisRozdeleni2.ronselect("instance");
                }

                let kodOptions = ron.utils.copyArray(seznamRozdeleni2);
                kodOptions.sort( function(item1, item2) {
                    return item1.kod.localeCompare(item2.kod);
                } );


                let $kod = $("#detail_kodrozdeleni2");

                if (selectKodRozdeleni2) {
                    selectKodRozdeleni2
                        .setItems(kodOptions)
                        .value((detailData && detailData.planovanaSmena) ? detailData.planovanaSmena.rozdeleni2 : null);
                } else {
                    $kod.ronselect({
                        items: kodOptions,
                        columns: ["kod", "popis"],
                        textColumn: "kod",
                        initialValue: (detailData && detailData.planovanaSmena) ? detailData.planovanaSmena.rozdeleni2 : null,
                        dropDownAlign: "right",
                        onChange: rozdeleni2Change
                    });

                    selectKodRozdeleni2 = $kod.ronselect("instance");
                }
            })
            .fail(ron.ajaxErrorFunction("Pri nacitani seznamu rozdeleni 2 doslo k chybe!"));
    }
    function nastavDetail_Absence(lzeEditovat, indexAbsence) {
        let
            absence = null,
            kodAbsence = "",
            jeAbsence = indexAbsence >= 0 && indexAbsence < detailData.planovaneAbsence.length,
            debugStr = "";

        if (jeAbsence) {
            if (!detailData.planovaneAbsence[indexAbsence].lzeEditovat) {
                lzeEditovat = false;
            }
            kodAbsence = detailData.planovaneAbsence[indexAbsence].kod;
            absence = kapacity.vratAbsenciPodleKodu(kodAbsence);
            $("#planovani_detail_absenceod")
                .val(detailData.planovaneAbsence[indexAbsence].datumOdStr)
                .removeClass("error");
            $("#planovani_detail_absencedo")
                .val(detailData.planovaneAbsence[indexAbsence].datumDoStr)
                .removeClass("error");
            $("#detail_delkaabsence")
                .val(detailData.planovaneAbsence[indexAbsence].delka);
            $("#planovani_detail_absencieditoval").text(
                (detailData.planovaneAbsence[indexAbsence].update_username ? detailData.planovaneAbsence[indexAbsence].update_username : '') +
                (detailData.planovaneAbsence[indexAbsence].update_timestamp
                    ? ' (' + detailData.planovaneAbsence[indexAbsence].update_timestamp + ')'
                    : '')
            );
            $("#planovani_detail_absencivlozil").text(
                (detailData.planovaneAbsence[indexAbsence].insert_username ? detailData.planovaneAbsence[indexAbsence].insert_username : '') +
                (detailData.planovaneAbsence[indexAbsence].insert_timestamp
                    ? ' (' + detailData.planovaneAbsence[indexAbsence].insert_timestamp + ')'
                    : '')
            );

            $("#planovani_detail_casabsenceod, #planovani_detail_kontinualniod")
                .val(detailData.planovaneAbsence[indexAbsence].casOdStr);

            $("#planovani_detail_casabsencedo, #planovani_detail_kontinualnido")
                .val(detailData.planovaneAbsence[indexAbsence].casDoStr);

            $("#planovani_rozdeleni_absence").text(
                detailData.planovaneAbsence[indexAbsence].rozdeleni ?
                    detailData.planovaneAbsence[indexAbsence].popisRozdeleni +
                    " (" + detailData.planovaneAbsence[indexAbsence].rozdeleni + ") " : ''
            );

            $("#planovani_detail_poznamkaabsence")
                .val(detailData.planovaneAbsence[indexAbsence].poznamka || "");

            aktualniIndexAbsence = indexAbsence;
            if (kapacity.data.schvalovaniAbsenci) {
                $("#planovani_detail_schvaleni")
                    .css("display", detailData.planovaneAbsence[indexAbsence].autoSchvalovat ? "none" : "inline");

                $("#planovani_detail_absencischvalil").text(
                    detailData.planovaneAbsence[indexAbsence].schvalil
                        ? detailData.planovaneAbsence[indexAbsence].schvalil + ' (' + detailData.planovaneAbsence[indexAbsence].datumSchvaleni + ')'
                        : ''
                );
            }

            debugStr = ron.debugMode
                ? ' <span class="debugmsg" style="display:inline">poradi = ' + detailData.planovaneAbsence[indexAbsence].poradi +
                ( kapacity.data.schvalovaniAbsenci ? ', autoSchvalovat = ' + detailData.planovaneAbsence[indexAbsence].autoSchvalovat : '' ) +
                '</span>'
                : '';
        }
        else {
            $("#planovani_detail_absenceod")
                .val("")
                .removeClass("error");
            $("#planovani_detail_absencedo")
                .val("")
                .removeClass("error");

            $("#detail_delkaabsence")
                .val("");
            $("#planovani_detail_absencieditoval")
                .html("");
            $("#planovani_detail_poznamkaabsence")
                .val("");

            if (kapacity.data.schvalovaniAbsenci) {
                $("#planovani_detail_schvaleni")
                    .css("display", "none");
            }

            aktualniIndexAbsence = -1;
        }

        delkaAbsenceChange();

        $("#planovani_detail_popisabsence")
            .text(absence ? absence.popis + ' (' + absence.kod + ')' : "");

        if (debugStr !== "") {
            $("#planovani_detail_popisabsence")
                .append(debugStr);
        }

        $("#planovani_detail_poznamkaabsence, #planovani_detail_absenceod, #planovani_detail_absencedo")
            .attr("readonly", !(lzeEditovat && jeAbsence));

        $("#planovani_detail_kalendarod, #planovani_detail_kalendardo")
            .css("display", (lzeEditovat && jeAbsence) ? 'inline' : 'none');
        $("#detail_delkaabsence")
            .attr("disabled", !(lzeEditovat && jeAbsence));
    }


    function zobrazDetailAbsence(sender, lzeEditovat, index) {
        if (storeAbsence(aktualniIndexAbsence)) {
            nastavDetail_Absence(lzeEditovat, index);

            $('#planovani_detail_seznamabsenci')
                .children('div')
                    .removeClass('planovani_detail_vybrana_absence');

            $(sender)
                .addClass('planovani_detail_vybrana_absence');
        }
    }


    function onAbsenceClick() {
        let $this = $(this);
        zobrazDetailAbsence(this, lzeEditovat, $this.data("index-absence"));
    }
    function storeAbsence(index) {
        if (index < 0 || index >= detailData.planovaneAbsence.length) {
            return true;
        }
        let
            elementOd = $("#planovani_detail_absenceod"),
            newDatum = ron.utils.stringToDate(elementOd.val());

        if (!newDatum) {
            elementOd.addClass("error");
            ron.showError( ron._("Bad_date_format"));
            elementOd.focus();
            return false;
        } else {
            elementOd.removeClass("error");
        }

        if (elementOd.val() !== detailData.planovaneAbsence[index].datumOdStr) {
            detailData.planovaneAbsence[index].datumOdStr = elementOd.val();
            detailData.planovaneAbsence[index].jeZmena = true;
        }
        let elementDo = $("#planovani_detail_absencedo");
        newDatum = ron.utils.stringToDate(elementDo.val());

        if (!newDatum) {
            elementDo.addClass("error");
            ron.showError(ron._("Bad_date_format"));
            elementDo.focus();
            return false;
        } else {
            elementDo.removeClass("error");
        }

        if (elementDo.val() !== detailData.planovaneAbsence[index].datumDoStr) {
            detailData.planovaneAbsence[index].datumDoStr = elementDo.val();
            detailData.planovaneAbsence[index].jeZmena = true;
        }
        let delka = $("#detail_delkaabsence").val();
        if (delka !== detailData.planovaneAbsence[index].delka) {
            detailData.planovaneAbsence[index].delka = delka;
            detailData.planovaneAbsence[index].jeZmena = true;
        }
        let
            id_casod,
            id_casdo;

        if (delka === "3") {
            id_casod = "#planovani_detail_casabsenceod";
            id_casdo = "#planovani_detail_casabsencedo";
        }
        else if (delka === "4") {
            id_casod = "#planovani_detail_kontinualniod";
            id_casdo = "#planovani_detail_kontinualnido";
        }

        if (id_casod && id_casdo) {
            let casod = $(id_casod).val();
            if (casod === '') {
                ron.showError(ron._("Neni_pocatecni_cas_absence"));
                $(id_casod).focus();
                return false;
            }
            if (casod !== detailData.planovaneAbsence[index].casOdStr) {
                detailData.planovaneAbsence[index].casOdStr = casod;
                detailData.planovaneAbsence[index].jeZmena = true;
            }


            let casdo = $(id_casdo).val();
            if (casdo === '') {
                ron.showError(ron._("Neni_koncovy_cas_absence"));
                $(id_casdo).focus();
                return false;
            }
            if (casdo !== detailData.planovaneAbsence[index].casDoStr) {
                detailData.planovaneAbsence[index].casDoStr = casdo;
                detailData.planovaneAbsence[index].jeZmena = true;
            }
        }
        let poznamka = $("#planovani_detail_poznamkaabsence").val();
        if (poznamka !== detailData.planovaneAbsence[index].poznamka) {
            detailData.planovaneAbsence[index].poznamka = poznamka;
            detailData.planovaneAbsence[index].jeZmena = true;
        }

        return true;
    }
    let files = null; // Seznam souboru pro upload. Muze byt null (v tom pripade se pouziva standardni input)

    function onVlozitDokumentClick() {
        $("#planovani_detail_soubory").css("display", "none");
        $("#planovani_detail_dokument").css("display", "");
        $("#planovani_detail_upload").removeClass("d-none");

        files = null;

        return false;
    }
    function onDokumentDrop($e) {
        let
            dt = $e.originalEvent.dataTransfer,
            $this = $(this),
            text = "";

        for (let i = 0;  i < dt.files.length;  i++) {
            text +=
                (text ? ", " : "") +
                dt.files[i].name;
        }

        files = dt.files;

        $("#planovani_detail_soubory")
            .css("display", "")
            .text(text);
        $("#planovani_detail_dokument").css("display", "none");

        $("#planovani_detail_upload").removeClass("d-none");

        return false;
    }


    function hideUploadControls() {
        $("#planovani_detail_upload").addClass("d-none");
        $("#planovani_detail_dokument").val("");
        $("#planovani_detail_popis_dokumentu").val("");
        files = null;
    }
    function onDokumentStorno() {
        hideUploadControls();
    }


    function nastavDetail_Dokumenty(lzeEditovat) {
        let $element = $("#planovani_detail_seznamdokumentu");
        $element.empty();

        $("#planovani_detail_vlozit_dokument")
            .css("display", lzeEditovat && detailData.pravoVkladatDokumenty ? "" : "none");

        let $table = $("<table/>").appendTo($element);

        for (let i = 0; i < detailData.dokumenty.length; i++) {
            $("<tr/>")
                .appendTo($table)
                .append(
                $("<td/>").text(detailData.dokumenty[i].popis + " ")
            )
                .append(
                $("<td/>")
                    .append(
                    $("<a/>")
                        .attr("href", "?menuid=editace&action=download&idpp=" + detailData.dokumenty[i].idPP + "&obdobi=" + (kapacity.pocatekObdobiStr()) + "&record=" + detailData.dokumenty[i].id)
                        .attr("target", "_blank")
                        .text(detailData.dokumenty[i].jmenoSouboru)
                )
            )
                .append(
                $("<td>")
                    .append(
                    $("<i/>")
                        .attr("title", ron.translate("Odstranit_dokument"))
                        .attr("class", "clickLink deleteImageButton inline-glyph glyph-button fa glyph-delete")
                        .data("ron-id", detailData.dokumenty[i].id)
                )
            );
        }
    }


    function refreshDokumenty() {
        $.ajax("?menuid=kapacityjs&action=refreshdokumenty&idpp=" + detailData.idPP + "&datum=" + detailData.den
        ).done(function (data) {
                detailData.dokumenty = data.dokumenty;
                ron.showError(data);
                nastavDetail_Dokumenty(lzeEditovat);
            }).fail(ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!"));

    }
    function uploadingFinished() {
        hideUploadControls();
        refreshDokumenty();
        files = null;
    }


    function handleUploadFiles(files) {
        let i = 0;

        function uploadNextFile() {
            if (i >= files.length) {
                uploadingFinished();
                return;
            }

            let
                fileReader = new FileReader(),
                file = files[i];

            fileReader.onload = ( function(e) {
                let form = new FormData();

                form.append("idpp", detailData.idPP);
                form.append("den", detailData.den);
                form.append("popis", $("#planovani_detail_popis_dokumentu").val());
                form.append("typDokumentu", $("#planovani_detail_typ_dokumentu").val());
                form.append("upload_file", file);
                form.append("csrfkey", detailData.csrfkey);

                $.ajax(
                    {
                        url: "?menuid=kapacityjs&action=upload",
                        type: "POST",
                        data: form,
                        cache: false,
                        dataType: 'json',
                        processData: false,
                        contentType: false
                    })
                    .done( function(data) {
                        if (data.result === "OK") {
                            uploadNextFile();
                        } else {
                            ron.showError(data);
                        }
                    }).fail( function(jqXHR) {
                        ron.logAjaxError(jqXHR, "Pri nahravani souboru doslo k chybe!");
                    });
            });

            fileReader.readAsBinaryString(files[i]);
            i++;
        }

        uploadNextFile();
    }


    function onDokumentOk() {
        let $popis = $("#planovani_detail_popis_dokumentu");

        if ($popis.val() === "") {
            ron.showError( ron.translate("Neni_zadan_popis_dokumentu") );
            $popis.focus();
            return false;
        }

        if (files) {
            handleUploadFiles(files);
        } else {
            let $fileInput = $("#planovani_detail_dokument");
            if ($fileInput.val() === "") {
                ron.showError(ron.translate("Neni_zadan_soubor"));
                return false;
            }
            handleUploadFiles($fileInput.prop("files"));
        }

        provestRefresh = true;
    }
    function onDeleteDokument() {
        let $this = $(this);

        ron.confirm( ron.translate("Opravdu_odstranit_dokument"), function() {
            let idDokumentu = $this.data("ron-id");

            $.ajax({
                url: "?menuid=kapacityjs&action=deletedokument",
                method: "POST",
                data: {
                    id: idDokumentu,
                    den: detailData.den,
                    idpp: detailData.idPP,
                    csrfkey: detailData.csrfkey
                }
            })
                .done( function(data) {
                    if (data.result === "OK") {
                        refreshDokumenty();
                    } else {
                        ron.showError(data);
                    }
                }).fail( function(jqXHR) {
                    ron.logAjaxError(jqXHR, "Pri nahravani souboru doslo k chybe!");
                });

            provestRefresh = true;
        });
    }
    function zobrazInfoSmeny(aktualniSmena) {
        if (aktualniSmena === undefined) {
            let kodSmeny = $("#detail_kodsmeny").val();
            if (kodSmeny != "") {
                aktualniSmena = kapacity.vratSmenuPodleKodu(kodSmeny);
            }
        }
        if (detailData.planovanaSmena && detailData.planovanaSmena.variabilni && lzeEditovat) {
            $("#planovani_detail_smena_pocatek")
                .val(detailData.planovanaSmena.pocatek ? detailData.planovanaSmena.pocatek : '')
                .css("display", "inline");

            $("#planovani_detail_smena_pocatek_text").css("display", "none");

            $("#planovani_detail_smena_konec")
                .val(detailData.planovanaSmena.konec ? detailData.planovanaSmena.konec : '')
                .css("display", "inline");

            $("#planovani_detail_smena_konec_text").css("display", "none");

            $("#planovani_detail_smena_delka")
                .val(detailData.planovanaSmena.delka ? detailData.planovanaSmena.delka : '')
                .css("display", "inline");

            $("#planovani_detail_smena_delka_text").css("display", "none");
        }
        else {
            let pocatek = detailData.planovanaSmena.variabilni
                ? detailData.planovanaSmena.pocatek
                : (aktualniSmena ? aktualniSmena.pocatekStr : '');

            $("#planovani_detail_smena_pocatek_text")
                .text(pocatek) // detailData.planovanaSmena.pocatek ? detailData.planovanaSmena.pocatek : '')
                .css("display", "inline");

            $("#planovani_detail_smena_pocatek").css("display", "none");

            let konec = detailData.planovanaSmena.variabilni
                ? detailData.planovanaSmena.konec
                : (aktualniSmena ? aktualniSmena.konecStr : '');

            $("#planovani_detail_smena_konec_text")
                .text(konec)
                .css("display", "inline");

            $("#planovani_detail_smena_konec").css("display", "none");

            let delka = detailData.planovanaSmena.variabilni
                ? detailData.planovanaSmena.delka
                : (aktualniSmena ? aktualniSmena.delkaStr : '');

            $("#planovani_detail_smena_delka_text")
                .text(delka)
                .css("display", "inline");

            $("#planovani_detail_smena_delka").css("display", "none");
        }

        if (detailData.planovanaSmena.delena) {
            $("#delena_smena").css("display", "inline");
            $("#planovani_detail_smena_preruseniOd")
                .val(detailData.planovanaSmena.preruseniOd ? detailData.planovanaSmena.preruseniOd : "");
            $("#planovani_detail_smena_preruseniDo")
                .val(detailData.planovanaSmena.preruseniDo ? detailData.planovanaSmena.preruseniDo : "");
        } else {
            $("#delena_smena").css("display", "none");
        }
    }
    function nastavNovouSmenu(kod) {
        let novaSmena = kapacity.vratSmenuPodleKodu(kod);

        if (novaSmena) {
            detailData.planovanaSmena.variabilni = novaSmena.variabilni;
            detailData.planovanaSmena.delena = novaSmena.delena;

            if (novaSmena.variabilni) {
                detailData.planovanaSmena.pocatek = novaSmena.pocatekStr;
                detailData.planovanaSmena.konec = novaSmena.konecStr;
                detailData.planovanaSmena.delka = novaSmena.delkaStr;
            }

            if (novaSmena.delena) {
                detailData.planovanaSmena.preruseniOd = novaSmena.preruseniOdStr;
                detailData.planovanaSmena.preruseniDo = novaSmena.preruseniDoStr;
            }
        }

        zobrazInfoSmeny(novaSmena);
    }


    let
        onShowCallback = null;

    function onShowModal() {
        if (onShowCallback) {
            onShowCallback.call(this);
        }
    }
    kapacity.showDetail = function(indexOsoby, sloupec) {
        let
            idPP = null,
            kalendar;

        aktualniIndexOsoby = indexOsoby;
        aktualniIndexAbsence = -1;

        provestRefresh = false;
        function nastavDetail_Smena() {
            let
                kodSmeny = detailData.planovanaSmena.kod,
                smeny = kapacity.data.vyberSmen === 3
                    ? kapacity.data.smeny
                    : (kalendar ? kalendar.povoleneSmeny : null),
                aktualniSmena = null;

            $("#planovani_detail_kalendar").text( kalendar ? kalendar.kod : "");
            $("#planovani_detail_body_smena").attr("class", "");

            if (smeny && lzeEditovat) {
                let
                    emptyItem = {kod: "", popis: "", zkratka: ""},
                    itemsKod = [emptyItem],
                    itemsPopis = [emptyItem],
                    datum = ron.utils.stringToDate(detailData.den).getTime();
                for (let i = 0; i < smeny.length; i++) {
                    if (smeny[i].datum == null || smeny[i].datum.getTime() === datum) {
                        let
                            smena = kapacity.vratSmenuPodleKodu(smeny[i].kod),
                            newItem = {
                                kod: smeny[i].kod,
                                popis: smena ? smena.popis : smeny[i].kod,
                                zkratka: smena ? smena.zkratka : smeny[i].kod
                            };

                        itemsKod.push(newItem);
                        itemsPopis.push(newItem);

                        if (kodSmeny === smeny[i].kod) {
                            aktualniSmena = smena;
                        }
                    }
                }

                itemsKod.sort( function(item1, item2) {
                    return item1.kod.localeCompare(item2.kod);
                } );

                $("#detail_kodsmeny")
                    .removeAttr("readonly")
                    .ronselect("setItems", itemsKod)
                    .ronselect("value", aktualniSmena ? aktualniSmena.kod : null);

                itemsPopis.sort( function(item1, item2) {
                    return item1.popis.localeCompare(item2.popis);
                } );

                $("#detail_popissmeny")
                    .removeAttr("readonly")
                    .ronselect("setItems", itemsPopis)
                    .ronselect("value", aktualniSmena ? aktualniSmena.kod : null);
            }
            else if (smeny || kodSmeny) {

                aktualniSmena = kodSmeny
                    ? kapacity.vratSmenuPodleKodu(kodSmeny)
                    : null;

                let items = [{
                    kod: kodSmeny,
                    popis: aktualniSmena ? aktualniSmena.popis : kodSmeny,
                    zkratka: aktualniSmena ? aktualniSmena.zkratka : ""
                }];

                $("#detail_kodsmeny")
                    .attr("readonly", "readonly")
                    .ronselect("setItems", items)
                    .ronselect("value", kodSmeny);

                $("#detail_popissmeny")
                    .attr("readonly", "readonly")
                    .ronselect("setItems", items)
                    .ronselect("value", kodSmeny);
            }
            else {
                $("#planovani_detail_body_smena").attr("class", "planovani_detail_skrytasmena");
            }

            zobrazInfoSmeny(aktualniSmena);

            if (selectKodRozdeleni2) {
                selectKodRozdeleni2.value(detailData.planovanaSmena.rozdeleni2 ?? '');
                selectPopisRozdeleni2.value(detailData.planovanaSmena.rozdeleni2 ?? '');
            }

            $("#planovani_detail_editoval").text(detailData.planovanaSmena.update_username ?
            detailData.planovanaSmena.update_username + ' (' + detailData.planovanaSmena.update_timestamp + ')' :
                '');
            let noveRozdeleni = detailData.planovanaSmena.rozdeleni
                ? kapacity.rozdeleniPodleKodu(detailData.planovanaSmena.rozdeleni)
                : null;

            if (noveRozdeleni) {
                $("#planovani_detail_rozdeleni")
                    .text(noveRozdeleni.kod + " - " + noveRozdeleni.popis);
            } else {
                $("#planovani_detail_rozdeleni")
                    .text("");
            }

            if (kapacity.data.povolitRezimUprav) {
                if (kapacity.data.rezimUprav) {
                    let smena2 = detailData.planovanaSmena.kod2
                        ? kapacity.vratSmenuPodleKodu(detailData.planovanaSmena.kod2)
                        : null;

                    $("#planovani_detail_puvodnismenarow")
                        .css("display", "table-row");

                    let text = smena2
                        ? smena2.popis + " (" + smena2.kod + ")"
                        : "";

                    $("#planovani_detail_puvodnismena")
                        .text(text);
                } else {
                    $("#planovani_detail_puvodnismenarow")
                        .css("display", "none");
                }
            }
        }
        function nastavDetail_SeznamAbsenci(lzeEditovat) {
            let $element = $("#planovani_detail_seznamabsenci");
            $element.empty();

            for (let i = 0; i < detailData.planovaneAbsence.length; i++) {
                let absence = kapacity.vratAbsenciPodleKodu(detailData.planovaneAbsence[i].kod);

                if (absence) { // muze byt null napr. pri smazani v rezimu uprav
                    let $newDiv = $("<div/>")
                        .attr("class", "planovani_detail_seznam_absence" + (!i ? ' planovani_detail_vybrana_absence' : ''))
                        .attr("id", "planovani_detail_seznam_absence_" + i)
                        .text(absence.popis)
                        .appendTo($element);

                    if (detailData.planovaneAbsence[i].lzeEditovat || detailData.planovaneAbsence[i].lzeSmazat) {
                        $newDiv.append(
                            $("<span/>")
                                .css("float", "right")
                                .attr("class", "inline-glyph glyph-button fa glyph-delete button-smazat-absenci")
                                .data("index-absence", i)
                                .on("click",
                                function (index) {
                                    return function () {
                                        smazatAbsenci(index)
                                    }
                                }(i))
                        );
                    }

                    $newDiv.data("index-absence", i);
                }
            }
        }


        function showData() {
            nastavDetail_Smena(lzeEditovat);
            nastavDetail_SeznamAbsenci(lzeEditovat);
            nastavDetail_Absence(lzeEditovat, 0);
            nastavDetail_Dokumenty(lzeEditovat);
            $("#planovani_detail_poznamkadochazky")
                .val(detailData.poznamkaDochazky)
                .attr("readonly", !lzeEditovat);

            $("#planovani_detail_waitmessage").hide();

            if (detailData.planovanaSmena.variabilni) {
                $('#planovani_detail_smena_pocatek').focus();
            } else if (detailData.planovanaSmena.delena) {
                $("#planovani_detail_smena_preruseniOd").focus();
            } else {
                $('#planovani_detail_poznamkadochazky').focus();
            }

            hideUploadControls();
        }
        function initData(data) {
            for (let i = 0; i < data.planovaneAbsence.length; i++) {
                data.planovaneAbsence[i].datumOd_Puvodni = data.planovaneAbsence[i].datumOdStr;
            }
        }
        function loadData(radek, sloupec) {
            $("#planovani_detail_waitmessage").show();

            idPP = kapacity.data.osoby[radek].idPP;

            let datum = kapacity.data.dny[sloupec].datum;
            lzeEditovat = kapacity.lzeEditovatBunka(radek, sloupec);
            kalendar = kapacity.vratKalendarProBunku(radek, sloupec);

            $("#kapacity_detailcaption").html(
                kapacity.data.osoby[radek].jmenoPrijmeni +
                ', ' +
                kapacity.data.dny[sloupec].datumStr);

            let datumStr = ron.utils.dateToString(datum);
            nactiRozdeleni2(idPP, datumStr);

            $.ajax("?menuid=kapacityjs&action=nactidenplanovanikapacit&idpp=" + idPP +
                "&datum=" + datumStr + "&rezimuprav=" + (kapacity.data.rezimUprav ? "1" : "0"))
                .done(
                    function (data) {
                        detailData = data;
                        detailData.csrfkey = kapacity.data.osoby[radek].csrfkey;

                        ron.showError(data);
                        initData(data);
                        showData();
                    }
                )
                .fail(
                    ron.ajaxErrorFunction("Pri nacitani dat doslo k chybe!")
                );
        }


        function reloadData() {
            loadData(indexOsoby, sloupec);
        }
        function smazatAbsenci(index) {
            ron.confirm(ron._("Opravdu_smazat_udalost"), function() {
                $.ajax({
                    url: "?menuid=kapacityjs&action=smazabsenci",
                    type: "POST",
                    data: {
                        idpp: detailData.idPP,
                        datumod: detailData.planovaneAbsence[index].datumOdStr,
                        poradi: detailData.planovaneAbsence[index].poradi,
                        rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                        csrfkey: detailData.csrfkey
                    }
                }).done(function (data) {
                    if (data.result === "OK") {
                        reloadData();
                    } else {
                        ron.showError(data);
                    }
                }).fail(ron.ajaxErrorFunction("Pri mazani udalosti doslo k chybe!"));

                provestRefresh = true;
            });
        }
        function storeDataResult(data) {
            $("#detail_ok").attr("disabled", false);

            if (data.result === "error") {
                ron.showError(data);
            } else {
                $("#kapacity_detail").dialog("close");
                kapacity.refreshDataOsoby(indexOsoby);
                aktualniIndexOsoby = null;
            }
        }
        function storeData() {
            if ( !storeAbsence(aktualniIndexAbsence) ) {
                return false;
            }

            let dataObj = {
                idpp: detailData.idPP,
                datum: detailData.den,
                rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                rozdeleni: kapacity.data.rozdeleni,
                csrfkey: detailData.csrfkey
            };
            let poznamka = $("#planovani_detail_poznamkadochazky").val();
            if (poznamka != detailData.poznamkaDochazky) {
                dataObj.poznamkadochazky = poznamka;
            }
            let smenaElement = $("#detail_kodsmeny");
            if (smenaElement.length) {
                let
                    novaSmena = smenaElement.val(),
                    smena = kapacity.vratSmenuPodleKodu(novaSmena);

                dataObj.detail_kodsmeny = novaSmena;
                if (smena && smena.variabilni) {
                    dataObj.smena_pocatek = $("#planovani_detail_smena_pocatek").val();
                    dataObj.smena_konec = $("#planovani_detail_smena_konec").val();
                    dataObj.smena_delka = $("#planovani_detail_smena_delka").val();
                }

                if (smena && smena.delena) {
                    dataObj.smena_preruseniOd = $("#planovani_detail_smena_preruseniOd").val();
                    dataObj.smena_preruseniDo = $("#planovani_detail_smena_preruseniDo").val();
                }
            }
            let $rozdeleni2 = $("#detail_kodrozdeleni2");
            dataObj.rozdeleni2 = $rozdeleni2.val();
            let pocetAbsenci = 0;
            for (let indexAbsence = 0; indexAbsence < detailData.planovaneAbsence.length; indexAbsence++) {
                if (detailData.planovaneAbsence[indexAbsence].jeZmena) {
                    pocetAbsenci++;

                    dataObj["absence" + pocetAbsenci + "_poradi"] = detailData.planovaneAbsence[indexAbsence].poradi;
                    dataObj["absence" + pocetAbsenci + "_datumod_puvodni"] = detailData.planovaneAbsence[indexAbsence].datumOd_Puvodni;
                    dataObj["absence" + pocetAbsenci + "_datumod"] = detailData.planovaneAbsence[indexAbsence].datumOdStr;
                    dataObj["absence" + pocetAbsenci + "_datumdo"] = detailData.planovaneAbsence[indexAbsence].datumDoStr;
                    dataObj["absence" + pocetAbsenci + "_kod"] = detailData.planovaneAbsence[indexAbsence].kod;
                    dataObj["absence" + pocetAbsenci + "_delka"] = detailData.planovaneAbsence[indexAbsence].delka;
                    dataObj["absence" + pocetAbsenci + "_poznamka"] = detailData.planovaneAbsence[indexAbsence].poznamka;

                    if (detailData.planovaneAbsence[indexAbsence].delka == 3 || detailData.planovaneAbsence[indexAbsence].delka == 4) {
                        dataObj["absence" + pocetAbsenci + "_casod"] = detailData.planovaneAbsence[indexAbsence].casOdStr;
                        dataObj["absence" + pocetAbsenci + "_casdo"] = detailData.planovaneAbsence[indexAbsence].casDoStr;
                    }

                }
            }

            dataObj.pocetabsenci = pocetAbsenci;

            $.ajax({
                url: "?menuid=kapacityjs&action=zapisdenplanovanikapacit",
                type: "POST",
                data: dataObj
            })
                .done(storeDataResult)
                .fail(ron.ajaxErrorFunction("Pri odesilani dat doslo k chybe!"));
        }




        function okDetail() {
            if (kapacity.data.uzavreno  ||  !lzeEditovat) {
                $("#kapacity_detail").dialog("close");
                aktualniIndexOsoby = null;
                return;
            }

            $("#detail_ok").attr("disabled", true);

            if (probihaPrepocetDelky) {
                afterPrepocetDelkyFunc = storeData;
            } else {
                storeData();
            }
        }
        $("#detail_ok")
            .off("click")
            .on("click", okDetail)
            .attr("disabled", false);


        function onShow() {
            loadData(indexOsoby, sloupec);
        }

        onShowCallback = onShow; // pro bootstrap
        $("#kapacity_detail")
            .dialog({
                modal: true,
                resizable: true,
                width: "auto",
                dialogClass: "no-close dialog",
                title: kapacity.data.osoby[indexOsoby].jmenoPrijmeni + ', ' + kapacity.data.dny[sloupec].datumStr,
                open: onShow
            });
    };
    function stornoDetail() {
        $("#kapacity_detail").dialog("close");

        if (provestRefresh) {
            kapacity.refreshDataOsoby(aktualniIndexOsoby);
        }

        aktualniIndexOsoby = null;
    }


    $(function() {
        $("#kapacity_detail")
            .on("show.bs.modal", onShowModal);

        $("#detail_storno")
            .on("click", stornoDetail);

        $("#planovani_detail_smena_pocatek, #planovani_detail_smena_konec")
            .on("change", spocitejDelkuSmeny);

        $("#planovani_detail_smena_delka")
            .on("change", spocitejKonecSmeny);

        $("#detail_delkaabsence")
            .on("change", delkaAbsenceChange);
        $("#planovani_detail_body_dokumenty")
            .dndTarget()
            .on("drop", onDokumentDrop);

        $("#planovani_detail_vlozit_dokument").on("click", onVlozitDokumentClick);
        $("#planovani_detail_dokument_storno").on("click", onDokumentStorno);
        $("#planovani_detail_dokument_ok").on("click", onDokumentOk);
        $("#planovani_detail_seznamdokumentu").on("click", ".deleteImageButton", onDeleteDokument);

        $("#detail_popissmeny").ronselect({
            columns: ["popis", "zkratka", "kod"],
            textColumn: "popis",
            valueColumn: "kod",
            onItemActivate: function(index, options) {
                $("#detail_kodsmeny").ronselect("value", (index === null) ? null : options.items[index].kod);
                nastavNovouSmenu( (index === null) ? null : options.items[index].kod );
            }
        });

        $("#detail_kodsmeny").ronselect({
            dropDownAlign: "right",
            columns: ["kod", "zkratka", "popis"],
            textColumn: "kod",
            valueColumn: "kod",
            onItemActivate: function(index, options) {
                $("#detail_popissmeny").ronselect("value", (index === null) ? null : options.items[index].kod);
                nastavNovouSmenu( (index === null) ? null : options.items[index].kod );
            }
        });

        $("#planovani_detail_seznamabsenci")
            .on("click", ".planovani_detail_seznam_absence", onAbsenceClick);
    });
})(jQuery);

kapacity = kapacity || {};

$.extend(kapacity, {
    zjistiDelkuSmeny: function (kodSmeny, datum, pocatek, konec, preruseniOd, preruseniDo, callback, errorCallback) {
        let datumStr = (typeof datum == 'string')
            ? datum
            : ron.utils.dateToString(datum);

        $.ajax(
            "?menuid=kapacityjs&action=delkasmeny&datum=" + encodeURIComponent(datumStr) +
            "&kod=" + encodeURIComponent(kodSmeny) +
            "&pocatek=" + encodeURIComponent(pocatek) +
            "&konec=" + encodeURIComponent(konec) +
            (preruseniOd !== null ? "&preruseniOd=" + encodeURIComponent(preruseniOd) : "") +
            (preruseniDo !== null ? "&preruseniDo=" + encodeURIComponent(preruseniDo) : "")
        ).done(function (data) {
                if (data.result === "error") {
                    ron.showError(data);
                    if (errorCallback) {
                        errorCallback();
                    }
                }

                if (data.delka != null) {
                    if (callback) {
                        callback(data.delka);
                    }
                }
            }).fail(function (jqXHR) {
                ron.showAjaxError(jqXHR, "Pri nacitani delky smeny doslo k chybe!");

                if (errorCallback) {
                    errorCallback();
                }
            });
    },
    zjistiKonecSmeny: function (kodSmeny, datum, pocatek, delka, callback, errorCallback) {
        var datumStr = (typeof datum == 'string') ? datum : ron.utils.dateToString(datum);

        $.ajax(
            "?menuid=kapacityjs&action=konecsmeny&datum=" + encodeURIComponent(datumStr) +
            "&kod=" + encodeURIComponent(kodSmeny) +
            "&pocatek=" + encodeURIComponent(pocatek) +
            "&delka=" + encodeURIComponent(delka)
        ).done(function (data) {
                if (data.result === "error") {
                    ron.showError(data);
                    if (errorCallback) errorCallback();
                } else {
                    if (data.konec != null) {
                        if (callback) callback(data.konec);
                    }
                }
            }).fail(function (jqXHR) {
                ron.showAjaxError(jqXHR, "Pri nacitani konce smeny doslo k chybe!");
                if (errorCallback) errorCallback();
            });
    }
});




$(function() {
    let
        vypocetDelky = false,
        actionAfterVypocetDelky = null;

    function vypocetDelkyFinished() {
        vypocetDelky = false;
        if (actionAfterVypocetDelky) {
            actionAfterVypocetDelky();
        }
        actionAfterVypocetDelky = null;
    }
    let
        ok = null;

    function onOk() {
        if (ok) {
            ok();
        }
    }

    $("#planovani_variabilni_ok")
        .on("click", onOk);
    let
        spocitejDelkuVariabilniSmeny = null;

    function onTimeChange() {
        if (spocitejDelkuVariabilniSmeny) {
            spocitejDelkuVariabilniSmeny();
        }
    }

    $("#planovani_variabilni_smena_pocatek, #planovani_variabilni_smena_konec")
        .on("change", onTimeChange);


    $("#planovani_variabilni_prepocet")
        .on("click", function() {
            if (spocitejDelkuVariabilniSmeny) {
                spocitejDelkuVariabilniSmeny(true);
            }

        });
    let
        spocitejKonecVariabilniSmeny = null;

    function onLengthChange() {
        if (spocitejKonecVariabilniSmeny) {
            spocitejKonecVariabilniSmeny();
        }
    }

    $("#planovani_variabilni_smena_delka")
        .on("change", onLengthChange);

    $("#planovani_variabilni_smena_pocatek")
        .on("keypress", function (event) {
            if (event.which === 13) {
                $("#planovani_variabilni_smena_konec").focus();
                return false;
            }
        });

    $("#planovani_variabilni_smena_konec")
        .on("keypress", function (event) {
            if (event.which === 13) {
                $("#planovani_variabilni_ok").focus();
                return false;
            }
        });




    kapacity.showVariabilni = function (datum, smena, podleKodu, zapisSmenyDoDB) {
        spocitejDelkuVariabilniSmeny = function(force) {  // POZOR! Nastavuje globalni funkci
            if (!smena.prepocitatDelku  &&  !force) {
                return;
            }

            vypocetDelky = true;

            kapacity.zjistiDelkuSmeny(
                $("#planovani_variabilni_kodsmeny").val(),
                datum,
                $("#planovani_variabilni_smena_pocatek").val(),
                $("#planovani_variabilni_smena_konec").val(),
                null,
                null,

                function (result) { // volano po nacteni dat
                    if (result) {
                        $("#planovani_variabilni_smena_delka").val(result);
                    }
                    vypocetDelkyFinished();
                },

                vypocetDelkyFinished // volano pri chybe
            );
        }


        spocitejKonecVariabilniSmeny = function() {  // POZOR! Nastavuje globalni promennou!
            if (!smena.prepocitatDelku) {
                return;
            }

            vypocetDelky = true;

            kapacity.zjistiKonecSmeny(
                $("#planovani_variabilni_kodsmeny").val(),
                datum,
                $("#planovani_variabilni_smena_pocatek").val(),
                $("#planovani_variabilni_smena_delka").val(),

                function (result) { // volano po nacteni dat
                    if (result) {
                        $("#planovani_variabilni_smena_konec").val(result);
                    }
                    vypocetDelkyFinished();
                },

                vypocetDelkyFinished // bude volano pri chybe
            );
        }

        function zapisData() {
            zapisSmenyDoDB(smena,
                podleKodu, false, // podlekalendare = false
                {
                    pocatek : $("#planovani_variabilni_smena_pocatek").val(),
                    konec : $("#planovani_variabilni_smena_konec").val(),
                    delka : $("#planovani_variabilni_smena_delka").val()
                });


            $("#kapacity_variabilni").dialog("close");
        }
        ok = function () {
            if (vypocetDelky) {
                actionAfterVypocetDelky = zapisData;
            } else {
                zapisData();
            }
        };
        $("#planovani_variabilni_kodsmeny").val(smena.kod);
        $("#planovani_variabilni_smena_konec").val(smena.konecStr);
        $("#planovani_variabilni_smena_delka").val(smena.delkaStr);
        $("#planovani_variabilni_smena_pocatek").val(smena.pocatekStr);
        $("#kapacity_variabilni")
            .dialog({
                modal: true,
                resizable: false,
                width: "auto",
                minHeight: 0,
                title: smena.popis
            });

    };

});


$(function() {
    let ok = null;
    function onOk() {
        if (ok) {
            ok();
        }
    }

    $("#planovani_delena_ok")
        .on("click", onOk);
    kapacity.showDelena = function (datum, smena, podleKodu, zapisSmenyDoDB) {

        $("#planovani_delena_kodsmeny").val(smena.kod);

        $("#planovani_delena_smena_konec").val(smena.konecStr);
        $("#planovani_delena_smena_pocatek").val(smena.pocatekStr);

        $("#planovani_delena_smena_preruseni_od").val(smena.preruseniOdStr);
        $("#planovani_delena_smena_preruseni_do").val(smena.preruseniDoStr);

        function zapisData() {
            zapisSmenyDoDB(smena,
                podleKodu, false, // podlekalendare = false
                {
                    pocatek : $("#planovani_delena_smena_pocatek").val(),
                    konec : $("#planovani_delena_smena_konec").val(),
                    preruseniOd : $("#planovani_delena_smena_preruseni_od").val(),
                    preruseniDo : $("#planovani_delena_smena_preruseni_do").val()
                });


            $("#kapacity_delena").dialog("close");
        }
        ok = function() {
            zapisData();
        }
        $("#kapacity_delena")
            .dialog({
                modal: true,
                resizable: false,
                width: "auto",
                minHeight: 0,
                title: smena.popis
            });

    };

});


$(function() {
    var zobrazKontroly = function() {
        var indexOsoby = $(this).data("index-osoby");
        var kontroly = null;
        if (indexOsoby >= 0) {
            kontroly = kapacity.data.osoby[indexOsoby].kontroly;
        } else {
            kontroly = kapacity.data.kontroly;
        }

        if (!kontroly) return;

        var $table = $("#kontrolyPlanovaniTable");

        $table.empty();

        for (var i = 0;  i < kontroly.length; i++) {
            var $tr = $("<tr/>")
                .addClass("kontrola_row")
                .appendTo($table);

            $("<td/>")
                .append(
                $("<div/>")
                    .addClass("dialog_kontrola_priznak planovani_kontrola_priznak inline-glyph fa")
                    .addClass("kontrola_" + kontroly[i].kategorie)
            )
                .appendTo($tr);

            $("<td/>")
                .append( $("<div/>").text(kontroly[i].mesicni ? "" : kontroly[i].datumStr) )
                .append( $("<div/>").text(kontroly[i].popis))
                .append( $("<div/>").text(kontroly[i].poznamka ? kontroly[i].poznamka : ""))
                .appendTo($tr);
        }


        $("#kontrolyPlanovani").dialog({
            modal : true,
            resizable: true,
            width: "auto",
            height: "auto"
        });
    };


    var closeKontroly = function() {
        $("#kontrolyPlanovani").dialog("close");
    };

    $("#kapacity_data")
        .on("click", ".planovani_kontrola_priznak", zobrazKontroly);

    $("#kapacity_nadpisydnu")
        .on("click", ".planovani_kontrola_priznak", zobrazKontroly);

    $("#kontrolyPlanovaniOK")
        .on("click", closeKontroly);

    $("#kontrolyPlanovaniTable").rontable();
});

(function($) {

    function markParentRowOfCheckBox() {
        let
            $this = $(this),
            $td = $this.closest("tr");

        $td.toggleClass("checkbox_text_checked", $this.prop("checked"));
    }
    function zapisNastaveniUzivatele(vyberSmenUzivateleData) {
        let
            cnt = 0,
            seznamSmen = [],
            data = {
                detailniZobrazeni: kapacity.jeDetailniZobrazeni() ? 1 : 0,
                sirkaBunky: $("#kapacity_nastaveni_sirka").val(),
                vyskaBunky: $("#kapacity_nastaveni_vyska").val()
            };

        for (let i = 0;  i < vyberSmenUzivateleData.smeny.length;  i ++) {
            if ( $("#vyberSmenUzivatele_checkbox_" + i).is(":checked") ) {
                data["smena" + cnt] = vyberSmenUzivateleData.smeny[i].kod;

                seznamSmen[cnt] = vyberSmenUzivateleData.smeny[i].kod;

                cnt ++;
            }
        }

        data.cnt = cnt;

        $.ajax( {
            url: "?menuid=kapacityjs&action=zapisnastaveni",
            type: "POST",
            data : data
        }).done( function(returnData) {
            if (returnData.result === "error") {
                kapacity.showError(returnData);
            }

            $(".bodykapacity")
                .css("--sirka-bunky", returnData.sirkaBunky + "px")
                .css("--vyska-bunky", returnData.vyskaBunky + "px");

            if (kapacity.jeDetailniZobrazeni()) {
                kapacity.data.sirkaBunkyDetailni = returnData.sirkaBunky;
                kapacity.data.vyskaBunkyDetailni = returnData.vyskaBunky;
            } else {
                kapacity.data.sirkaBunky = returnData.sirkaBunky;
                kapacity.data.vyskaBunky = returnData.vyskaBunky;
            }

            kapacity.velikostBunkyChange(returnData.sirkaBunky, returnData.vyskaBunky);

            kapacity.nastavPovoleneSmeny(seznamSmen);

            kapacity.showLegendaSmeny(
                kapacity.vratKalendarProBunku(kapacity.radek, kapacity.sloupec),
                kapacity.data.dny[kapacity.sloupec].datum,
                true);  // forceShow

            $("#kapacity_nastaveni").dialog("close");

        }).fail( ron.ajaxErrorFunction("Pri zapisu vybranych smen doslo k chybe!") );
    }


    function sortData(smeny, sortType) {

        function compare(a, b) {
            if (a.vybrana && !b.vybrana) {
                return -1;
            }

            if (b.vybrana && !a.vybrana) {
                return 1;
            }

            let result = 0;

            switch (sortType) {
                case 0 :
                case 5 :
                case -5 :
                    result = ("" + a.kod).localeCompare(b.kod);
                    break;

                case 1 :
                case -1 :
                    result = ("" + a.popis).localeCompare(b.popis);
                    break;

                case 2 :
                case -2 :
                    result = (a.pocatek < b.pocatek)
                        ? -1
                        : (a.pocatek > b.pocatek ? 1 : 0);
                    break;

                case 3 :
                case -3 :
                    result = (a.konec < b.konec)
                        ? -1
                        : (a.konec > b.konec ? 1 : 0);
                    break;

                case 4 :
                case -4 :
                    result = (a.delka < b.delka)
                        ? -1
                        : (a.delka > b.delka ? 1 : 0);
                    break;
            }

            return (sortType < 0) ? -result : result;
        }

        smeny.sort(compare);
    }
    function zobrazVybraneSmenyUzivatele(data) {

        let
            $div = $("#kapacity_smenyuzivatele")
                .empty(),

            $table = $("<table/>")
                .attr("class", "browser")
                .css("width", "100%")
                .appendTo($div),

            actualSortType = 0;

        function doSort(sortType) {
            $table.empty();

            if ( sortType === Math.abs(actualSortType) ) {
                sortType = -actualSortType;
            }

            actualSortType = sortType;
            sortData(data.smeny, sortType);
            addRows();
        }


        for (let i = 0; i < data.smeny.length; i++) {
            data.smeny[i].pocatek = data.smeny[i].pocatekStr
                ? ron.utils.timeStringToFloat(data.smeny[i].pocatekStr)
                : 0;

            data.smeny[i].konec = data.smeny[i].konecStr
                ? ron.utils.timeStringToFloat(data.smeny[i].konecStr)
                : 0;

            data.smeny[i].delka = data.smeny[i].delkaStr
                ? ron.utils.timeStringToFloat(data.smeny[i].delkaStr)
                : 0;
        }


        function addRows() {

            let $tr = $("<tr/>")
                .css("cursor", "default")
                .appendTo($table);

            $("<th/>")
                .appendTo($tr);
            $("<th/>")
                .text( ron._("Kod") )
                .css("text-align", "left")
                .on("click", function() { doSort(5); } )
                .appendTo($tr);
            $("<th/>")
                .text( ron._("Od") )
                .css("text-align", "right")
                .on("click", function() { doSort(2); } )
                .appendTo($tr);
            $("<th/>")
                .text( ron._("Do") )
                .css("text-align", "right")
                .on("click", function() { doSort(3); } )
                .appendTo($tr);
            $("<th/>")
                .text( ron._("Delka") )
                .css("text-align", "right")
                .on("click", function() { doSort(4); } )
                .appendTo($tr);
            $("<th/>")
                .text( ron._("Popis") )
                .css("text-align", "left")
                .on("click", function() { doSort(1); } )
                .appendTo($tr);

            for (let i = 0; i < data.smeny.length; i++) {
                $tr = $("<tr/>")
                    .attr("class",
                        ((i % 2) ? "browsercolor1" : "browsercolor2") +
                        (data.smeny[i].vybrana ? " checkbox_text_checked" : ""))
                    .appendTo($table);
                let $td = $("<td/>")
                    .appendTo($tr);

                $("<label/>")
                    .append(
                        $("<input/>")
                            .attr("type", "checkbox")
                            .attr("id", "vyberSmenUzivatele_checkbox_" + i)
                            .attr("name", "vybrana_" + i)
                            .prop("checked", data.smeny[i].vybrana)
                            .on("click", markParentRowOfCheckBox)
                    )
                    .append(data.smeny[i].zkratka)
                    .appendTo($td);
                $("<td/>")
                    .text(data.smeny[i].kod)
                    .css("text-align", "left")
                    .appendTo($tr);
                $("<td/>")
                    .text(data.smeny[i].pocatekStr)
                    .css("text-align", "right")
                    .appendTo($tr);
                $("<td/>")
                    .text(data.smeny[i].konecStr)
                    .css("text-align", "right")
                    .appendTo($tr);
                $("<td/>")
                    .text(data.smeny[i].delkaStr)
                    .css("text-align", "right")
                    .appendTo($tr);
                $("<td/>")
                    .text(data.smeny[i].popis + ' (' + data.smeny[i].kod + ')')
                    .appendTo($tr);
            }
        }

        sortData(data.smeny, 5);

        addRows();

        $("#kapacity_vybersmen_ok")
            .off("click")
            .on("click", function() { zapisNastaveniUzivatele(data); } )
            .focus();

        $( "#kapacity_nastaveni" )
            .dialog( "option", "position", { my: "center", at: "center", of: window } )
            .focus();
    }
    function loadVybraneSmenyUzivatele() {
        $.ajax( "?menuid=kapacityjs&action=vybersmen")
            .done( function(data) {
                if (data.result === "error") {
                    kapacity.showError(data);
                } else {
                    zobrazVybraneSmenyUzivatele(data);
                }

            } )
            .fail( ron.ajaxErrorFunction("Pri nacitani vybranych smen doslo k chybe!") );
    }


    let $tabs = null;

    $(function() {
        $tabs = $("#kapacity_nastaveni_zalozky");
        $tabs.rontabs({ initialPage: "kapacity_zakladninastaveni"});
    });


    function onDialogOpen() {
        loadVybraneSmenyUzivatele();
    }

    function zobrazNastaveni(zobrazitStranku) {
        if (zobrazitStranku && $tabs) {
            $tabs.rontabs("selectPage", zobrazitStranku);
        }

        $("#kapacity_nastaveni_sirka").val(kapacity.sirkaBunky);
        $("#kapacity_nastaveni_vyska").val(kapacity.vyskaBunky);

        $("#kapacity_nastaveni")
            .dialog({
                modal: true,
                resizable: false, //true,
                width: "auto",
                height: "auto",
            });
    }


    $(function() {
        $("body")
            .on("click", "#kapacity_legenda_vybersmen", function() {
                zobrazNastaveni("kapacity_smenyuzivatele");
            })
            .on("shown.bs.modal", "#kapacity_nastaveni", onDialogOpen)  // bootstrap
            .on("dialogopen", "#kapacity_nastaveni", onDialogOpen);  // jquery-ui
    });

})(jQuery);

(function($) {
    let
        sadyPodminek = null,
        podminkyZobrazenyProDen = null;

    $.extend(kapacity, {
        Podminka: function() {
            this.typPodminky = 0;
            this.smena = null;

            this.casOdStr = null;
            this.casDoStr = null;
            this.casOd = null;
            this.casDo = null;

            this.pocetMin = 0;
            this.pocetMax = 0;
            this.specifikace = null;
        },


        SadaPodminek: function() {
            this.id = 0;

            this.datumOd = null;
            this.datumDo = null;

            this.typOmezeni = 0;
            this.denVTydnu = null;
            this.typDne = null;

            this.prioritni = 0;
            this.podminky = [];
        },
        najdiPlatnePodminky: function(sadyPodminek, datum) {
            let
                existujePrioritni = false,
                vychoziSada = null,
                result = [];

            function doplnPodminky(sada) {
                for (let i = 0;  i < sada.podminky.length;  i++) {
                    result.push(sada.podminky[i]);
                }
            }

            for (let i = 0;  i < sadyPodminek.length;  i++) {
                if (!sadyPodminek[i].datumOd) {
                    sadyPodminek[i].datumOd = ron.utils.stringToDate(sadyPodminek[i].datumOdStr);
                    if (sadyPodminek[i].datumDoStr) {
                        sadyPodminek[i].datumDo = ron.utils.stringToDate(sadyPodminek[i].datumDoStr);
                    }
                }

                if (sadyPodminek[i].datumOd <= datum  &&  (!sadyPodminek[i].datumDo || sadyPodminek[i].datumDo >= datum)) {
                    let podminkaPlatna = true;
                    if (sadyPodminek[i].typOmezeni === 2) {
                        let denVTydnu = datum.getDay();
                        denVTydnu = denVTydnu ? denVTydnu - 1 : 6; // aby nebyla prvni nedele
                        if (!(sadyPodminek[i].denVTydnu  &  (1 << denVTydnu))) {
                            podminkaPlatna = false;
                        }
                    } else if (sadyPodminek[i].typOmezeni === 1) {
                        podminkaPlatna = kapacity.data.dny[kapacity.sloupecProDatum(datum)].typ === sadyPodminek[i].typDne;
                    }

                    if (podminkaPlatna) {
                        if (sadyPodminek[i].prioritni === 1) {
                            existujePrioritni = true;
                            doplnPodminky(sadyPodminek[i]);
                        } else if (sadyPodminek[i].prioritni === 2) {
                            doplnPodminky(sadyPodminek[i]);
                        } else {
                            vychoziSada = sadyPodminek[i];
                        }
                    }
                }
            }

            if (!existujePrioritni && vychoziSada) {
                doplnPodminky(vychoziSada);
            }

            return result;
        },
        showPodminkyPlanovani: function(den) {
            if (!sadyPodminek) {
                return;
            }

            if (podminkyZobrazenyProDen === den.datumStr) {
                return;
            }
            podminkyZobrazenyProDen = den.datumStr;

            let $table = $("#kapacity_legenda_podminky");
            $table.empty();

            let podminky = kapacity.najdiPlatnePodminky(sadyPodminek, den.datum);

            for (let i = 0; i < podminky.length; i++) {
                let $row = $("<tr/>")
                    .appendTo($table);

                let
                    text = "",
                    smena = null;

                if (podminky[i].smena) {
                    smena = kapacity.vratSmenuPodleKodu(podminky[i].smena);
                    if (smena) {
                        text = text + "(" + podminky[i].smena + ")";
                    }
                } else if (podminky[i].casOdStr) {
                    text = podminky[i].casOdStr + "-" + podminky[i].casDoStr;
                }

                text += " ";
                if (podminky[i].pocetMin && podminky[i].pocetMax) {
                    text += podminky[i].pocetMin + " - " + podminky[i].pocetMax + " " + ron.translate("osob");
                } else if (podminky[i].pocetMin) {
                    text += ron.translate("min") + " " + podminky[i].pocetMin + " " + ron.translate("osob");
                } else if (podminky[i].pocetMax) {
                    text += ron.translate("max") + " " + podminky[i].pocetMax + " " + ron.translate("osob");
                }

                if (podminky[i].specifikace) {
                    text += " (" + podminky[i].specifikace + ")";
                }

                if (smena) {
                    let $cell = $("<td/>")
                        .text(smena.zkratka)
                        .attr("title", smena.popis)
                        .attr("class", "zkratka")
                        .appendTo($row);

                    if (smena.barva) {
                        $cell.css("backgroundColor", smena.barva);
                    }
                }

                $("<td/>")
                    .text(text)
                    .attr("colspan", smena ? 1 : 2)
                    .appendTo($row);
            }
        },
        nactiPodminky: function () {
            $.ajax(
                "?menuid=kapacityjs&action=podminky&datumod=" + kapacity.data.dny[0].datumStr +
                "&datumdo=" + kapacity.data.dny[kapacity.data.dny.length - 1].datumStr +
                "&rozdeleni=" + encodeURIComponent(kapacity.data.rozdeleni))
                .done(function (data) {
                    if (data.podminky) {
                        sadyPodminek = data.podminky;
                    }
                })
                .fail(ron.ajaxErrorFunction("Pri nacitani podminek planovani doslo k chybe!"));
        }
    });

})(jQuery);

kapacity = kapacity || {};


(function() {
    var najdiSmenuVSeznamu = function(povoleneSmeny, casOd, casDo) {
        var variabilniSmena = null;

        for (var i = 0; i < povoleneSmeny.length; i++) {
            if (povoleneSmeny[i].aktivni && (!kapacity.jsouVybraneSmeny || povoleneSmeny[i].vybrana)) {
                if (povoleneSmeny[i].variabilni) {
                    variabilniSmena = variabilniSmena || povoleneSmeny[i];
                } else {
                    if (povoleneSmeny[i].pocatek == casOd  &&  povoleneSmeny[i].konec == casDo) {
                        return {
                            smena: povoleneSmeny[i],
                            parametry : null
                        };
                    }
                }
            }
        }

        if (variabilniSmena) {
            return {
                smena: variabilniSmena,
                parametry: {
                    pocatek: ron.utils.floatToTimeString(casOd),
                    konec: ron.utils.floatToTimeString(casDo)
                }
            };
        }

        return null;
    };
    var najdiSmenuVSeznamu2 = function(povoleneSmeny, casOd, casDo, datum) {
        var variabilniSmena = null;

        for (var i = 0; i < povoleneSmeny.length; i++) {
            if (povoleneSmeny[i].smena.aktivni && (!kapacity.jsouVybraneSmeny || povoleneSmeny[i].smena.vybrana)) {
                if (povoleneSmeny[i].datum == null  ||  povoleneSmeny[i].datum.getTime() == datum.getTime()) {
                    if (povoleneSmeny[i].smena.variabilni) {
                        variabilniSmena = variabilniSmena || povoleneSmeny[i].smena;
                    } else {
                        if (povoleneSmeny[i].smena.pocatek == casOd && povoleneSmeny[i].smena.konec == casDo) {
                            return {
                                smena: povoleneSmeny[i].smena,
                                parametry: null
                            };
                        }
                    }
                }
            }
        }

        if (variabilniSmena) {
            return {
                smena: variabilniSmena,
                parametry: {
                    pocatek: ron.utils.floatToTimeString(casOd),
                    konec: ron.utils.floatToTimeString(casDo)
                }
            };
        }

        console.log("Chyba v najdiSmenuVSeznamu2: pro aktualni kalendar nebyla nalezena smena pozadovanych parametru!");

        return null;
    };
    var najdiDelenouSmenuVSeznamu = function(povoleneSmeny) {
        for (var i = 0; i < povoleneSmeny.length; i++) {
            if (povoleneSmeny[i].aktivni && (!kapacity.jsouVybraneSmeny || povoleneSmeny[i].vybrana)) {
                if (povoleneSmeny[i].delena) {
                    return povoleneSmeny[i];
                }
            }
        }

        return null;
    };
    var najdiDelenouSmenuVSeznamu2 = function(povoleneSmeny, datum) {
        for (var i = 0; i < povoleneSmeny.length; i++) {
            if (povoleneSmeny[i].smena.delena  &&  povoleneSmeny[i].smena.aktivni && (!kapacity.jsouVybraneSmeny || povoleneSmeny[i].smena.vybrana)) {
                if (povoleneSmeny[i].smena.datum == null  ||  povoleneSmeny[i].smena.datum.getTime() == datum.getTime()) {
                    return povoleneSmeny[i].smena;
                }
            }
        }

        return null;
    };
    $.extend(kapacity, {
        slotProBunku: function(radek, sloupec) {
            var
                indexOsoby = this.indexOsoby(radek),
                poradiSlotu = radek % this.data.pocetRadkuNaOsobu;

            return this.data.dny[sloupec].sloty
                ? this.data.dny[sloupec].sloty[poradiSlotu]
                : null;
        },
        slotProAktualniBunku: function() {
            return this.slotProBunku(this.radek, this.sloupec);
        },
        najdiSmenuProInterval: function(casOd, casDo, indexOsoby, sloupec) {
            if (this.data.vyberSmen == 3) {
                return najdiSmenuVSeznamu(this.data.smeny, casOd, casDo);
            }

            var kalendar = this.vratKalendarProOsobu(indexOsoby, sloupec);
            if (!kalendar) {
                console.log("Chyba v najdiSmenuProInterval: pro tento den neni prirazen kalendar!", indexOsoby, sloupec);
                return null;
            }

            return najdiSmenuVSeznamu2(kalendar.povoleneSmeny, casOd, casDo, kapacity.data.dny[sloupec].datum);
        },
        najdiDelenouSmenu: function(indexOsoby, sloupec) {
            if (this.data.vyberSmen == 3) {
                return najdiDelenouSmenuVSeznamu(this.data.smeny);
            }

            var kalendar = this.vratKalendarProOsobu(indexOsoby, sloupec);
            if (!kalendar) {
                console.log("Chyba v najdiDelenouSmenu: pro tento den neni prirazen kalendar!", indexOsoby, sloupec);
                return null;
            }

            return najdiDelenouSmenuVSeznamu2(kalendar.povoleneSmeny, kapacity.data.dny[sloupec].datum);
        },


        vratDelenouSmenu : function(pocatek1, konec1, pocatek2, konec2, indexOsoby, sloupec) {
            var smena = this.najdiDelenouSmenu(indexOsoby, sloupec);
            if (!smena) {
                ron.showError("Chyba - nenalezena delena smena, nelze naplanovat pracovni dobu s prerusenim!")
                return false;
            }

            return {
                smena: smena,
                parametry: {
                    pocatek:    ron.utils.floatToTimeString(pocatek1 < pocatek2 ? pocatek1 : pocatek2),
                    konec:      ron.utils.floatToTimeString(konec1 > konec2 ? konec1 : konec2),
                    preruseniOd: ron.utils.floatToTimeString(konec1 < konec2 ? konec1 : konec2),
                    preruseniDo: ron.utils.floatToTimeString(pocatek1 > pocatek2 ? pocatek1 : pocatek2)
                }
            };
        },
        intervalyPodleSlotu: function(selection, indexOsoby, sloupec) {
            var intervals = [];
            if (selection) {
                for (var s = 0; s < this.data.pocetRadkuNaOsobu; s++) {
                    var radek = indexOsoby * this.data.pocetRadkuNaOsobu + s;
                    if (selection.isCellSelected(sloupec, radek)) {
                        var slot = this.slotProBunku(radek, sloupec);
                        intervals.push({
                            pocatek: slot.casOd,
                            konec: slot.casDo
                        });
                    }
                }
            }
            if (indexOsoby !== null  &&  sloupec !== null) {
                var
                    dataObj = this.data.osoby[indexOsoby].Data[sloupec],
                    aktualniSmena = dataObj.smena;

                if (aktualniSmena) {
                    if (aktualniSmena.delena  &&  dataObj.preruseniOd < dataObj.preruseniDo  &&  dataObj.preruseniDo > dataObj.pocatekSmeny  &&  dataObj.preruseniOd < dataObj.konecSmeny) {
                        intervals.push({
                            pocatek: dataObj.pocatekSmeny,
                            konec: dataObj.preruseniOd
                        });
                        intervals.push({
                            pocatek: dataObj.preruseniDo,
                            konec: dataObj.konecSmeny
                        });
                    } else if (aktualniSmena.variabilni) {
                        intervals.push({
                            pocatek: dataObj.pocatekSmeny,
                            konec: dataObj.konecSmeny
                        });
                    } else {
                        intervals.push({
                            pocatek: aktualniSmena.pocatek,
                            konec: aktualniSmena.konec
                        });
                    }
                }
            }

            return intervals;
        },
        vratSmenuProIntervaly: function(intervals, indexOsoby, sloupec) {
            if (!intervals.length) {
                return null;
            }
            intervals.sort( function(interval1, interval2) {
                if (!interval1  &&  !interval2) {
                    return 0;
                }
                if (!interval1) {
                    return 1;
                }
                if (!interval2) {
                    return -1;
                }

                if (interval1.pocatek < interval2.pocatek) {
                    return -1;
                }
                if (interval1.pocatek > interval2.pocatek) {
                    return 1;
                }

                return 0;
            });

            var
                pocatek = null,
                konec = null,
                preruseniOd = null,
                preruseniDo = null;

            for (var i = 0;  i < intervals.length;  i++) {
                if (intervals[i] && intervals[i].pocatek < intervals[i].konec) {
                    if (pocatek === null) {
                        pocatek = intervals[i].pocatek;
                        konec = intervals[i].konec;
                    } else if (intervals[i].pocatek > konec) {
                        if (preruseniOd !== null) {
                            ron.showError("Chyba - nelze naplanovat vice nez jedno preruseni!");
                            return false;
                        }

                        preruseniOd = konec;
                        preruseniDo = intervals[i].pocatek;
                        konec = intervals[i].konec;
                    } else {
                        if (intervals[i].konec > konec) {
                            konec = intervals[i].konec;
                        }

                        if (preruseniOd !== null) {
                            if (intervals[i].pocatek > preruseniOd && intervals[i].konec < preruseniDo) {
                                ron.showError("Chyba - nelze naplanovat vice nez jedno preruseni!");
                                return false;
                            }

                            if (intervals[i].pocatek <= preruseniOd  &&  intervals[i].konec >= preruseniDo) {
                                preruseniOd = null;
                                preruseniDo = null;
                            } else if (intervals[i].pocatek <= preruseniOd  && intervals[i].konec < preruseniDo) {
                                preruseniOd = intervals[i].konec;
                            } else if (intervals[i].pocatek <= preruseniDo  && intervals[i].konec >= preruseniDo) {
                                preruseniDo = intervals[i].pocatek;
                            }
                        }
                    }
                }
            }

            if (preruseniOd !== null) {
                return this.vratDelenouSmenu(pocatek, preruseniOd, preruseniDo, konec, indexOsoby, sloupec);
            }

            if (pocatek !== null) {
                var result = this.najdiSmenuProInterval(pocatek, konec, indexOsoby, sloupec);
                if (!result) {
                    alert(
                        "Nebyla nalezena smena pro naplanovani zvolenych slotu!" +
                        (kapacity.jsouVybraneSmeny ? " Mate uzivatelsky omezene povolene smeny!" : ""));
                    return null;
                }

                if (result.smena && result.smena.delena) {
                    result.parametry.preruseniOd = result.parametry.preruseniDo = "0:00";
                }
                return result;
            }

            return null;
        },
        doplnSmenuDoOznacenychBunek: function(selection, indexOsoby, sloupec) {
            var intervals = this.intervalyPodleSlotu(selection, indexOsoby, sloupec);
            return this.vratSmenuProIntervaly(intervals, indexOsoby, sloupec);
        },
        odstranSmenuZOznacenychBunek: function(selection, indexOsoby, sloupec) {
            if (!this.data.osoby[indexOsoby].Data[sloupec].smena) {
                return null; // neni co mazat
            }
            var intervals = this.intervalyPodleSlotu(null, indexOsoby, sloupec);
            for (var s = 0;  s < kapacity.data.pocetRadkuNaOsobu; s++) {
                var radek = indexOsoby * kapacity.data.pocetRadkuNaOsobu + s;
                if (selection.isCellSelected(sloupec, radek)) {
                    var slot = this.slotProBunku(radek, sloupec);

                    for (var i = 0;  i < intervals.length;  i++) {
                        if (intervals[i]) {
                            if (slot.casOd <= intervals[i].pocatek  &&  slot.casDo >= intervals[i].konec) {
                                intervals[i] = null;
                            } else if (slot.casOd <= intervals[i].pocatek  &&  slot.casDo >= intervals[i].pocatek) {
                                intervals[i].pocatek = slot.casDo;
                            } else if (slot.casDo >= intervals[i].konec  &&  slot.casOd <= intervals[i].konec) {
                                intervals[i].konec = slot.casOd;
                            } else if (slot.casOd > intervals[i].pocatek  &&  slot.casDo < intervals[i].konec) {
                                var puvodniKonec = intervals[i].konec;
                                intervals[i].konec = slot.casOd;
                                intervals.push( {
                                    pocatek: slot.casDo,
                                    konec: puvodniKonec
                                })
                            }
                        }
                    }
                }
            }

            return this.vratSmenuProIntervaly(intervals, indexOsoby, sloupec);
        }
    });

})();

(function($) {
    function zmenaRozdeleniDialog(rozdeleni2, onOpen, onOK) {
        $("#planovani_zmenarozdeleni_osoba").text( kapacity.getSelectionInfo("name") );
        $("#planovani_zmenarozdeleni_datum").text( kapacity.getSelectionInfo("date") );

        if (rozdeleni2) {
            $("#planovani_zmenarozdeleni1").css("display", "none");
            $("#planovani_zmenarozdeleni2").css("display", "block");
        } else {
            $("#planovani_zmenarozdeleni1").css("display", "block");
            $("#planovani_zmenarozdeleni2").css("display", "none");
        }

        $("#planovani_zmenarozdeleni_ok")
            .off("click")
            .on("click", onOK);
        $("#kapacity_zmenarozdeleni")
            .dialog({
                modal: true,
                resizable: false,
                width: "auto",
                minHeight: 0,
                open: onOpen
            });
    }
    var zmenaRozdeleni1 = function() {

        let
            $kod_element = null,    // nastaveno dodatecne
            $popis_element = null,  // nastaveno dodatecne
            initialized = false,
            kodOptions = null,
            popisOptions = null;

        function initZmenaRozdeleni() {
            if (initialized) {
                return;
            }

            initialized = true;

            kodOptions = ron.utils.copyArray(kapacity.headerData.seznamRozdeleni);
            kodOptions.sort( function(item1, item2) {
                return item1.kod.localeCompare(item2.kod);
            } );

            popisOptions = ron.utils.copyArray(kapacity.headerData.seznamRozdeleni);
            popisOptions.sort( function(item1, item2) {
                return item1.popis.localeCompare(item2.popis);
            } );
            $kod_element.ronselect({
                items: kodOptions,
                columns: ["kod", "popis"],
                textColumn: "kod",
                onChange: function(index, options) {
                    $popis_element.ronselect("value", (index === null) ? null : options.items[index].popis);
                }
            } );

            $popis_element.ronselect({
                items: popisOptions,
                columns: ["kod", "popis"],
                dropDownAlign: "right",
                textColumn: "popis",
                onChange: function(index, options) {
                    $kod_element.ronselect("value", (index === null) ? null : options.items[index].kod);
                }
            } );
        }


        function onOpen() {
            let kod = kapacity.data.osoby[kapacity.indexAktualniOsoby()].Data[kapacity.sloupec].rozdeleni;

            if (kod) {
                $kod_element
                    .val(kod)
                    .trigger("itemactivate");
            }
        }


        function zapisZmenuRozdeleniProOsobu(indexOsoby, sloupecOd, sloupecDo, rozdeleni, preplanovat) {
            let
                denOd = kapacity.data.dny[sloupecOd],
                denDo = kapacity.data.dny[sloupecDo],
                osoba = kapacity.data.osoby[indexOsoby];

            $.ajax( {
                url: "?menuid=kapacityjs&action=zmenarozdeleni",
                type: "POST",
                data : {
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    idpp: osoba.idPP,
                    datumod: denOd.datumStr,
                    datumdo: denDo.datumStr,
                    rozdeleni: rozdeleni,
                    preplanovatSmeny: preplanovat ? 1 : 0,
                    csrfkey: osoba.csrfkey
                }
            }).done( function(data) {
                if (data.result === "error") {
                    kapacity.showError(data);
                }

                kapacity.refreshDataOsoby(indexOsoby);

            }).fail( ron.ajaxErrorFunction("Pri prerazeni na rozdeleni doslo k chybe!") );
        }


        function zapisZmenuRozdeleni() {
            let rozdeleni = $kod_element.val();

            if (!rozdeleni) {
                return kapacity.showError( ron._("Neni_rozdeleni_pro_prerazeni") );
            }

            let
                $preplanovatCheck = $("#planovani_preplanovat_smeny"),
                preplanovat = $preplanovatCheck.length  &&  $preplanovatCheck.prop("checked");

            kapacity.forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
                zapisZmenuRozdeleniProOsobu(indexOsoby, sloupecOd, sloupecDo, rozdeleni, preplanovat);
            });

            $("#kapacity_zmenarozdeleni").dialog( "close" );
        }


        $( function() {
            $kod_element = $("#planovani_zmenarozdeleni_kod");
            $popis_element = $("#planovani_zmenarozdeleni_popis");
        });
        return function() {
            initZmenaRozdeleni();

            zmenaRozdeleniDialog(false, onOpen, zapisZmenuRozdeleni);
        }
    }();
    let zmenaRozdeleni2 = function() {

        let
            $kod_element = null,    // nastaveno dodatecne
            $popis_element = null,  // nastaveno dodatecne
            seznamRozdeleni2 = null;

        function zobrazAktualniHodnotu() {
            let kod = kapacity.data.osoby[kapacity.indexAktualniOsoby()].Data[kapacity.sloupec].rozdeleni2;
            $kod_element
                .val(kod)
                .trigger("itemactivate");
        }

        function initZmenaRozdeleni2() {
            if (!kapacity.headerData.povolitZmenuRozdeleni2) {
                return;
            }

            if (seznamRozdeleni2  &&  !kapacity.headerData.vyberRozdeleni2) {
                zobrazAktualniHodnotu();
                return;
            }

            $.ajax("?menuid=kapacityjs&action=seznamrozdeleni2&idpp=" + kapacity.data.osoby[kapacity.indexAktualniOsoby()].idPP + "&datum=" + kapacity.data.dny[kapacity.sloupec].datumStr)
                .done( function(resultData) {
                    seznamRozdeleni2 = resultData.rozdeleni2;

                    let selectPopis = $popis_element.ronselect("instance");
                    if (selectPopis) {
                        selectPopis.setItems(seznamRozdeleni2);
                    } else {
                        $popis_element.ronselect({
                            items: seznamRozdeleni2,
                            columns: ["kod", "popis"],
                            textColumn: "popis",
                            dropDownAlign: "right",
                            onChange: function(index, options) {
                                $kod_element.ronselect("value", (index === null) ? null : options.items[index].kod);
                            }
                        });
                    }

                    let kodOptions = ron.utils.copyArray(seznamRozdeleni2);
                    kodOptions.sort( function(item1, item2) {
                        return item1.kod.localeCompare(item2.kod);
                    } );

                    let selectKod = $kod_element.ronselect("instance");

                    if (selectKod) {
                        selectKod.setItems(kodOptions);
                    } else {
                        $kod_element.ronselect({
                            items: kodOptions,
                            columns: ["kod", "popis"],
                            textColumn: "kod",
                            onChange: function(index, options) {
                                $popis_element.ronselect("value", (index === null) ? null : options.items[index].popis);
                            }
                        });
                    }

                    zobrazAktualniHodnotu();
                })
                .fail(ron.ajaxErrorFunction("Pri nacitani seznamu rozdeleni 2 doslo k chybe!"));
        }


        function onOpen() {
        }


        var zapisZmenuRozdeleniProOsobu = function(indexOsoby, sloupecOd, sloupecDo, rozdeleni) {
            let
                denOd = kapacity.data.dny[sloupecOd],
                denDo = kapacity.data.dny[sloupecDo],
                osoba = kapacity.data.osoby[indexOsoby];

            $.ajax( {
                url: "?menuid=kapacityjs&action=zmenarozdeleni2",
                type: "POST",
                data : {
                    rezimuprav: kapacity.data.rezimUprav ? 1 : 0,
                    idpp: osoba.idPP,
                    datumod: denOd.datumStr,
                    datumdo: denDo.datumStr,
                    rozdeleni: rozdeleni,
                    csrfkey: osoba.csrfkey
                }
            }).done( function(data) {
                if (data.result === "error") {
                    kapacity.showError(data);
                }

                kapacity.refreshDataOsoby(indexOsoby);

            }).fail( ron.ajaxErrorFunction("Pri prerazeni na rozdeleni 2 doslo k chybe!") );
        };


        var zapisZmenuRozdeleni2 = function() {
            var rozdeleni = $kod_element.val();

            if (!rozdeleni) return kapacity.showError( ron._("Neni_rozdeleni_pro_prerazeni") );

            kapacity.forEachInterval( function(indexOsoby, sloupecOd, sloupecDo) {
                zapisZmenuRozdeleniProOsobu(indexOsoby, sloupecOd, sloupecDo, rozdeleni);
            });

            $("#kapacity_zmenarozdeleni").dialog( "close" );
        };


        $( function() {
            $kod_element = $("#planovani_zmenarozdeleni2_kod");
            $popis_element = $("#planovani_zmenarozdeleni2_popis");
        });


        return function() {
            initZmenaRozdeleni2();
            zmenaRozdeleniDialog(true, onOpen, zapisZmenuRozdeleni2);
        }
    }();


    $(function() {
        $("#kapacity_menu_rozdeleni")
            .on("click", zmenaRozdeleni1);

        $("#kapacity_menu_rozdeleni2")
            .on("click", zmenaRozdeleni2);
    });

})(jQuery);
